Knowledge Documents

Knowledge Documents

Knowledge documents are created to provide help on Accounting, Taxation and BUSY specific topics. Knowledge documents are divided into various categories. The categories are:

  • Client Server Documents
  • Tax Related Documents
  • Accounting Documents
  • Inventory Documents
  • Designing Documents
  • General Documents
  • Product Release Documents

Back To Top

Copyright © Busy Infotech Pvt. Ltd., Delhi


Client-Server

Knowledge Documents > Client Server Documents

Client Server Documents

Client Server Documents include documents related to Client - Server model of BUSY. Documents covered under this section are:

  • Dongle Server
  • BDNS Manager
  • Data Server from BUSY
  • Accessing BUSY on Remote Server
  • BUSY SAS
  • Client Server Model in BUSY
  • Multi Branch Accounting
  • SQL Over Access


Dongle Server

Knowledge Documents > Client-Server Documents > Dongle Server

Overview

Till now, to work in Client-Server model of BUSY, a separate dongle is to be attached with each Client machine. For example, if a company/organisation wants to run BUSY application on four different machines or want four Users to work simultaneously on BUSY then we provide four different dongles to it. These dongles are to be attached with each computer on which the company / organisation wants to run the BUSY application.

Now we have made a provision in Dongle itself to fix the number of Users that can simultaneously work on BUSY. With this there is no need to attach a separate dongle to Server and Client machines, instead only one dongle is required to be attached to the Server machine and all other Client machine can access data on it.

Let us understand the concept of fixing maximum number of Users in the dongle with the help of an example. A company wants to use Client-Server model of BUSY and need that five Users can work simultaneously on BUSY data. For this purpose, BUSY will provide the company with a single dongle in which the maximum limit of Users is set to five. Now the Company will attach this dongle to its Server machine and then any five, client machines can use the BUSY data from the Server.

An important point to note here is that number of Users that can work on BUSY simultaneously will be counted by number of BUSY instances open at a given time. For example, if a Client machine opens two instances of BUSY then it will be counted as two Users and not a single User.

BUSY will run in Demo mode for the Users who try to login after the maximum limit of Users as specified in dongle is reached.

After discussing the concept of the Dongle counter, let us discuss the configuration required at the Server and the Client machines to use the Dongle Server utility.

Server Configuration

On the Server machine, you need to perform the following steps:

  • Attach dongle to the USB port of the computer.
  • On attaching the dongle to the computer, a Dongle Server utility starts appearing in the Startup tray. This utility will also appear in the folder where the BusyWin application is installed. For example, you have installed BusyWin in the C drive then a Dongle Server. Exe icon will appear in the C à BusyWin folder.
  • Double click the DongleServer.exe icon to specify the SQL Server details. Given here is a screenshot displaying SQL Server Information window that appears on clicking the Dongle Server.exe icon.
SQL Sever Information window

  • In the SQL Server Information window, you have to specify the Server name, User name and password for the SQL Server.
  • After specifying the necessary details, click the Save button to save the SQL Server information.

On saving the SQL Server details, a Dongle Server window appears. This window displays details about the dongle such as Number of Users Allowed, Currently Connected Users, BUSY Model, Server name and so on. Given here is a screenshot of Dongle Server window.

Dongle Server window

In the Dongle Server window, there are various groups. The groups are:

  •

    First group displays following four types of information:

    •

      SQL Server name and its status i.e. whether it is connected or not.

    •

      BUSY Model

    •

      Dongle Server Status

    •

      BUSY Version

  •

    Second group displays the following two type of information:

    •

      Number of Users Allowed i.e. number of Users that can simultaneously work on BUSY.

    •

      Currently connected Users i.e. number of BUSY instances currently opened.

  •

    Third group named Connected Client Details display details of the Client machines that are currently using the BUSY.

  •

    In the fourth group, there are various buttons.  The buttons are:

    •

      Change Server Information – Click this button to change the Server information as specified in the SQL Server Information window.  On clicking this button, a SQL Server Information window appears in which you can specify the Server details.

    •

      Start – Click this button to start the Dongle Server service.

    •

      Stop – Click this button to stop the Dongle Server service.  If you stop this service, then BUSY will run in Demo mode.

    •

      Refresh – Click this button to refresh the window.  On clicking this button, window will be refreshed and will load the fresh details.  For example, a new User has connected to the Server then its detail will be displayed in this screen only when you click the Refresh button..

    •

      Remove from Startup – Click this button to remove this utility from the startup tray.

    •

      Exit – Click this button to exit from this screen.

Client Configuration

On the Client machine, no extra configuration is required.  You simply have to specify server details in the Set Server Information window that appears on clicking the Set Sever Information option under Company menu.

To set the server information, open BUSY application and click the Company à Set Server Information option.  On clicking the Set Server Information option, a Set Server Information window appears.  In the window, specify the Server details to which you want to connect.

Cases

Given below are diagrammatic representations of various cases that will help you to understand this service more easily.
Case1

Case2

Case3


BDNS Manager

Knowledge Documents > Client-Server Documents > BDNS Manager

Overview

Till now, to run BUSY Client-Server model on Internet, you need to obtain a static IP on the Server. But with the coming of the BDNS utility, there is no need to obtain a static IP. By running BDNS utility on both Server and Client machines, you can easily connect both the machines and can work as you work in Client Server model of BUSY on Internet.

BDNS utility works as a mediator to connect the Server and Client machines. On the Server machine, you need to specify a name for your Server and name of Client machines that can connect to the Server with a password with each Client to validate the Client machines. Similarly on the Client machine, you need to specify name of the Client and name of Servers to which you want to connect and the password to connect to the Server. This password will be the same as specified with the Client name on Server machine. For example, on the Server machine, you have specified Server name as GRTraders@mail.com@bdns, Client name as GRTClient1 and password as abcd. In this case the Client machine can connect to the Server by specifying the Server name as GRTraders@mail.com@bdns, Client name as GRTClient1 and password as abcd.

Working of BDNS Utility

BDNS utility works in a peer to peer model. In this model, both the Server and Client machines are connected through a public Server which acts as a mediator. Both the Server and the Client machines send their request to the mediator by giving their own name and the Server and Clients they are searching for along with a valid password. When the mediator finds a similar combination of Server and Client machines along with password which are searching for each other, it then does handshake of both the machines. Handshake here specifies that both the machines are now connected with each other.

Given here is a pictorial representation of working of BUSY DDNS utility.

BDNS utility connects Server and Client machine through a public Server or Mediator hence there are simultaneously many Servers and Clients that want to connect to each other. This increases the possibility that there are more than one Server and Client machines with similar names that want to get connected. For this purpose, we recommend that you give a unique name to your Server machine.

Selecting Server and Client Names

Although there is no validation for Server and Client names and you can give any name of your choice but it is strongly recommended that you give unique name to them. This should be done to avoid cross connection with other people Server. Do not give generic name such as Server or Server1 to your Server machine as it is possible that other people using the same utility can give this name to their Server machine also. It will only lead to cross connection between the Servers.

For example, one of your Client machine is trying to connect to the Server machine and your Server machine is switched off at that time. A computer with similar Server name is connected at that time. In this case the Client machine will try to connect to that Server but as the password will not match it will give an error message that password is incorrect. In this case, the Client can get confused as it has given the right password and is still not able to connect to the Server. This is because it is trying to connect to a different Server which is having the same name. Hence to avoid such type of confusions, you must give unique name to your Server.

To make your Server name unique, you can give your Email ID as your Server name as Email ID is always unique or you can give your firm’s or company’s name to the Server. For example, your Email ID is GRTraders@mail.com then you can give Server name as GRTraders@mail.com@bdns. The Server name must always end with ‘@bdns’.

BDNS utility is very simple to configure and use. We will now have a look at the steps involved in configuring this utility at both the Server and Client machines.

Configuration on Server Machine

On the Server machine, you need to perform the following steps:

Step 1: Run wodvpn.exe and then run BDNS utility as provided by BUSY. On running the BDNS utility, a Busy DDNS Manager window appears. In the window, click the Configuration button.

Step 2: After clicking the Configuration button, select the Server option in the window. On selecting the Server option, specify a name for the Server in the text box that appears in front of this option.

Step 3: After specifying the Server name, specify names of Client machines that can connect to the Server. Along with specifying Client machine name, you have to specify a password for the Client machine also. Client machine name and password should be separated by a semi colon (;). For example, the Client machine name is GRTClient1 and the password to be given to it is abcd then you should write it as GRTClient1;abcd. A Client can connect to the Server only when it passes all the three parameters i.e. Server name, Client name and Password correctly.

Step 4: Click the Save button to save the configuration specified by you.

Given here is a screenshot of Busy DDNS Manager window with the configuration as specified on the Server machine.

Busy DDNS Manager window

In the Busy DDNS Manager window, you can also view the status of the Clients and can start or stop connection of any of the Client machine. For this purpose, click the Run button in the Busy DDNS Manager window. On clicking the Run button, the window will display list of all the Clients along with their IP address and Status (Idle, Searching, Connected, Host not found…). At the bottom of the window there are two buttons. The buttons are:

  • Start / Stop – Click this button to start or stop connection with the Client machine.
  • Refresh – Click this button to refresh the screen.

Configuration on Client Machine

On the Client machine, you need to perform the following steps:

Step 1: Run wodvpn.exe and then run BDNS utility as provided by BUSY. On running the BDNS utility, a Busy DDNS Manager window appears. In the window, click the Configuration button.

Step 2: After clicking the Configuration button, select the Client option in the window. On selecting the Client option, specify your Client machine name in the textbox that appears in front of this option.

Step 3: After specifying the Client name, specify the Server name to which you want to connect along with the password which is given with your Client machine name at the Server machine. For example, you are GRTClient1 and want to connect to Server named GRTraders@mail.com@bdns. At this Server, password for GRTClient1 is given as abcd. In this case, you will write GRTraders@mail.com@bdns;abcd in the textbox.

Step 4: Click the Save button to save the configuration specified by you.

Given here is a screenshot of Busy DDNS Manager window with the configuration as specified on the Client machine.

Busy DDNS Manager window

In the Busy DDNS Manager window, you can also view the status of the Server and can start or stop connection with the Server machine. For this purpose, click the Run button in the Busy DDNS Manager window. On clicking the Run button, the window will display list of Servers along with their IP address and Status (Idle, Searching, Connected, Host not found…). At the bottom of the window there are two buttons. The buttons are:

  • Start / Stop – Click this button to start or stop connection with the Server machine.
  • Refresh – Click this button to refresh the screen.

Configuring BUSY on Client Machine

After configuring BDNS utility on the Client machine, next you have to configure BUSY, to be able to connect to the Server machine. To connect to the Server, perform the following step:

Step1: Run BUSY application on Client machine and click the Set Server Information option. On clicking the Set Server Information option, a Please Specify the Server Information window appears. Given here is a screenshot of Please Specify the Server Information window.

Please Specify the Server Information window

In the Please Specify the Server Information window, specify the following details:

  • Server Name – Specify Server name to which you want to connect. For example, GRTraders@mail.com@bdns.
  • User ID – Specify the User ID that Server machine uses for running SQL Server.
  • Password – Specify password that Server machine uses for running SQL Server.

After specifying the details in the Please Specify the Server Information window, click the Save button. BUSY will then connect to the Server as specified by you and you are ready to work on the Server machine.


Data Server from BUSY

Knowledge Documents > Client-Server Documents > Data Server from BUSY

Background

Sometime back, the Client-Server edition of BUSY (MS-SQL based) was introduced, which provided the facility to use BUSY through Internet, storing data on a remote Data Server. In this model, both Client and Server computers need to be connected to the Internet. Whereas the Data Server requires an Internet connection with static IP, the Client computer can have a normal Internet connection with a minimum speed of 256 Kbps.

This model provides the flexibility of sharing the data online from multiple locations across the globe.

Problem

As mentioned above, in order to work in Internet mode, one needs to setup a Data Server where all the data would be stored. The Data Server needs to be connected to an Internet connection with a static IP. It also requires a Server operating system and MS-SQL Server software. Besides, the Data Server should have a good firewall or a good security system to protect the server from unauthorised persons and hackers.

All above tasks require technical expertise, which normally is not available with small businesses.

Solution

To free small businesses from the hassles of setting up a Data Server of their own, BUSY now has installed its own Data Server where any Customer can share the server space on paying a monthly rental.

The Data Server installed by BUSY will work as a Remote Server for the Customers who want to work online without going into the hassles of setting up their own server.

Moreover, by sharing the space on Data Server from BUSY, the Customers will be free from bothering about the security of the data and from taking regular backups of the data.

To summarise, the advantages of using BUSY Data server are:

  1. No technical expertise required in setting up and maintaining Data Server.
  2. Saving in the cost of setting up and maintaining the Data Server.
  3. No need to worry about data backup / security.
  4. Ability to scale up (grow in data size) without adding more hardware.

To use the Data Server from BUSY, all you require is a computer with an Internet connection of minimum 256 Kbps speed. And you are ready to work online.

Testing the Solution

Using Data Server from BUSY is a very simple process. We strongly recommend you to test the same first-hand before taking the decision to go ahead. To do so, you need to follow five simple steps, as explained below:

  1. Install BUSY
  2. Download Trial Security File from Internet
  3. Configure BUSY in Client-Server mode
  4. Set Security File Path in BUSY
  5. Run BUSY Application

1. Install BUSY

You can install BUSY either through CD or you can download the Demo version of BUSY through our website www.busy.in. Installation process is quite simple and self-explanatory.

2. Download Trial Security File from Internet

To work on the BUSY Data Server, you need to download the Trial Security File from the Internet. This encrypted security file contains the Server details such as Server IP, User Name and Password. This information is required by the Client computer to connect to remote Server.

  • To download the Trial Security File, follow the following steps:
  • Open Internet Explorer.
  • Type http://www.busywin.com/public in the address bar.
  • A Web page will appear. Click Remote Server Trial option in it.

On clicking the Remote Server Trial option, another web page will appear with two options: Parent Directory and Busy2ls.dll. Given here is a screenshot of web page that appears on clicking the Remote Server Trial option.

Remote Server Trial option
  • Click Busy2ls.dll option.
  • On clicking the Busy2ls.dll option, a File Download window will appear.
  • Click the Save button in the window to download the file.
  • On clicking the Save button, a Save As window will appear.
  • Save the file in the System folder of BusyWin directory or save it in any other location and copy it to the System folder of BusyWin directory.

3. Configure BUSY in Client-Server mode

If you have SC (Standard Client-Server) or PC (Premium Client-Server) dongle then BUSY will automatically start in Client-Server mode. Otherwise, to start BUSY application in Client-Server mode, you have to perform the following steps:

  • Create a separate icon of BusyWin.
  • To create a separate icon of BusyWin, perform the following steps:
  • Double click My Computer icon.
  • Double click the drive where BUSY is installed and then double click the BusyWin folder. For example if BUSY is installed in C drive then double click the C drive and then click the BusyWin folder.
  • Right click BusyWin.exe.
  • Select Send To à Desktop (Create Shortcut) option.

Given here is a screenshot displaying Send To à Desktop (Create Shortcut) option.

Desktop (Create Shortcut) option

This will create an icon of BusyWin on the desktop. You can rename this icon as per your requirement.

  • Right click the BusyWin icon you have created on the desktop and select the Properties option.
  • Click the Shortcut tab and then specify SC or PC as Command Line Argument in the Target field.

Given below is a screenshot of Shortcut to Busywin.exe Properties window with Command Line Argument specified in it.

Command Line Argument

In the Target field, some text displaying the path from where this shortcut will be run already appears. You simply have to write the Command Line Argument ahead of that text. For example, "C:\BusyWin\BusyWin.exe" is already appearing in the Target field and you want to run BUSY in Standard Client Server mode. For this you simply have to write "/sc” as Command Line Argument. The text will then look like “C:\BusyWin\BusyWin.exe /sc”. For Premium Client-Server mode, please specify “C:\BusyWin\BusyWin.exe /pc”.

4. Set Security File Path in BUSY

Once you have downloaded the security file from the Internet, the next step is to specify the path of the security file in BUSY. To set the security file path, perform the following steps:

  • Run BUSY application from the newly created icon.
  • Open Company menu and click Set Server Information option.
  • On clicking the Set Server Information option, a Server Information window appears. Given here is a screenshot of Set Server Information window.
Set Server Information window

  • In the Set Server Information window, click the Read Server Information From Security File option. On clicking the option, a Read Server Information From Security File group gets activated in which you have to specify the name and path of the security file that you have downloaded from the Internet. You can also specify the path of the file by clicking the Browse button. For example, you have downloaded Busy2ls.dll file from the Internet and saved it in the System folder of BusyWin in C drive. In such a case you have to specify the path as c:\BusyWin\System\Busy2ls.dll.
  • Click the Ok button.

5. Run BUSY Application

After you have set the security file path, the next step is to start working on BUSY. To work on BUSY, you have to follow the following steps:

  • Run BUSY.
  • Open Company menu.
  • Click Open option. On clicking the Open option, a window displaying the list of the companies created for the trial purpose will be displayed. Select the company and start working on it.

While using the trial company, make sure that you are having the latest version of BUSY.

Now all the data you enter in the selected company will get stored on the BUSY Data server. An important point to note here is that for storing work on BUSY Data server, you should have uninterrupted Internet connection. Without Internet connection you will not be able to store work on BUSY Data server.

Commercial Offer

To rent space on BUSY Data Server, you need to pay a monthly rental per Concurrent User.

Charges for Shared server - Rs. 900.00/Concurrent User/Month

Service Tax extra as applicable (Currently 12.36 % ).

Concurrent Users refer to the numbers of Users working concurrently (simultaneously) on the same data. No. of Concurrent Users is not linked to the number of computers on which BUSY is installed. You can install BUSY on any number of systems but at any given point of time, only the number of Concurrent Users for which you are paying the rental will be able to access the data.

If there are three persons who would be working simultaneously on the same data, then you should pay for three Concurrent Users.

A Customer can opt for any number of Concurrent Users as per his requirement, subject to a minimum based on the data size. The same is tabulated as below:

Minimum Concurrent user Requirement

Slab | Company’s Data (in MB) | Minimum Concurrent Users
1 | 0- 250 | 1
2 | 250 – 500 | 2
3 | 500 – 750 | 3
4 | 750 – 1000 | 4

And so on…

Given below is an example of calculation of minimum Concurrent Users:

Company 1 Company2 Company 3

Data Size 150 MB 400 MB 950

Minimum Concurrent Users 1 2 4

Minimum Charges per Month 900 1800 3600

There is no limit on maximum concurrent users.


Accessing BUSY on Remote Server

Knowledge Documents > Client-Server Documents > Accessing BUSY on Remote Server

Remote Server

Remote server is a computer placed anywhere in the world and any authorised person can access or use resources of it through Internet connection from any location.

For example, a company has its head office in Delhi and branches all over the country. If the data entered through all branches needs to be stored/retrieved on the computer placed at head office directly then the computer at the head office will become the Remote Server for all other computers lying at different branches. Here the Application Software is installed at the individual computers in all the branches and the data is being saved centrally at the head office.

In the above example, benefit of saving data at Remote Server is that all the branches and the head office are always synchronised and have access to the latest updated data.

BUSY Client Server model can be used easily to save/retrieve your data on any Remote Server.

Using BUSY Client Server model with Remote Server

The computer from where the Application Software is installed and used is called the Client Computer and the computer where the data is being saved is called the Server Computer.

Prerequisite for client and server computer are:

Server
  1. Windows Server OS (Recommended Windows 2003 Sever with SP2)
  2. MSSQL 2000 (With SP4)
  3. Anti Virus Software
  4. Internet connection with Static IP (Minimum 512 KBPS)
Client
  1. Windows 98/2000/XP/2003
  2. BUSY (Client Server model)
  3. MDAC 2.8
  4. Internet Connection (Minimum 256 KBPS)

As mentioned above, these are the basic requirements on both the server and the client machine by fulfilling which you can run BUSY on a Client computer while saving data on a Remote Server. After fulfilling these requirements, follow the steps mentioned below to configure and run BUSY with remote server.

Steps Involved

  1. Set up Server computer (Install Windows Server 2003, MS SQL 2000 and Anti Virus Software
  2. Set up Client Computer (Install BUSY and MDAC 2.8)
  3. Configure BUSY to run in Client Server mode
  4. Specify Server details in BUSY (Using Set Server Info option)
    Step 1: Set up Server computer

    The very first step you have to perform is to make a computer as Server. For this purpose, you have to install a Windows Server OS in it (we recommend Windows 2003 Server with SP2 as its inbuilt firewall is very strong). After this you have to install MSSQL 2000 and a good anti virus software on the computer.

    For installing SQL Server 2000, you can refer to the ‘Client-Server Model in BUSY’ document.

    You should also make sure that the computer you are setting up as Server should have Internet connection with static IP Address and a minimum speed of 512 KBPS.

    Step 2: Set up Client Computer

    The next step is to install BUSY and MDAC 2.8 (MS SQL connectivity drivers) on all the client machines. BUSY is to be installed in normal mode as we install in non Client Server mode. To install MDAC 2.8, simply go to the MDAC 2.8 folder and run the Setup.

    MDAC 2.8 is available in BUSY CD ‘\Drivers’ folder.

    You should also make sure that client machines have Internet connection (Static IP not required) with minimum speed of 256 KBPS.

    Internet connection on both the server and the client machine should be Broadband/DSL. There should not be any wireless Internet connection either on client or on server machine.
    Step 3: Configure BUSY to run in Client Server mode

    Next you have to configure BUSY installed on client machines to be able to run in client server mode. If you have SC (Standard Client Server) or PC (Professional Client Server) dongle then BUSY will automatically start in Client Server mode. Otherwise if you do not have a SC or PC dongle then to start the BUSY application in Client Server mode, perform the following steps:

    Create a separate icon of BUSY.

    Right click the BusyWin icon you have created and select the Properties option.

    Click the Shortcut tab and then specify SC or PC as Command Line Argument in the Target field. Given below is a screenshot of Shortcut to Busywin.exe Properties window with Command Line Argument specified in it.

    In the Target field, some text displaying the path from where this shortcut will be run already appears. You simply have to write the Command Line Argument ahead of that text. For example, "C:\BusyWin\BusyWin.exe" is already appearing in the Target field and you want to run BUSY in Standard Client Server mode. For this you simply have to write "/sc” as Command Line Argument. The text will then look like “C:\BusyWin\BusyWin.exe /sc”. For Professional Client Server mode please specify “C:\BusyWin\BusyWin.exe /pc”.

    Step 4: Specify Server details in BUSY

    Once BUSY starts in Client Server mode, you need to specify the Server details (IP Address, User ID and Password of the SQL Server installed on Remote Server) to access database of BUSY on a remote server.

    To specify Server details on the client machines, perform the following steps:

    • Run BUSY in Client-Server mode.
    • Open Company menu and click the Set Server Information option.

    On clicking the Set Server Information option, a Please Specify the Server Information window appears. Given here is a screenshot of Please Specify the Server Information window.
    Please Specify the Server Information window

    In the Please Specify the Server Information window, following data fields appear:

    • Database – Specify the name of the database in this data field. By default MSSQL appears in the data field. This need not be changed.
    • Server Name – Specify the IP Address of the remote server in this data field.
    • User ID – Specify a valid MSSQL server User ID in this data field. Default MSSQL Server user name is sa. If you have created a new user then make sure that the new user should have the same rights as user sa.
    • Password – Specify password for the user name specified. If you are using the sa user then specify the password that you have specified for the user name sa at the time of registering for a new Server on the remote server.
    • Above Information is valid only for current Session – Select this checkbox if you want that the Server information provided will be saved only till the BUSY is opened. Once you close the BUSY and again open it then the default Server information will appear. On the other hand, if you do not select this checkbox then the information specified will get saved and next time when you open BUSY then the save information will be displayed in the Set Server Information window.

    After entering the necessary details, click the Save button to save these details.

    Now all the steps involved are complete and you can start using BUSY as you would use in non Client Server mode.

    Troubleshooting

    While connecting to Remote Server, sometimes some connectivity problems occur. In case, if you are not able to connect to the Remote Server then you can check for the following details:

      1. Make sure that MDAC 2.8 is loaded on the client machine.
      2. Check whether the internet connectivity has been established to the Remote Server or not by using the Ping command explained below. To use the PING command, perform the following steps:
        • Go to Start menu à click Run option and type PING with the IP address of the Remote Server followed by ‘-t’. Given below is a screenshot of Run option.
        • Click the Ok button or press Enter key.
        • On clicking the Ok button, if the connection to the Remote Server has been established then the following screen would appear.

      • If the connection to the Remote Server cannot be established then the following screen will appear:

        • In such a case, try the following:

            • Check that the Internet connection is working properly at both Client & Server computers.
            • Temporarily remove anti virus software from Client / Server computers, as sometime the anti virus software or firewalls blocks the connection to the remote server.

          3. Make sure that the firewall installed at your server has allowed incoming SQL requests.

          4. Make sure that the User Name specified in Set Server Information should be either sa or should have equivalent rights.


BUSY SAS

Knowledge Documents > Client-Server Documents > BUSY SAS

Software As Service

Software As Service (SAS) provides the facility of storing data of your company on the BUSY server. By using SAS you can secure the data of your company. As the data resides on the BUSY server, there is no need to take backup of the company data; also the concurrent user working on the data will always get the latest updated data.

To store work on the BUSY Server, you have to connect to the BUSY Server. You can connect to the BUSY server through an encrypted security file provided by BUSY itself. Security file contains the server details through which the client machine is connected to the server. For example, to connect to a server, you have to specify the server details such as username, password and so on. But with the security file there is no need to specify these details and you can connect to the server by specifying the path where the security file is stored.

We are offering the facility to use SAS on the trial basis. Using SAS is a very simple process. To test SAS or to use SAS on trial basis, you need to follow simple five steps. The steps are:

  1. Install BusyWin
  2. Download Demo Security File from Internet
  3. Configure BusyWin in Client-Server mode
  4. Set Security File Path in BusyWin
  5. Start Demo

1. Install BusyWin

To use SAS, first of all BusyWin should be installed on your computer. You can install BUSY either through the CD or you can download the Demo version of BUSY through our website www.busy.in. To install BUSY through CD perform the following steps:

  • Insert CD into CD-ROM Drive.
  • Double click the My Computer folder to open the CD folder.
  • In the CD folder, there is a BusyWin folder which has version name appended with it. For example if you have purchased 3.4 version of BUSY then a folder with the name Busy3.4 will appear or if you have purchased 3.5 version of BUSY then a folder with the name Busy3.5 will appear. Double click this Busy (version name) folder.

Given here is a screenshot of various options that appear in the Busy (version name) folder.
  • Double-click the Setup.exe file in the CD folder to start the Setup Wizard. If you have downloaded the demo version from Internet then click the BusyWinSetup.exe file downloaded by you.

Given here is a screenshot of the first screen that appears on clicking the Setup file.

Setup Wizard will guide you through the rest of the installation process. This may take a few minutes and BusyWin will get successfully installed.

2. Download Demo Security File from Internet

To work on the Busy Server, you have to download the demo security file from the Internet. This security file is provided on BUSY website. To download the file, perform the following steps:

  • Open Internet Explorer.
  • Type http://www.busywin.com/public in the address bar.
  • A Web page will appear, click the Remote Server option in it.

On clicking the Remote Server option, another web page will appear with two options: Parent Directory and Busy2ls.dll.

  • Click Busy2ls.dll option.
  • On clicking the Busy2ls.dll option, a File Download window will appear.
  • Click the Save button in the window to download the file.
  • On clicking the Save button, a Save As window will appear.
  • Save the file in the System folder of BusyWin or save it at any other location and copy it to the System folder of BusyWin.

3. Set BusyWin in Client-Server mode

If you have SC (Standard Client Server) or PC (Premium Client Server) dongle then BUSY will automatically start in Client Server mode. Otherwise if you do not have a SC or PC dongle then to start the BUSY application in Client Server mode, perform the following steps:

  • Create a separate icon of BusyWin.
  • To create a separate icon of BusyWin, perform the following steps:
  • Double click My Computer icon.
  • Double click the drive where BUSY is installed and then double click the BusyWin folder. For example if BUSY is installed in C drive then double click the C drive and click the BusyWin folder.
  • Right click BusyWin.exe.
  • Select Send To --> Desktop (Create Shortcut) option.

Given here is a screenshot displaying Send To --> Desktop (Create Shortcut) option.

This will create an icon of BusyWin on the desktop. You can rename this icon as per your requirement.

  • Right click the BusyWin icon you have created on the desktop and select the Properties option.
  • Click the Shortcut tab and then specify EC as Command Line Argument in the Target field. Given below is a screenshot of Shortcut to Busywin.exe Properties window with Command Line Argument specified in it.

In the Target field, some text displaying the path from where this shortcut will be run already appears. You simply have to write the Command Line Argument ahead of that text. For example, "C:\BusyWin\BusyWin.exe" is already appearing in the Target field and you want to run BUSY in Standard Client Server mode. For this you simply have to write "/ec” as Command Line Argument. The text will then look like “C:\BusyWin\BusyWin.exe /ec”.

4. Set Security File Path

Once you have downloaded the security file from the internet, the next step is to specify the path of the security file in BUSY. To set the security file path, perform the following steps:

  • Run BUSY application.
  • Open Company menu and click Set Server Information option. On clicking the Set Server Information option, a Please Specify the Server Information window appears. Given here is a screenshot of Please Specify the Server Information window.
Please Specify the Server Information window

In the Please Specify the Server Information window, click the Read Server Information From Security File option. On clicking the option, a Read Server Information From Security File group gets activated in which you have to specify the name and path of the security file that you have downloaded from the internet. You can also specify the path of the file by clicking the Browse button. For example, you have downloaded Busy2ls.dll file from the internet and saved it in the System folder of BusyWin in C drive. In such a case you have to specify the path as c:\BusyWin\System\Busy2ls.dll.

  • Click the Ok button.

5. Start Demo

After you have set the security file path, the next step is to start working on BUSY. To work on BUSY, you need to create the company on the BUSY Server. To create the company, perform the following steps:

  • Run BusyWin application.
  • Open Company menu.
  • Click Open option. On clicking the Open option, a window displaying the list of the companies created for the trial purpose will be displayed. Select the company and start working on it.

Now all the data you enter in the selected company will get stored on the BUSY server. An important point to note here is that for storing work on BUSY server, you should have uninterrupted internet connection. Without internet connection you will not be able to store work on BUSY server.


Client Server Model in BUSY

Knowledge Documents > Client-Server Documents > Client Server Model in BUSY

Implementation

Before starting the implementation of Client Server in BUSY, let us first understand working of a Business Application (e.g. BUSY) with databases. Any Business Application consists of three main components:

a) Application

b) Database Engine (DBE)

c) Data Files

Business Application interacts with the DBE for the saving/retrieval/processing of data and the DBE in turn interacts with the Data Files for saving/retrieval of data.

There are primarily two types of database technologies

a) File Server

b) Client Server

In File Server mode, the Application and the DBE resides on the same computer whereas the Data Files may reside on the same computer or some other computer. Examples of File Server Database are MS Access, Dbase, Paradox, FoxPro or any other Flat File Database.

In Client Server mode, the DBE and the Data Files resides on the same computer and the Application may reside on the same computer or some other computer. Examples of Client Server Databases are MSSQL, Oracle, Informix, Ingress, MYSQL etc.

For avoiding confusion we would be discussing the most common Multi-User case where the Application and the Data Files resides on different computers. We would be referring the computer where the Application is residing as Client and the computer where the Data Files are residing as Server.

File-Server Mode

Given below is a pictorial view of a File Server Based Application. Here the Application and the DBE are residing on the Client and the Data Files are residing on the Server.

Client-Server Mode

Given below is a pictorial view of a Client Server Based Application. Here the Application is residing on the Client and DBE and the Data Files are residing on the Server.

Advantages of Client Server

Since the DBE and the Data Files resides on a single computer only, all the data processing takes place on the Server computer only. So first of all it improves the speed of data processing resulting in better application speed. Second in case of network failure between Client and Server (Which is very common), the data processing does not get affected hence improving the data integrity and reliability.

After discussing the difference between the Client-Server and the File-Server models, let us discuss the Database technologies available in BUSY and implementation of Client-Server in BUSY.

Database Technologies available in BUSY

Before Ver. 3.0(4a), BUSY was based on File Server Technology only (MS Access as Backend Database. Now starting from BusyWin 3.0(4a) version we have the option to choose the backend Database. User can use BUSY either in File Server mode (MS Access Database) or Client Server mode (MSSQL Database).

Different models of BUSY

Till now we have 4 models of BUSY software

a) SS (Standard Single-User)

b) PS (Professional Single-User)

c) SM (Standard Multi-User)

d) PM (Premium Multi-User)

All the above four model works in File Server mode (MS Access based). Now we have introduced two more models to provide Client Server database capabilities

a) SC (Standard Client-Server)

b) PC (Premium Client-Server)

SC would provide the features of Standard Edition in Client Server mode and PC would be providing features of Professional Edition with Client Server mode.

Client Server would always be Multi-User but unlike SM & PM, where a single dongle is sufficient for all the computers in a LAN, all the Client computers in Client-Server mode would require independent dongle of either SC or PC model.

Maintaining our old tradition, we still have the single BUSY application, which would switch to relevant database mode depending upon the dongle installed on the computer. If no dongle were installed on the computer then the default mode would be File Server mode (MS Access).

Requirement for Client-Server model

1. Operating System requirement

  • For Server: Any Server operating system such as Windows Server 2000, Server 2003, XP Server and so on which can run MSSQL Server 2000.
  • For Clients: Windows 98 or any higher version.

2. Software requirement

  • For Server: MSSQL Server 2000 Database Server with SP4.
  • For Clients: BUSY Application, ODBC Connectivity Drivers and SQL Server 2000 Client Tools (Although Client Tools are not required for the running of BUSY, these may be required for troubleshooting)

After going through the requirements for running Client-Server model, let us now have a look at the steps to configure Client-Server model.

Steps to Configure Client Server model

On Server
  1. Install SQL Server 2000 Server Database with SP4 (Set the Authentication Mode to ‘Mixed Mode (SQL Server & Windows)’ and NOT on ‘Windows Only’)
  2. Register for a new Server through Enterprise Manager. While registering new Server, you can specify a name to this server. This server name would be required while specifying Server Information on Client computers.
  3. Change the password for the default User SA. This password would again be required while specifying Server Information on Client computers.
On Client machine
  1. If you have SC (Standard Client Server) or PC (Professional Client Server) dongle then BUSY will automatically start in Client Server model.
  2. If you do not have a SC or PC dongle then to start the BUSY application in Client Server model, perform the following steps:

2.1 Create a separate icon of BUSY.

2.2 Right click the BusyWin icon you have created and select the Properties option.

2.3 Click the Shortcut tab and then specify SC or PC as Command Line Argument in the Target field. Given below is a screenshot of Shortcut to Busywin.exe Properties window with Command Line Argument specified in it.

In the Target field, some text displaying the path from where this shortcut will be run already appears. You simply have to write the Command Line Argument ahead of that text. For example, "C:\BusyWin\BusyWin.exe" is already appearing in the Target field and you want to run BUSY in Standard Client Server mode. For this you simply have to write "/sc” as Command Line Argument. The text will then look like “C:\BusyWin\BusyWin.exe /sc”.

After configuring Client-Server model, the next step is to install the ODBC Connectivity Drivers in the client computer.

Installing ODBC Connectivity Drivers

In Windows 2000 / XP, ODBC Connectivity Drivers are part of the OS itself so there is no need to install them separately. For Windows 98, you need to install ODBC Connectivity Drivers. These drivers are available from Microsoft in the form of MDAC (Microsoft Data Access Components) Ver. 2.8. For the convenience of users we have provided these drivers in the BUSY CD (\Drivers folder) itself. MDAC is a single executable file by the name of mdac_typ.exe. Kindly go to \Drivers\MDAC2.8 folder in BUSY CD and execute mdac_typ.exe file and the ODBC Connectivity Drivers would be installed in the client computer.

In case of Windows 2000 / XP although it is not required to install these drivers, you may install them in case of any problem in connectivity of client with the server.

After installing the ODBC Drivers, next step is to specify the Server related information in the BUSY application.

Setting Server Information

When you run BUSY on Client-Server mode then instead of Companyà Set Data Directory, Company à Set Server Information option appears in the Company menu.

  • Click the Set Server Information option to specify details related to the Server.
  • On clicking the Set Server Information option, a Please Specify the Server Information window appears. Given here is a screenshot of Please Specify the Server Information window.
Please Specify the Server Information

In the Please Specify the Server Information window, there are various data fields. The data fields are:

  • Database – Specify the database name in this data field (Fixed as MSSQL for the time being).
  • Sever Name – Specify the Server name in this data field as specified at the time of registering a new Server.
  • User ID – Specify a valid MSSQL server User ID in this data field. Default MSSQL Server user name is Sa.
  • Password – Specify password that you have specified for the user name Sa at the time of registering for a new Server.
  • Above Information is valid only for current Session – Select this checkbox if you want that the Server information provided will be saved only till the BUSY is opened. Once you close the BUSY and again open it then the default Server information will appear. On the other hand, if you do not select this checkbox then the information specified will get saved and next time when you open BUSY then the save information will be displayed in the Set Server Information window.

This is the only configuration required to run BUSY in Client Server mode. Once this configuration is done, BUSY will work as it is as it works in File server mode (MS Access).

Data Exchange between Client-Server and File-Server mode

If you are working in File-Server mode and want to work in Client-Server mode then BUSY provides you with the BUSYAcces2SQL utility. This utility will convert the existing data from MS Access to MSSQL. The process of converting data may take some time depending upon the size of the data.

The BUSYAcces2SQL utility is provided in the Add-On & Utilities folder in BUSY CD.

The same process can be reversed also. If you are working in Client-Server mode and want to work in File-Server mode then you can use the same BUSYAccess2SQL utility to convert data from MSSQL to MS Access.


Multi Branch Accounting

Knowledge Documents > Client-Server Documents > Multi Branch Accounting

Overview

Multi Branch Accounting feature is introduced keeping in view the need of the companies having multiple branches across various locations. In general, a company has various branches at different locations and work of all those branches is managed and controlled by the Head Office. In other words, we can say that all the branches work independently from their respective locations but their work is stored at a central location, generally at Head Office. If we take example of a company in which computerised records are maintained then in that case all the branches feed data from their respective branches but data is stored at the Server lying at Head Office.

In BUSY, provision has been made to maintain multiple branches and synchronize branch‘s data to the Head Office. For this purpose, two modes, Online mode and Offline mode are provided. In Online mode all the Branch Office of the company log on to the Server of the Head Office and work directly on it. In the Offline mode all the Branch Office of the company work or feed data on their local machines and whenever required add or merge their data to the Head Office Server.

In the Online mode, both the Head Office and Branch Office need to have an uninterrupted Internet connection. If the Internet connection breaks at any time then data will not be saved at the Head office. In the Offline mode, Internet connection is required only at the time of adding or merging data from Branch Office to Head Office. Otherwise Branch Offices can feed data on their local machines without any Internet connection.

Implementing Multi Branch Accounting

Implementing Multi Branch Accounting refers to creating multiple branches of the company and setting the required configurations at the Head Office machine and Branch Office machine. Steps involved in the process of configuration of Head Office and Branch Office machines depend upon the mode i.e. Online or Offline in which you are working.

To implement Multi Branch Accounting feature, separate configuration is required at the Head Office and at the Branch office both for the Online mode and Offline mode. Given below is a summarised view of the configuration required for the Online mode and Offline mode.

Online Mode

Head Office Configuration

Step 1. Creating Master Series Group

Step 2. Creating Voucher Series Group

Step 3. Creating & Configuring Multiple Branches

Step 4. Allocating Branch to User

Branch Office Configuration

Step 1. Setting Server Details

Offline Mode

Head Office Configuration

Step 1. Creating Voucher Series Group

Step 2. Creating & Configuring Multiple Branches

Step 3. Allocating Branch to Users

Step 4. Configuring Data Synchronization Details

Step 5. Exchanging Data

Branch Office Configuration

Step 1. Configuring Data Synchronization Details

Step 2. Exchanging Data

Online Mode

In the Online mode, data is directly fed from Branch office to the Server lying at Head Office. For this purpose, continuous Internet connection is required at both Head Office and Branch Office as all the data which is fed from Branch Office is stored at Head Office only through Internet. Let us now discuss the configuration required at the Head Office and Branch Office to implement Online mode in BUSY.

Head Office Configuration

Head Office or we can say the Server where data from all the Branches will be stored requires special configuration. Configuration steps involved at the Head Office are:

1. Creating Master Series Group

2. Creating Voucher Series Group

3. Creating and Configuring Multiple Branches

4. Allocating Branch to User

Let us discuss these steps in detail.

1. Creating Master Series Group

Master Series Group refers to grouping of masters of different Master Types under one Group. For example, under a single Master Series Group, you can tag various Account masters, Item masters, Material Centre masters and so on. Let us take a more precise example. You want to create a Master Series Group named Mumbai for the Mumbai Branch Office. Under this group you want to tag only the following masters: all the Account Groups falling under Mumbai Creditors and Debtors Account Group, VAT Sale / Purchase Type used for Mumbai Branch and all the Material Centres falling under the Mumbai MC Material Centre Group. This can be possible only through Master Series Group. To create a Master Series Group, you need to perform the following steps:

Step 1: Enable Master Series Groups feature under Administration à Configuration à Features / Options à Enterprise Features tab. On enabling this feature, a Configure button appears next to it. On clicking the Configure button, a Select Master Type for Master Series Group window appears in which you can select the Master Types for which you want to allow Master Series Group tagging. Only, the Master Types selected in the window can be tagged under a Master Series Group.

Step 2: After enabling the Master Series Group feature, Master Series Group master starts appearing in the Masters menu. Click Administration à Masters à Master Series Group à Add option to create Master Series Group master. On clicking the Add option, a Master Series Group Master – Add window appears in which you can create the required Master Series Group. Given here is a screenshot of Master Series Group Master – Add window.

Master Series Group Master – Add window

Step 3: After creating Master Series Group master, the next step is to allocate different masters to the Master Series Group master.  For allocating masters to a Master Series Group, a Tag Master Series Group window appears at the time of saving the master.  For example, you want to allocate Mumbai MC Material Centre Group master to the Mumbai Master Series Group.  For this purpose, open Mumbai MC Material Centre Group in Modify mode and click the Save button.  On clicking the Save button, a Tag Master Series Group window will appear.  The window will display list of all the Master Series Groups created so far.  Select the required Master Series Group from the list (Mumbai in our case) and click the Ok button.  Given here is a screenshot of Tag Master Series Group window that appears in various Masters.
Tag Master Series Group window

After following the above three steps, you will be able to create a Master Series Group and allocate or tag various Masters to it.

2. Creating Voucher Series Group

Voucher Series Group refers to grouping of various voucher series under one group.  For example, you want to create separate set of voucher series for each Branch Office.  For this purpose, you can create separate Voucher Series Group for each Branch Office and tag required voucher series under them.  To create a Voucher Series Group and tag various voucher series under it, you need to perform the following steps:

Step 1: Click Administration à Configuration à Vouchers Configuration option.  On clicking this option, a Voucher Configuration window appears.  In the window, click the Voucher Series Group Management button.  On clicking the button, a Voucher Series Group Management window appears.  Given here is a screenshot of Voucher Series Group Management window.
Voucher Series Group Management window

Step 2: In the Voucher Series Group Management window, create a new Voucher Series Group by clicking the Add Voucher Series Group button.

Step 3: After creating the Voucher Series Group, select the required Voucher Series Group in the Select Voucher Series Group data field.  Select the required Voucher Series that are to be tagged to the Voucher Series Group by enabling the checkbox against them.

After following the above three steps, you will be able to create a Voucher Series Group and allocate or tag various voucher series to it.

3. Creating and Configuring Multiple Branches

Creating and configuring multiple Branches refers to creating Branch master for each of your Branch Office and specifying required details for them.  To create & configure Branch master, you need to perform the following steps:

Step 1: Enable Multi Branch Details feature under Administration > Configuration > Features / Options > Enterprise tab.  On enabling this feature, next to it, a Branch Details button gets active.

Step 2: Click the Branch Details button to create and specify details of the Branch.  On clicking the Branch Details button, a Branch wise Company Details window appears.  Given here is a screenshot of Branch wise Company Details window.
Branch wise Company Details window

Step 3: In the Branch wise Company Details window, click the Add Branch Master button to create a new Branch master.

Step 4: To enter details for the Branch master, select the required Branch in the Branch Name data field.  After selecting the required Branch, enter Branch details in various data fields provided.  Various data fields in the Branch wise Company Details window are:

·          Alias – Enter alias for the Branch in this data field.

·          Address Info – Enter Branch address and other information such as Telephone number, PAN etc. under this group.

·          Branch Configuration – Under this group, following options are provided:

o       Specify State – Select the state in which the Branch office is located.

o       Tag Voucher Series Group – Select Voucher Series Group to be tagged with the Branch Office.

o       Disable Voucher Series Group Filter on Report – Specify ‘Y’ in this data field if you do not want to filter reports on the basis of Voucher Series Group.

o       Tag Master Series Group – Select Master Series Group to be tagged with the Branch Office.

o       Disable Master Series Group Filter on Report – Specify ‘Y’ in this data field if you do not want to filter reports on the basis of Master Series Group.

o       Configure VAT Details - Specify ‘Y’ in this data field to enter VAT details for the Branch Office.  On specifying ‘Y’ in this data field, a VAT / GST button appears in which you can enter VAT related details for the Branch Office.

o       Configure Excise Details – Specify ‘Y’ in this data field to enter Excise details for the Branch Office.  On specifying ‘Y’ in this data field, an Excise button appears in which you can enter Excise related details for the Branch Office.

o       Material Centre Name – Under this grid, you can select the Material Centres to be tagged to the Branch Office.  In the Branch Office, you can use only the Material Centres as specified here.

After entering required data, click the Save button to save the Branch details.

4. Allocating Branch to User

Allocating Branch to a User is required to authenticate a User to work on a particular Branch or we can say a User will be able to use data of only that Branch which is tagged to it.  For example, you have three branches: Mumbai, Pune and Nasik and you want User Rohan to work on Mumbai Branch, User Amit to work on Pune Branch and User Deepak to work on Nasik Branch.  This is possible only through allocation of a Branch to a User.

To allocate Branch master to a User, click Administration à Users à Add option.  On clicking the Add option, a User Profile – Add window appears.  In the window, create the User and select the required Branch in the Specify Branch for this User data field. Given here is a screenshot of User Profile – Add window.
User Profile – Add window

In the User Profile – Add window, there is also a provision to tag Master Series Group and Voucher Series Group to the User.  This is required in case you want more than one User to work from the same branch but want to allocate different Masters and Voucher Series to them.  For example, in the Mumbai Branch, there are two Users Rohan and Rohit.  You want User Rohan to use Mumbai Master Series Group and Mumbai Voucher Series Group and User Rohit to use Mumbai1 Master Series Group and Mumbai1 Voucher Series Group.  For this purpose, you will not tag any Master Series Group and Voucher Series Group to the Branch master; instead you will tag Master Series Group and Voucher Series Group to the User itself.

Branch Office Configuration

In the Online mode, no special configuration is required at the Branch Office.  Users of the Branch Office have to only specify the Head Office Server details in the Set Server Information option provided in the Company menu of BUSY.  After entering valid Server details, they can logon to the company at the Head Office by specifying valid User name and password and can start working on it.  Given here is a screenshot of Set Server Information window.
Set Server Information window

Offline Mode

In the Offline mode, all the Branches work on their local machines and later on add or merge the required data to the Head Office data.  In the Offline mode, Internet connection is required only for adding or merging data to the Head Office.  In this mode, the configuration is required only for adding or merging data to the Head Office.  We will now discuss the steps involved at the Head Office Server and the Branch Office machine for configuring the merging process.

Head Office Configuration

In the Offline mode, the configuration steps involved at the Head Office are:

1.      Creating Voucher Series Group

2.      Creating & Configuring Multiple Branches

3.      Allocating Branch to Users

4.      Configuring Data Synchronization

5.      Exchanging Data

1. Creating Voucher Series Group

Voucher Series Group refers to grouping of various voucher series under one group.  For example, you want to create separate set of voucher series for each Branch Office.  For this purpose, you can create separate Voucher Series Group for each Branch Office and tag required voucher series under them. For details on creating Voucher Series Group, please refer to Creating Voucher Series Group topic explained above in Online mode.

2. Creating & Configuring Multiple Branches

Creating and configuring multiple Branches refers to creating Branch master for each of your Branch Office and specifying required details for them.  For details on creating & configuring Branch master, please refer to Creating & Configuring Multiple Branches topic explained above in Online mode.

3. Allocating Branch to User

To allocate Branch master to a User, click Administration à Users à Add option.  On clicking the Add option, a User Profile – Add window appears.  In the window, create the User and select the required Branch in the Specify Branch for this User data field.

4. Configuring Data Synchronization

Once you have created Branches and allocated required Master Series Groups and Voucher Series Groups to various Branches, the next step is to configure the synchronization details according to which data will be synchronized to the Head Office.  To configure data synchronization details, you need to perform the following steps:

Step 1: Specify ‘Y’ in the Enable HO / BO Data Sync data field in the Administration > Configuration > Features / Options > Enterprise Features tab.  On specifying ‘Y’ in this data field, an Our Status group gets active.

Step 2: In the group, select the Head Office option and click the Configuration button.  On clicking the Configuration button, a Head Office Data Sync Configuration window appears.  Given here is a screenshot of Head Office Data Sync Configuration window.

Head Office Data Sync Configuration window

In the window, various data fields and groups appear in which you can specify the synchronization details.  Various data fields and groups are:

·          Select Branch – Select Branch for which you want to configure data synchronization details.

·          Enable Data Sync for this Branch – Specify ‘Y’ in this data field to enable data synchronization from the selected Branch to the Head Office.

·          Masters Configuration for Data Sync – Under this group, you can specify configuration for Masters Synchronization.  In the group, a grid appears in which you can specify which Master Types can be added / modified in Branch Office, addition / modification made in Head Office is to be sent to the Branch Office or not and so on.  Various options under this grid are:

o       Master Type – This field displays the Master Type.

o       Allow Creation in BO – Specify ‘Yes’ in this data field to allow creation of the specified Master Type in the Branch Office.  For example, in the Master Type data field you have selected Item and in this data field, you have specified 'Yes' then only the Branch office will be allowed to create an Item master. Otherwise if you have specified 'No' in this data field then specified Branch Office will not be allowed to create Item master.

o       Allow Modification in BO - Specify ‘Yes’ in this data field to allow modifying the specified Master Type in the Branch Office.  For example, if you have selected Master Type as Item and specified 'Yes' in this data field then only you will be allowed to modify or make any change in the Item master at the Branch office. Otherwise if you specify 'No' in this data field then you will not be allowed to make any modifications in the Branch office.

o       Send HO Addition to BO – Specify ‘Yes’ in this data field to send any addition in the specified Master Type to the Branch Office.  For example, you have selected Master Types as Item and have specified 'Yes' in this data field then if any Item master is added at the Head Office then that master will be added to the Branch office data.

o       Send HO Modification to BO – Specify ‘Yes’ in this data field to send any modification in the specified Master Type to the Branch Office.  For example, you have selected Master Types as Item and have specified 'Yes' in this data field then if any changes are made in the Item master at the Head Office then those changes will be updated in the Branch office at the time of data synchronization.

o       Update Account / Item / Cost Centre Opening Balance to HO – Enable the checkbox against the required option whose opening balance you want to get updated in the Head Office.

o       Update Account / Item / Cost Centre Opening Balance to BO – Enable the checkbox against the required option whose opening balance you want to get updated in the Branch Office.

·          Material Centre(s) for this Branch – Under this group, you can select the Material Centres, whose data is to be sent to the Head Office.  In other words, vouchers having Material Centres as selected under this grid will only be synchronized to the Head Office data.

·          Vouchers Configuration for Data Sync – Under this group, you can specify configuration for the vouchers synchronization.  In the group, a grid displaying Voucher Types and Series of the Voucher Series Group tagged with the Branch Office appears.  In the grid, you can specify that vouchers of which series can be added / modified in the Branch office and addition/modification of which voucher series is to be sent to the Branch Office.  Various options that appear in the grid are:

o       Voucher Type – This field displays the voucher type.

o       Series Name – This field displays the voucher series.  Only those voucher series are displayed in the list that are grouped under the Voucher Series Group tagged with the Branch.

o       Allow Creation in BO – Specify ‘Yes’ in this field to allow addition of vouchers for the specified Voucher series in the Branch Office.

o       Allow Modification in BO – Specify ‘Yes’ in this field to allow modification of vouchers for the specified Voucher series in the Branch Office.

o       Send HO Addition to BO – Specify ‘Yes’ in this data field to send newly added vouchers of the specified voucher series from Head Office to Branch Office.

o       Send HO Modification to BO – Specify ‘Yes’ in this data field to send modified vouchers of the specified voucher series from Head Office to Branch Office.

After specifying the required details, click the Save button to save the data synchronization details.

5. Exchanging Data

In the Offline mode, Branch office and Head Office receive and send data as and when required.  For example, Head Office has made some modifications in the Masters then those Masters should be updated at the Branch Office also.  Similarly if new Masters are added at the Head Office then Branch Office may also need those Masters.  On the other hand, Head Office has to receive data which is sent by various Branch Offices.  For all these requirements, Receive Data from BO and Bulk Data Updation to BO options are provided at the Head Office level.  Let us discuss these options in detail.

Receive Data from BO

Receive Data from BO option is provided under Administration > Data Export / Import menu.  With this option Head Office receives data from the Branch Office.  Basically when Branch Office sends data to the Head office, data gets ready to be received by the Head Office but actually data gets added or merged to the Head Office only when Receive Data from BO utility is run from the Head Office.

Bulk Data Updation to BO

With Bulk Data Updation to BO option, Head Office can specify Masters and Transactions to be sent to the Branch Office.  With this option, Head Office can select the Masters to be sent to the Head Office or the transactions of a specified date range or of a particular voucher type to be sent to the Branch Office.  With this option Head Office can only specify the range of Masters or Vouchers to be sent to Branch Office.  Actual data will be added or merged to the Branch Office when Branch Office runs the Exchange Data with HO utility provided under Data Export / Import menu.

Branch Office Configuration

In the Offline mode, certain configuration is required for adding or merging Branch Office data to the Head Office.  For this purpose you need to perform the following steps:

1.      Configuring Data Synchronization

2.      Exchanging Data

1. Configuring Data Synchronization

At the Branch office, you need to specify configuration for adding / merging data to the Branch Office.  For configuring data synchronization at Branch Office, perform the following steps:

Step 1: Click Administration à Configuration à Features / Options à Enterprise Features tab.  In the tab, specify ‘Y’ in the Enable HO/BO Data Sync data field.  On specifying ‘Y’ in this data field, an Our Status group gets active.

Step 2: In the Our Status group, select the Branch Office option and click the Configure button that appears next to it.  On clicking the button, a Branch Office Configuration window appears.  Given here is a screenshot of Branch Office Configuration window.
Branch Office Configuration window

In the Branch Office Configuration window, following options appear:

·         Head Office Details for Data Sync – Under this group, you have to specify the Server details of the Head Office where data is to be sent.  Various options that appear under this group are:

o       Read Server Info From File – Select this option to read Server details from security file.

o       Specify Server Info Here – Select this option to specify Server details in the window itself.

o       Specify File – This field gets active on selecting the Read Server Info from File option.  Specify the path and name of Security file from where the Head Office Server details are to be picked.

·          SQL Server Information (HO) – This group gets active only after selecting the Specify Server Info Here option. Various options under this group are:

o       Server Name – Specify the IP address or the Server name of the Head Office Server.

o       User ID – Specify User ID of the Head Office Server.

o       Password – Specify password for the Head Office Server.

·          Company Information for Data Sync - Under this group, you have to specify details of Head Office.  These details will be provided to you by the Head Office itself.  Various options that appear under this group are:

o       Company Code – Specify the company code in this data field.

o       Branch Name / Alias – Specify the name of your Branch Office in this data field.

o       User Name – Specify the User who is authorised to use the Branch data.  An important point to note here is that User you specify here should have the Branch master as specified in the above field tagged to it.  For example, in the Branch Name / Alias data field, you have specified Mumbai and in the User data field you have specified Rohan.  In this case in the User Profile of User Rohan, you must have specified Branch as Mumbai otherwise BUSY will not allow User Rohan to access or use the Branch’s data on the Head Office Server.  It is also mandatory that User Rohan is created at the Head Office irrespective of the fact that it is created at Branch Office or not.

·          Read Head Office Configuration – Click this button to check any discrepancies between the configuration specified by you and the configuration specified at the Head Office. Basically it checks for the following configuration and displays a message if there is a mismatch between the Branch Office configuration and Head Office configuration:

o       Invalid Server Details

o       Invalid Company Details

o       Invalid Material Centres

o       Invalid User

·          Status of Existing Data – Click this button to send existing data (i.e. data till current date) to the Head Office. On clicking this button, a Status of Existing Data message box appears asking your permission to send data to the Head Office. Click the Yes button in the message box to send data to the Head Office. If you have already sent the data then it will overwrite the data at the Head Office.

After specifying the required details, click the Save button to save the data synchronization configuration.

2. Exchanging Data

In Offline mode, Branch offices add or merge data to the Head Office as and when required. For sending / receiving data to / from Branch Office to Head Office, you can use Exchange Data with HO and Bulk Data Updation to HO options, provided under Administration à Data Export / Import menu.  Let us discuss these options in detail.

Exchange Data With HO

This option is used to send and receive data to / from Head office.  On selecting this option, a window appears in which you can click the Send Data to HO button to send data to the Head Office, Receive Data from HO button to receive data from Head Office or Send / Receive Data to/from HO button to send and receive data simultaneously to / from Head Office.

Bulk Data Updation to HO

With Bulk Data Updation to HO option, you can send Masters and Transactions to the Head Office as per your requirement.  With this option, you can select the Masters to be sent to the Head Office or the transactions of a specified date range or of a particular voucher type to be sent to the Head Office. With this option you can only specify the range of Masters or Vouchers to be sent to Head Office. Data will be sent to Head Office only by using the Exchange Data with HO option (explained above).

Let us understand with the help of an example. You have sent certain data to the Head Office and later on it was found that voucher numbering of Payment vouchers for the month of April was not proper and hence you need to send the Payment vouchers of the April month again to the Head Office.  For this purpose, you can select the Administration à Data Export / Import à Bulk Data Updation to HO à Transactions option. On selecting the option, a Send Bulk Data to Head Office window appears in which you can specify the date range from 1st April to 30th April and select the Voucher Type as Payment and click the Ok button.  On clicking the Ok button, a Data Sync message box will appear asking you to run the Exchange Data with HO option to send the selected vouchers to the Head Office.  Click the Ok button in the message box and then select the Exchange Data with HO option to send selected vouchers to the Head Office.


SQL Over Access

Knowledge Documents > Client-Server Documents > SQL Over Access

Advantages of SQL over Access

With the launch of our Client-Server model, we have used SQL as the backend for storing data. SQL has many features that distinguish it from Access. In this document we will discuss various advantages of using Client-Server model (having SQL as Backend) of BUSY over the traditional model (having Access as Backend). Various advantages that SQL have over Access are:

  • No Limit on Data Size
  • No Limit on Concurrent Users
  • Better Performance with Heavy Data
  • Data Reliability
  • Better Security
  • Can be used through Internet

Let us now discuss above mentioned points in detail.

No limit on Data Size

There is no limit to data size in SQL. You can store any amount of data in SQL. On the other hand, in Access, you can store data only up to 2 GB of data in a single F.Y.

No limit on Concurrent Users

There is no limit of concurrent users in SQL whereas in Access, if the number of concurrent users reaches more than ten, it slows down terribly.

Better Performance with heavy data

SQL performance do not get hamper on heavy data whereas performance of Access gets adversely affected on heavy data. For example, if your data is of 10 MB then if MS Access will take approximately 20 seconds to generate a particular report then SQL might take 30 seconds to generate the same report. Now if the data is of 500 MB then MS Access may take approximately 100 seconds to generate the report but SQL will take around 80 seconds to generate the report. So as the data size increases, the performance does not go down proportionally.

Data Reliability

There is more data reliability in SQL. As Database engine and data files reside on the same computer, there are very fewer chances of data getting corrupted in case of network failure between Client and Server, the data processing does not get affected, hence, improving data integrity and reliability. Where as in Access, since database engine and data files resides on different computers, so chances of data corruption are high in case of network failure or power failure.

Better Security

Data is more secured in SQL. Backup or copy of data can be made only on Server machine and not on Client machine. Also the data files can’t be just copied and be used on any other computer.

Can be Used Through Internet

Client-Server model can be used on Internet. Client can access the data on server through Internet.


Tax Related Documents

Tax related documents includes documents on various type of taxes. The documents covered under this section are:

  • Sales Tax and VAT Implementation
  • Excise Duty
  • Tax Deduction at Source (TDS)
  • Service Tax
  • Fringe Benefit Tax (FBT)
  • Deferred ITC


Sales Tax and VAT Implementation

Knowledge Documents > Tax Related Documents > Sales Tax and VAT Implementation

Overview of Sales Tax

Broadly speaking, there are two types of taxes, direct and indirect, which are levied/charged by the government in the economy.

Direct tax is levied on persons (legal or natural) and collected directly by the government. For example, income tax and corporate tax are forms of direct taxation.

Indirect tax is tax levied on goods or services rather than persons or organizations. It is levied on the production or sale of goods or services. The value of indirect taxes is included in the price paid by the consumer (purchaser) for the goods or services. Thus, the tax burden lies on the consumer. Intermediaries (sellers) collect the tax and deposit it with the government. For example, sales tax is a form of indirect taxation.

Thus, there are different types of taxes that are levied in an economy depending on the need of the economy.

Taxes applicable to the Indian Economy

In the Indian scenario, various types of taxes are imposed. Let us have a look at the table given here to understand the different types of taxes.

With respect to the current tax structure, we will discuss Local Sales tax and Central Sales Tax.

The term Sales Tax refers to the tax that is levied on sales. The main aim of imposing tax on sales is that the government should earn revenue on the sales generated in the economy. Thus, this form of taxation is an important source of revenue for the government. Sales can either be local or central. Local sale is sale within the state. For example, if a dealer in Delhi buys car parts from a manufacturer based in Delhi then it is a local sale. On the other hand, Central sale will be inter-state sale. For example if the dealer in Delhi buys car parts from a manufacturer based in Mumbai then it is a central sale.

Let us now look at the definition of Local Sales Tax and Central Sales Tax.

Local Sales tax

Local Sales Tax is levied on sales of goods with in state i.e. local sale. It is collected by the sellers and deposited with the government. It is commonly referred to as LST.

Central Sales tax

Central Sales Tax is levied on sale of goods between two states i.e. inter-state sale. Inter-state sale is commonly referred to as central sale. Central Sales tax is collected by the sellers and deposited with the government. It is commonly referred to as CST.

To understand how LST and CST are levied on sales we will use a common case scenario, which is explained here.

Case Scenario for LST

Ahead Cars Inc. is an automobile and car parts manufacturer based in Delhi. To distribute the products (cars and car parts) the company has a chain of distributors and dealers in Delhi. Let us understand with the help of a diagrammatic representation.

Ahead Cars Inc à (Manufacturer)

Fast Wheels à

(Distributor based in Delhi)

Today Cars à

(Dealer based in Delhi)

Go Cars à

(Retailer based in Delhi)

Consumer

(Based in Delhi)

This diagram depicts the chain of transaction that takes place for sale of goods to the consumer. Let us assume that the tax has been levied at each point of sale. This case then becomes a Multi Taxation case.

Multi taxation Case

1. Ahead Cars Inc. manufactures car parts and sells 1 piece @ Rs.121 to Fast Wheels, the distributor in Delhi.

2. Fast Wheels sells the car parts @ Rs.144 to Today Cars, the dealer in Delhi.

3. Today Cars sells the car parts to Go Cars @ Rs.169, the retailer in Delhi.

4. Go Cars sells the car parts @ Rs.196 to a consumer in Delhi.

Since the sales involved in this scenario are local sales, LST @10% has been levied on all the sales.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi) | Go Cars à (Retailer based in Delhi) | Consumer (Based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 1 * 100= 100 | 121 | 144 | 169 | 196
Profit margin | 10 | 10 | 10 | 10 | N. A.
Selling Price (Cost Price + Profit margin) | 100 + 10 = 110 | 121 + 10 = 131 | 144 + 10 =154 | 169 + 10 =179 | N. A.
LST (10% of Selling Price) | 11 | 13 (rounded off to nearest rupee) | 15 (rounded off to nearest rupee) | 17 (rounded off to nearest rupee) | N. A.
Total | 110 + 11 =121 | 131 + 13 = 144 | 154 + 15 =169 | 179 + 17 = 196 | N. A.

The consumer paid Rs. 196 inclusive of the LST paid at each point of sale. Let us assume that the consumer had contacted the manufacturer and bought the goods directly from him. In that case, the consumer would pay Rs. 121 only. Thus, the consumer paid a higher price in Multi taxation case. Moreover, in Multi taxation case, tax has been paid at every point of sale i.e. multi point tax whereas the goods have been consumed only once.

The purpose of sales tax is to levy tax on consumption of goods. If the goods have been consumed once the sales tax should also be levied once. Thus, there is a need to levy tax methodically and at one point without overburdening the consumer. For this purpose there are two methods to levy tax that are approved and accepted by the Indian government.

Let us discuss the methods in detail. The two methods to levy tax on sales are:

  • Tax paid at first point of sale
  • Sale against Sales Tax Declaration Form

Tax paid at first point of sale

In this method tax is paid at the first point of sale. In the case scenario, tax will be paid by Fast Wheels @ 10% to Ahead Cars Inc. Thus, Ahead Cars is responsible for depositing the tax collected with the government. Since the tax burden always falls on the consumer, thus Fast Wheels will increase it's cost price to include the tax paid and recover the tax from Today Cars (consumer for Fast Wheels). Similarly Today Cars will recover the tax paid from Go Cars and Go Cars will recover the tax from the consumer.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi) | Go Cars à (Retailer based in Delhi) | Consumer (Based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 1 * 100= 100 | 121 | 131 | 141 | 151
Profit margin | 10 | 10 | 10 | 10 | N. A.
Selling Price | 100 + 10 = 110 | 121 + 10 = 131 | 131 + 10 =141 | 141 + 10 =151 | N. A.
LST (10%) | 11 | Paid at first point | Paid at first point | Paid at first point | N. A.
Total | 110 + 11 =121 | 131 | 141 | 151 | N. A.
Tax recovered/paid | Tax collected from buyer and deposited with the government | Tax paid | Tax paid | Tax paid | Tax paid

In this method, tax is collected and deposited with the government at the first point of sale. Further sales will be made on tax paid bills. The first transaction is a 'tax payable' sale while the other three transactions are 'tax paid' sales.

Sale against Sales Tax Declaration Form

In this method, instead of paying the tax on sale the buyer issues a Sales Tax Declaration Form to the seller. These forms are commonly known as ST Forms.

The Sales Tax Department issues ST Forms only to dealers who are registered with the Sales Tax Department. There are different ST Forms for CST and LST. For example, in Delhi the LST forms applicable are ST1 and ST35. The CST form most commonly used is Form C. The type of form used depends on the type of sale and the goods.

The purpose of these forms is that the issuer of the form will not pay tax and will assume responsibility for collecting tax on further sale of the goods. The reason behind issuing these forms is that the burden of the tax has to fall on the consumer and hence the middle business entities need not pay tax. In the above example, all the business entities involved in the chain pay tax and then recover from the next buyer. If the business entities issue a ST Form then they need not pay tax. The only condition for issuing ST Form is that the business entity should be a registered dealer with the Sales Tax Department.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi) | Go Cars à (Retailer based in Delhi) | Consumer (Based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 1 * 100= 100 | 110 | 120 | 130 | 154
Profit margin | 10 | 10 | 10 | 10 | N. A.
Selling Price | 100 + 10 = 110 | 110 + 10 = 120 | 120 + 10 =130 | 130 + 10 =140 | N. A.
LST (10%) | Receives ST Form from the buyer | Receives ST Form from the buyer | Receives ST Form from the buyer | Charges LST amounting to Rs. 14 | N. A.
Total | 110 | 120 | 130 | 140 + 14 = 154 | N. A.
Tax recovered/paid | Sold goods against ST Form | Sold goods against ST Form | Sold goods against ST Form | Tax collected from the buyer and deposited with the government | Tax paid

The first three transactions are cases of 'sales against ST Form'. The fourth transaction is a case of 'tax payable' sale.

Comparison between the two methods

Under both the methods the tax deposited with the government and the prices paid by the consumer are different.

Let us understand with the help of tax amount given in the example in Tax paid at first point of sale and in the Sale against Sales Tax Declaration Form topic.

Elements/Method | Tax Paid at First point of sale | Sales against Tax Declaration form
Tax deposited with the government | 11 | 14
Price paid by the consumer | 151 | 154
Comparison | Government gets less tax Consumer pays a lower price | Government gets more tax Consumer pays a higher price

The method followed for levying tax depends on the type of goods sold. The government has listed the goods for both the methods separately, thus clarifying the method to be used for different types of goods.

Important points to be remembered when following any of the two methods:

  • The burden of the tax always falls on the consumer

  • Tax has to be paid at some point in the chain of sale.

  • Tax should be paid at one point only to avoid multi taxation.

Till now we have discussed a case involving local sales. Let us discuss the inter-state sales where CST is applicable with the help of the case scenario explained here. For inter-state sales the two methods remain the same but the tax rates and the ST forms are different.

Case Scenario for CST

Fast Wheels, a distributor for Ahead Cars Inc., handles the market for both Delhi and Gujarat. It has a chain of dealers and retailers in Gujarat. Let us understand with the help of a diagrammatic representation.

Ahead Cars Inc à

(Manufacturer based in Delhi)

Fast Wheels

(Distributor based in Delhi)

Zoom Ahead à

(Dealer based in Gujarat)

Fast Cars à

(Retailer based in Gujarat)

Consumer

(Based in Gujarat)

  1. Ahead Cars Inc. sells 1 piece @ Rs.110 to Fast Wheels, the distributor in Delhi (local sale within Delhi). Fast Wheels issues a ST Form and does not pay LST.
  2. Fast Wheels sells the car parts @ Rs.125 to Zoom Ahead (inter-state sale between Delhi and Gujarat). Zoom Ahead issues Form C and pays CST @ 4%.
  3. Zoom Ahead sells the car parts to Fast Cars @ Rs.135 (local sale within Gujarat). Fast Cars issues a ST Form and does not pay LST.
  4. Fast Cars sells the car parts @ Rs.159 to the consumer (local sale within Gujarat). Fast Cars recovers the LST for Gujarat and CST paid from the consumer.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/Business Entity | Ahead Cars Inc à (Manufacturer based in Delhi) | Fast Wheels (Distributor based in Delhi) | Zoom Ahead à (Dealer based in Gujarat) | Fast Cars à (Retailer based in Gujarat) | Consumer (Based in Gujarat)
Cost Price (manufacturing cost/Procurement cost) | 1 * 100= 100 | 110 | 125 | 135 | 159
Profit margin | 10 | 10 | 10 | 10 | N. A.
Selling Price | 100 + 10 = 110 | 110 + 10 = 120 | 125 + 10 =135 | 135 + 10 =145 | N. A.
LST (10%) | Receives ST Form from the buyer | Not required to pay LST since Delhi is not the state of final consumption | Receives ST Form from the buyer | Charges LST amounting to Rs. 14 (rounded off to nearest rupee) | N. A.
CST (4%) | N.A. | 5 (rounded off to nearest rupee) | N.A. | N.A. | N. A.
Total | 110 | 125 | 135 | 145 + 14 =159 | N. A.
Tax recovered/paid | Sold goods against ST Form | Sold goods against Form C and CST collected @ 4 % | Sold goods against ST Form | LST collected from the buyer and deposited with the government | LST and CST paid

The first transaction is a case of 'sale against ST Form' while the second transaction is a case of 'tax payable' sale. The third transaction is a case of 'sale against ST Form' while the fourth transaction is a case of 'tax payable' sale.

Important points to be remembered.

  • LST is always paid in the state of final consumption. In this case, Gujarat is the state of final consumption and LST will be paid in Gujarat. The local sale in Delhi does not require any LST to be paid. Thus, Fast Wheels issues a ST Form for Delhi and does not pay LST

  • ST Forms for CST i.e. Form C is required to differentiate between a registered dealer and the consumer. The consumer cannot issue ST Forms, thus he will pay CST at the appropriate rates. Registered dealer can issue ST Forms, thus he will issue C Form. In addition he will pay a minimum CST of 2% or 4%. This is because according to Central Government irrespective of whether a ST Form is issued, CST has to be paid at some percentage. The percentage of CST depends on specifications given by the government.

  • In case a consumer purchases goods directly from a dealer based in another state then he will pay only CST. He will not be required to pay LST. For example, Mr. Ashok in Mumbai purchases goods worth Rs. 5,000 from ABC & Co. based in Delhi. Since this is a central sale, Mr. Ashok pays only CST amounting to Rs. 500.

Under Central sales, there can be a case scenario that involves stock transfer between states for the same company. Such a case requires different treatment. Let us understand with the help of a case scenario.

Case Scenario for Stock Transfer

Fast Wheels, the distributor for Ahead Cars Inc., has a chain of outlets in and around Delhi. Goods are frequently transferred from one outlet in Delhi to another outlet in Gurgaon. Let us understand with the help of a diagrammatic representation.

Delhi branch of Fast Wheels transfers stock worth Rs. 50,000 to the Gurgaon branch. This is an inter-state transaction in which no actual sale has taken place only goods have been transferred. For stock transfer cases, a special CST ST Form, Form F is issued. If Form F is issued then CST is not levied. Thus in this case, Gurgaon branch will issue a Form F and the Delhi branch will transfer the goods on Form F with 0% CST.

Let us have a look at the cost price given here in the form of a table for the business entities in the chain.

Elements/Business Entity | Fast Wheels Delhi Branch | Fast Wheels Gurgaon Branch
Cost Price (manufacturing cost/Procurement cost) | 50,000 | 50,000
CST | Receives Form F with 0% CST | Issues Form F
Total | 50,000 | 50,000
Tax recovered/paid | No tax to be collected since it is a stock transfer transaction | No tax to be paid since it is a stock transfer transaction

In Delhi, VAT is introduced in March 2005 before that LST (Local Sales Tax) was charged on local sales transactions.

Overview of VAT

VAT is the abbreviated form for Value Added Tax. Value Added Tax as the name suggests, is an indirect tax calculated on the 'value added' to the goods and services at each point in the production and distribution chain. It is charged as a percentage of prices, which means that the actual tax burden is visible at each stage in the production and distribution chain. VAT applies to all commercial activities involving the production and distribution of goods and the provision of services.

Over 130 countries worldwide have introduced VAT over the past three decades and India is amongst the latest few to introduce it.

VAT in Indian Economy

VAT has replaced the local sales tax (LST) system in India in various states. Presently, the tax system in India is a combination of sales tax and VAT. For inter-state sales, Central Sales Tax (CST) is in place with plans of replacing it by VAT in the near future. In case of local sales, many states have adopted VAT while there are still few states that are using the old Local Sales Tax system.

The primary difference between Sales Tax and VAT is in the way tax is levied. In case of Sales Tax, the tax is generally levied at either the first point or the last point in the production and distribution chain. It is therefore a single-point tax system. In case of VAT, the tax is levied at each point in the production and distribution chain. Thus, VAT is a multi-point tax system.

VAT can be computed using different methods. These methods are discussed here.

Methods for calculating VAT

VAT can be computed by using any of the three methods explained here.

  • Subtraction Method: According to this method, the tax is calculated on the difference between the value of output and the cost of input. Let us understand with the help of an example. ABC & Co. purchases goods (inputs) worth Rs. 10,000. It sells the goods at Rs. 20,000. The difference between the cost of input and value of output is the value added by the company. In this case, the value added by ABC & Co. is Rs. 10,000 (20,000 – 10,000).Thus, VAT will be computed by applying the appropriate tax rate on Rs. 10,000.
  • Addition Method: According to this method , the value added is computed by adding all the payments that are payable to the factors of production such as wages, salaries, and interest payments and so on.
  • Tax Credit Method: According to this method the tax paid on purchase is set-off against tax collected on sales.

In India, the Tax Credit method is followed. VAT is calculated on both purchase and sale transactions in the chain of production and distribution of goods and services with the provision for a set-off for the tax paid at earlier stages in the chain.

Let us understand the calculation of VAT with the help of an example. Ahead Cars Inc. is a car parts manufacturer. In the month of May 2005, Fast Wheels Inc., a dealer based in Delhi purchased car parts from Ahead Cars Inc. On this purchase, a tax of Rs 10 has been paid. Further Fast Wheels Inc. sells the toys to a retailer and collects tax amounting to Rs.11. For Fast Wheels Inc., the net tax payable/receivable will be the difference between the tax collected on sales and tax paid on purchase. Thus, net tax payable is Re. 1 being the difference between tax collected, Rs. 11, and tax paid, Rs. 10.

In case of VAT, by applying the tax rate on the value added to the goods at the sale transaction stage we can check whether the net tax payable/receivable amount is the correct amount. Fast Wheels Inc. made a value addition of Rs. 10 to the toys. Thus, Fast Wheels Inc. has to pay tax @10% on the value addition of Rs. 10. This tax amounts to Re. 1.

This amount is equal to the tax amount computed by the tax credit method.

For this example, we assume that the manufacturer has not paid any tax on the purchases. This is done to simplify the example.

Given here is a table containing the data on the cost price and tax paid for the different business entities in the chain of transaction.

Elements/Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 90 | 100 (do not include VAT paid on purchase in the cost) | 110 (do not include VAT paid on purchase in the cost)
Profit margin/ Value Added | 10 | 10 | 10
Selling Price | 90 + 10 = 100 | 100 + 10 = 110 | 110 + 10 =120
VAT (10%) | 10 | 11 (rounded off to nearest rupee) | 12 (rounded off to nearest rupee)
Total | 100 + 10 =110 | 110 + 11 = 121 | 120 + 12 =132
Tax paid on purchase | N.A | 10 | 11
Tax collected (payable) on sales | 10 | 11 | 12
Net VAT payable (Tax Collected – Tax Paid) | 10 | 11-10=1 | 12-11=1

An important point to remember in computing VAT is that while computing VAT, do not include the VAT paid at earlier stages in the cost of goods. In the scenario explained here, Fast Wheels paid tax amounting to Rs.10 on the purchase of goods. Further, while computing tax on the sale of the goods, it did not include tax paid, Rs. 10 in the cost of goods. It included only the cost and the profit margin/value added in the selling price and computed VAT on it.

Under this method the dealers can deduct the amount of tax paid by them on purchase from the tax collected on sales, thereby paying the balance amount to the Government as tax.

The objective of levying a multi-stage tax with the provision for set off is to avoid 'cascading' or multi taxation, which can have a snowballing effect on prices. The mechanism of VAT is such that the first seller of goods pays the first point tax and the next seller pays tax only on the value-addition done. If we add up the net tax paid at each stage then the total tax will be equal to the tax burden if we had taxed the transaction at the first or last point of sale only.

There are few typical terms used in VAT that we need to know. Let us discuss these terms.

Terms used in VAT

The terms used in VAT are:

  • Tax Payers Identification Number (TIN)
  • Input Tax Credit
  • Output Tax
  • Net Tax Payable/Receivable
  • Invoice
Tax Payers Identification Number

Tax Payers Identification Number, popularly known, as TIN is the registration number allotted to a dealer registered under the Value Added Tax (VAT) Act. The Sales Tax Department issues TIN to the registered VAT dealer.

Input Tax Credit

Input refers to the goods purchased by a dealer for resale or for further manufacturing, processing, or packing of good manufactured by the dealer. Thus, Input tax is the tax paid on the purchase of goods (inputs) by a dealer and on purchase of raw materials by a manufacturer. Further, Input tax credit (ITC) refers to the tax paid by a dealer on purchase of goods from VAT registered dealers.

The significance of ITC is that the dealer can deduct ITC from the tax collected on sales and then pay/receive the balance amount to the government accordingly.

To reiterate, Input Tax Credit is the input tax paid on purchases of goods from within the state during the tax period from VAT registered dealers that are used:

  • For sales within the state / inter-state sale or export out of India.
  • As Raw Material or Capital Goods in manufacturing or processing of goods other than those exempt from tax under this Act.
  • For use as containers for packing of goods other than those exempt from tax
Output Tax

Output refers to the finished products or goods sold by a dealer or manufacturer. Output tax is the tax collected by a dealer or manufacturer on the sale of goods. This tax is payable to the government.

Net tax payable/receivable

Net tax payable/receivable is calculated as:

Net tax payable/receivable = Output Tax – Input Tax Credit

Let us understand with the help of an example. We will continue with the case scenario of Ahead Cars discussed in the previous topic. In the month of May 2005, Fast Wheels Inc., a dealer based in Delhi purchased car parts from Ahead Cars Inc. On this purchase, a tax of Rs 10 has been paid. Further Fast Wheels Inc. sells the toys to a retailer and collects tax amounting to Rs.11. For Fast Wheels Inc., the net tax payable/receivable will be the difference between output tax and input tax. Thus, net tax payable is Re. 1 being the difference between the output tax, Rs. 11, and input tax, Rs. 10. Similar is the case for Today Cars where the net tax payable is Re. 1 being the difference between the output tax, Rs. 12, and input tax, Rs. 11.

Given here is a table containing the data on the cost price and tax paid for the different business entities in the chain of transaction.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 90 | 100 | 110
Profit margin/ Value Added | 10 | 10 | 10
Selling Price | 90 + 10 = 100 | 100 + 10 = 110 | 110 + 10 =120
VAT (10%) | 10 | 11 (rounded off to nearest rupee) | 12 (rounded off to nearest rupee)
Total | 100 + 10 =110 | 110 + 1 = 121 | 120 + 12 =132
Input Tax | N.A | 10 | 11
Output Tax | 10 | 11 | 12
Net tax payable/receivable (Tax Collected – Tax Paid) | 10 | 11-10=1 | 12-11=1

For this example, we assume that the manufacturer has not paid any input tax on the purchases.

The essence of VAT is in providing set-off for input tax through the concept of input tax credit. According to this concept, the amount of input tax paid by a registered dealer is set-off against the amount of output tax. The resultant amount represents the VAT liability or the net tax payable/receivable by the dealer.

There can be two broad cases possible with Net tax payable. These are:

  • Net Tax Payable: If the output tax is more than the input tax, the dealer will need to pay the difference to the government. In this case, net tax payable amount will be a positive amount.
  • Net Tax Receivable: If the input tax is more than the output tax, the dealer can claim the balance from the government. In such a case, net tax payable will be a negative amount. Thus it can be called net tax receivable. The dealer can take the refund in two ways:
    • The dealer can carry forward the net tax receivable amount and adjust it against the output tax in the subsequent months. Let us understand with the help of an example. Suppose in month of April, net tax receivable is Rs. 20,000. But only Rs. 10,000 net tax was refunded. Now the balance of Rs. 10,000 net tax can claimed in the next return.
    • The dealer can get the refund of the net tax receivable from the government at the end of the current or next year.
Invoice

Invoice, popularly known as a bill, is a claim raised by the seller of the goods on the buyer of the goods in respect of the goods sold. It provides complete detail of the goods sold by the seller.

There are primarily two types of invoices:

  • Tax Invoice - This invoice is issued when a registered dealer sells goods to another registered dealer for:
    • Resale
    • Manufacture or processing of goods for sale
  • Retail Invoice - This invoice is issued when a dealer, registered or unregistered sells goods to an unregistered dealer or a consumer.

The significance of Tax invoice in VAT is that the entire design of VAT and input tax credit is based on documentation of tax invoice, cash memo, or bill. The dealer can claim input tax credit only when the goods are purchased on a tax invoice.

Let us understand with the help of an example. Fast Wheels Inc. purchased good worth Rs. 50,000 each from a registered dealer on a tax invoice and an unregistered dealer on a retail invoice. VAT amounting to Rs. 5,000 has been paid on both the purchases. Now Fast Wheels sold goods worth Rs. 1,00,000 to a registered dealer and VAT amounting to Rs. 10,000 is collected. In this case, the input tax credit will be Rs. 5,000. This amount pertains to the input tax paid on the tax invoice purchase. The output tax is Rs. 10,000. Thus net tax payable is 5,000 (10,000 – 5,000).

We have so far, discussed VAT with respect to the methods used for calculating VAT along with the common terminology used in VAT. Now let us summarize the differences between Sales Tax and VAT, which will help us in understanding the relevance of implementing VAT.

Comparison of Sales Tax and VAT

The differences between sales tax and VAT are listed here in form of a table.

Basis | Sales Tax | VAT
Point of Levy | Sales Tax system is a Single point tax system where tax is generally levied at the first or last point of sale. | VAT is a Multi point tax system where tax is levied at each point in the chain of transactions.
Sale against Forms | Sale can be made against Sales Tax Forms. | In VAT, there is no provision for selling against Forms.
Visibility of tax levied | The amount of tax levied at each point of purchase or sale is not visible. | The amount of tax levied at each point of purchase or sale of goods is visible.
Simplification of Procedure | The procedure of filing returns, payment of tax, furnishing declaration and assessment is long and tiresome. | The procedure of filing returns, payment of tax, furnishing declaration, and assessment is simplified under the VAT system.
Tax included in the cost | Tax paid is included in the cost. Thus, tax becomes a part of cost of doing a business. | Tax paid is not included in the cost. Thus, tax is not a part of cost of doing a business.
Tax Avoidance (Non-compliance) | Sales Tax system is complex and induces non-compliance. Since the tax paid/payable is not visible at each stage, it is possible to avoid paying tax. This form of tax evasion is an obstacle in the growth of the economy. Moreover, it also leads to loss of revenue for the government. | VAT is a simple and transparent system. The tax liability is clearly visible at each stage that makes it difficult to evade tax liability.
Double taxation (Cascading effect) | The inputs are taxed before a commodity is produced and the output is taxed after it is produced. This leads to double taxation with cascading effects. | VAT helps in eliminating the cascading effect of tax. This is done through the provision of set-off against input tax, which leads to reduction in overall tax burden.
Uniform tax rates | Under Sales tax, different rates of tax are applicable on different goods. | VAT has uniform tax rates across the state that simplifies the process of taxing. The two basic rates are 4% and 12.5%

Till now we have discussed VAT on a broad level wherein the methods, terms, and differences between Sales Tax and VAT have been discussed.

Now we will discuss the tax rates applicable in VAT and the special cases in VAT for some types of goods and transactions.

VAT Rates

According to the goverment reports, there are 550 categories of goods under the VAT system. They are classified into the four categories depending on the tax rate:

  • VAT @ 1% - This category covers specific category of goods such as gold, and silver.
  • VAT @ 4% - This category covers the largest number of goods (270) comprising of basic necessity items such as drugs and medicines, agricultural and industrial inputs, and capital goods.
  • Exempted goods - There are about 46 commodities under the exempted category. The exempted goods include natural and unprocessed products in unorganised sector as well as items that are legally barred from taxation.
  • VAT@12.5% - This category covers the remaining commodities.

There are few goods that are not covered under VAT. These items will continue to be taxed under the sales tax act of the respective states.

Currently, the sales tax system is a complex combination of Central Sales Tax and VAT. This intricacy leads to special cases involving different treatment of some goods and transactions. Let us discuss these cases in detail.

Special Cases in VAT where input tax credit cannot be claimed

Input Tax Credit is not allowed in the cases listed here:

  • Goods purchased from an unregistered dealer
  • Goods purchased from another state (inter-state purchase)
  • Goods purchased for the manufacture, processing, or packing of goods that are exempt from tax.
Goods purchased from an unregistered dealer

Goods are purchased from an unregistered dealer on a retail invoice. We know that input tax credit can be claimed only on purchases with a tax invoice. Thus in this case scenario, no input tax can be claimed.

Goods purchased from another state (inter-state purchase)

Let us understand this case with the help of an example. A Delhi based dealer purchased goods worth Rs. 50,000 and paid CST amounting to Rs. 5,000. For the input CST that he has paid on the purchase of goods he is not eligible for input tax credit. In other words, he cannot adjust the output tax against the input CST.

Goods purchased for the manufacture, processing, or packing of goods that are exempt from tax

In case an exempted good is sold then the input tax paid on the inputs cannot be claimed.

Let us understand with the help of an example. Book World is a book-publishing firm. The firm purchased paper @ Rs.100/kg and paid VAT @12.5% amounting to Rs. 12.5. Now they publish a book using that paper and sell in the market. Since books are exempted from VAT hence no VAT is charged.

According to the government, if the finished products are exempted from VAT then the firm cannot claim any tax credit paid on raw material. Thus, Book World cannot claim any VAT from the government. In such a case the net tax payable will be equal to the output tax.

We have discussed the cases where Input Tax Credit cannot be claimed at all. Now let us discuss the special cases where Input Tax Credit can be claimed fully or partially.

Special Cases in VAT where input tax credit can be claimed fully or partially

Input Tax Credit can be claimed fully or partially in the cases listed here:

  • Stock transfer/Consignment basis sale
  • Capital Goods
  • Goods purchased for export
  • Stock brought forward from previous period
Stock transfer/Consignment basis sale

In case of inter-state stock transfer, input tax paid in excess of 4% is liable for tax credit.

Let us understand with the help of an example. ABC & Co. purchases goods worth Rs. 10,000 and paid VAT @12.5% amounting to Rs. 1250. After few days, the company makes a stock transfer from its Delhi outlet to Gurgaon outlet. The goods are sold in Gurgaon @ Rs. 20,000 with VAT @12.5% amounting to Rs. 2500. In case of stock transfer, the input tax rate over and above 4% can be claimed from the government. Thus in this case the input tax credit is Rs. 850 i.e. 8.5% (12.5 – 4) on Rs. 10,000 while the output tax is Rs. 2500. Thus the net tax payable is Rs. 1650 (2500 – 850).

Capital Goods

Traders and manufacturers can claim input tax paid on capital goods. Input tax credit on capital goods can be adjusted over a maximum of 36 equal monthly installments.

Let us understand with the help of an example. Machinery worth Rs. 50,000 has been purchased for business purpose. At the time of purchase input tax amounting to Rs. 5,000 has been paid. Now input tax credit can be claimed from the government in instalments.

Thus in this case the net tax receivable is Rs. 5,000.

Goods purchased for Export

Goods that are purchased for the purpose of export are eligible for input tax credit. For the goods that are exported, input tax will be refunded in full, and this refund will be made within three months. Units located in SEZ (Special Economic Zone) and EOU (Export Oriented Unit) will be granted either exemption from payment of input tax or refund of the input tax paid within three months.

Stock brought forward from previous period

All tax-paid goods purchased on or after April 1, 2004 and still in stock (Opening Stock) as on April 1, 2005 will be eligible to receive input tax credit, subject to submission of requisite documents.

Let us understand with the help of an example. Tax amounting to Rs. 15,000 has been paid in the previous year on purchase of stock. In this case, input tax credit amounts to Rs. 15,000 and it can be claimed. Thus, input tax credit will be allowed for sales tax already paid in the previous year. This input tax credit will be given in six monthly instalments after a period of 3 months needed for verification.

Till now we have discussed the working of VAT in mainly a local scenario. Now we will discuss the working of VAT in combination with Central Sales Tax.

Working of the combined system of Central Sales Tax and VAT

To consolidate Central Sales Tax with VAT, certain rules and regulations have been specified. These rules and regulations ensure smooth functioning of the tax system in India.

Let us discuss these rules and regulations with the help of an example. Blue Bags is a bag manufacturing and distributing company based in Delhi. In April 2005, Blue Bags purchased raw material worth Rs. 50,000 from a seller based in Maharashtra. Since this is an inter-state transaction (central purchase), CST @ 10% amounting to Rs. 5,000 has been paid. Further, Blue Bags processes the raw material and produces 100 bags worth Rs. 700 each. The company sells these bags in Gujarat itself and collects output tax @ 10 % amounting to Rs. 7000.

In this case the various tax payable/receivable amounts are:

Tax head | Amount
Input tax credit (Local Purchase) | 0
Output Tax (Local Sales) | 7,000
Net tax payable | 7,000 (7,000 – 0)
Input CST (Central Purchases) | 5,000

We cannot adjust the Input CST against the net tax payable. The reason is that Input CST is to be paid to the government and is a part of the cost to the business. It cannot be claimed or refunded like Input tax paid on local purchases can be. This is an important rule in the working of the combined tax system in India.

Let us understand this further with some modification in the case scenario. In the month of May 2005, Blue Bags sold bags worth Rs. 80,000 to Bags Inc., their distributor in Gujarat. Since this is an inter-state transaction (central sale), CST @ 10% amounting to Rs. 8,000 has been collected by Blue Bags. In May, the input tax paid on local purchases amounted to Rs. 10,000 while the output tax on local sales amounted to Rs. 2,000. In this case scenario, the various tax payable/receivable amounts are:

Tax head | Amount
Input tax credit (Local Purchase) | 10,000
Output Tax (Local Sales) | 2,000
Net tax payable | -8,000 (2,000 – 10,000)
Output CST (Central Sales) | 8,000

Net tax payable is –8,000 (negative figure), which means that net tax is receivable from the government. Further Output CST (Central sales) is Rs. 8,000, which means that this amount is payable to the government. In such a case, the government allows us to adjust the receivable and payable amounts against each other.

Net tax payable/receivable = Output CST – Net tax receivable

= 8,000 – 8,000

= 0

Thus, under Central Sales Tax system there is no provision for setting off input tax against output tax. The input CST is a liability for the purchaser and has to be borne by him in any case. Output CST can only be adjusted against net tax payable to avoid unnecessary payment and receipt of tax.

Now that we are familiar with the working of the sales tax system in India, let us summarize the key points (rules and regulations) in the working of the sales tax system in India.

  • In Local transactions, Input tax credit on purchases can be claimed and subsequently adjusted against Output tax on sales.
  • In Central transactions:
    • Input CST on purchases cannot be claimed or adjusted. It is a part of the cost and has to be borne by the purchaser of the goods.
    • Output CST on sales can be adjusted if the net tax payable (Output tax – Input tax) is negative. In other words, if net tax on local transactions is receivable from the government then we can adjust it against Output CST. This is done to avoid unnecessary give and take of money between the government and the dealers.

Now that we have understood the concept of Sales Tax and VAT, let us discuss the implementation of the same in BUSY.

Implementation of Sales Tax & VAT Reporting

The implementation of Sales Tax & VAT Reporting in BUSY is a simple four-step process. The steps are:

1. Configure Sales Tax & VAT

2. Create Masters

3. Record Sales Tax & VAT Using Vouchers

4. View Sales Tax & VAT Reports

Let us discuss the steps in detail.

1. Configure Sales Tax & VAT

The first step is to configure Sales Tax & VAT in BUSY. There are three sub-steps in configuring Sales Tax & VAT. The sub-steps are:

  • Enable Sales Tax & VAT reporting
  • Configure Sales Tax & VAT reporting Account-wise

Enable Sales Tax & VAT Reporting

You can enable Sales Tax & VAT reporting at the time of company creation itself. Given here is a screenshot of Add New Company window that appears on clicking the Company --> New option.

Add New Company

In the Add New Company window, specify 'Y' in the Enable Sales Tax/VAT option. After specifying 'Y' in the Enable Sales Tax/VAT option, select the type of taxation i.e. VAT or LST.

If you have not enabled Sales Tax/VAT reporting at the time of company creation then you can enable it through Administration --> Configuration --> Features/Options --> Sales Tax/VAT/GST tab.

In the Sales Tax/VAT/GST tab, enable the Sales Tax/VAT reporting and specify the type of tax. After you enable Sales Tax/VAT reporting certain data fields become active. Enter the appropriate data in the data fields.

  • To enable Sales Tax Surcharge, specify 'Y' in the Enable Add. Tax/ Schg. data field and specify the caption for Additional tax / Surcharge. On enabling the Additional tax / Surcharge an Item-wise Add. Tax / Schg. to be calculated on group becomes active. The options and data field under this group are:
    • Item Basic Amt. - Select this option if you want to calculate Additional tax/ Surcharge on item basic amount.
    • Tax Amt. - Select this option if you want to calculate Additional tax/ Surcharge on tax amount.
    • Item MRP - Select this option if you want to calculate Additional tax/ Surcharge on item MRP.
    • Add. Tax / Srchg. Percentage - This data field appears if you have selected the Tax Amt. option. Specify the percentage by which the Addtional tax / Surcharge will be calculated.
  • To create default masters in VAT, click the Create Default Masters button.
  • On clicking the Create Default Masters button, a Create Default Masters for VAT message box appears.

Default masters are those masters that BUSY creates for implementing VAT in BUSY. For example, BUSY creates bill sundry, account, sales or purchase type for VAT.

  • Click the Yes button to create the default masters for VAT. On clicking the Yes button, a Default VAT Masters message box appears.
  • Click the Ok button to return to the Features/Options window.
  • Click the Save button to save the configuration settings for Sales Tax & VAT.

Configure Sales Tax Reporting Account-wise

After Sales Tax reporting is configured in BUSY, you need to configure Sales Tax reporting account-wise for sundry debtors and sundry creditors.

To configure an account for Sales Tax reporting, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Account Master - Add window.

Account Master- Add window

When you specify the Group as Sundry Debtors or Sundry Creditors then enter the LST No. and other sales tax related details for the account.

  • Click the Save button to save the account information.

Now that you have configured Sales Tax in BUSY, you can create masters that are necessary for recording sales tax related details.

2. Create Masters

To enter and maintain sales tax related details, you need to create certain masters. The masters to be created are:

  • Sale/Purchase Type
  • ST Form

Let us discuss the two masters in detail.

Sale/Purchase Type

A Sale/Purchase Type is classification of sale/purchase based on the type of sale/purchase (central or local) and the rate of sales tax charged. This classification is required for the purpose of reporting. Certain Sale/Purchase Types are created by default at the time of creation of a company. These can be modified or deleted as per your requirements.

To create a Sale/Purchase Type, perform the following steps:

  • Click Administration à Masters à Sale/Purchase Type à Add button.
  • In the Sale Type Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Sale Type Master - Add window.

Sale Type Master - Add window

There are certain data fields that are active by default while other get activated based on the values. The data fields/Options Boxes active by default are:

  • Sale Type
  • Sales Account
  • Taxation Type
  • Region
  • For Printing in Documents

Sale Type

In this data field, enter the name of the Sales Type that you want to create.

While naming the sale type keep in mind that the name should reflect the properties of the sale type. For example if you are creating a sale type for central sale against ST Form and with 10% CST applicable then you can give a name Central 10%. Such a naming convention ensures that it is easy to recognize which sale type is applicable in a particular case.

Sales Account Information

This group gets activated only if you have disabled the option of Separate Sale/Purchase Account with Item in Administration > Configuration > Features / Options > Inventory tab. If you have enabled the option of Separate Sale / Purchase Account with Item in Administration > Configuration > Features / Options > Inventory tab and have specified the name of account in the Sale Account data field of the Item master then BUSY will automatically post the entry for this Sale Type in that particular account. Under this group there are three options. The options are:

  • Specify here (Single Account)
  • Specify here (Separate Accounts for different Tax Rates)
  • Specify in Voucher

Specify here (Sales Account)

In this data field, you can select the account in which all the entries related to this Sale Type are to be posted.

Specify here (Separate Accounts for different Tax Rates)

This data field gets activated only on selecting Multi tax option in the Taxation Type group. Enable this option if you want to specify separate account for each tax rate. This option is most useful for Multi taxation voucher in which you want entries to be posted in account according to the tax rate charged/paid on the item. For example, you want all the entries related to 4% tax to be posted in Sales4% account and entries related to 10% tax to be posted in Sales10% account then you can specify Sales4% account for the 4% tax rate and Sales10% account for the 10% tax rate. On selecting this option, a Configure button appears.

In the Multi Tax Account Configuration window, specify the sale and surcharge accounts for various tax rates.

Specify in Voucher

Select this option if you want to specify the Sales account to which th entry will be posted in the Sales voucher itself. On selecting this option, a Sale Account data field will appear in the voucher in which you can specify the required account.

Taxation Type

In this option box, you need to select one of the following options:

  • Tax Paid – Select this option if tax has already been levied on sale.
  • Taxable - Select this option if tax has to be levied on sale.
  • Against ST Form - Select this option if sale is against ST Form.
  • Exempt - Select this option if sale is exempt from tax.
  • Tax Free - Select this option if sale is tax free.
  • Multi-Tax - Select this option if you want to record sale of different items with different rates of sales tax in a single voucher.

When you are creating a Sale Type then two options of Un-registered Dealer and Lump-sum Dealer are NOT ACTIVE. The reason is that under Sales Tax system irrespective of whether you are selling to an un-registered dealer/lump-sum dealer/customer you do not distinguish between them and will charge tax as per regular sale. Thus for such sales you will specify the Taxation Type as Taxable.

When you are creating a Purchase Type then these two options are ACTIVE. The reason is that when you purchase goods from an un-registered dealer or lump-sum dealer, you will pay sales tax. For your convenience you can distinguish between the two types of dealer regarding the number of purchases made from each.

Region

In this option box, you need to select one of the following options:

  • Local – Select this option if sale is within the state
  • Central - Select this option if sales is between two states (inter-state sale).

For Printing in Documents

In this option box, there are two data fields:

  • Invoice Heading – Enter the heading of the invoice that you want to be displayed on the invoice.
  • Invoice Description – Enter the description of the invoice that you want to be displayed on the invoice.

VAT Return Category

Select the type of VAT Return Category from the list. Values in the list are state specific. For example, if you have selected the state as Delhi then Work Contract Act option appears in the list.

Skip in VAT/Sales Tax Reports

Specify 'Y' in this data field if you want that transactions in which this Sale Type will be used should not be considered for generating VAT/Sales Tax reports. In other words, if you specify 'Y' in this data field then Sales tax reports.

The data fields/options boxes that get activated based on values are:

  • Calculate Tax on Item MRP
  • Tax inclusive Item Price
  • Tax Invoice
  • Tax Account
  • Surcharge Account
  • Type of Central Transaction
  • Form Information
  • Tax Calculation

Calculate Tax on Item MRP

In this data field specify 'Y' if you want to calculate tax on Item MRP. This data field is activated when you select the Taxation Type as Multi-Tax.

Tax inclusive Item Price

In this data field specify 'Y' if you want to display the item price in the invoice inclusive of tax. Enabling this option allows you to do MRP Billing. In other words, if you enable this option then you need to enter only the quantity, price and tax rate for the item. BUSY will calculate the tax automatically by doing reverse calculation.

Let us understand with the help of an example. You want to specify a standard rate for all the items of a particular category. The problem is that the rate of tax is different for all the items. To simplify the situation, you can enable this option and specify the price and tax rate for all the items. In this way you need not calculate the tax per item.

On enabling Tax Inclusive Item Price option another data field, Hide Item Tax Rate window, becomes active. If you specify 'N' then while entering the voucher an Item-wise Tax Rates window appears wherein you can specify the tax rate for the item. If you specify 'Y' then the Item-wise Tax Rates window does not appear. In such a case you need to specify the tax rate in the Item master.

On disabling Tax Inclusive Item Price option another data field Calculate Tax On field becomes active. Enter in this field the percentage of amount on which tax is to be calculated.

This data field is activated when you select the Taxation Type as Multi-Tax.

Tax Invoice

In this data field specify 'Y' if you want that the invoice that is billed in the sale type is Tax Invoice. If you specify 'N' then the invoice that is billed is Retail Invoice. The distinction between the two types of invoices is that on Tax Invoice the seller can claim input VAT whereas on Retail Invoice he cannot claim input VAT.

This data field is activated when the Taxation Type is Multi-Tax/Taxable.

Tax Account

This data field gets activated after selecting Multi-Tax option from the Taxation Type sub-group. Select the tax account in which the entry will be posted for this Sale Type.

Surcharge Account

This data field gets activated if you have enabled Surcharge for the company and have selected Multi-Tax option from the Taxation Type sub-group. Select the surcharge account in which the entry will be posted for this Sale Type.

Type of Central Transaction

This option box is activated when the Central option is selected under Region option Box. In this option box, there are three options that specify the type of central transaction. Select one of the following options:

  • Stock Transfer
  • Export
  • Others

Form Information

This data field is activated when you select the Taxation Type as Against ST Form. In this option box, you need to enter details for the following data fields:

  • Issue ST Form – Specify 'Y' in this data field if you want to issue a ST Form for the sale voucher.
  • Form Issuable – This data field is activated if you have specified 'Y' in the previous data field. Select the form to be issued from the list that is displayed in the data field.
  • Receive ST Form – Specify 'Y' in this data field if you can receive a ST Form for the sale voucher.
  • Form Receivable– This data field is activated if you have specified 'Y' in the previous data field. Select the form to be received from the list that is displayed in the data field.

Tax Calculation

This option box is activated when you select the Taxation Type as Taxable/Against ST Form. In this option box, you need to enter details for the following data fields:

  • Tax (%) – You can specify a default tax rate for the tax bill sundry. If you do not want to specify any tax rate then you can leave this field blank.
  • Freeze Tax in Sales – Specify 'Y' in this data field if you want to attach the tax bill sundry for levying tax in all cases of sales. If you specify 'Y' then you cannot save a sale voucher without attaching the tax bill sundry.
  • Freeze Tax in Sales Return – Specify 'Y' in this data field if you want to attach the tax bill sundry for levying tax in all cases of sales return. If you specify 'Y' then you cannot save a sale return voucher without attaching the tax bill sundry.

ST Form

ST Form is an abbreviation for Sales Tax Declaration Forms. These forms are used under the Sales tax System. You can create ST Forms according to your requirement. Some ST Forms are created by default at the time of creation of a company. These can be modified or deleted as per your requirement.

To create a ST Form, perform the following steps:

  • Click Administration à Masters à ST Form à Add button.
  • In the Form Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Form Master - Add window.

Form Master - Add window

There are three data fields that are active by default in the Form Master – Add window. The active data fields are:

  • Name
  • Print Name
  • ST Reg. Type

Name

In this data field, enter the name of the form that you want to create.

Print Name

In this data field, enter the print name for the form. Print Name refers to the name that appears on documents given to external parties such as sales invoice, receipt, debit note and so on. By default, the name entered in the Name field is displayed as Print Name. You can leave this field blank if you do not want any name to appear on the printed reports.

ST Reg. Type

In this data field, select one of the three options that are displayed. The three options are:

  • Local – Select this option if the form is for local transactions
  • Central – Select this option if the form is for central transactions
  •  ST-37 – Select this option if the form is for Delhi only with VAT enabled

Now that you have created masters for Sales Tax in BUSY, you can record sales tax related transactions using vouchers.

3. Record Sales Tax Using Vouchers

If you have paid/received sales tax on sale/purchase of goods then you can enter sales tax related details in the appropriate vouchers.

To record sales tax related details perform the following steps:

  • Click Transactions menuà Select the appropriate voucher.
  • Enter appropriate information in the voucher and save the voucher.
  • Click Transactions menu à Select the appropriate voucher for Forms Received/Forms Issued.
  • Enter appropriate information in the voucher and save the voucher.

Let us understand the recording of sales tax with the help of an example. Fast Wheels Inc. is a dealer in car parts based in Delhi. It sold car parts to Today Cars, a dealer based in another state. Moreover, Fast Wheels Inc. collected sales tax at 10% and surcharge at 10% on sales tax.

Given here is a screenshot of the Sales voucher that Fast Wheels Inc. enters for sale of car parts.

Sales - Add window

If you do not attach the Tax Bill Sundry as specified in the Sale Type (Central 10%) then BUSY will display a message box asking you whether to continue without the tax bill sundry. In such a case, you can save the voucher with or without the tax bill sundry.

  • Click the Save button to save the voucher. On clicking the Save button a Sales Tax/Excise Reporting Details window appears.

Given here is a screenshot of the Sales Tax/Excise Reporting Details window.

Sales Tax Excise Reporting Details window

There are three active data fields that appear in the Sales Tax/Excise Reporting Details window. These are:

  • Description of Items
  • Total Qty.
  • Form DVAT 34 No.

Let us discuss these data fields in detail.

Description of Items

In this data field, enter the description of the item sold. If you do not want to give a description for the item then you can leave this field blank.

Total Qty.

In this data field, enter the quantity of goods sold that you want to display in Sales tax & VAT reporting. By default, the quantity specified in the voucher is displayed in the data field.

Form DVAT 34 No.

In this data field, enter the details of road permit, if any. This information is required for generating the Form DVAT report.

If you enter a purchase transaction involving sales tax then a Sales Tax/Excise Reporting Details window appears on clicking the Save button. This window has active data fields such as Purchase Bill Number, Purchase Bill Date, and Description of Items. You can enter the appropriate information in the data fields since this information is required for Sales Tax reporting.

  • Click the Ok button to close the Sales Tax/Excise Reporting Details window. On clicking the Ok button a ST Forms Details window appears.

Given here is a screenshot of the ST Forms Details window.

ST Forms Details window

ST Forms Details window appears for the Sale voucher because in the Sale Type (Central 10%) the Taxation Type is defined as 'Against ST Form'. If the Taxation Type is an option other than 'Against ST Form' then this window will not appear.

There are two data fields that appear in the ST Form Details window. These are:

  • Form Issuable Amt.
  • Form Receivable Amt.

Let us discuss these data fields in detail.

Form Issuable Amt.

In this data field, enter the amount for which the Form is issuable. By default, the total amount of transaction is entered in this data field.

Form Receivable Amt.

In this data field, enter the amount for which the Form is receivable. By default, the total amount of transaction is entered in this data field.

Depending on the configuration in Sale/Purchase Type under Form Information option box either Form Issuable Amount or Form Receivable Amount or both the data fields will be active. In the screenshot given above, since the sale type configuration allows the form to be issued as well as received both the fields are active in the window.

Typically speaking, Form Issuable Amount data field will be active for purchase transactions and Form Receivable Amount data field will be active for sales transactions.

  • Click the OK button to close the ST Forms Details window and save the Sale voucher.

Now that you have entered the Sale voucher for the sale transaction, you need to enter a Form Received transaction for the form that is received from Today Cars.

Given here is a screenshot of the Forms Received – Add window that Fast Wheels Inc. enters for receipt of the appropriate form.

Form Received - Add window

There are certain data fields that appear in the Forms Received – Add window. These are:

  • Date
  • Form
  • Form No.
  • Party
  • Narration
  • Bill No./Dated/Amount

Date

In this data field, enter the date on which the Form is received.

Form

In this data field, select the Form that you have received from your customer. You can select from the list of ST Forms displayed in the data field.

Form No.

In this data field, enter the number that is printed on the Form. Form number is a unique number of the Form.

Party

In this data field, select the party from whom you have received the Form.

Narration

In this data field, enter the narration giving a brief description of the transaction.

Bill No./Dated/Amount

In this data field, select the appropriate form details from the list that is displayed in the grid.

On selecting the appropriate form details, the details for Bill No, Dated, and Amount are automatically entered in the data field.
  • Click the Save button to save the Forms Received voucher.

4. View Sales Tax Reports

Once you have recorded sales tax and VAT related transactions, you can view the Sales Tax & VAT related reports and returns. To view the Sales Tax & VAT reports, perform the following tasks:

  • Click Display à Sales Tax & VAT Reports à Select a report from the following options:
    • ST Form reports
      •  Forms Receivable
      •  Forms Issuable
      •  Forms Received Register
      •  Forms Issued Register
    • Sales Tax Account Register
    • Sale in Transit Register
    • State-specific Sales Tax Register
    • VAT Summaries
      •  VAT Summary
      •  VAT Computation
      • Sale Type Summary
      • Purchase Type Summary
      • Sales VAT Summary
      • Purchase VAT Summary
      • Annual VAT Summary
      • Item Tax Rate-wise Summary
      • Party-wise Sales VAT Summary
      • Party-wise Purchase VAT Summary
      • Item-wise Sales VAT Summary
      • Item-wise Purchase VAT Summary
      • Party-wise Sales CST Summary
      • Party-wise Purchase CST Summary
      • Item-wise Sales CST Summary
      • Item-wise Purchase CST Summary
    • VAT Registers
      •  Standard
        • Sales (Bill-wise)
        • Sales (Party-wise)
        • Purchase (Bill-wise)
        • Purchase (Party-wise)
        • Sales Return (Bill-wise)
        • Sales Return (Party-wise)
        • Purchase Return (Bill-wise)
        • Purchase Return (Party-wise)
      • Columnar
        • Sales (Bill-wise)
        • Sales (Party-wise)
        • Purchase (Bill-wise)
        • Purchase (Party-wise)
        • Sales Return (Bill-wise)
        • Sales Return (Party-wise)
        • Purchase Return (Bill-wise)
        • Purchase Return (Party-wise)
    • State-specific VAT Reports
    • Tax Paid Stock Detail
    • VAT Adjustment Details
    • Reconcile Accounts & Sales Tax
    • Reconcile Accounts & Purchase Tax

Given here is a screenshot of the Sales Tax & VAT Reports menu.

Sales Tax & VAT Reports window
  • Enter the date range in Starting Date and Ending Date fields/Select the appropriate option to generate the report.
  • View the respective Sales Tax & VAT report.

Given here is a brief description for each of the Sales Tax & VAT reports.

Forms Receivable

Forms Receivable report contains details of the forms that are receivable from customer or parties. It contains details such as party, bill number, type, dated, form amount, and form.

Forms Issuable

Forms Issuable report contains details of the forms that are issuable to suppliers or parties. It contains details such as party, bill number, type, dated, form amount, and form.

Forms Received Register

Forms Received Register contains details of all the form receipt transactions. It contains details such as serial number, name of party, address of party, serial number of forms, date of receipt and so on.

Forms Issued Register

Forms Issued Register contains details of all the form issue transactions. It contains details such as serial number, name of seller, address of seller, serial number of forms, date of issue and so on.

This register is also known as Forms Utilisation Register.

Sale Tax Account Register

Sale Tax Account Register contains details of all the transactions on which sales tax has been collected. It is the register generally required at the time of assessment. It contains each and every detail relevant to sales tax. You can generate the report for local and central transactions separately. It contains details such as date, bill number, party, bill amount, form and so on.

Sale in Transit Register

Sale in Transit Register prints the details of the vouchers entered for sale in transit. In other words, it will consider only those vouchers that have Sale / Purchase Type defined for Sale in Transit.

State-specific Sales Tax Register

Depending on the state selected in Configuration menu, state-specific sales tax registers are listed in this option. For example, if the state selected is Delhi then the Sales Tax Registers are ST-2A and ST-2B.

VAT Summary

This report is same as VAT Computation report explained below except that it shows the details of central sales and purchases that are not related to computation of VAT. This report forms the foundation/base for all other VAT reports.

VAT Computation

VAT Computation calculates the Net VAT Payable/Refundable for a specified period and shows all the computations used to derive at the final figure. It contains comprehensive detail such as input VAT, output VAT and so on.

Sale Type Summary

Sale Type Summary report contains details of all the Sale Types that have been used in sales/sales return transactions. This report provides the summary on sales and sales return for a specific Sale Type. All the sales/sales returns belonging to specific Sales Type (C-10%, L, L-8% and so on) are grouped together.

Let us understand with the help of an example. There are two Sale Types, A and B. In such a case, under this report the sale/sales return will be grouped under separate headings of A and B.

It contains details such as name of form, sales amount, tax amount, sales return amount, sales type name, sales tax surcharge, nett sales and so on.

Purchase Type Summary

Purchase Type Summary Report contains details of all the purchase types that have been used in purchase/purchase return transactions. This report provides the summary on purchase and purchase return for a specific purchase type. All the purchase/purchase returns belonging to specific purchase type (C-10%, L, L-8% and so on) are grouped together.

Let us understand with the help of an example. There are two Purchase Types, A and B. In such a case, under this report the purchase/purchase return will be grouped under separate headings of A and B.

It contains details such as name of form, purchase amount, tax amount, purchase return amount, purchase type name, sales tax surcharge, nett purchase and so on.

Sale VAT Summary

Sale Tax Summary report contains details of all the sale and sales return transactions on which sales tax has been paid. It provides the summary on sales and sales return for a specific tax rate. All the sales/sales return belonging to a specific tax rate (5%, 10% and so on) and a specific region (Central/Local) will be grouped together irrespective of different sale types.

Let us understand with the help of an example. There are two sale types, A and B, where the tax rate and region specified are same. Thus, the report generated will club the sale/sales return for both sale type based on the same tax rate and region.

This report contains details such as sale type, sales amount, tax amount, sales return amount, sales tax surcharge, nett sales and so on.

Purchase VAT Summary

Purchase Tax Summary report contains details of all the purchase and purchase return transactions on which sales tax has been paid. It provides the summary on purchase and purchase return for a specific tax rate. All the purchase/purchase return belonging to a specific tax rate (5%, 10% and so on) and a specific region (Central/Local) will be grouped together irrespective of different purchase types.

Let us understand with the help of an example. There are two purchase types, A and B, where the tax rate and region specified are same. Thus, the report generated will club the purchase/purchase return for both purchase type based on the same tax rate and region.

This report contains details such as purchase type, purchase amount, tax amount, purchase return amount, sales tax surcharge, nett purchase and so on.

Annual VAT Summary

Annual VAT Summary report displays the annual tax details either on monthly basis or quarterly basis.

Item Tax Rate Wise Summary

Item Tax Rate wise Summary report prints the tax wise details of items. The report generate summary of Op. Stock, Purchase, Sales and Closing stock of items clubbed on the basis of rate of tax.

Party-wise Sales/Purchase VAT Summary

This report displays the summary for sales/purchase transactions on which VAT has been paid or collected. This report classifies on the basis of the parties. It simply clubs all the sales/purchase transactions for different parties and displays the clubbed amount for different parties.

Item-wise Sales/Purchase VAT Summary

This report displays the summary for sales/purchase transactions on which VAT has been paid or collected. This report classifies on the basis of the items. It simply clubs all the sales/purchase transactions for different items and displays the balance amount for different items.

Party-wise Sales/Purchase CST Summary

This report displays summary of sales/purchase transactions on which CST has been paid or collected. This report classifies on the basis of the parties. It simply clubs all the sales/purchase transactions for different parties and displays the clubbed amount for different parties.

Item-wise Sales/Purchase CST Summary

This report displays summary of sales/purchase transactions on which Central Sales Tax is paid or collected. This report classifies on the basis of the items. It simply clubs all the sale/purchase transactions for different items and displays the balance amount for different items.

VAT Registers

VAT Registers contain details of Sale/Purchase, Sales Return/Purchase Return vouchers (VAT/Non-VAT related) in the format prescribed by the government. On clicking the VAT Registers option, a list of Sale/Purchase and Sale/Purchase Return Registers both Bill-wise and Party-wise appears. The list appears twice, one in which you can view the reports in the Standard format and the one in which you can view the reports in the Columnar format.

State-specific VAT Register

Depending on the state selected in Configuration menu, state-specific VAT registers are listed in this option. For example, if the state selected is Delhi then the VAT Registers are DVAT 16, DVAT 30, DVAT 31 and DVAT 35B.

Tax Paid Stock Details

Tax Paid Stock Details contains details of all the stock purchase transactions till a particular date on which sales tax has been paid. The relevance of this account is under VAT system. This registers helps you maintain a record of the tax paid stock purchase transactions, which in turn helps you, claim any refundable amount of tax from the government. It does not include central purchase transactions since you cannot claim a refund on central purchases.

It contains details such as serial number, items, quantity, purchase date, invoice number and so on. You can generate this report for all items or group of items.

VAT Adjustment Details

VAT Adjustment Details report displays the details of Input/Output Tax adjustment or any payment/refund of VAT made. It displays all the details related to VAT payment and refunds such as Challan number, challan date, Bank name/code and so on.

After following these four steps you have successfully implemented Sales Tax reporting in BUSY.


Excise Duty

Knowledge Documents > Tax Related Documents > Excise Duty

Overview of Excise Duty

Excise duty is an indirect tax levied on goods produced or manufactured within a country. In other words, it is a duty on goods that are manufactured locally for domestic consumption. It is charged whenever the goods are moved from their principal place such as factory or godown even if the movement of goods is for stock transfer. Being an indirect tax, it is collected by the manufacturer and deposited with the government. The manufacturer passes on the burden of the duty to the consumer in the form of increased cost price.

Excise duty comes under the purview/jurisdiction of Central Government and thus, the Central Government is responsible for levy and collection of excise duty. Excise duty is popularly known as Central Excise.

Central Excise Duty is the single biggest source of revenue for the Central Government. To manufacture excisable goods it is necessary for the manufacturer to register with the Central Excise authority.

Basis for Levy and Collection of Excise Duty

When a new commodity is manufactured excise duty is levied but the duty is collected only on the removal of the goods. In other words, when the manufactured goods are removed for the purpose of sale or consumption excise duty is levied.

Let us understand with the help of a case scenario. Ahead Cars is a car parts manufacturing concern based in Delhi.

  • On April 15, 2005 it manufactured 1,500 car parts comprising of car seats and engine parts.
  • On April 25, 2005 it sold all the 1,500 manufactured car parts to a dealer based in Delhi.

In this case, excise duty will be levied on the manufactured goods on April 25 since the goods were removed (sold) on this date. Thus, as soon as the goods are produced or manufactured they are liable for excise duty but the excise duty is collected only at the time of removal of the goods.

Although the final burden of excise duty falls on the consumer in the form of price hike but the liability to collect and deposit excise duty with the Central government is on the producer or manufacturer.

There are different types of excise duties that are levied depending on the goods under consideration. Let us discuss the types of excise duties in detail.

Types of Excise Duty

There are three types of Excise duties levied in India. These are:

  • Basic Excise Duty
  • Additional Excise Duty
  • Special Excise Duty

Basic Excise Duty

Basic Excise Duty (BED) is charged on all excisable goods other than salt, which are produced or manufactured in India at the rates set forth in the Schedule to the Central Excises Tariff Act.

Additional Excise Duty

Additional Excise Duty (AED) is charged as per the Additional Duties of Excise Act on the goods described in the Schedule to this Act. AED is charged in lieu of Sales tax and it is shared between Central and State Governments.

Special Excise Duty

Special Excise Duty (SED) is levied on all excisable goods that are subject to BED under the Central Excises and Salt Act. Each year the relevant provisions of the Finance Act specify whether SED will be levied and collected during the relevant financial year.

We have discussed the broad outline of the excise duty system. Let us now discuss the working of the excise duty system.

Under the excise duty system, the manufacturer produces, sells the goods, and collects the appropriate excise duty. Further, the manufacturer deposits the excise duty collected with the Central Government.

The Central government needs to exercise control over excise duty collection to keep a check on the payment of excise duty. For this purpose the manufacturer need to maintain certain registers depending on the type of excise reporting that the manufacturer comes under.

Excise reporting refers to how a manufacturer reports the collection of excise duty. In other words, the type of registers that the manufacturer maintains comprises excise reporting.

There are two types of Excise Reporting:

  1. Manufacturing Excise Reporting
  2. Trading Excise Reporting

The basic differentiator between the two types of excise reporting is the nature of the transactions carried out by the manufacturer/dealer.

Let us understand with the help of diagrammatic representation.

Ahead Cars à

(Manufacturer)

Fast Wheels à (Dealer)

Today Cars à

(Manufacturer)

Go Cars

(Dealer)

In this case scenario, Ahead Cars and Today Cars are manufacturing concerns that produce car parts. These concerns pay excise duty on purchase of raw material and collect excise duty on the sale of the goods. Thus, they will maintain manufacturing excise reporting.

On the other hand, Fast Wheels is a trading concern (dealer) that purchases excisable goods and pays excise duty but when it sells the goods it cannot collect excise duty. The trading concern (dealer) cannot collect excise duty on sales because the trading concern simply passes on the goods to a further manufacturer or dealer. It has not produced a new product and thus cannot charge excise duty. In such a case, Fast Wheels will come under trading excise reporting. Similarly, Go Cars is a trading concern (dealer) that will come under trading excise reporting.

The terms trading concern and dealer have the same meaning. Both the terms mean a middle business entity in the chain of transactions. These terms have been used interchangeably in the document. Similarly, the terms manufacturing concern and manufacturer have the same meaning and have been used interchangeably in the document.

To summarize we can say that if a manufacturer collects excise duty on sale of goods then manufacturing excise reporting is applicable. On the other hand, if a manufacturer/dealer does not collect excise duty on the sale of goods then trading excise reporting is applicable. Typically speaking, manufacturers come under manufacturing excise reporting while the dealers come under trading excise reporting. Thus, we can conclude that the type of excise reporting applicable depends on whether excise duty is collected on the sale of goods.

Let us now discuss the working of the two types of excise reporting in detail.

1. Manufacturing Excise Reporting

For manufacturing excise reporting there are primarily eight registers that are required. These are:

  • Personal Ledger Account
  • Excise Duty Register
  • RG 23A II
  • RG 23C II
  • RG-23A1
  • RG-1
  • Form ER-1
  • CENVAT Return

Let us discuss these registers in detail.

Personal Ledger Account

Details regarding the deposit and the adjustment of the excise duty are recorded in a register called Personal Ledger Account, popularly known as PLA. PLA is the record of the amount deposited by the manufacturer with the excise authorities for payment of excise duty. PLA is to be maintained in the prescribed form for each excisable good. Each debit and credit entry must be made on a separate line and assigned a running serial number for each financial year.

There are two methods of maintaining the PLA account. One is where advance payment is made into PLA account and second is where payment is made into PLA account as and when the excisable goods are sold. We will discuss both the methods in detail.

Let us start with the first method. Unlike Sales Tax in which the tax is first collected and then deposited, excise duty is first deposited and then collected i.e. an advance payment of excise duty is deposited in banks irrespective of whether any sale or consumption of goods has taken place. Excise duty can be charged on sales only after an advance payment has been deposited in the bank.

When the assessee (manufacturer) deposits any amount with the Central Excise authorities for payment towards excise duty, he makes a debit entry in the PLA. At the time of sale or consumption of excisable goods, the assessee pays the duty determined by him by making a credit entry in the PLA. The balance in the PLA at a given point of time is the amount available for future payment of excise duty. If any goods are sold or consumed without a credit entry or without adequate debit balance in the PLA, they will be treated as goods sold or removed without payment of duty. Excise Duty can be charged on sale or consumption only when PLA register has a debit balance. This is the first method. Earlier it was mandatory to make an advance payment into PLA but now it is not mandatory.

In the second method, payment into the PLA account is made as and when excisable goods are sold. Thus, the only difference between the two methods is that no advance payment in PLA account is required in the second method. Everything else remains the same in both the methods.

Let us understand with the help of an example. On April 1, 2005, PLA has a balance of Rs. 1,00,000. On April 4, goods are sold and excise duty amounting to Rs. 50,000 is collected. The excise duty collected is adjusted against the PLA balance of Rs. 1,00,000. Given here in the table format is the balance in PLA account and the corresponding adjusted excise duties on sales.

Date | Type of transaction | Excise duty on sales to be adjusted | Balance in the PLA after the adjustment
1-4-05 | None | 0 | 1,00,000
4-4-05 | Duty Adjusted | 50,000 | 50,000

Excise Duty Register

In Excise Duty register, details of sale transactions on which excise duty has been collected are entered. For example, Ahead Cars produces and sells car parts to another dealer. It collects excise duty on the sale made. Such a transaction will be entered in the Excise Duty register.

Before we move on to the next register under manufacturing excise reporting, let us discuss a case scenario. We will continue with the case scenario for Today Cars.

Today Cars, a manufacturing concern, purchases raw material from Ahead Cars, another manufacturing concern and pays excise duty on the purchase. Further Today Cars processes the raw material into a finished product and sells it. On this sale excise duty is levied. This process subjects the raw material to double excise duty, since excise duty is levied twice, once on purchase and once on sale. This results in double taxation, leading to the cascading effect on the price of the final product.

To avoid double taxation, the government has allowed the set-off of excise duty collected on the finished product against excise duty paid on purchase of raw material. In this case, the manufacturer, Today Cars, can claim input excise duty paid on the purchase and set off the output excise duty collected. This system of setting off the output excise duty is similar to that in VAT and thus this system is called MODVAT, an abbreviated form for Modified VAT.

To set-off the output excise duty against input excise duty, the details of the appropriate purchase transactions have to be recorded in a register, RG 23A II. Let us discuss this register in detail.

RG 23A II

For purpose of claiming input excise duty credit on raw material a register, RG 23A II, is maintained. In this register details of the purchase transaction for raw materials only are entered. These purchase transactions are those on which excise duty has been paid.

Let us understand with the help of a case scenario. We will continue with the case scenario of Today Cars.

  • On May 15, 2005 Today Cars purchased raw material worth Rs. 50,000 from Ahead Cars, a manufacturing concern and paid excise duty amounting to Rs. 5,000.
  • Today Cars processed the raw material and manufactured 100 car parts. On 30 May, it sold the car parts @ Rs. 600 to Go Cars, a trading concern (dealer) and paid excise duty amounting to Rs. 6,000.

For this example, we assume that the Ahead Cars, the manufacturer has not paid any excise duty on the purchases. This is done to simplify the example.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/Business Entity | Ahead Cars à (Manufacturer) | Today Cars à (Manufacturer)
Cost Price (manufacturing cost/Procurement cost) | 50,000 | 50,000 (do not include excise duty paid on purchase in the cost)
Value Added | N.A. | 10,000
Selling Price | 50,000 | 50,000 + 10,000 = 60,000
Excise Duty (10%) | 5,000 | 6,000
Total (MR.P.) | 50,000 + 5,000 = 55,000 | 60,000 + 6,000 = 66,000
Excise Duty paid on purchase | N.A | 5,000
Excise Duty collected (payable) on sales | 5,000 | 6,000
Net Excise Duty payable (Excise Duty Collected – Excise Duty Paid) | 5,000 | 6,000 - 5,000 = 1,000

In this case scenario, for Today Cars the input excise duty paid is Rs 5,000 while the output excise duty is Rs. 6,000. Since the manufacturing concern paid excise duty on the purchase of raw material it can set off the output excise duty against input excise duty paid. Thus the net excise duty payable is Rs. 1,000 (6,000 – 5,000).

Do not include the excise duty paid on purchase in the cost for Today Cars. If the excise duty is included then it will lead to double taxation.

The Central government allows the facility of set-off against the input excise duty paid. Let us assume that the manufacturer has paid excise duty in advance and at the time of purchase and sale he makes the appropriate adjustments.

In this case scenario, let us assume that Today Cars made an advance payment of excise duty amounting to Rs. 5,000. It recorded this entry in the PLA. There was a transaction for purchase of raw material on which excise duty amounting to Rs. 5,000 was paid was recorded in the RG 23A II register. In addition, there was a sale transaction on which excise duty amounting to Rs. 6,000 was collected was recorded in the Excise Duty Register. Consequently, adjustment for excise duty amounting to Rs. 1,000 (6,000 – 5,000) was made in the PLA Account. Now the PLA account has a balance of Rs. 4,000.

RG 23A II records the transactions for raw materials only. In a business scenario there can be a case where input excise duty can be claimed on purchase of goods other than raw material. For this purpose we have RG 23C II register. Let us discuss this register in detail.

RG 23C II

The purpose of this register is to enable the manufacturer claim input excise duty paid on purchase of capital goods. Capital Goods are those goods that are used over a long period of time. These goods help in the production of finished goods. Some examples of capital goods are machinery, computers, and so on.

Let us understand with the help of a case scenario. We will continue with the Today Cars case scenario. On June 5, Today Cars purchased machinery worth Rs. 40,000 for business purpose and paid excise duty amounting to Rs. 4,000. According to the specifications, Today Cars can claim the input excise duty paid on purchase of machinery since it is a capital good. Thus, this entry will be recorded in the RG 23C II register and the appropriate adjustment entry will be made in the PLA. Today Cars will adjust the balance of RG 23C II register manually in the PLA and the resultant balance in the PLA will be Rs. 8,000 while RG 23C II register will have a nil balance.

RG 23C II register is similar to RG 23A II register except that purchase transactions for only capital goods are entered in RG 23C II register. Thus, the only difference between the two registers is that transaction for raw materials are entered in RG 23A II register while transactions for capital goods are entered in RG 23C II register.

RG 23A I

RG 23A-I Register contains stock details of raw materials. It contains details such as date of transaction, type of transaction, voucher/bill number, quantity received, party, quantity out (with/without duty), and quantity out (manufacturing).

RG-I

RG-I Register contains duty details and stock details of finished goods. It contains details such as date of transaction, voucher/bill number, quantity in, quantity out (with or without duty), assessable value, duty details, duty amount, and balance quantity.

Form E.R. - I

Form E.R.-1 provides the details of excise charged on the goods at the time of sales. There are two sub-reports under Form E.R.-1 report. These are:

  • Details of Goods and Duty Payable – This report contains the duty related and quantitative details of the goods. For example details such as quantity out, unit, quantity received, and opening balance of goods will be displayed in the register.
  • Details of CENVAT Credit Availed – This report contains details that are entered in the Adjust Excise Amount transaction. In case no credit is availed then no details will be displayed.

CENVAT Return

CENVAT Return provides the details of excise charged on the goods at the time of purchase. This report can be generated for two categories:

  • Inputs (Raw materials): This report provides the details of MODVAT claimed on raw materials and passed in the RG-23AII register at the time of purchase. This report provides the details like supplier name, supplier type, date, bill no., value of the goods, BED, tariff along with the total of credit utilized.
  • Capital Goods: This report provides the details of MODVAT claimed on capital goods and passed in the RG-23CII register at the time of purchase. This report provides the details like supplier name, supplier type, date, bill no., value of the goods, BED, tariff, quantity along with the total of credit utilized.

We have discussed Manufacturing Excise Reporting in detail; let us now move onto Trading Excise Reporting.

2. Trading Excise Reporting

Under Trading Excise Reporting, the primary point to keep in mind is that the manufacturer or dealer who come under this reporting cannot collect excise duty on the sales.

Let us understand with the help of a case scenario. We will continue with the Today Cars case scenario. Today Cars purchases raw material directly from their supplier, Ahead Cars. This process is very taxing for Today Cars, since they do not have a robust procurement and distribution system. They are looking for a dealer (trader) who can handle the procurement of raw material from their supplier. For this purpose, they contact Fast Wheels, a trading concern (dealer) that supplies raw material to manufacturers and dealers.

Let us understand with the help of diagrammatic representation.

Ahead Cars Inc à (Manufacturer)

Fast Wheels à (Dealer)

Today Cars à

(Manufacturer)

Go Cars

(Dealer)

Now Fast Wheels procures the raw material from Ahead Cars and sells it to Today Cars. Listed here are the transactions that took place for the month of July.

  • On July 10, Fast Wheels purchased raw material worth Rs. 50,000 from Ahead Cars and paid excise duty amounting to Rs. 5,000.
  • On July 15, Fast Wheels sold the raw material to Today Cars for Rs. 65,000 and did not charge excise duty.
  • On July 20, Today Cars processed the raw material, sold it to Go Cars for Rs. 70,000, and charged excise duty amounting to Rs. 7,000.

Important points to remember:

  • Fast Wheels is a trading concern (dealer) and does not collect any excise duty on sale of goods. The reason is that excise duty is levied only when a new product is produced or manufactured. In case of Fast Wheels no new product is produced or manufactured.

  • There is a requirement for being covered under trading excise reporting. The requirement is that the trading concern or dealer should be registered with the excise authorities as an excise dealer.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/Business Entity

Ahead Cars à (Manufacturer)

Fast Wheels à

(Dealer)
Today Cars à

(Manufacturer)

Go Cars

(Dealer)

Cost Price (Manufacturing cost/Procurement cost)

50,000

55,000

60,000 (65,000 – 5,000: Do not include Excise Duty paid on purchase in the cost)

77,000

Gross Profit margin/ Value Added

N.A.

10,000

10,000

10,000

Gross Selling Price

50,000

55,000 + 10,000 = 65,000

60,000 + 10,000 = 70,000

77,000 + 10,000 = 87,000

Excise Duty (10%)

5,000

N.A.

7,000

N.A

Net Selling Price (Total)

50,000 + 5,000 = 55,000

65,000

70,000 + 7,000 = 77,000

87,000

Excise Duty paid on purchase

N.A

N.A

5,000

7,000 (will recover from the buyer)

Excise Duty collected (payable) on sales

5,000

N.A

7,000

N.A

Net Excise Duty payable (Excise Duty Collected – Excise Duty Paid)

5,000

N.A

7,000 - 5,000 = 2,000

N.A

Net Profit (Net Selling Price – Cost Price – Net Excise Duty Payable)

N.A

10,000 (65,000 – 55,000)

10,000 (77,000 – 65000 – 2000)

N.A

For this case scenario, we assume the following:

  • No CST or VAT is levied on any of the three transactions given here.

  • Ahead Cars, the manufacturing concern has not paid any excise duty on the purchase. This is done to simplify the example.

In this case scenario, Fast Wheels pays excise duty and includes it in the cost price, thus increasing the cost price to Rs. 55,000. Further, it sells the goods to Today Cars for Rs. 60,000 and recovers the excise duty amounting to Rs. 5,000 from Today Cars. Now, Today Cars is a manufacturing concern that collects excise duty on sale, thus it can claim the input excise duty paid on purchases to avoid double taxation. Due to an extra link in the chain, Fast Wheels, it becomes difficult to claim the input excise duty. To simplify the situation, Fast Wheels has to furnish all the details of the purchase on which excise duty was paid, to Today Cars to enable Today Cars to claim input excise duty. Claim of input excise duty is commonly referred to as MODVAT benefit.

This process of furnishing information by the dealer is the application of trading excise reporting. Under trading excise reporting, the dealers can pass the MODVAT benefit to manufacturers (buyers) to whom they supply raw material. In order to do so, the dealer has to furnish the details of the manufacturer from whom the dealer purchased the goods initially. This information will be made available on the sales invoice. The details include the quantity purchased from the manufacturer, excise duty levied on the purchase and excise duty to be transferred on the goods sold. The amount of excise duty transferred forms the basis for claiming MODVAT benefit.

The details of the purchase are furnished in the form of two registers listed here:

  • RG 23D
  • Form 2

Let us discuss these registers in detail.

RG 23D

This register contains the details of the purchase and sale of goods by the dealer. This register is maintained separately for different goods or items. All the purchase and sales transactions for a particular item are recorded in this register separately.

The purpose of maintaining such a register is to keep a check on the sale and purchase of an item on which the dealer is going to pass the MODVAT benefit to the manufacturer (buyer).

Let us understand with the help of a case scenario. We will continue with the case scenario of Fast Wheels. Let us assume that Fast Wheels purchased goods worth Rs. 50,000 from Ahead Cars and paid excise duty amounting to Rs. 10,000. Fast Wheels will record the purchase transaction in the RG 23D register. Now Fast Wheels sold the goods in two lots worth Rs. 30,000 each to Today Cars, a manufacturing concern and Great Cars, a trading concern (dealer). Thus, Fast Wheels will record these two sales in the RG 23D register against the purchase transaction.

This type of recording of purchase and sale transactions helps in maintaining a clear record as to which goods were purchased and when and how were they sold. The significance of RG 23D register is that it helps us to track the payment of excise duty and passing of the MODVAT benefit to the manufacturer (buyer).

Form 2

This register lists down the purchase and sales transactions for all the goods or items together. Unlike RG 23D this register is not maintained item wise, rather it lists the sales and purchase transactions separately for the items. Only those purchase or sale transactions are recorded that affect the RG 23D register in some manner.

Let us understand with the help of a case scenario. We will continue with the Fast Wheels case scenario. For the purchase and sale transactions carried out, Fast Wheels will record the transactions in Form 2 separately as sales and purchase. There will be no check on what item was purchased and where it was sold. Simple listing of the sales and purchase transactions that affect the RG 23D register will be done.

Proper maintenance of records for sale and purchase helps in passing the MODVAT benefit to the manufacturer (buyer). The MODVAT benefit can be passed to any level in the chain of transactions. Let us understand with the help of an example.

Ahead Cars à

(Manufacturer)

Fast Wheels à

(Dealer)

Great Cars à

(Dealer)

Today Cars

(Manufacturer)

  • Ahead Cars, a manufacturing concern sells goods to Fast Wheels, a trading concern (dealer) that in turn sells the goods to Great Cars, a trading concern (dealer).
  • Great Cars sells the goods to Today Cars, a manufacturing concern.

Now Great Cars can pass the MODVAT benefit to Today Cars by furnishing the details of both Ahead Cars and Fast Wheels that were involved in the chain of transactions. These details will be recorded in the RG 23D and Form 2 registers for the purpose of passing the MODVAT benefit to Today Cars. Further, the same details will be provided in the sales invoice.

In the sales invoice, the details of purchase of an item are to be provided. These are:

  • Manufacturer's detail along with details of the paid excise duty - In this case the manufacturing concern is Ahead Cars.
  • Supplier's Detail from whom the items have been purchased - In this case the supplier is Fast Wheels.
  • MODVAT details of the item sold such as how much quantity of the item is left against a particular purchase bill.

We have discussed the working of the excise duty system with respect to types of excise reporting. Now let us discuss the minor changes in the excise duty system brought about by government specifications.

Changes in the Excise Duty System

Certain changes have been incorporated in the excise duty system following the specifications given by the Finance Ministry. Some of these changes are:

  • Excise Duty system has been renamed CENVAT (Central Value Added Tax) and the MODVAT system has been renamed as the Cenvat Credit Scheme. MODVAT is commonly referred to as CENVAT also. A uniform Cenvat has been levied @ 16 %.
  • No advance payment of excise duty is required in the PLA. As and when the goods are sold, the excise duty is deposited with the central government.

Now that we have understood the concept of Excise Duty, let us discuss the implementation of Excise Reporting in BUSY. We will first discuss Manufacturing Excise Reporting followed by Trading Excise Reporting.

Implementation of Mfr. Excise Reporting

The implementation of Mfr. Excise Reporting in BUSY is a simple four-step process. The steps are:

  1. Configure Mfr. Excise Reporting
  2. Record Input/Output Excise Duty using vouchers
  3. Adjust Excise Amounts (If required)
  4. View Excise Reports and Returns

Let us discuss the steps in detail.

1.Configure Mfr. Excise Reporting

The first step is to configure Manufacturing Excise reporting in BUSY. There are four sub-steps in configuring Manufacturing Excise reporting. The sub-steps are:

  • Enable Excise Reporting
  • Configure Bill Sundry
  • Configure Excise Reporting Account-wise
  • Enter Opening Information for Manufacturing Excise

Enable Excise Reporting

To enable Excise Reporting in BUSY, perform the following steps:

  • Open the company you want to configure Excise Reporting for by clicking Company à Open à Select your company.
  • Click the Administrationà Configuration à Features/Options à Excise tab.
    • Enable the option Enable Excise Reporting by selecting the check box and enter the appropriate details in the data fields that become active.

Given here is a screenshot of Features/Options window for enabling Excise reporting in BUSY.

Features/Options window

After you enable Excise reporting in BUSY, certain data fields become active. In the Type of Excise Reporting data field select the Mfr. option for Manufacturing Excise reporting.

  • Click the Save button.

Configure Bill Sundry

You have to specify a Excise Duty in Nature of Bill Sundry data field in the Bill Sundry master. For example, you have created a Bill Sundry with the name Excise Duty and specified BED in the Nature of Bill Sundry data field. Now whenever you enter a voucher and use Excise Duty Bill Sundry then an Excise Details window appears in which information such as rate of excise duty is displayed automatically. This automatic information is picked from the information provided in the BED Bill Sundry specified in the Nature of Bill Sundry data field. Thus, the Bill Sundries that you specify in Nature of Bill Sundry data field work as a keyword that is used by BUSY software to link the information in the Excise Details window with the information in the specified Bill Sundry.

Configure Excise Reporting Account-wise

After Excise reporting is configured in BUSY, you need to configure Excise reporting account-wise for the sundry debtors and sundry creditors. To configure an account for Excise reporting, perform the following steps:

  • Click Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the data fields.

When you specify the group as Sundry Debtors or Sundry Creditors, Excise Information for Account window appears within the Account Master – Add window. Given here is the screenshot of the Account Master - Add window.

Account Master - Add window

Enter appropriate information in the data fields and click the Ok button to close the Excise Information for Account window.

  • Click the Save button to save the account information.

Enter Opening Information for Manufacturing Excise

You will need to enter opening information for Manufacturing Excise only if you are a new user who has recently configured Manufacturing Excise reporting. In such a case, you may need to enter some opening information for accounts such as PLA, RG 23A II and so on. To enter opening information, perform the following steps:

  • Click the Administration à Configuration à Opening Information à Excise Op. Balance option.
  • On clicking the Excise Op. Balance option, an Excise Opening Balances window will appear.
  • Enter the appropriate balances for different accounts.

Given here is a screenshot of the Excise Opening Balances window.

Excise Opening Balances window
  • Click the Save button to save the opening information.

Now that you have configured Manufacturing Excise reporting in BUSY, you can record the excise related vouchers.

2. Record Input/Output Excise Duty using Vouchers

You can record excise duty related vouchers in primarily three ways:

  • Input Excise Duty (MODVAT/CENVAT claim)
  • Output Excise Duty
  • Excise Duty Deposited with Government

Let us discuss the three ways in detail.

Input Excise Duty (MODVAT/CENVAT claim)

If you have paid excise duty on purchase of excisable goods then you can enter excise related details in the appropriate vouchers. To record Input Excise Duty, perform the following steps:

  • Click the Transaction menu à Select appropriate voucher.
  • Enter appropriate information in the voucher.

Let us understand the recording of Input Excise Duty with the help of an example. Ahead Cars is a car parts manufacturing concern. For the purpose of business, it purchased semi-processed car parts and paid excise duty at 10%. Given here is a screenshot of the Purchase voucher that Ahead Cars enters for purchase of semi-processed goods.

Purchase - Add window
  • Click the Save button to save the voucher. On clicking the Save button, an Excise Details window appears. If you Specify 'Y' in the Update MODVAT Details data field, several data fields become active. These are:
    • Adjust in
    • Document
    • BED Amount
    • SED Amount
    • Edu. Cess Amount
    • SHE Cess Amount

Let us discuss these data fields in detail.

Adjust in

In this data field, select the register where you want to adjust the transaction. You can adjust the transaction either in RG 23A-II or RG 23C-II register.

Document

In this data field, state the type of the transaction that you are entering. For example, in the screenshot given above, the document is a purchase bill. By default, the value in this data field is given according to the transaction or voucher that you are entering.

BED Amount

In this data field, enter the BED amount that is levied on the transaction.

SED Amount

In this data field, enter the SED amount that is levied on the transaction.

Edu. Cess Amount

In this data field, enter the Education Cess amount that is levied on the transaction.

SHE Cess Amount

In this data field, enter the SHE Cess amount that is levied on the transaction.
  • Click the OK button to close the Excise Details window after you have entered the appropriate information. On closing the Excise Details window a Sales Tax/Excise Reporting Details window appears. Given here is a screenshot of Sales Tax/Excise Reporting Details window.

Sales Tax/Excise Reporting window

In the Sales Tax/Excise Reporting Details window there are five active data fields. These are:

  • Purchase Bill No.
  • Purchase Bill Date
  • Description of Items
  • Total Qty.
  • Form DVAT 35 No.

Let us discuss these data fields in detail.

Purchase Bill No.

In this data field, enter the purchase bill no., if any. If you leave this data field blank then the voucher number is used as bill number for reporting.

Purchase Bill Date

In this data field, enter the purchase bill date. If you leave this data field blank then the date entered in the voucher is used as bill date for reporting.

Description of Items

In this data field, enter the description of items that you want to be displayed in Excise reporting.

Total Qty.

In this data field, enter the quantity of goods purchased that you want to display in Excise reporting.

Form DVAT 35 No.

In this data field, enter the details of road permit, if any. This information is required for generating the Form DVAT 35B report if state selected is Delhi and VAT reporting is enabled.

  • C lick the OK button to close the Sales Tax/Excise Reporting Details window and click the Save button to save the voucher.

Reporting in BUSY is done with the help of the Excise Details window that appears while entering a voucher. Thus, be careful while entering the details in the window. If you specify 'N' in the Update MODVAT Details data field then no Excise reporting will be done for the particular voucher.

You can enter the transactions for the payment of excise duty using other vouchers such as Payment voucher.

Output Excise Duty

If you have collected excise duty on sale of excisable goods then you can enter excise related details in the appropriate vouchers. To record Output Excise Duty, perform the following steps:

  • Click the Transaction menu à Select the appropriate voucher.
  • Enter appropriate information in the voucher.

Let us understand recording of Output Excise Duty with the help of an example. Ahead Cars is a car parts manufacturing concern. It sold processed car parts (manufactured car parts) to Car Today and charged Excise duty at 10%. Given here is a screenshot of the Sales voucher that Ahead Cars enters for the sale of car parts.

Sales voucher - Add window
  • Click the Save button to save the voucher. On clicking the Save button an Excise Details window appears. If you Specify 'Y' in the Excise Applicable data field, several data fields become active. These are:
    • Document
    • Assessable Value
    • BED @
    • BED Amount
    • SED @
    • SED Amount
    • Edu. Cess @
    • Edu. Cess Amount
    • SHE Cess @
    • SHE Cess Amount
    • Date & Time of Preparation of Invoice
    • Date & Time of Removal of Goods

Document

In this data field, state the type of the transaction that you are entering. For example, in the screenshot given above, the document is a Sales invoice. By default, the value in this data field is given according to the transaction or voucher that you are entering.

Assessable Value

Enter the assessable value of the goods sold. The assessable value represents the value of the goods on which excise duty is levied.

BED @

Enter the BED (Basic Excise Duty) rate applicable on the assessable value. This value is required for Excise reporting.

BED Amount

In this data field, enter the amount of BED that you want to reflect in Excise reporting.

SED @

Enter the SED (Special Excise Duty) rate applicable on the assessable value. This value is required for Excise reporting.

SED Amount

In this data field, enter the amount of SED that you want to reflect in Excise reporting.

Edu. Cess @

Enter the Education cess rate applicable on the assessable value. This value is required for Excise Reporting.

Edu. Cess Amount

In this data field, enter the amount of Education cess that you want to reflect in Excise reporting.

SHE Cess @

Enter the SHE cess rate applicable on the assessable value. This value is required for Excise Reporting.

SHE Cess Amount

In this data field, enter the amount of SHE cess that you want to reflect in Excise reporting.

Date & Time of Preparation of Invoice

In this data field, enter the date and time of preparation of invoice. By default, the current data and time are displayed in the field. You can change the value as per your requirement.

Date & Time of Removal of Goods

In this data field, enter the date and time of removal of goods. By default, the current date and time are displayed in the field. You can change the value as per your requirement.

  • Click the OK button to close the Excise Details window after you have entered the appropriate information. On closing the Excise Details window, a Sales Tax/Excise Reporting Details window appears.

Given here is a screenshot of the Sales Tax/Excise Reporting Details window.

Sales Tax/Excise Reporting Details window

In the Sales Tax/Excise Reporting Details window there are three active data fields. These are:

  • Description of Items
  • Total Qty.
  • Form DVAT 34 No.

Let us discuss these data fields in detail.

Description of Items

In this data field, enter the description of items that you have sold.

Total Qty.

In this data field, enter the quantity of goods sold that you want to display in Excise reporting.

Form DVAT 34 No.

In this data field, enter the details of road permit, if any. This information is required for generating the Form DVAT 35B report if state selected is Delhi and VAT reporting is enabled.

  • C lick the OK button to close the Sales Tax/Excise Reporting Details Window and then click the Save button to save the voucher.
  • You can enter the transactions for the receipt of excise duty using other vouchers such as Journal voucher.

Excise Duty Deposited with Government

  • When you deposit the net excise duty payable with the government, you need to record the transaction using a voucher in BUSY. To record payment of excise duty, perform the following steps:
    • Click Transaction à Payment à Add button.
    • Enter appropriate information in the voucher

Given here is a screenshot of the Payment voucher that Ahead Cars enters for payment of excise duty to the government.

             Payment voucher - Add window

  • Click the Save button to save the voucher. On clicking the Save button a PLA Account Details window appears. If you Specify 'Y' in the PLA Account Details data field, several data fields become active. These are:
    • Document
    • PLA (BED)
    • PLA (SED)
    • PLA (Edu.Cess)
    • PLA (SHE Cess)
    • Challan No.
    • Challan Date
    • Bank Code
    • Period Ending

If you specify 'N' in the PLA Account Details window then the payment of excise duty is not reflected in the PLA.

Document

In this data field, enter the name of the document that is needed to deposit the excise duty. By default, TR6 Challan is displayed in the data field. This detail is required for Excise Duty reporting.

PLA (BED)

In this data field, enter the amount of excise duty deposited w.r.t BED.

PLA (3SED)

In this data field, enter the amount of excise duty deposited w.r.t SED.

PLA (Edu. Cess)

In this data field, enter the amount of Education cess deposited with the government.

PLA (SHE Cess)

In this data field, enter the amount of SHE cess deposited with the government.

Challan No.

In this data field, enter the challan number.

Challan Date

In this data field, enter the challan date.

Bank Code

Enter the Bank Code where tax is deposited.

Period Ending

Enter the period ending date for which tax has been paid

If you are depositing different types of excise duty such as BED and SED at the same time then while entering the transaction in the Payment voucher, enter the details for the different type of excise duty separately.

  • Click the OK button to close the PLA Account Details window and then click the Save button to save the voucher.

3. Adjust Excise Amounts

In certain cases there can be an instance where a concern may have both Input Excise amount (MODVAT/CENVAT claim) and Output Excise amount. In such a case, you can adjust the Output Excise amount against the Input Excise amount. To adjust the Output Excise amount, perform the following steps:

  • Click the Transaction à Adjust Excise Amounts voucher.
  • Enter the amount to be adjusted in the appropriate excise amount column.

Given here is a screenshot of the Adjustment of Excise Amounts window.

Adjustment of Excise Amounts window

You can adjust the Output Excise Duty (payable) against Input Excise Duty (claimable). In the screenshot, Output Excise Duty is Rs. 2,000 while the Input Excise Duty is Rs. 1,501. We can adjust Output Excise Duty against Input Excise Duty. Thus, Rs. 1,501 out of Rs. 2,000 can be adjusted. The net amount of Rs. 499 (2,000 – 1,501) will appear in Excise reporting.

Excise Duty Payable amount can appear only in case of Manufacturing Excise reporting. The reason is that in Trading Excise reporting there can never be any Payable Excise Duty.

4. View Excise Reports and Returns

Once you have recorded excise related transactions, you can view the Excise related reports and returns. To view the Excise Reports, perform the following tasks:

  • Click Display à Excise Reports à Select a report from the following options:
    • RG-I Register
    • PLA Register
    • RG 23A-I Register
    • RG 23A-II Register
    • RG 23C-II Register
    • Excise Duty Register
    • Form E.R.–1
    • CENVAT Return

Given here is a screenshot of the Excise Reports option.

            Excise Reports option window

  • Enter the date range in Starting Date and Ending Date fields/Select the appropriate option to generate the report.
  • View the respective Excise report.

Given here is a brief description for each of the Excise reports.

RG-I Register

RG-I Register contains duty details and stock details of finished goods. It contains details such as date of transaction, voucher/bill number, quantity in, quantity out (with or without duty), assessable value, duty details, duty amount, and balance quantity. You have the option to view the report either Item-wise, Item Group-wise or Tariff-Heading-wise.

PLA Register

PLA Register (Personal Ledger Account) provides the details regarding the deposit and the adjustment of the excise duty. It is the record of the amount deposited by the manufacturer with the excise authorities for payment of excise duty.

RG 23A-I Register

RG 23A-I Register contains stock details of raw materials. It contains details such as date of transaction, type of transaction, voucher/bill number, quantity received, party, quantity out (with/without duty), and quantity out (manufacturing). You have the option to view the report either Item-wise, Item Group-wise or Tariff-Heading-wise.

RG 23A-II Register

RG 23A-II Register provides details of the purchase, purchase return, and sale return transactions for raw materials only. These transactions are those on which excise duty has been paid. In addition, details of BED adjusted are also displayed in this register.

The details regarding such purchase transactions are required for the purpose of claiming input excise duty credit on raw material.

RG 23C-II Register

RG 23C-II Register provides details of the purchase, purchase return, and sales return transactions for capital goods only. These transactions are those on which excise duty has been paid.

The details regarding such purchase transactions are required for the purpose of claiming input excise duty credit on capital goods.

Excise Duty Register

Excise Duty Register records the details of the sale transactions on which excise duty has been collected. For example, Ahead Cars produces and sells car parts to another dealer. It collects excise duty on the sale made. Such a transaction will be entered in the Excise Duty register.

Form E.R.-1

Form E.R.-1 provides the details of excise charged on the goods at the time of sales. There are two sub-reports under Form E.R.-1 report. These are:

  • Details of Goods and Duty Payable – This report contains the duty related and quantitative details of the goods. For example details such as quantity out, unit, quantity received, and opening balance of goods will be displayed in the register.
  • Details of CENVAT Credit Availed – This report contains details that are entered in the Adjust Excise Amount transaction. For example, it contains information on opening balance, credit availed on inputs, capital goods and credit utilized on inputs, capital goods and so on. In case no credit is availed then no details will be displayed.

CENVAT Return

CENVAT Return provides the details of excise charged on the goods at the time of purchase. This report can be generated for two categories:

  • Inputs (Raw materials): This report provides the details of MODVAT/CENVAT claimed on raw materials and passed in the RG-23AII register at the time of purchase. This report provides the details like supplier name, supplier type, date, bill no., value of the goods, BED, tariff along with the total of credit utilized.
  • Capital Goods: This report provides the details of MODVAT/CENVAT claimed on capital goods and passed in the RG-23C II register at the time of purchase. This report provides the details like supplier name, supplier type, date, bill no., value of the goods, BED, tariff, quantity along with the total of credit utilized.

After following these four steps you have successfully implemented Manufacturing Excise reporting in BUSY.

Implementation of Trading Excise Reporting

The implementation of Trading Excise reporting in BUSY is a simple three-step process. The steps are:

1. Configure Trading Excise Reporting

2. Record Input Excise Duty using vouchers

3. View Excise Reports and Returns

Let us discuss the steps in detail.

1. Configure Trading Excise Reporting

The first step is to configure Excise Reporting in BUSY. There are three sub-steps in configuring Trading Excise reporting. The sub-steps are:

  • Enable Excise Reporting
  • Configure Bill Sundry
  • Configure Excise Reporting Account-wise
  • Configure Excise Reporting Item-wise
  • Enter Opening Information for Trading Excise

Enable Excise Reporting

To enable Excise reporting in BUSY, perform the following steps:

  • Open the company you want to configure Excise reporting for by clicking Company à Open à Select your company.
  • Click the Administration à Configuration à Features/Options à Excise tab.
    • Enable the option Enable Excise Reporting by selecting the check box and enter the appropriate details in the data fields that become active.

Given here is a screenshot of Features/Options window for enabling Excise reporting in BUSY.

Features/Options window

After you enable Excise Reporting in BUSY, certain data fields become active. In the Type of Excise Reporting data field select the Trading option for Trading Excise Reporting. On selecting the Trading option, a Restrictions button becomes active.

  • Click the Invoice Setting button to set different options for Standard Invoice format. On clicking the Invoice Setting button an Invoice Setting window appears. Given here is a screenshot of Invoice Setting window.
Invoice Setting window

In the Invoice Setting window, the different options available are:

    • Non – Excise Format (Commercial Invoice)
    • Excise Format (Single Item –80 Col)
    • Excise Format (Multiple Item –132 Col / 80 Col Landscape) – On selecting this option a Use Landscape Format for Invoice Printing option gets activated. Select this option if you want to print Invoice in Landscape format.
    • Excise Format (Automatic – Depending upon no. of items in voucher)
  • After selecting the relevant option, click the Ok button.
  • Click the Save button to save the configuration settings.

Configure Bill Sundry

You have to specify an Excise Duty in Nature of Bill Sundry data field in the Bill Sundry master. For example, you have created a Bill Sundry with the name Excise Duty and specified BED in the Nature of Bill Sundry data field. Now whenever you enter a voucher and use Excise Duty Bill Sundry then an Excise Details window appears in which information such as rate of excise duty is displayed automatically. This automatic information is picked from the information provided in the BED Bill Sundry specified in the Nature of Bill Sundry data field. Thus, the Bill Sundries that you specify in Nature of Bill Sundry data field work as a keyword that is used by BUSY software to link the information in the Excise Details window with the information in the specified Bill Sundry.

Configure Excise Reporting Account-wise

After Excise reporting is configured in BUSY, you need to configure Excise Reporting account-wise for the sundry debtors and sundry creditors.

To configure an account for Excise reporting, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the data fields.

When you specify the group as Sundry Debtors or Sundry Creditors, Excise Information for Account window appears within the Account Master – Add window.

Given here is the screenshot of the Account Master - Add window.

Account Master - Add window

Enter appropriate information in the data fields and click the Ok button to close the Excise Information for Account window.

  • Click the Save button to save the account information.

Now that you have configured Trading Excise reporting in BUSY, you can record the excise related vouchers.

Configure Excise Reporting Item-wise

After Excise Reporting is configured in BUSY account-wise, you need to configure Excise Reporting for the items on which excise duty is paid.

To configure an item for Excise Reporting, perform the following steps:

  • Click the Administration à Masters à Item à Add button.
  • In the Item Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Item Master - Add window.

 Item Master - Add window

To maintain excise related details for an item, specify 'Y' in the Maintain RG-23D data field. Further, you can specify the tariff heading, if any, in the Tariff Heading data field.

  • Click the Ok button to close the Excise Information for Item Window after entering the appropriate information in the data fields.
  • Click the Save button to save the Item information.

Enter Opening Information for Trading Excise

You will need to enter opening information for Trading Excise only if you are a new user who has recently configured Trading Excise Reporting. In such a case, you may need to enter some opening information for items. To enter opening information, perform the following steps:

  • Click the Administration à Configuration à Opening Information à Excise Op. Balance à Select the item for which you want to enter information.

On selecting the item, a RG 23D Opening Balances window appears. Given here is a screenshot of the RG 23D Opening Balances window.

RG 23D Opening Balances window

  • Enter appropriate information in the grid. For example, in the screenshot given above, certain information has been entered. From the information we can conclude that Semi-processed item was purchased from Go Cars, the supplier on 04-04-05. Further, the bill number, quantity purchased, and reference number is specified.
  • Press the Enter key after you enter the Ref. No. On pressing the Enter key a Manufacturer's Detail window appears. Given here is a screenshot of the Manufacturer's Detail window.
Manufacturer's Details window

  • Enter appropriate information in the data fields. For example, in the screenshot given above, certain information has been entered. From the information we can conclude that Go Cars, the supplier purchased Semi-processed item from Ahead Cars, the manufacturer on 01-04-05. Further, the RG 23-D Page No, RG 23-D Entry S.No., bill number, quantity purchased, assessable value and BED rate are specified.

The data fields for Cess and OED (Other Excise Duty) such as AED/SED are active if you have enabled the Cess and OED in Administration > Configuration > Features/Options > Excise tab.

If you have specified 'Y' in the Apply Special/Additional Excise Duty on Nett Bill Amount data field and Education/SHE Cess data fields in Administration > Configuration > Features/Options > Excise tab then the SED/AED amount will be calculated after considering the Cess amount. Also the order in which data fields appear in the Manufacturer's Details window also get changed. AED/SED data field appears after Cess data fields.
  • Click the Ok button to save manufacturer's detail.
  • Click the Save button to save the opening information.

Now that you have configured Trading Excise reporting in BUSY, you can record the excise related vouchers.

2. Record Input Excise Duty (MODVAT/CENVAT Claim) using Vouchers

If you have paid excise duty on purchase of excisable goods then you can enter excise related details in the appropriate vouchers.

To record Input Excise Duty, perform the following steps:

  • Click Transaction menu à Select the appropriate voucher.
  • Enter appropriate information in the voucher.

Let us understand the recording of input excise duty with the help of an example. Fast Wheels is a dealer in car parts. It typically purchases from Ahead Cars, a manufacturer and further sells car parts to another manufacturer. For purpose of business, it purchased semi-processed car parts and paid excise duty at 10%.

Given here is a screenshot of the Purchase voucher that Fast Wheels enters for purchase of semi-processed goods.

Purchase voucher - Add window

  • Click the Save button to save the voucher. On clicking the Save button a RG-23D Details window appears. If you Specify 'Y' in the Update MODVAT Details data field, several fields become active. These are:
    • Ref. No.
    • RG-23D Page No.
    • RG-23D Entry S.No.
    • Name
    • Bill No.
    • Date
    • Total Qty.
    • Ass. Value
    • Rate of BED (%)
    • T otal BED
    • Rate of SED (%)
    • Total SED
    • Rate of Edu. Cess (%)
    • Total Edu. Cess
    • Rate of SHE Cess (%)
    • Total SHE Cess

Let us discuss these data fields in detail.

Ref. No.

Enter the reference number for the transaction. By default, the voucher number along with date of transaction is displayed in the data field.

In the screenshot given above, 12/1-4-2005 represents the voucher number and the date of transaction.

RG-23D Page No.

It is a common practice amongst dealers to maintain physical registers in order to keep a track of the sales and purchase of excisable goods. In this data field, enter the page number of the register where the purchase transaction is recorded. This information is used for invoice printing.

RG-23D Entry S.No.

In this data field, enter the serial number of the transaction recorded in the register. This information is used for invoice printing.

Name

In this data field, enter the name of either the manufacturer for whom the goods were purchased or the one who is mentioned on the supplier's bill.

Bill No.

In this data field, enter the bill number mentioned on the supplier's bill. By default, the voucher number is displayed in this data field.

Date

In this data field, enter the date of the transaction as mentioned on the supplier's bill. By default, the date of the voucher is displayed in this data field.

Total Qty.

In this data field, enter the quantity of the goods purchased as mentioned on the supplier's bill. By default, the quantity mentioned in the voucher is displayed in this data field.

Ass. Value

In this data field, enter the assessable value of the goods purchased as mentioned on the supplier's bill. By default, the total value of the transaction in the voucher is displayed in this data field.

Rate of BED (%)

In this data field, enter the rate of BED (%) as mentioned on the supplier's bill. By default, the rate of BED as given in the Bill Sundry is displayed in this data field.

Total BED

In this data field, enter the BED amount as mentioned on the supplier's bill. By default, the amount of BED as given in the Bill Sundry is displayed in this data field.

Rate of SED (%)

In this data field, enter the rate of SED (%) as mentioned on the supplier's bill. By default, the rate of SED as given in the Bill Sundry is displayed in this data field.

Total SED

In this data field, enter the SED amount as mentioned on the supplier's bill. By default, the amount of SED as given in the Bill Sundry is displayed in this data field.

Rate of Edu. Cess (%)

In this data field, enter the rate of Education Cess (%) as mentioned on the supplier's bill. By default, the rate of Cess as given in the Bill Sundry is displayed in this data field.

Total Edu. Cess

In this data field, enter the Education Cess amount as mentioned on the supplier's bill. By default, the amount of Cess as given in the Bill Sundry is displayed in this data field.

Rate of SHE Cess (%)

In this data field, enter the rate of SHE Cess (%) as mentioned on the supplier's bill. By default, the rate of Cess as given in the Bill Sundry is displayed in this data field.

Total SHE Cess

In this data field, enter the SHE Cess amount as mentioned on the supplier's bill. By default, the amount of Cess as given in the Bill Sundry is displayed in this data field.
  • Click the OK button to close the RG-23D Details window after you have entered the appropriate information. On closing the RG-23D Details window a Sales Tax/Excise Reporting Details window appears.

Reporting in BUSY is done with the help of the RG-23D Details window that appears while entering a voucher. Thus, be careful while entering the details in the window. If you specify 'N' in the Update MODVAT Details data field then no Excise Reporting will be done for the particular voucher.

If you have specified 'Y' in the Apply Special/Additional Excise Duty on Nett Bill Amount data field and Education/SHE Cess data fields in Administration > Configuration > Features/Options > Excise tab then the SED/AED amount will be calculated after considering the Cess amount. Also the order in which data fields appear in the RG 23D Details window also get changed. AED/SED data field appears after Cess data fields.

In the Trading Excise, once you have saved the information in the RG 23D Details window then a label displaying the amount of Excise, AED/SED, Education/SHE Cess appears in the Purchase - Add window. This label is just for information purpose.

Given here is a screenshot of the Sales Tax/Excise Reporting Details window.

Sales Tax/Excise Reporting Details window

In the Sales Tax/Excise Reporting Details window there are five active data fields. These are:

  • Purchase Bill No.
  • Purchase Bill Date
  • Description of Items
  • Total Qty.
  • Form DVAT 35 No.

Let us discuss these data fields in detail.

Purchase Bill No.

In this data field, enter the purchase bill no., if any. If you leave this field blank then the voucher number is used as bill number for reporting.

Purchase Bill Date

In this data field, enter the purchase bill date. If you leave this field blank then the date entered in the voucher is used as bill date for reporting.

Description of Items

In this data field, enter the description of items that you want to be displayed in Excise reporting.

Total Qty.

In this data field, enter the quantity of goods purchased that you want to display in Excise Reporting.

Form DVAT 35 No.

In this data field, enter the details of road permit, if any. This information is required for generating the Form DVAT 35B report.

  • Click the OK button to close the Sales Tax/Excise Reporting Details window and click the Save button to save the voucher.

You can enter the transactions for the payment of excise duty using other vouchers such as payment voucher.

3. View Excise Reports and Returns

Once you have recorded excise related transactions, you can view the Excise related reports and returns. To view the Excise reports, perform the following tasks:

  • Click Display à Excise Reports à Select a report from the following options:
    • RG 23D Register
    • Form 2
    • Balance Stock Details

Given here is a screenshot of the Excise Reports menu.

Excise Reports menu window

  • Select the appropriate option to generate the report.
  • View the respective Excise report.

Given here is a brief description for each of the Excise reports.

RG-23D Register

RG-23D Register contains the details of purchase and sale of goods by the dealer. This register is maintained separately for different goods or items. All the purchase and sales transactions for a particular item are recorded in this register separately. You can view this report either for all items or one item.

Form 2

Form 2 lists down the purchase and sales transactions for all the goods or items together. Unlike RG 23D this register is not maintained item wise, rather it lists the sales and purchase transactions separately for the items. Only those purchase or sale transactions are recorded in Form 2 that affect the RG 23D register in some manner.

Balance Stock Details

Balance Stock Detail shows the balance excisable details of the goods. You can view this report either RG No.-wise or Item-wise. The report shows details such as tariff heading, purchase quantity, rate & amount of BED/SED/AED/Cess, balance quantity, and balance amount of BED/SED/AED/Cess.

After following these three steps you have successfully implemented Trading Excise reporting in BUSY.


TDS

Knowledge Documents > Tax Related Documents > TDS

Overview of TDS

TDS is the abbreviated form for 'Tax Deducted at Source'. In other words, deduction of tax at the income generation point is TDS. The tax to be deducted is indirect tax levied on individuals or companies. Thus, we can say that TDS is indirect tax deducted at source and is a part of the Income Tax system.

TDS system is different from other tax systems such as Sales Tax/VAT. Under TDS no new tax is imposed as against other tax systems. Moreover, the point of taxation in TDS shifts from one entity to another entity. Let us understand with the help of an example. Blue Seas Systems is a computer parts manufacturing and trading concern. It has allotted an advertisement contract to Great Minds advertising agency. After the completion of the contract Blue Seas System paid Great Minds fee amounting to Rs. 30,000 for their services. Now Rs. 30,000 is an expense for Blue Seas System while it is an income for Great Minds. Thus, for Great Minds income tax (corporate tax) will be levied on the income of Rs. 30,000.

In a non-TDS scenario, Great Minds will calculate its total income and levy corporate tax on it at the appropriate rate. Thus, Great Minds will be responsible for submitting the tax to the Income Tax Department.

In a TDS scenario, the responsibility for submitting the tax shifts to the entity (Blue Seas System) making the payment of expense. In the above example, Blue Seas System is responsible for submitting the income tax on behalf of Great Minds. Thus, the entity making the expense (Blue Seas System) where the expense is income for another entity (Great Minds) will be responsible for deducting and submitting tax to Income Tax Department.

Need for TDS

The relevance of shift of responsibility for deducting and submitting tax is based on the need for increasing the number of people who are covered under the tax net. Let us understand with the help of the above example. Let us suppose Great Minds is not registered with the IT Department. In a non-TDS scenario, tax evasion becomes easy for Great Minds. In contrast, in a TDS scenario since the tax is deducted and submitted at the income generation point there is no scope for tax evasion. Now if Great Mind does not come under the tax net rightfully then it can claim the refund of tax. For claiming the refund of tax it will need to register itself with the IT Department thereby increasing the tax net. On the other hand, if Great Minds comes under the tax net but to avoid tax payment it is not registered with the IT Department then since the income has already been taxed there is no tax evasion. In such a way the government benefits in either of the case.

Terms used in TDS

There are two terms that are commonly used in TDS. These are:

  • Payer – Payer is the individual or company that makes the payment for use of services. The payment is an expense for the payer.
  • Payee - Payee is the individual or company that receives the payment for rendering of services. The receipt of payment is an income for the payee.

Let us understand the difference between the two terms with the help of the above example where Blue Seas System is the Payer while Great Minds is the payee.

An important point to remember is that the terms 'payer' and 'payee' are from the point of view of the expense made by the company/individual. In other words, payer and payee are designated from the perspective of the company or individual making the payment for services. In the example above, the two terms are used from the perspective of Blue Seas System.

Throughout the document, the terms Payer and Payee are used in the same sense as explained above. These terms are not from the point of view of the TDS system but from the point of view of the company/individual making the payment for use of services.

The basic objectives of levying TDS are regular, efficient and timely collection of tax along with minimizing the instances of tax evasion.

Basis for Levy and Collection of TDS

There are primarily two aspects under levy and collection of TDS:

  • Responsibility for levy, collection, and submission of TDS
  • Rates of TDS & Threshold Limit

Responsibility for Levy, Collection, and Submission of TDS

TDS is tax deducted on the payment for use of services or goods where the payment becomes the income of the provider of services or goods. Thus, TDS is effectively Income Tax deducted at source. Thus Income Tax Department and Finance Act govern TDS in India.

While the responsibility for levy and collection of TDS rests with the Income Tax Department the responsibility for submission of TDS rests with the Payer.

Payer (Individuals/companies) making payment of fees for use of services such as contractual services and payment of interest on securities to individuals/companies is responsible for deducting tax at source from the payment being made. Moreover, once the tax has been deducted it has to be deposited with the Income Tax Department on behalf of the payee (provider of the services who receives the payment).

Some examples of instances where TDS is implemented are payment of rent, professional fees and payment to advertising agencies, broadcasting services providers, and so on.

Rates of TDS & Threshold Limit

TDS is deducted at the rates specified in the Income Tax Act for that year. The rates vary on the basis of the income being taxed and the payee/assessee on whose behalf tax is deducted.

Different threshold limits have been specified in the Income Tax Act for different categories of payees/assessee. The threshold limit defines the upper (maximum) limit that the income can reach and not be taxed. Once the threshold limit is crossed TDS has to be deducted.

If the payer is sure that the threshold limit for the payee will be crossed in a particular year then the payer can deduct TDS before the threshold limit is crossed. Let us understand with the help of the example of Blue Seas System. The contract between Blue Seas System and Great Minds is renewed for a period of one year. The fee has to be paid in four instalments of Rs. 50,000 each. On calculating, Blue Seas System discovered that total fee for the year exceeds the threshold limit for Great Minds. Thus, it deducts TDS starting from the payment of first instalment of the fees.

In certain cases, surcharge and cess may also be levied over & above the TDS being deducted depending upon the government policies.

Working of the TDS System

Under the TDS system, the payer is responsible for the deduction and submission of the tax with the Income Tax Department. There are certain other steps that are needed to implement TDS effectively. The steps essential for the effective working of the TDS system are:

  • Register with Income Tax (IT) Department
  • Deduct TDS
  • Submit TDS
  • Issue Tax Certificate for Tax Credit
  • File Annual Return

To explain the steps we will use the example of Blue Seas System.

Register with IT Department

To be able to deduct and collect tax at the income generation point, the payer has to register with the IT Department. On registering, the payer will be allotted a unique Tax Deduction Account Number (TAN Number).

For example, Blue Seas System registered with the IT Department and received a unique TAN Number.

Deduct TDS

Payer is responsible for deducting the tax at the income generation point. The rate at which tax is deducted depends on the category in which the payee falls.

For example, Blue Seas System, the payer, deducts the tax from the fees of Rs. 40,000. The rate at which it deducts the tax depends on the category in which Great Minds, the payee, falls.

Submit TDS

Payer is responsible for submitting the tax deducted with the banks authorized by the IT Department using a challan. Payer deposits the tax on behalf of the payee. In this way, the government earns revenue at the income generation point.

For example, Blue Seas System, the payer, submits the tax with the authorized bank.

Issue Tax Certificate for Tax Credit

At the end of a specified period, the payer issues a TDS Certificate to the payee. TDS certificate is a declaration given by the payer to the payee showing the details of tax deductions. There are different TDS certificates depending on the category of the payee.

Using the TDS Certificate the payee can claim refund of TDS if the tax deducted exceeds the due tax amount. For claiming refund, the payee needs to submit the TDS Certificate to the IT Department.

For example, after six months the contractual agreement between Blue Seas System and Great Minds is nullified due to some issues. Till now Blue Seas System had paid two instalments and deducted TDS at the appropriate rate. Since the payer has deducted TDS, Blue Seas System issues a TDS Certificate to Great Minds, the payee. Now after calculating total income for Great Minds it is found that the income for the year does not exceed the threshold limit. Thus, Great Mind is eligible for tax refund amounting to the TDS deducted by Blue Seas System for the two instalments. For this purpose, Great Minds submits the TDS Certificate to IT Department and claims the refund.

File Return

The payer has to file both Quarterly Returns and Annual Return. Both the returns contain same details where the only difference is the date on which the returns are filed. The quarterly and annual returns contain the details of TDS deductions, submissions to IT Department and certificates issued to the payees.

For example, Blue Seas System has to file quarterly as well as annual return with the IT Department.

Now that we have understood the concept of TDS, let us discuss the implementation of TDS in BUSY.

Implementation of TDS

Implementation of TDS in BUSY is a simple five-step process. The steps are:

1. Enable TDS in BUSY

2. Create Masters for TDS Categories

3. Enable TDS Account-wise

4. Record TDS transactions using vouchers

5. View the TDS reports and returns

Let us discuss the steps in detail.

To explain the implementation of TDS in BUSY, we will use the example of Blue Seas System used in the Overview of TDS section.

1. Enable TDS in BUSY

First of all you need to enable the TDS feature in BUSY. To enable TDS in BUSY, perform the following steps:

  • Open the company you want to configure TDS for by clicking Company à Open à Select your company name.
  • Click the Administration à Configuration à Features/Options à TDS tab.
    • Enable the Enable TDS Reporting option by selecting the checkbox.

Given here is a screenshot of Features/Options window for enabling TDS in BUSY.

Features/Options window

After you enable TDS Reporting in BUSY, certain data fields become active. The data fields are:

TAN No.

Enter the Tax Deduction Account Number. This is a unique number that the payer receives on getting registered for TDS with the IT Department.

TDS Circle

This information is received along with the TAN number from the IT Department. It contains information regarding the category of the payer.

Payer's Category

Select the category to which the payer belongs from the list displayed in the data field. In the screenshot given above, the category is Domestic Company. This means that Blue Seas System, the payer, is a domestic company.

Company Address for E-TDS

Under this group there are various data fields. You need to enter appropriate information in the data fields for the purpose of reporting. The information pertains to the company. The data fields are:

  • Flat No.
  • Premises/Building
  • Road/Street/Lane
  • Area/Location
  • Town/City/District
  • State
  • Pin code
  • STD Code
  • Tel No.
  • Email
  • Alternate Contact Details
    • STD Code
    • Tel No
    • Email

Enable SHE Cess on TDS

Select this checkbox if you want to charge SHE Cess on TDS.

  • To create Default TDS Categories, click the Create Default TDS Categories button. On clicking the Create Default TDS Categories button, a Create TDS Categories message box appears.

TDS Categories refer to the different types of income on which TDS deductions can be made. For example, rent, salaries, fees for professional services and so on are TDS Categories. Default TDS Categories are the commonly used general TDS Categories such as Advertisement, Rent and so on.

  • Click the Yes button to create the default categories for TDS. On clicking the Yes button, a Default TDS Categories message box appears.
  • Click the Ok button to return to the Features/Options window.
  • Click the Save button to save the configuration settings for TDS.

In the Features/Options window, an Amount Round Off Options button appears. Given here is a screenshot of Amount Round Off Configuration window.

Amount Round Off Configuration window

On specifying 'Y' in the Round Off TDS Duty Amounts data field, an Amount Round Off Configuration group gets activated. In the Amount Round Off Configuration group there are various options. The options are:

  • Always Upper - Select this option if you want to do the rounding off always on upper side. For example, if the value is 201.30 then it will be rounded off to 202.
  • Always Lower - Select this option if you want to do the rounding off always on upper side. For example, if the value is 201.30 then it will be rounded off to 201.
  • Automatic - Select this option if you want to do the rounding off automatically depending on the value in decimal. For example, if the value is 201.30 then it will be rounded off to 201, or if the value is 201.80 then it will be rounded off to 202.
  • TDS Amt. - Select this option if you want to round off TDS amount.
  • Surcharge Amt. - Select this option if you want to round off Surcharge amount.
  • Edu. Cess Amt. - Select this option if you want to round off Education Cess amount.
  • SHE Cess Amt. - Select this option if you want to round off SHE Cess amount

In the Features/Options window, a Responsible Person's Details button appears. On clicking this button a Responsible Person's Details window appears in which you can enter details of the person who is responsible for handling the TDS system for the payer. Given here is a screenshot of Responsible Person's Details window.

Responsible Person's Details window

The different data fields of the above screenshot are:

Name

Enter the name of the person who is responsible for handling the TDS system for the payer. This person will be contacted by the IT Department in case of any clarifications required or discrepancy in the records.

S/o,W/o,D/O

Enter fathers/husband name of the person who has been named in the Name data field.

Designation

Enter the designation of the person who has been named in the Name data field.

Address Information

Enter in this group address details of the person who has been named in the Name data field.

  • Flat No.
  • Premises/Building
  • Road/Street/Lane
  • Area/Location
  • Town/City/District
  • State
  • Pin Code
  • STD Code
  • Tel No.
  •  Email
  • Mobile No
  • Alternate Contact Details
    • STD Code
    • Tel No
    • Email

Now that you have enabled and configured TDS in BUSY, you can create masters for specific TDS Categories that are not created by default such as winnings from horse races, lotteries and so on.

2.Create Masters for TDS Categories

TDS Categories refer to the different types of income on which TDS deductions can be made. For example, rent, salaries, fees for professional services and so on are TDS Categories.

There are certain TDS Categories that are commonly used. The creation of these default TDS Categories is explained in the configuration step. Given here is a screenshot of the list of Default TDS Categories created.

List of TDS Categories window

If you want to create TDS Categories other than the ones appearing in the list then perform the steps listed below.

To create masters for TDS Categories in BUSY, perform the following steps:

  • Click the Administration à Masters à TDS Category à Add button. On clicking the Add button, a TDS Category Master - Add window appears.

Given here is a screenshot of TDS Category Master - Add window for creating a TDS Category master.

TDS Category Master - Add window

The data fields in the window are:

TDS Category Name

Enter the name for TDS Category in this data field. In the screenshot given above, the TDS Category is for Winnings from Horse Races and Lotteries.

Section Code

This information is relevant to the TDS Category being defined. It is available from the IT Department. It contains information regarding the section to which the TDS Category belongs. In the screenshot given above, the Section Code is 194.

Payee Category

Enter the different payee categories that can be mapped to the TDS Category being created. In the screenshot given above, the Domestic Company and Individuals – Residents payee category has been mapped to the 'Winnings from Horse Races and Lotteries' TDS Category.

You can map one TDS Category to more than one Payee Category. For example, under the TDS Category, Winnings from Horse Races and Lotteries, you can have two payee categories, Domestic Company and Individual - Residents. This means that you can deduct TDS for both the payees under the same TDS Category.

TDS %

Enter the rate at which TDS will be deducted for the payee.

Surcharge %

Enter the surcharge rate to be deducted additionally for the payee, if any.

Cess %

Enter the cess rate to be deducted additionally for the payee, if any.

  • Click the Save button to save the TDS Category Master.

Now that you have created TDS Category masters in BUSY, you need to enable TDS in certain accounts.

3. Enable TDS Account-wise

You need to enable TDS for three types of accounts. These are:

  • Sundry Debtor/Creditor Account/Loan Accounts
  • Expense Account
  • TDS Account

Sundry Debtor/Creditor Account/Loan Accounts

Let us understand the configuration of Sundry Debtor/Creditor account/Loan account with the help of an example. Blue Seas System wants to create an account for Great Minds advertising agency with which they have an advertising contract. Moreover, Blue Seas System has to configure the account for TDS.

To enable TDS in a sundry debtor/creditor account/loan account, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the boxes:
    • Name: Great Minds
    • Print Name: Great Minds
    • Group: Sundry Creditors
  • When you specify the group as Sundry Creditors/Debtors or Loan secured/Unsecured, TDS Information for Account – Great Minds window appears within the Account Master – Add window.

Given here is the screenshot of the Account Master – Add window.

Account Master - Add window

If you specify 'Y' in the TDS Applicable data field, Party Payee Category data field becomes active.

  • Select the Payee Category for the party from the list displayed in the data field.
  • Click the Ok button to save the TDS details for the account.
  • Click the Save button the save the details for the account.

Expense Account

Let us understand the enabling of TDS in Expense account with the help of an example. Blue Seas System wants to enable TDS in the account of Advertisement & Publicity.

To enable TDS in an expense account, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the boxes:
    • Name: Advertisement & Publicity
    • Print Name: Advertisement & Publicity
    • Group: Expenses (Indirect/Admn.)
  • When you specify the group as Expense (Indirect/Direct), TDS Information for Account – Great Minds window appears within the Account Master – Add window.

Given here is the screenshot of the Account Master – Add window.

Account Master - Add window

If you specify 'Y' in the TDS Applicable data field, TDS Category data field becomes active.

  • Select the TDS Category for the expense from the list displayed in the data field.
  • Click the Ok button to save the TDS details for the account.
  • Click the Save button the save the details for the account.

TDS Account

Let us understand the configuration of TDS account with the help of an example. Blue Seas System is a company with numerous shareholders. It has to pay dividend to them. On the dividend distributed it will deduct TDS. For this purpose, it wants to create an account for TDS (Dividend). Although the name of the account is 'TDS (Dividend)', we need to mark/tag this account as 'TDS' account in BUSY. Without this tagging, TDS reporting won't be activated for this account.

To tag a TDS account, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the boxes:
    • Name: TDS (Dividend)
    • Print Name: TDS (Dividend)
    • Group: Duties & Taxes
  • When you specify the group as Duties & Taxes, Tax Category data field becomes active within the Account Master – Add window.

Given here is the screenshot of the Account Master – Add window.

Account Master - Add window
  • Select TDS as the Tax Category.

You need to specify the Tax Category for TDS accounts for the purpose of tagging the accounts. Tagging of the account in TDS scenario refers to letting the BUSY software know that the account is a TDS account and whenever this account is used in a voucher the appropriate reporting window should open.

  • Click the Save button to save the TDS account.

If you are an existing user of BUSY then you will need to enable TDS in the relevant accounts whether created by you or by BUSY for TDS. To do so you will need to modify the existing accounts. You will modify the accounts in the following conditions:

  • If the account is party account then you need to specify the Payee Category.

  • If the account is expense account then you need to specify the TDS Category.

  • If the account is TDS account then you need to specify the Tax Category.

  • On the other hand if you are a first time user then you need not configure the default accounts for TDS. You need to configure only the new accounts for TDS.

Now that you have enabled TDS in your accounts, you need to record TDS transactions using vouchers.

4. Record TDS transactions using vouchers

There are primarily three types of TDS transaction. These are:

  • Deduction of TDS
  • Submission of TDS
  • Reversal of TDS

Let us discuss the three types of transactions in detail.

Deduction of TDS

If you have deducted TDS on payment of rent, commission, fees for services then you can enter TDS deduction details using the appropriate vouchers.

Let us understand the deduction of TDS with the help of an example. Blue Seas System incurred advertisement expenditure and consequently paid fees for the advertisement related services to Great Minds. While making the payment of the fees Blue Seas System deducted TDS. It has to record the transaction for expense (advertisement expenditure) and deduction of TDS using appropriate vouchers.

To record expense and deduction of TDS using a single voucher, perform the following steps:

  • Click the Transactions à Select Journal voucher.

To record incur of expense (advertisement) and deduction of TDS use the Journal voucher. This entry serves as a record of incur of expense and deduction of TDS.
  • Enter appropriate information in the Journal voucher.

Given here is a screenshot of the Journal voucher that Blue Seas System enters for recording the expense and deducting TDS.

Journal Voucher - Add window

In the Journal voucher, Advertisement & Publicity account has been debited with the total expense amount while Great Minds, the payee, has been credited with the net expense amount i.e. total expense amount – TDS amount. Before adding the TDS account in the voucher when you press the Enter key, a TDS Calculation window appears. This window appears if you satisfy the following conditions:

  • An expense account is debited on which TDS is applicable with the TDS Applicable data field selected in the Account master.

  • A party account is credited on which TDS is applicable with the TDS Applicable data field selected in the Account master.

  • Click either the Yes/No button depending on whether you want to calculate TDS. On clicking the Yes button a TDS Calculation window appears. Given here is a screenshot of the TDS Calculation window.
TDS Calculation window

In the TDS Calculation window, the amount of TDS along with the surcharge and cess amount to be deducted is calculated depending on the TDS related details entered in the relevant account masters. In TDS Calculation window, there is a Update Narration data field also. Check this data field, if you want to update narration of the voucher. On checking this data field, the narration of the voucher updated to show the details of expenses amount.

The details that you view in the TDS Calculation window are used for your convenience only for calculating the TDS amount along with the surcharge and cess amount to be deducted.

  • Click the Ok/Quit button to close the window.

Further TDS account has been credited with the Total Tax Amt. calculated in the TDS Calculation window. Total Tax Amt. amount includes TDS amount, surcharge and cess specified in the TDS Category master.

  • Click the Save button to save the voucher.

On clicking the Save button a TDS Deduction Details window appears. Given here is a screenshot of the TDS Deduction Details window.

TDS Deduction Details window

The details that you enter in the TDS Deduction Details window are used for the purpose of TDS Reporting.

Enter appropriate details in the data fields. The data fields are:

TDS Applicable

Specify 'Y' if TDS is applicable on the transaction.

Lower Rate Applicable

Specify 'Y' if lower rate of TDS is applicable.

Reason for Lower Rate

This data field would be activated if the above data field were set to 'Y'. Here you can specify the reason for Lower Rate.

TDS Category

Specify the TDS Category to be applied. Depending on the TDS Category specified above and Payee Category specified for the party, TDS rate, surcharge rate, and cess rate are picked up automatically.

TDS Deduction Details Box

Enter TDS related details in the box. For example, in the screenshot given above, the reference number and the expense amount has been specified. Depending on the expense amount and tax rate, total tax amount is calculated.

You can cross-check the TDS amount specified in the Journal voucher with the total tax amount that appears in the Total Tax Amount column of the TDS Deduction Details window. In this way, you can maintain accuracy in the records.

An important point that needs to be understood is the need for a separate window of TDS Deduction details. Let us understand with the help of an example. Let us assume that Blue Seas System makes the payment of the fees in four instalments of Rs. 10,000 cash. On first instalment of Rs. 10,000 the threshold limit for Great Minds is not crossed. Similar is the case for second instalment. At the time of third instalment, the total amount paid is Rs. 30,000 i.e. greater than the threshold limit. Since the threshold limit is crossed thus TDS will be deducted at the time of third instalment. Thus, while entering the journal voucher for expense, the TDS account will be credited and the TDS Deduction Details window will appear.

In the TDS Deduction window, three references will be added with the three amounts of Rs. 10,000 each. Under the 'TDS Ded On' column the actual data of deduction will be entered. TDS Ded on date can be different from the date on which the voucher is entered. For example, third instalment is paid on October 15, 2005 while the voucher for the same is entered on October 30, 2005. In this case the 'TDS Ded on' date will be October 15, 2005. Under the Expense Date column, the actual date on which the three instalments were paid will be entered. In this way accurate record of TDS Deductions is maintained.

We have entered TDS related details using a single Journal voucher. We can split the single voucher into two vouchers and enter two vouchers.

To record expense and deduction of TDS using two vouchers, perform the following steps:

  • Click the Transactions à Journal voucher.

To record incur of expense (advertisement) use the Journal voucher. This entry serves as a record of incur of expense.
  • Enter appropriate information in the Journal voucher.

Given here is a screenshot of the Journal voucher that Blue Seas System enters for recording the expense.

Journal voucher - Add window

In the Journal voucher, Advertisement & Publicity account has been debited with the expense while Great Minds, the payee, has been credited with the income (expense for Blue Seas is income for Great Minds).

  • Click the Save button to save the voucher.
  • Click Transactions à Journal voucher.

To record the deduction of TDS use the Journal voucher since only deduction is being made.

  • Enter appropriate information in the Journal voucher.

Given here is a screenshot of the Journal voucher that Blue Seas System enters for recording the deduction of TDS.

Journal voucher - Add window

In the Journal voucher, Great Minds account has been debited with the total amount of TDS. On the other hand, TDS (Fees) account has been credited with the deducted TDS amount.

  • Click the Save button to save the voucher.

On clicking the Save button a TDS Deduction Details window appears. Given here is a screenshot of the TDS Deduction Details window.

TDS Deduction Details window

To maintain consistency in the records, certain warning alarms have been configured by default in BUSY. The following conditions represent the instances when a warning alarm is displayed:

  • If TDS reference is adjusted then the same reference cannot be modified in the TDS deduction voucher.

  • If a party on which TDS is not applicable is debited/credited against an expense account on which TDS is applicable then a warning is generated.

  • If total amount of Total TDS deduction does not match with the TDS duty account then voucher entry is not allowed.

  • More than one party and more than one expense account is not allowed under a single voucher with TDS account.

  • If the threshold limit for the party/ expense account (TDS applicable) being debited/credited is crossed without TDS duty account then a warning is generated.

We have discussed the deduction of TDS vouchers till now. Let us move on to the submission of TDS vouchers.

4.2 Submission of TDS

If you have deducted TDS then you need to submit the TDS amount with the authorized bank.

Let us understand the submission of TDS with the help of an example. Blue Seas System deducted TDS on behalf of Great Minds. It has to record the transaction for submission of TDS using appropriate voucher.

To record submission of TDS, perform the following steps:

  • Click Transactions à Payment voucher.

To record submission (actual payment) of TDS use the Payment voucher.

  • Enter appropriate information in the Payment voucher.

Given here is a screenshot of the Payment voucher that Blue Seas System enters for recording the submission of TDS.

Payment voucher - Add window

In the Payment voucher, TDS (Advertisement) account has been debited with the amount of TDS received while Bank account has been credited with the TDS amount paid.

  • Click the Save button to save the voucher.

On clicking the Save button, an Adjust TDS Reference window appears . Given here is a screenshot of the Adjust TDS References window.

Adjust TDS References window

The details that you enter in the Adjust TDS Reference window are used for the purpose of TDS Reporting.

Enter appropriate details in the data fields. The data fields are:

TDS Category

Specify the TDS category applicable. Depending on the TDS category the reference will be displayed in the grid.

Select All

Check this checkbox if you want to adjust all the references against the TDS Category.

Reference Details Box

Select the reference that you want to adjust against the submission of TDS voucher.

Payment for Quarter

Select the quarter from the list for which TDS is being submitted.

Interest

Specify the interest amount, if applicable. If you specify the interest amount then BUSY will add it to the total tax amount and display the final amount in the Nett Tax data field.

Penalty

Specify the penalty amount, if applicable. If you specify the penalty amount then BUSY will add it to the total tax amount and display the final amount in the Nett Tax data field.

Date of Tax Deposited

Enter the date on which tax is deposited in this data field.

Challan No.

Enter the challan number in this data field.

Cheque No.

Enter the cheque number in this data field.

Bank where Tax Deposited

Select the bank from the list where the cheque is deposited. This bank represents the authorized bank and not your regular bank.

You need to create a special account for the authorize bank where TDS is deposited. This account is not used for your accounting purpose it is required for TDS reporting. While creating this bank account please enter the 'BSR Code' of the bank in the Alias data field. BSR Code is a unique ID given to banks that are authorised for collecting TDS by the concerned department. It is required in TDS reporting and has to be necessarily entered in the Alias data field since BUSY picks up the BRS Code information for TDS reporting from the Alias data field of the bank specified in the bank data field.

Nett Tax

The nett tax amount is displayed in this data field. It takes into account the interest and penalty value in addition to the total tax amount. You cannot change this value manually.

If TDS debited amount in the voucher is not equal to the Nett. Tax amount then a warning is generated at the time of adjustment.

Now that we have discussed submission of TDS, let us move on to a special case of year-end submission.

Year-End Submission Special Case

Let us understand the year-end submission case with the help of an example.

Blue Seas System is closing the books for the year ending March 2005. There is a pending TDS submission amounting to Rs. 300 on March 31. This pending submission is deposited with the authorized banks on April 15. Now although the pending submission is cleared but the TDS reports for 2004-2005 does not reflect the paid status for the TDS account. Instead it shows pending amount in the TDS account. To rectify the situation and reflect the true status in TDS Reports for 2004-2005, you need to enter two transactions. The two transactions are:

  • First transaction is entered at year-end i.e. March 31, 2005. The entry is:

Dr. TDS account Rs. 300

Cr. TDS Payable account Rs. 300

In this transaction the TDS payable amount is transferred to the TDS Payable account, thus clearing the TDS account of any liability. In other words, the payable liability is transferred from TDS account to TDS Payable account.

In the Adjust TDS References window, you will need to select the reference to be adjusted to clear the TDS account. Further, you will not be able to enter details such as bank name, challan no, cheque no. and so on. You can leave these data fields blank for the time being and fill them later on April 15, 2005 (date of actual submission) when you have the appropriate information. On April 15, 2005 you can modify this voucher.

TDS Payable account is a Current Liability account.
  • Second transaction is entered at the time of submission of TDS to bank i.e. on April 15 2005. The entry is:

Dr. TDS Payable account Rs. 300

Cr. Bank account Rs. 300

In this transaction the TDS payable amount is paid to the bank. Thus,

the liability in the TDS Payable account is cleared.

After entering these two transactions, the TDS reports for 2004-2005 will reflect the TDS account status as cleared.

Reversal of TDS

As mentioned above that if you have deducted the TDS then you need to submit it to the authorized bank. But sometime the case arises when you need to make TDS Reversal transaction. For example, you have deducted TDS on a work contract and later on that contract get cancelled then you need to make the TDS reversal. You can make TDS Reversal through Journal voucher, perform the following steps:

  • Click Transactions --> Journal option.
  • Enter appropriate data in Journal voucher.
  • Click the Save button to save the Journal voucher.

On clicking the Save button, a TDS Reversal window appears. This window appears if the account being debited belongs to the Duties & Taxes Account Group with the Tax Category specified as TDS and the account being credited belongs to party account.

Given here is a screenshot of the TDS Reversal window.

TDS Reversal

In the TDS Reversal window, various data fields are:

  • TDS Reversal - Specify 'Y' in this data field to adjust amount of TDS reversal to any reference.
  • TDS Category - Select TDS category.
  • Reference Details box - Select the reference that you want to adjust against the reversal of TDS voucher.

In the Reference Details box, only those references will appear that have any pending TDS Amount.

  • Click the Ok button.

We have discussed the implementation of TDS till now; let us move on to the reports and returns required under TDS.

5. View the TDS Reports and Returns

Once you have recorded the TDS related transactions, you can view the TDS related reports and returns.

To view the TDS reports, perform the following tasks:

  • Click Display à TDS Reports à Select the report from the following options:
    • Form 26Q
    • Form 26Q Annexure
    • TDS Deduction Details

Given here is a screenshot of the TDS Reports options under Display menu.

TDS Reports option window
  • Select the Quarter/Enter the TDS Category for the report.
  • View the respective TDS report.

Given here is a brief description of each of the two TDS reports.

Form 26Q

Form 26Q provides the details of deduction and submission of TDS for different TDS categories.

Form 26Q Annexure

Form 26Q Annexure is a detailed version of Form No. 26Q.

TDS Deduction Details

TDS Deduction Details provides details about the deductions such as Cess, Surcharge and so on. You can view this report for All TDS categories or for a particular TDS Category. Further you can opt for viewing reports of All References or for only Pending References.

Audit Report

Audit Report displays all the TDS related details such as TDS amount, threshold limit, amount credited, payment date and so on. You can view the report for all the deductees or a particular group of deductees.

To print the TDS reports, perform the following tasks:

  • Click Printing à TDS Reports à Select the report from the following options:
    • Form 16A
    • Form 26Q
    • Form 26Q Annexure
    • Bank Challan
    • Form 27 A
    • E TDS Return
    • TDS Deduction Detail

Given here is a screenshot of the TDS Reports options under Printing menu.

TDS Reports option window

  • Enter appropriate information to print the report.
  • Click the Ok button to print the TDS report.

Many of the reports in the Printing menu are same as given in the Display menu. The reports that are specific to the Printing menu are explained here while the common reports are explained above. Given here is a brief description of the reports specific to the Printing menu.

Form 16A

Form No. 16A is the TDS Certificate in the prescribed format to be issued by the payer to the payee. The format is as per government specifications.

Bank Challan

Bank Challan is a prescribed format in which you have to deposit the tax in the authorised bank.

Form 27 A

Form 27A contains all the relevant information about the company name, address, total TDS paid, total challan amount, number of deductees and so on.

eTDS Return

An eTDS Return is a report that is to be submitted in an electronic media such as floppy disk, CD etc to the authorities. When you click the Ok button in the Printing Options window of e-TDS Return, a text file is generated at the path specified in the eTDS textbox. This text file is to be validated by the authorities to generate the eTDS Return.

After following these five steps you have successfully implemented TDS in BUSY.


Service Tax

Knowledge Documents > Tax Related Documents > Service Tax

Overview of Service Tax

Service Tax is an indirect tax levied whenever any taxable service is rendered. Taxable service refers to a service that comes under the service tax net.

Service Tax in India is governed by the provisions of the Finance Act, 1994 as amended from time to time. The service tax provisions apply to whole of India except State of Jammu and Kashmir.

The basic objectives of levying Service Tax are broadening the tax base, augmentation of revenue and larger participation of citizens in the economic development of the nation.

Basis for Levy and Collection of Service Tax

The Central Excise Department is responsible for the levy and collection of Service Tax. All the persons providing taxable services shall register with the Central Excise Department of the concerned jurisdiction. Only one registration is required even if the service provider provides more than one taxable service.

The number of services under the service tax net has been increasing since 1994. At present, 95 categories of services attract service tax. Some examples of taxable services are advertising agency services, broadcasting services, commercial training services, and so on. The rate of service tax differs depending on different services. The most common rate of service tax is 10% on the value of taxable service but it can be different also depending upon the type of service being provided.

Service tax is similar to Excise duty in many respects although the primary difference between the two is that Excise duty is levied on manufacturing of goods whereas Service tax is levied on rendering of services.

The service tax shall be paid by the service provider i.e. the person rendering the service is liable to pay service tax. He/She may recover the service tax from the person who has availed of the services.

Let us understand with the help of a case scenario. Education Today is a coaching centre that provides coaching services to college students. At the beginning of each month, Education Today collects the fees from the students. The monthly fee is Rs. 5,000. Along with the fees, service tax at 10% is to be paid by the students. Thus effectively, the students pay Rs. 5000 + 500 = Rs. 5500.

Although the final burden of service tax falls on the consumer in the form of price hike but the liability to collect and deposit service tax with the Central Excise Department is with the service provider.

Working of the Service Tax System

Under the Service tax system, the seller of services sells the services and collects appropriate service tax. Further, the seller deposits the service tax collected with the Central Excise Department.

There can be a case wherein the service provider paid service tax on purchase of services for the purpose of his business. In such a case, the service provider can claim credit for the input service tax paid on the purchase of services. This is known as the Service Tax Credit Scheme.

Similar to the Excise Duty system, input service tax paid on taxable services can be claimed from the department. A service provider can avail Service Tax Credit in respect of Service Tax Paid on the input services.

Let us understand with the help of an example. Education Today is a coaching centre that provides education services to students. In addition, it provides counseling services to the students. Many times the counseling services are provided over the telephone. Thus, the telephone expenses are carried out for the purpose of the business. Consequently, the service tax paid on the telephone bill is input service tax. Now for the month of March, the telephone bill is for Rs. 5,000 wherein service tax at 10% has been paid. Since the telephone expenses are incurred for the purpose of business, thus the input service tax paid is claimable from the government.

For availing input service tax credit, proper records should be maintained relating to payment of input service tax so as to satisfy the authorities for admitting such service tax credit. The proper records are maintained in the form of certain registers and returns.

The Central Excise Department needs to exercise control over service tax collection to keep a check on the payment of service tax. For this purpose the seller needs to maintain certain registers and returns. These registers and returns are:

  • Input Service Tax Register
  • Output Service Tax Register
  • ST 3 Return

Input Service Tax Register

Input Service Tax Register provides the details of service tax paid on purchase of services. This register is required by the Central Excise Department in case the service provider is claiming credit for input service tax.

Output Service Tax Register

Output Service Tax Register provides the details of service tax charged for rendering services.

ST 3 Return

ST 3 Return is a report for listing of month-wise input and output service tax levied on all taxable services. With the help of this return you can find out the input/output service tax paid or received on each taxable service in a month.

Form ST-3 should be filed on a half-yearly basis with the Central Excise Department. A single return is filed for all the taxable services.

Now that we have understood the concept of Service Tax, let us discuss the implementation of Service Tax in BUSY.

Implementation of Service Tax

The implementation of Service Tax in BUSY is a simple four steps process. The

steps are:

  1. Configure Service Tax in BUSY
  2. Record Input/Output Service Tax
  3. Adjust Service tax in Excise Amounts (If required)
  4. View the Service Tax Reports and Returns

Let us discuss the steps in detail.

1. Configure Service Tax in BUSY

The first step is to configure service tax in BUSY. There are three sub-steps in configuring Service Tax. The sub-steps are:

  • Enable Service Tax
  • Configure Bill Sundry
  • Enter Opening Service Tax

Enable Service Tax

To enable Service Tax in BUSY, perform the following steps:

  • Open the company you want to configure Service Tax by clicking Company à Openà Select your company.
  • Click the Administration à Features/Options à Service Tax tab.
    • Enable the Enable Service Tax Reporting option by selecting the checkbox.

Given here is a screenshot of Features/Options window for enabling Service Tax in BUSY.

Features/Options window

After you enable Service Tax Reporting in BUSY, two data fields become active. The data fields are:

Service Tax Regn. No.

Enter the Registration number in this data field.

Enable Education Cess on Service Tax

Specify 'Y' if you want to charge Education Cess on Service Tax.

Enable SHE Cess on Service Tax

Specify 'Y' if you want to charge SHE Cess on Service Tax.

  • Click the Save button to save the configuration settings.

Configure Bill Sundry

You have to specify a type of Service Tax in Nature of Bill Sundry data field in the Bill Sundry master. For example, you have created a Bill Sundry with the name Service Tax and specified Service Tax in the Nature of Bill Sundry data field. Now whenever you enter a voucher and use Service Tax Bill Sundry then a Service Tax window appears with some default values in it. The window appears due to the tagging of Service Tax in the Nature of Bill Sundry data field in the Service Tax Bill Sundry master.

Enter Opening Service Tax Amount

You can enter opening Service tax amount through Administration --> Configuration --> Opening Information --> Service Tax Op. Bal option. On clicking the Service Tax Op. Bal option, a Service Tax Op. Bal window appears. Given here is a screenshot of Service Tax Op. Bal window.

Service Tax Op. Bal window

In the Service Tax Opening Balance window, enter the opening balance for Service Tax, Education Cess and SHE Cess.

3. Record Input/Output Service Tax

You can record service tax related vouchers in primarily four ways:

  • Input Service Tax
  • Output Service Tax
  • Tax Deposited with Government
  • Special Cases of Service Tax

Let us discuss the four ways in detail.

Input Service Tax

If you have paid service tax on purchase of services then you can enter service tax related details in the appropriate vouchers.

To record input service tax, perform the following steps:

  • Click the Transaction à Select the appropriate voucher.
  • Enter appropriate information in the voucher.

Let us understand the recording of Input Service Tax with the help of an example.

Education Today is a coaching centre that availed the services of an air conditioner maintenance company. The coaching centre had to pay service tax at the rate of 10%.

Given here is a screenshot of the Payment voucher that the coaching centre enters for the maintenance charges.

Payment voucher - Add window
  • Click the Save button to save the voucher.

On clicking the Save button, a Service Tax Details window appears. If you Specify 'Y' in the Service Tax Applicable data field, several data fields become active. These are:

  • Type
  • Category
  • Service Tax Amt.
  • Cess Amount

Type

In this data field, enter the type of Service Tax. You can select from the three options given:

  • Output Service Tax
  • Input Service Tax
  • Tax Deposited

Category

In this data field, enter the category of service tax. The options that appear in the list are the 93 categories of Service tax defined by the government regulations.

Service Tax Amt.

In this data field, enter the amount of Service tax that you want to reflect in your reporting. For example, in the screenshot the Service tax is Rs.100 in both the Payment voucher and the Service Tax Details window.

Edu. Cess Amount

In this data field, enter the Education cess amount, if any.

  • Click the Ok button after entering the appropriate information in the data fields.
  • Click the Save button to save the details along with the voucher.

Reporting in BUSY is done with the help of the Service Tax Details window that appears while entering a voucher. Thus, be careful while entering the details in the window. If you specify 'N' in the Service Tax Applicable data field then no Service Tax Reporting will be done for the particular voucher.

You can enter the transactions for the payment of service tax using other vouchers such as Purchase voucher.

The data fields that get activated in the Service Tax Details window depend on the value in the Type data field.

  • When the type is 'Input Service Tax', the active data fields are:
    Type Category
    Service Tax Amt.
    Edu.     Cess Amount
    SHE Cess Amount

  • When the type is 'Output Service Tax', the active data fields are:
    Type
    Category
    A    ssessable Value
     Service Tax @
     Service Tax Amt.
    C    ess @
    Cess Amount

  • When the type is 'Tax Deposited', the active data fields are:
    Type
    Service Tax Amt.
    Cess Amount
    For the Period ending
    Challan No. and Date.

Output Service Tax

If you have collected Service tax on sale of services then you can enter Service tax related details in the appropriate vouchers.

To record Output Service Tax, perform the following steps:

  • Click the Transaction à Select the appropriate voucher.
  • Enter appropriate information in the voucher.

Let us understand recording of Output Service Tax with the help of an example.

Education Today is a coaching centre that charges fees from the students and collects Service tax on the same. The coaching centre charges Service tax at the rate of 10% on the fees.

Given here is a screenshot of the Sales voucher that the coaching centre enters for the maintenance charges.

Sales - Add window
  • Click the Save button to save the voucher.

On clicking the Save button, a Service Tax Details window appears. If you Specify 'Y' in the Service Tax Applicable data field, several data fields become active. These are:

  • Type
  • Category
  • Assessable Value
  • Service Tax @
  • Service Tax Amt.
  • Cess @
  • Cess Amount

Type

In this data field, enter the type of service tax. In the screenshot we are entering a Sales voucher, thus only Output Service Tax option is available.

Category

In this data field, enter the category of Service tax. The options that appear in the list are the 93 categories of service tax defined by the government regulations.

Assessable Value

Enter the assessable value of the taxable service. The assessable value represents the value of the service on which service tax is realized.

Let us understand with the help of an example. Education Today charges Rs. 5,000 as fees from one of its students. Service tax at 10% amounting to Rs. 500 is levied. The student makes the payment in two parts of Rs. 2,500 each. Thus on the given date only Rs. 2500 fees is realized and consequently service tax is levied on Rs. 2,500. Thus, in this case the assessable value is Rs. 2,500.

Service Tax @

Enter the service tax rate applicable on the assessable value. This value is required for Service Tax reporting.

Service Tax Amt.

In this data field, enter the amount of service tax that you want to reflect in Service Tax reporting.

Edu. Cess @

Enter the Education cess rate applicable on the assessable value. This value is required for Service Tax reporting.

Edu. Cess Amount

In this data field, enter the amount of Education cess that you want to reflect in Service Tax reporting.

  • Click the Ok button after entering the appropriate information in the data fields.
  • Click the Save button to save the details along with the voucher.

You can enter the transactions for the receipt of service tax using other vouchers such as Journal voucher.

Tax Deposited with Government

When you deposit the net service tax payable with the government, you need to record the transaction using a voucher in BUSY.

To record payment of service tax, perform the following steps:

  • Click the Transaction à Select Payment voucher.
  • Enter appropriate information in the voucher.

Given here is a screenshot of the Payment voucher that Education Today enters for payment of Service tax to the government.

Payment voucher - Add window
  • Click the Save button to save the voucher.

On clicking the Save button, a Service Tax Details window appears. If you specify 'Y' in the Service Tax Applicable data field, several data fields become active. These are:

  • Type
  • Service Tax Amt.
  • edu. Cess Amount
  • Challan No.
  • Period ending
  • Date

Type

In this data field, enter the type of Service tax. You can select from the three options given:

  • Output Service Tax
  • Input Service Tax
  • Tax Deposited

In this case, Tax Deposited is the type of Service tax.

Service Tax Amt.

In this data field, enter the amount of Service tax that you want to reflect in Service Tax reporting.

Cess Amount

In this data field, enter the amount of cess amount that you want to reflect in Service Tax reporting.

Challan No.

In this data field, enter the challan number.

For the Period ending

In this data field, enter the period ending date for which you are depositing the Service tax. For example, if you are depositing the Service tax for the period from January 2006 to April 2006 then enter the period ending date as 30-04-2006.

Challan Date

In this data field, enter the challan date on which you are depositing the Service tax. These details are required for Service Tax reporting.

'For the Period Ending' and 'Challan No. and Date' data fields will be active only when the type is Tax Deposited. The reason is that when a service provider deposits tax with the government, the period ending date and challan information is to be made available.

  • Click the Ok button after entering the appropriate information in the data fields.
  • Click the Save button to save the details along with the voucher

Special Cases of Service Tax

There are certain cases in Service tax where a different treatment of either the Service tax value or the type of Service tax is required. There are primarily three such cases:

  • Input Tax not fully claimable
  • Reverse Service Tax Transaction
  • Part-realization of Service Tax

Let us discuss these cases in detail.

Input Tax not fully claimable

There can be instances where the input tax paid is not fully claimable. Let us understand with the help of an example.

Education Today sells reading material along with providing coaching services. Thus, it has two types of operations, selling of reading material (goods) and selling of coaching services (services). As a result, Education Today is a seller of goods cum services and all the incomes and expenses are divided proportionately between goods and services. Similar is the case with telephone expenses. Since the telephone expenses are incurred for the sale of goods and services, these are divided proportionately between goods and services. Now for the month of April, the telephone bill is for Rs. 5,000. Education Today calculated the proportionate contribution of goods and services to be equal i.e. Rs. 2,500. Further, input service tax at 10% is paid on telephone bill. The input service tax is divided proportionately between the goods and service wherein each has a share of Rs. 250. Of the total service tax of Rs. 500, only Rs. 250 i.e. the share for input service tax for education services can be claimed. For this, it has to enter value as 50 in the Credit Allowed data field which specifies that credit will be allowed on 50% of the Service Tax amount.

Given here is a screenshot of the Payment voucher that Education Today enters for payment of telephone expenses and service tax.

Payment voucher - Add window

Thus in Service Tax reporting, only Rs. 250 will appear as claimable input tax.

Reverse Service Tax Transaction

You can make a reverse service tax transaction in numerous cases.

Let us understand with the help of an example. Education Today collected fees amounting to Rs. 5,000 from a student for an entire course. Service tax at 10% was collected from the student. Two days later, the student wanted to downgrade and thus you need to refund the fees along with the service tax. In such a case you will enter a Sales Return voucher and in the Service Tax Details window you will enter the type of service tax as Output Service Tax.

Given here is a screenshot of the Sales Return voucher that Education Today enters for refund of fees to students.

Sales Return - Add window

Similarly, if you are entering a reverse service tax transaction using any other accounting voucher such as Payment or Journal voucher, enter the type of service tax as Output Service Tax.

The type of service tax entered in Reverse Service Tax transactions is based on the type entered in the initial transaction voucher. In the Reverse Service Tax transaction, the type will remain the same.

Part-realization of Service Tax

There can be certain cases in which service tax is not fully received. Let us understand with the help of an example. Education Today charges Rs. 5,000 as fees from one of its students. Service tax at 10% amounting to Rs. 500 is levied. Education Today creates a Sales voucher for Rs. 5,500 on April 1, 2006 but the student decides to make the payment in two parts of Rs. 2,500 each. Thus on April 1,2006 only Rs. 2500 fees is realised and consequently service tax is levied on Rs. 2,500. Thus, in this case the Sales voucher is prepared for the total value of Rs. 5,500 but for Service Tax Reporting only the actual realised value of Service tax is entered.

Given here is a screenshot of the Sales voucher that Education Today enters for the receipt of fees from the student.

Sales - Add window

In the screenshot the assessable value in the Service Tax Details window is Rs. 2,500. This amount represents that amount which is actually received or realised from the student. The service tax is charged on this amount. Thus, service tax at 10% amounting to Rs. 250 is actually realised while in the Sales voucher the service tax is Rs. 500.

In a Part-realization Service Tax case, the reporting and accounting records do not match. To reflect the correct position in the account records, you can enter a reverse voucher for the non-realized amount of Service tax. For example, in the current example, we can enter a Sales return voucher for Rs. 2,500 along with the Service tax amount of Rs. 250. With this reverse voucher, both the account and reporting records will reflect the same amount.

4. Adjust Service Tax in Excise Amount

You can adjust the net service tax payable amount with the excise amounts.

To adjust the service tax amount against the excise amount you need to enable Excise Reporting by clicking Administration à Configuration à Features/Options à Excise tab. Under Excise tab, select the 'Enable Excise Reporting' checkbox.

To adjust the service tax in excise amounts, perform the following steps:

  • Click the Transactions à Adjust Excise Amounts.
  • Enter the amount to be adjusted in the excise amounts

Given here is a screenshot of the Adjustment of Excise Amounts window.

 Adjustment of Excise Amounts window
  • Click the Save button to save the adjustments.

You can adjust the excise payable amount in the input service tax amount. In the screenshot, the excise duty payable amount is Rs. 1,000 while the Service tax claimable amount is Rs. 1,350. We can adjust the excise duty payable amount against the service tax claimable amount. Thus, Rs. 1,000 can be adjusted. The net amount of Rs. 350 (1,350 – 1,000) will appear in Service Tax Reporting.

You can adjust only the excise duty payable in the Service tax claimable amount. You cannot adjust Service tax payable in excise duty. Further, Excise duty payable amount can only appear in the case of Manufacturing Excise Reporting. The reason is that in Trading Excise Reporting there can never be any payable excise duty.

5. View the Service Tax Reports and Returns

Once you have recorded the service tax related transactions, you can view the Service tax related reports and returns. To view the Service Tax reports, perform the following tasks:

  • Click Display à Service Tax and Excise Reports à Select the report from the following options:
    • Service Tax Summary
    • Form ST 3
    • Input Service Tax Register
    • Output Service Tax Register

Given here is a screenshot of the Service Tax and Excise Reports option.

Service Tax and Excise Reports option window
  • Enter the date range in Starting Date and Ending Date data fields.
  • View the respective Service Tax Report.

Given here is a brief description of each of the four Service Tax Reports.

Service Tax Summary

Service Tax Summary provides the details of service tax charged (Output Service Tax), service tax paid (Input Service Tax), service tax deposited with the Government, service tax adjustment in excise, and net service tax payable.

Form ST-3

Form ST 3 is the half-yearly return that has to be filed by the service provider with the government.

Input Service Tax Register

Input Service Tax Register provides the details of service tax paid on purchase of services.

Output Service Tax Register

Output Service Tax Register provides the details of service tax charged for rendering services.

After following these four steps you have successfully implemented Service Tax in BUSY.


FBT

Knowledge Documents > Tax Related Documents > Fringe Benefit Tax

Fringe Benefit Tax

Fringe Benefit Tax is tax on perquisites or fringe benefits provided by an employer to his employees, in addition to the cash salary or wages paid. In other words, Fringe Benefit Tax is a tax that is levied on the expenses of a business. The implementation of Fringe Benefit Tax (FBT) in BUSY is a simple three steps process. The steps are:

  1. Configure FBT in BUSY
  2. Enable FBT Account/Account Group-wise
  3. View the Fringe Benefit Tax Report

Let us discuss the steps in detail.

1. Configure FBT in BUSY

To configure FBT in BUSY, perform the following steps:

  • Open the company you want to configure FBT for: Company à Open à Select your company. On selecting a company, a Security Check window appears.
  • Enter the User Name and Password for the company in the Security Check window and click the Ok button to open the company.
  • Click the Administration à Configuration à Features/Options à Accounts tab.

Given here is a screenshot of Features/Options window with active Accounts tab for configuring FBT in BUSY.

Features/Options window with active Accounts tab
  • Enable FBT Reporting feature by selecting the checkbox. On clicking the FBT Reporting option, a Configure button is activated. On clicking the Configure button, an Options for FBT window appears. Given here is a screenshot of Options for FBT window.

  Options for FBT window

    • Calculate FBT at Group Level - Check this checkbox if you want to calculate FBT at group level.

  • Click the Save button to save the configuration settings.

2. Enable FBT Account/Account Group-wise

After FBT is configured in BUSY, you need to enable FBT Account/Account Group-wise. Let us understand with the help of an example. ABC & Co. has an expense account for Travel Expenses. They want to calculate FBT on the travel expenses. For this purpose, they have to enable FBT for the Travel Expenses account.

To enable FBT for an account, perform the following steps:

  • Click the Administration à Masters à Account à Add option.
  • In the Account Master – Add window, enter the appropriate information in the boxes:
    • Name: Travel Expenses
    • Print Name: Expenses
    • Group: Expenses (Indirect/Admn.)

When you specify the group as Expenses, a FBT Details for Account – Travel Expenses window appears within the Account Master – Add window.

Given here is the screenshot of the Account Master – Add window.

Account Master - Add window

If you enter 'Y' in the Enable FBT Reporting data field, a data field become active. The data field is:

    • % of Expense to be taken as FBT - This amount specifies on what percentage of the expense should FBT be levied. For example, in the given screenshot, on a Travelling expense of Rs. 100, FBT will be levied on 30% of Rs. 100 i.e. FBT will be levied on Rs. 30.
  • Click the OK button.
  • Click the Save button to save the account information.

If you enable the FBT Reporting and check the checkbox Calculate FBT at Group Level in the Options for FBT window that appears on clicking the Configure button next to the FBT reporting option in the Administration à Configuration à Features/Options à Accounts tab then while creating certain types of Account Groups, BUSY will ask you whether you want to calculate FBT at Group level. The Account Groups for which such a data field appears depends on the group selected in the Under Group data field. FBT Details for the Account Group window appears for the following Account Groups:

  • Expenses (Indirect/Admn)
  • Expenses (Direct/Mfg)

To enable FBT for an Account Group, perform the following steps:

  • Click the Administration à Masters à Account Group à Add tab.
  • In the Group Master – Add window, enter the appropriate information in the boxes:
    • Group Name: Travel Expenses
    • Alias: Travel Exp.
    • Primary Group:N
    • Group: Expenses (Indirect/Admn.)

When you specify the group as Expenses, a FBT Details for Account Group – Travel Expenses window appears within the Account Group – Add window.

Given here is a screenshot of FBT Details for Account Group window.

FBT Details for Account Group window

If you enter 'Y' in the Enable FBT Reporting option, a data field gets activated. The data field is:

    • % of Expense to be taken as FBT - This amount specifies on what percentage of the expense should FBT be levied. For example, in the given screenshot, FBT will be levied on 30%.
  • After you have entered the appropriate information in all the data fields, click the Save button to save the new Account Group information. If you do not want to create a new Account Group then click the Quit button

3. View the Fringe Benefit Tax Report

Once you have configured FBT account wise, you can view the respective report. To view the Fringe Benefit Tax report, perform the following tasks:

  • Click Display à Accounts Summary à Fringe Benefit Tax Report option.

Given here is a screenshot of the Display menu.

Display Menu

On selecting the Fringe Benefit Tax Report option, a Report Options window appears. Given here are the data fields that appear in the Report Options window.

  • Starting Month
  • Ending Month
  • FBT%
  • Surcharge%
  • Cess%

Starting Month

Specify the starting month from which the Payment/Receipt/Contra vouchers for the accounts on which FBT is applicable will be considered for displaying the report.

Ending Month

Specify the ending month up to which the Payment/Receipt/Contra vouchers for the accounts on which FBT is applicable will be considered for displaying the report.

FBT%

Specify the FBT percent that will be considered while displaying the report.

Surcharge%

Specify the Surcharge percent that will be considered while displaying the report.

Cess%

Specify the Cess percent that will be considered while displaying the report

After specifying the data in the various data fields, click the Ok button to view the Fringe Benefit Tax Report.

After following these three steps, you have successfully implemented FBT in BUSY.


Deferred ITC

Knowledge Documents > Tax Related Documents > Deferred ITC

Overview

In Delhi, till now there is a provision to set off Input Tax paid on the purchase of goods that are purchased for reselling or further manufacturing of goods. You can claim the Input Tax Credit in the quarter in which the goods are purchased irrespective of the quarter in which they will be sold. However, from the current accounting year, government has made some changes in the method of setting off Input Tax Credit. From now onwards, you can claim Input Tax Credit against only those stock, which has been sold, and not for the stock that is still lying unsold.

For example, in the month of June you have purchased 200 pieces of an item @ 500 per piece and paid VAT @ 5% on it. Hence total cost of goods is Rs. 1,00,000 and VAT of Rs. 5000 is paid on it. Out of these 200 pieces, you have sold 160 pieces of item and at the end of June 40 pieces of item are still lying unsold. In this case, in the quarter April - May – June, you can set off Input Tax paid on 160 pieces only and not on 200 pieces. It means that in the quarter April – May – June, you can set off Input Tax Credit of Rs 4000 (5% of 80,000) and not of Rs. 5000 (5% of 1,00,000). The remaining Input Tax Credit of Rs. 1000 can be claimed in the quarter in which the 40 pieces will be sold.

Treatment in BUSY

To set off Input Tax Credit only for the goods sold in the current quarter and to defer the remaining Input Tax Credit set off to the next quarter, you have to perform the following steps in BUSY:

Step 1: Create an Account with the name ‘Deferred VAT on Closing Stock’ and specify its Parent Group as Current Asset.

Step 2: Enter a Journal voucher, debit the Deferred VAT on Closing Stock account and credit the VAT account with the Input Tax Credit amount that cannot be set off in the current period. For example, at the end of a quarter, you have some unsold stock on which VAT of Rs. 1000 has been paid. In this case, you cannot set off Rs. 1000 in the current quarter and can set off it in the quarter in which the goods will be sold. Hence, in the current quarter, you will pass the following entry in the Journal voucher.

Debit: Deferred VAT on Closing Stock 1000

Credit: VAT 1000

On saving the Journal voucher, a VAT Adjustment Details (Payment / Tax Adjustment / Refund) window appears. In the window, select the VAT Adjustment Type as Input Tax Adjustment and select the Nature of Adjustment as Deferred VAT on Closing Stock.

Given here is a screenshot of Journal voucher with Adjustment Details (Payment / Tax Adjustment / Refund) window.

Journal Voucher

Step3: Enter a Journal voucher on the date on which the goods for the previous quarter are sold.  In the Journal voucher, debit the VAT account and credit the Deferred VAT on Closing Stock account.

Continuing with the example used in Step 2; suppose the goods are sold on 15th July.  Now you can set off the Input Tax Credit of Rs. 1000 on 15th July.  For this purpose, you will enter a Journal voucher and pass the following entry in it.

Debit:  VAT                                               1000

Credit:  Deferred VAT on Closing Stock   1000

On saving the Journal voucher, an Adjustment Details (Payment / Tax Adjustment / Refund) window appears.  In the window select the VAT Adjustment Type as Input Tax Adjustment and select the Nature of Adjustment as Deferred VAT on Opening Stock.

Given here is a screenshot of Journal voucher with Adjustment Details (Payment / Tax Adjustment / Refund) window.
Journal Voucher

Currently, you have to calculate manually the value of ITC that cannot be set off in the current quarter or we can say that you have to calculate the closing stock of the current quarter and ascertain the amount of VAT paid on it.  We are working on the reports that will display the unsold stock of the current quarter and the ITC paid on it and will very soon provide you this report.  Till then you have to manually calculate the unsold quantity of goods and the Input tax paid on it.


Accounting

Knowledge Documents > Accounting Documents

Accounting Documents

Accounting documents include documents on overview of Accounting and various accounting features of BUSY. The documents covered under this section are:

  • Overview of Accounting
  • Cost Centres
  • Multi Currency
  • Mahajani Interest Calculation


Overview of Accounting

Knowledge Documents > Accounting Documents > Overview of Accounting

Introducing Financial Accounting

The prime motive for doing a business is to earn profit. To know the profit earned or loss incurred in a particular period, it is necessary to record the financial transactions for the same period. Financial accounting is an effective tool to record, classify, and summarize financial transactions.

Accounting is the art of recording, classifying and summarizing financial transactions and analysing & interpreting the results thereof.

To maintain uniformity in accounting, certain accounting principles are followed. The accounting principles consist of accounting concepts and accounting conventions. These are explained here.

Defining Accounting Concepts

Accounting is a business language used to communicate the financial information of the business to the people concerned. This makes it important for accounting to be based on certain concepts. These concepts imply the necessary assumptions or conditions upon which accounting is based.

These can be listed as:

  • Business Entity Concept
  • Dual Aspect Concept
  • Accounting Period Concept

Business Entity Concept

This concept holds prime importance in Financial Accounting. According to this concept, a business is a separate entity from its owner. Business transactions are recorded from the point of view of the business entity and not the owner. The business entity can be a company, firm or proprietorship.

Let us understand with the help of an example. Mr. Sharma is a garment manufacturer and has a factory outlet at Faridabad called ABC & Co. He invests money amounting to Rs. 10,000 in the business in the form of capital. In this scenario, the capital increases the cash balance in the company. Cash account is the receiver of the money while Capital account of Mr. Sharma is the giver of the money. Thus, the business owes the money to Mr. Sharma. In other words, the owners are considered separate from the business. When they introduce or withdraw capital from the business their Capital account is credited or debited accordingly.

Given here is a diagrammatic representation to explain the case.

Thus, in this case the two accounts affected are Capital account of Mr. Sharma, the proprietor and the Cash account.

Let us take another example to explain this concept. ABC & Co. purchases furniture worth Rs. 6,000 and makes the payment in cash. The furniture is bought in exchange for cash. The transaction is for the company but the company remains unaffected by the whole transaction. This is because the two account heads to be affected in the transaction are Furniture and Cash account.

Given here is a diagrammatic representation to explain this case.

In such a case the company remains neutral and is not affected since the transaction is between two entities Furniture and Cash that are separate from the company.

Dual Aspect Concept

This concept indicates that each transaction has two aspects and is recorded in two different accounts. For example, if a business house purchases machine on cash basis, the Machine account and the Cash account will be affected.

The double-entry system of accounting is based on this concept. The basic presumption of this system is that every business transaction has two aspects. Under this system, both the aspects of a transaction are recognized and recorded.

For example, ABC & Co. buys raw material worth Rs. 4,000 on cash basis. One aspect to be recorded is the increase in the raw material while the other aspect is the decrease in cash balance by Rs. 4,000. The important point to keep in mind is that the amount of both the aspects that are recorded should always be equal.

Accounting Period Concept

The time period during which the transactions of a business are recorded is called the accounting period. It states that the indefinitely long period of the business life should be divided into shorter periods for summarizing accounting information. Accounts for a business are prepared for a specific period, generally a 12-month period. In India, the accounting period is generally, taken from April 1 to March 31.

Defining Accounting Conventions

Conventions are the customs and traditions that act as a guide to the preparation of the final accounts. Following these conventions results in the presentation of clear and meaningful final accounts.

The conventions followed to prepare accounting statements are:

  • Convention of Consistency
  • Convention of Conservatism

Convention of Consistency

According to the convention of consistency the accounting practices and methods should not be changed from one accounting period to another. For example, there are 2 methods to charge depreciation, Written Down value method and Straight Line method. The method once chosen should be used consistently year after year. Consistency in accounting practices and methods makes the records of the company for different years comparable.

Convention of Conservatism

According to this convention the accounting records should present a realistic picture of the state of affairs of the business. All the prospective losses should be accounted for and all prospective gains should be ignored. For example, to present a realistic picture the closing stock is valued at market or cost price whichever is less. If the market price is Rs. 15 and the cost price is Rs. 10, then the closing stock will be valued at Rs. 10. On the other hand if the market price is Rs. 12 and cost price is Rs. 14, then the closing stock is valued at Rs. 12.

Now that we have discussed the accounting principles, let us move onto the accounting terms that are used frequently.

Defining Accounting Terms

Accounting terms are classified under the following categories:

  • Assets
  • Capital
  • Liabilities
  • Revenue
  • Income
  • Expenses
  • Sales
  • Purchase
  • Debtors
  • Creditors
  • Stock

Assets

Assets are resources owned by a business. It can be anything that enables a business to get benefit. For example, land, building, stock of goods, and cash. Assets can be classified as:

  • Fixed assets: Assets purchased for the purpose of operating the business and not for resale. For example, land, building, machinery, furniture, and car.
  • Current assets: Assets kept for a short term for converting into cash or for resale. For example, unsold goods, cash at bank, and cash in hand.

Liabilities

A liability can be defined as something that a business owes to a third party in the form of an obligation to pay. For example, when a loan is taken from a bank or a financial institution it raises a liability for the business. Similarly, all the creditors are a liability for the business. Liabilities can be classified as:

  • Long term Liabilities/Fixed liabilities: Liabilities payable after a long term (more than one year). For example, long-term loans are a fixed liability.
  • Short term Liabilities/Current liabilities: Liabilities payable in a short term (within one year). For example, creditors, bank overdrafts, bills payable, and short-term loans.

Capital

Capital is the money that the owner invests to start the business and can claim from the business. Thus, for the business it is a liability towards the owner since the owner is a separate entity from the business. It can also be defined as the positive difference of assets over liabilities. This can be depicted as:

Capital = Assets - Liabilities = Net assets

Thus, the net assets of the business are equal to the amount of capital contributed by the owner of the business. When the owner invests money in a business the transaction gives rise to two effects. Firstly, the assets of the business in the form of cash increase and secondly, the claim of the owner in the form of capital on the assets of the business is recognized. Capital is also known as equity or owner's equity. The owner can be a proprietor, a partner, or a shareholder in a company.

Revenue

Any account head or transaction that affects the profit earned or loss incurred by the business comes under the Revenue head. Revenue is the net amount that is added to the capital as a result of operations. It is the net inflow of assets or decrease in liabilities from selling goods and providing services to customers. Revenue can be depicted as:

Revenue= (Income – Expenses) + (Sales – Purchases)

Income

Income is money received by a person or organization because of effort or work done by the person. In other words, it is return on work done or return on investments. For example, rent received, interest on fixed deposits, income from investments, and so on. For professionals such as a doctor the fees that he receives from his patients will be his income. Thus, the fees or commission earned from providing services is included in Income.

Expense

Expense is the amount spent in order to produce and sell the goods and services, which produce the revenue. Expenses can be classified as:

  • Direct Expenses: Direct expenses refer to those expenses that are incurred on the goods purchased till they are brought to the place of business for sale. Some examples of direct expenses are carriage or freight inwards, manufacturing wages, power and fuel, factory lighting, and factory rent and rates and so on. These are also known as Manufacturing expenses.
  • Indirect Expenses: Indirect expenses are those expenses that are incurred for carrying on the day-to-day business. Some examples are office rent, salaries, and so on. These can be further classified as:
    • Selling and Distribution expenses: These expenses are incurred for selling the goods to the consumer. For example, salesmen salaries, commission of agents, advertising, freight and carriage on sales, export duties and so on.
    • Administrative and Office Management Expenses: These expenses are incurred for maintaining the office. These signify the daily costs incurred in running and maintaining a business For example, office salaries, office rent and rates, telephone, lighting, printing and stationary and so on.
    • Financial Expenses: These expenses are incurred in arranging finance for the business. For example, interest on loan, interest on capital and so on.

Sales

The term 'Sales' refers to the proceeds from the sale of goods only. When goods are sold for cash, it is called cash sales and when goods are sold on credit, it is called credit sales. The term 'Sales' includes both cash and credit sales.

Purchases

The term 'Purchases' refers to inventory purchased by the business concern. Inventory refers to the goods purchased for resale or for producing the finished products for sale. When goods are purchased for cash, it is called cash purchase and when goods are purchased on credit, it is called credit purchase. The term 'Purchases' includes both cash and credit purchases.

Debtor

A debtor is a person or business concern that owes money to another business concern. Let us understand with the help of an example. ABC & Co. sells garments worth Rs. 5,000 to a customer on credit i.e. payment for the sale will be received on a future date. Thus the customer becomes a debtor for ABC. & Co.

Creditor

A creditor is a person or business concern to which a business concern owes money. Let us understand with the help of an example. ABC & Co. buys raw material worth Rs. 10,000 from its supplier on credit i.e. payment for the purchase will be made on a future date. Thus the supplier becomes a creditor for ABC. & Co.

Stock

Stock refers to the goods lying unsold on a particular date. The stock can be either be opening stock or closing stock. Opening stock is the stock lying unsold at the beginning of the accounting period while closing stock refers to the stock lying unsold at the end of the accounting period.

Understanding the Accounting Equation

Following the Double Entry Accounting System, the debit and the credit in accounting records should always be equal. In other words, the total assets (debit balance accounts) of a business should be equal to the total liabilities (credit balance accounts). This relation between assets and liabilities can be expressed as:

Assets = Liabilities + Capital

This equation is known as the Accounting Equation.

According to the accounting equation, an increase or decrease in the assets of a business is always equal to an increase or decrease in the liabilities of the business.

It may be observed that any increase in assets would either result in a similar increase in liabilities or a reduction in any other assets in case liabilities do not increase.

Let us understand with the help of an example. ABC & Co. has cash amounting to Rs. 50,000 Mr. Sharma, the proprietor, provided this cash in the form of capital. Now since ABC & Co. and Mr. Sharma are separate entities, ABC & Co. has a liability of Rs. 50,000 towards Mr. Sharma. In this case, the accounting equation becomes:

Assets | Liabilities + Capital
Cash = Rs. 50,000 | Capital = Rs. 50,000
Total = Rs. 50,000 | Total = Rs. 50,000

Now, suppose the company purchases a van for Rs. 2,000 so the asset side of the accounting equation increases by Rs. 2,000. The payment has been made in cash, thus, cash balance decreases by Rs. 2,000 Therefore, the net effect on total assets remains nil and the equation becomes:

Assets | Liabilities + Capital
Cash = Rs. 48,000 Van = Rs. 2,000 | Capital = Rs. 50,000
Total = Rs. 50,000 | Total = Rs. 50,000

Next, ABC & Co. purchases Furniture worth Rs. 24,000 from Furniture World Inc. on credit. Thus, the assets side of the accounting equation increases by Rs. 24,000 in the form of Furniture. On the other hand, since the purchase is on credit, creditors amounting to Rs. 24,000 appear on the liabilities side of the accounting equation. In this case, the accounting equation becomes:

Assets | Liabilities + Capital
Cash = Rs. 48,000 Van = Rs. 2,000 Furniture = Rs. 24,000 | Capital = Rs. 50,000 Creditors = Rs. 24,000
Total = Rs. 74,000 | Total = Rs. 74,000

We have discussed the accounting equation with the help of examples. Now let us discuss the accounting cycle that defines the flow of information in the accounting books.

Understanding the Accounting Cycle

The accounting cycle defines the sequence of the stages to be followed in financial accounting. It starts from identifying the financial transactions and ends with the preparation of financial statements. Thereafter, the statements are analyzed and interpreted by different users to meet their requirements.

Given here is a diagrammatic representation of the Accounting Cycle.

The stages of the accounting cycle are:

  1. Identifying financial transactions: The actual business transactions take place and the supporting source documents are created at this stage. Supporting documents primarily include vouchers. Vouchers provide information about the accounts affected by the transaction, the amount of transaction in money terms, the date of transaction, and voucher number.
  2. Recording transactions in Accounting Books: This stage pertains to the recording of transactions. Transactions are recorded in the book of accounts. In other words, the information on the vouchers is recorded in the accounting books by passing journal entries in the appropriate accounting books.
  3. Classifying transactions under various Ledger accounts: At this stage, the journal entries are transferred/posted to different accounts. The process of transferring the journal entries to different accounts is known as Posting. In simple terms, every transaction will affect at least two accounts and therefore, two accounts are created. The financial record in the form of journal entry is transferred to the appropriate accounts.
  4. Summarizing and presenting Financial Statements: Many transactions take place in a business. Therefore, various accounts are created. The accounts do not give information in a summarized manner. Hence, there is a need for summarizing information. In financial accounting, initially the accounting information is summarized in the form of a Trial Balance. The Trial Balance is used to prepare and present the Trading account, Profit & Loss account, and the Balance sheet. With this the accounting cycle comes to an end.

Once the financial statements are ready, they are analysed using different analytical tools. The tools are the ratios and the fund flow and cash flow statement. Ratios are used to analyse financial statements while the fund and cash flow statements analyse the fund flow and cash flow position of the business.

Before we start with the implementation of the accounting cycle, let us first understand few terms that are important for accounting such as Account, Debit and Credit.

Account

An Account is a summarized record of various transactions pertaining to a particular account head. It is commonly referred to as a Ledger Account. Let us understand with the help of an example. ABC & Co. has a closing cash balance of Rs. 5,000 for month ending April 2005. During the month of May, furniture worth Rs. 4,000 is purchased while goods worth Rs. 6,000 are sold. Now to know the closing balance at the end of the month, the accountant can deduct the outflow and add the inflow of cash. This process can be cumbersome in case there are numerous transactions for a single month.

To solve the problem we create an account for cash in which all the transactions leading to an increase in cash are recorded in one column and the transactions leading to a decrease in cash are recorded in another column. These two columns are put in the form of an account. Given here is a simple presentation of an account.

Increases | Amount (Rs.) | Decreases | Amount (Rs.)
Opening Balance Sale of goods | 5,000 6,000 | Furniture Closing Balance (Balancing figure) | 4,000 7,000
Total | 11,000 | Total | 11,000

Given here is a commonly used layout for an account.

Date | Type | Voucher/Bill Number | Account | Debit | Credit | Balance

Under the Type column, the type of transaction is entered such as sales or payment. The voucher or bill number is entered under the Voucher/Bill Number column. The name of the Ledger Account that is affected by the transaction is entered under the Account column. If the Ledger Account being created is debited then the amount is written under the Debit column. On the other hand if the Ledger Account being created is credited then the amount is written in the Credit column. The Balance column displays the balance in the account after a transaction is recorded.

Given here is another commonly used layout for an account.

Dr. Cr.

Date | Particulars | Folio | Amount | Date | Particulars | Folio | Amount
Total |  |  |  | Total |  |  |

The left hand side of the account is called the debit side while the right hand side is called the credit side. The folio column records the page or reference number of the accounting book where the entry was first recorded.

We will use the former account layout for Ledger accounts.

Debit and Credit

The terms debit and credit refer to the additions to or subtractions from an account. Debit is an accounting term that means 'to owe'. It is used to describe a payment, debt, or an entry in recording a transaction, the effect of which is to decrease a liability, income, or capital account or increase an asset or expense account. Another significance of the term 'debit' is that all the asset accounts have a debit balance.

Credit is the opposite of debit. It is an accounting term used to describe an entry that increases an income, liability or capital account, and decreases an expense or asset account. Another significance of the term 'credit' is that all the liability accounts have a credit balance.

These terms find place in the accounting equation. The assets side of the accounting equation will have those accounts that have a debit balance and the liabilities side will have those accounts that have a credit balance.

The transactions that are recorded in the accounting books affect minimum two accounts. One account will be debited while the other will be credited. Such debiting and crediting is based on the classification of accounts and golden rules of accounting.

Applying the Golden Rules of Accounting

The first stage of the accounting cycle i.e. identifying the transactions of financial nature is a simple task. The problem usually comes at the second stage of the accounting cycle, when these transactions have to be recorded. For this purpose the account are classified under three types of accounts.

Classifying the Accounts

The accounts can be classified as:

  • Personal accounts
  • Real accounts
  • Nominal accounts

Personal Account

Personal accounts are the account of persons or firms that the business deals with. They are primarily of three types:

  • Natural person's accounts: represents the accounts of real persons the business deal with. The proprietor's account, the accounts of suppliers and customers are some examples of natural person's accounts.
  • Artificial person's accounts: represents the accounts of firms the business deals with. The accounts of a limited companies or banks that are not real persons are the examples of artificial person's accounts.
  • Representative personal account: If a business has not paid the rent of a number of shops for the past two months then all the landlords are creditors of the business and the amount due to them is recorded under a common head called Rent Outstanding Account. This is a representative personal account. Other examples of representative personal accounts are interest outstanding and interest paid in advance accounts.

Real Account

Real accounts are the accounts of the properties, assets, and possessions of a business. They can be of two types:

  • Tangible Real accounts: are accounts of things that can be touched, measured, sold or purchased. Examples of tangible real accounts are furniture account, plant account, and cash account.
  • Intangible Real accounts: are accounts of things that cannot be touched in the physical sense but can be measured in terms of money value. Goodwill, trademark, and patent rights are examples of intangible real accounts.

Nominal Accounts

Nominal accounts are the accounts of income, expenses, gains, and losses of a business. Without nominal accounts, it is difficult for the management to find out where the money was spent. The net result of all the nominal accounts helps the management to find out the profit earned or loss incurred by the business. Some examples of nominal accounts are sales account, purchase account, salaries account, and electricity account.

Understanding the Golden Rules of Accounting

Certain rules have to be followed to decide which account is to be debited and which is to be credited. The rules are given here:

Rule 1: Rule for Personal accounts: Debit the receiver and credit the giver.

Rule 2: Rule for Real accounts: Debit what comes in and credit what goes

out.

Rule 3: Rule for Nominal accounts: Debit all expenses and losses and credit all income and gains.

Rule for Personal Accounts

In a Personal account, the rule to be followed is, "Debit the receiver and Credit the giver".

The debit balance in a personal account shows that the business has to receive money or equivalent and a credit balance shows that the business owes something.

For example, a sale of three pieces of garments (code-001) of Rs. 500 each is made to Ashok Singh, a customer of ABC & Co. who does not make the payment at the time of the sale. In such a case Ashok Singh is liable to pay Rs. 1500 to ABC & Co. Hence, in the books of accounts of ABC & Co., Ashok Singh's account is debited since he has received goods.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Ashok Singh | Personal | Rule 1 | Debited: Received goods | 1,500
Sales | Nominal | Rule 3 | Credited: Goods gone out of the business | 1,500

From the above information, a voucher is made. A voucher is a source or supporting document. It is the first record prepared for a business transaction and serves as the basis for recording transactions in the accounting books. Depending on the type of transaction, different vouchers are created.

In this case, an Invoice or a Bill will be created since a credit sale has been made.

Given here is the format of an Invoice/Bill.

Invoice

ABC & Co.

Voucher No: Date:

(Party Name and Address) Ashok Singh
Quantity | Particulars | Rate (Rs.) | Amount
 |  |  | Rs. | P.
3 pieces | Garment code-001 Total | 500 | 1,500 | 00
 |  |  | 1,500 | 00
Rupees fifteen hundred only E. & O. E. Sales Manager

From the above voucher a journal entry can be made. A journal entry is a simple extraction of data from the source documents. This journal entry is recorded in the appropriate accounting books in a particular format.

Given here is the journal entry made from the information given in the above voucher.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Ashok Singh | 1,500 |
C | Sales |  | 1,500
Narration (Being goods sold on credit to Ashok Singh)

In the Debit/Credit Column, specify whether the account is to be debited or credited. In the Ledger Account column, specify the Ledger Account to be debited or credited. In the last two columns, mention the debit amount in the debit column and the credit amount in the credit column.

In the transaction discussed here, Sales account is affected since the goods are sold for trading purpose. In other words, if selling goods is a regular business activity, then Sales Account will be affected in a sales transaction.

Rule for Real Accounts

In a Real account, the rule to be followed is, "debit what comes in and credit what goes out."

Debiting a real account implies increase in the value of goods, stocks, and any other property in a business. Crediting a real account denotes decrease in the value of the goods, stocks, and properties in a business. The debit balance in a real account means that the firm owns and has assets, such as goods, stocks, and properties. Credit balance shows that the business has negative balance for these assets. In practice, there cannot be a credit balance in a real account except when the property has been sold at a profit.

For example, if ABC & Co. bought Machine (code-001) for Rs. 25,000 then value of Machine in the business increases. Hence, Machine account is debited. Since payment is made in cash the balance of cash decreases and Cash account is credited.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Machine | Real | Rule 2 | Debited: Machine has come in the business | 25,000
Cash | Real | Rule 2 | Credited: Cash gone out of the business | 25,000

From the above information, a voucher is made. In this case, a debit voucher is created. A debit voucher is prepared when payment is made against expenses, purchase of goods, payment to creditors, deposits in bank and drawings and so on.

Debit Voucher

Receipt Received Rs………….. | (Party Name and Address) ABC & Co. Voucher No: Date:
 | Debit: Machine a/c (Being machine bought on cash basis) | 25,000
 |  | 25,000
 | Authorized Signatory Accountant

From the above voucher a journal entry can be made. Given here is a journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Machine | 25,000 |
C | Cash |  | 25,000
Narration (Being machine bought for cash)

In this case, the Machine account is affected by the transaction since the machine is purchased for operating the business. In case the machine was purchased for trading purpose i.e. purchase and sale of machine was a regular business activity, then the Sales account will be affected.

Rule for Nominal Accounts

In a Nominal account, the rule to be followed is, "Debit all expenses and losses and Credit all incomes and gains."

All debits in a nominal account imply that there has been an expense or the business has made a loss in a transaction. A credit in a nominal account denotes that the business has earned money, income or profit. A debit balance in nominal account indicates a loss or an expense. A credit balance indicates a gain or an income.

For example, ABC & Co. pays Rs. 6,000 salaries in cash. Since payment of salaries is an expense for the company, Salaries account is debited. Moreover, payment of salaries is made in cash, thus the balance of cash decreases and cash account is credited.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Salaries | Nominal | Rule 3 | Debited: Expense for the business | 6,000
Cash | Real | Rule 2 | Credited: Cash gone out of the business | 6,000

From the above information, a voucher is made. In this case, a debit voucher is prepared for payment against expenses.

Debit Voucher

Receipt Received Rs………….. | (Party Name and Address) ABC & Co. Voucher No: Date:
 | Debit: Salaries A/C (Being salaries paid in cash) | 6,000
 |  | 6,000
 | Authorized Signatory Accountant

From the above voucher a journal entry can be made. Given here is the journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Salaries | 6,000 |
C | Cash |  | 6,000
Narration (Being salaries paid in cash)

We have discussed the application of the golden rules for the three types of accounts. Now let us go through the golden rules summarised here in the form of a table.

Rules of Debit and Credit

Type of Account | Debit Effect | Credit Effect
Personal account | The receiver | The giver
Real account | What comes in | What goes out
Nominal account | All losses and expenses | All incomes/gains

We have discussed the three types of accounts with the help of some transactions. There are many other transactions that are commonly carried out in a business scenario. Let us discuss some of these transactions.

Common Transactions for a Business

Besides the credit sale and payment transactions, there are many other transactions that are carried out in a business scenario. These are discussed here.

Transaction for Cash Sale

ABC & Co. sold 10 pieces of garments (Code-005) worth Rs. 1,000 each on cash basis.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Cash | Real | Rule 2 | Debited: Received cash | 10,000
Sales | Nominal | Rule 3 | Credited: Goods gone out of the business | 10,000

From the above information, a voucher is made. In case of a cash sale, a Cash Memo is made. Given here is the format of a cash memo.

Cash Memo

ABC & Co.

No. Date:

Quantity | Description | Rate (Rs.) | Amount
 |  |  | Rs. | P.
10 | Garments (Code-005) | 1,000 | 10,000 | 00
 |  |  | 10,000 | 00

Goods once sold will not be taken back. For ABC & Co.

From the above voucher a journal entry can be made. Given here is the journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Cash | 10,000 |
C | Sales |  | 10,000
Narration (Being goods sold on cash basis)

Transaction for Receipt of Cash

Investments worth Rs. 15,000 are sold on cash basis.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Cash | Real | Rule 2 | Debited: Received cash | 15,000
Investment | Real | Rule 2 | Credited: Investments sold | 15,000

From the above information, a voucher is made. In this case, a Credit Voucher is made. A Credit Voucher is prepared when cash is received against sale of investments, receipt from debtors and so on.

Given here is the format of a Credit Voucher.

Credit Voucher

ABC & Co.

Voucher No: Date:

Amount

Credit: Investment a/c

(Being goods sold for cash)

Total

Rs.

15,000

15,000

Sd/- Sd/-Manager Accountant

From the above voucher a journal entry can be made. Given here is the journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Cash | 15,000 |
C | Investments |  | 15,000
Narration (Being investments sold on cash basis)

Transaction with Banks

Rs. 12,000 due to XYZ & Co., the creditor, paid by cheque. In such a case, ABC & Co. issues a cheque for XYZ & Co. and creates a debit voucher for recording the transaction.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
XYZ & Co. | Personal | Rule 1 | Debited: Received cash | 12,000
PNB Bank | Personal | Rule 1 | Credited: Money gone out of PNB Bank by cheque | 12,000

From the above information, a cheque and a debit voucher is made. Given here is the format of the debit voucher.

Debit Voucher

Receipt Received Rs………….. | (Party Name and Address) ABC & Co. Voucher No: Date:
 | Debit: XYZ & Co. a/c (Being amount due to creditor paid by cheque) | 12,000
 |  | 12,000
 | Authorized Signatory Accountant

From the above voucher a journal entry can be made. Given here is the journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | XYZ & Co. | 12,000 |
C | PNB Bank |  | 12,000
Narration (Being amount due to creditor paid by cheque)

Transaction of Non Cash nature

Furniture worth Rs. 24,000 bought on credit from XYZ & Co. In such a case, ABC & Co. creates a non-cash voucher, also known as transfer voucher. Non-cash vouchers are prepared for transactions that do not involve cash.

Given here is a tabular representation of the accounts and the effect on the accounts.

Ledger Account | Nature Of Accounts | Golden Rule Applied | Debited/Credited | Amount (Rs.)
Furniture | Real | Rule 2 | Debited: Furniture has come into the business | 24,000
XYZ & Co. | Personal | Rule 1 | Credited: XYZ & Co. has given/sold the furniture to ABC & Co. | 24,000

From the above information, a non-cash/transfer voucher is made. Given here is the format of the non-cash/transfer voucher.

Transfer Voucher

ABC & Co. Voucher No: Date: Amount
Debit: Furniture a/c | Rs. 24,000
 | 24,000
Credit: XYZ & Co. a/c (Being furniture purchased on credit) | 24,000
 | 24,000
Sd/- Sd/- Manager Accountant

From the above voucher a journal entry can be made. Given here is the journal entry.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Furniture | 24,000 |
C | XYZ & Co. |  | 24,000
Narration (Being furniture purchased on credit)

Classifying and Summarizing Records

The classifying stage of the accounting cycle involves preparing the Ledger Accounts. Journal entries do not give a clear idea about the effect of transactions on the business. The common practice is to prepare Ledger Accounts from journal entries.

Classifying transactions under various Account Heads

A Ledger is a book of account in which data from transactions recorded in accounting books are posted and thereby classified.

In other words, a ledger is a register that contains a record of all the transactions carried out by a business in a classified form. Transactions are posted to the appropriate accounts and these accounts are put together in a register that is known as a Ledger. For example, all the transactions for sales are recorded in the Sales account while the transactions for cash are recorded in the Cash account. When these two accounts are put together then we get a Ledger. An account is also known as Account Ledger or Ledger Account.

Given here is the format of a Ledger Account.

Ledger Account

Date | Type | Voucher/Bill Number | Account | Debit (Rs.) | Credit (Rs.) | Balance (Rs.)

In the Ledger Account, there are seven columns for date, type, voucher/bill number, account, debit, credit, and balance. Under the Type column, the type of transaction is entered such as sales or payment. The voucher or bill number is entered under the Voucher/Bill Number column. The name of the other Ledger Account that is affected by the transaction is entered under the Account column. If the Ledger Account being created is debited then the amount is written under the Debit column. On the other hand if the Ledger Account being created is credited then the amount is written in the Credit column. The Balance column displays the balance in the account after a transaction is recorded.

Let us understand how the journal entries are posted to a Ledger Account. We will continue with the case scenario of ABC & Co.

Debit/Credit | Ledger Account | Debit Amount (Rs.) | Credit Amount (Rs.)
D | Ashok Singh | 1,500 |
C | Sales |  | 1,500
Narration (Being goods sold on credit to Ashok Singh)

Let us first create a Ledger Account for Ashok Singh.

Under the Type column, we will write Sale since the transaction is a sales transaction. Further under the Account column we will write the name of the other account that is affected by the transaction. In this case the other account is Sales. Next we will write the amount under Debit or Credit column depending upon whether Ashok Singh's account is debited or credited. In this case, Ashok Singh's account is debited thus we will write the amount under Debit Column. Finally under the Balance column we will write the balance left in the account after the transactions. For the journal entry of credit sale, the posting in Ashok Singh's account will be as given here.

Ashok Singh Account

Date | Type | Voucher/Bill Number | Account | Debit (Rs.) | Credit (Rs.) | Balance (Rs.)
26/06/05 | Sales | 001 | Sales | 500 |  | 500

The amount is written under the Debit or Credit column depending on whether the account being created is debited or credited. It has no relation with the other accounts that are affected by the transaction. For example, in the case scenario discussed here, in Ashok Singh's account, the other account is Sales and the amount is written under Debit column since Ashok Singh's account is debited in the journal entry.

Similarly for Sales account, we will write Ashok Singh account under the Account column and the amount under the Credit column since Sales account is credited.

Sales Account

Date | Type | Voucher/Bill Number | Account | Debit (Rs.) | Credit (Rs.) | Balance (Rs.)
26/06/05 | Sales | 001 | Ashok Singh |  | 500 | 500

Summarizing records under a Trial Balance

The Ledger Accounts provide necessary information regarding various accounts. The debit or credit balances of the Ledger Accounts are listed in the Debit and Credit columns of the Trial Balance.

Trial Balance is a statement prepared to show the debit and credit balances of the accounts in two different columns. Matching of the Debit and Credit balances in Trial Balance columns indicate arithmetic accuracy of the accounting records. It also summarizes the account information in a tabular format.

To prepare the Trial Balance, the debit and the credit balances are written in two separate columns, which are placed right next to each other, while the account name is written in the name of account column.

Given here is the format of a Trial Balance. We will continue with the case scenario of ABC & Co.

Trial Balance of ABC & Co. as on March 31, 2005

Name of Account | Dr. Amount (Rs.) | Cr. Amount (Rs.)
Capital (Mr. Sharma's a/c) Cash in hand Cash at bank (PNB Bank) Opening Stock Machinery Furniture Debtors Loan from Bank Creditors Loan from a non-financial institution Purchases Sales Repairs on machinery Taxes Advertisement Rent Salaries | 12,000 24,050 4,000 10,000 4,700 950 4,000 100 100 500 100 500 | 27,000 9,000 2,000 20,000 3,000
Total | 61,000 | 61,000

Presenting Financial Statements

The objective of preparing financial statements is to present financial information in a format that will help the business to arrive at balanced business decisions.

We have already prepared the Trial Balance in the previous topic. Now we will prepare the Financial Statements.

Creating the Income Statement

Primarily, financial statement consists of an Income statement and a Balance sheet of the business. The Income statement calculates the profit earned or loss incurred by a business. The Income statement is a summary of various income and expense items that affect the profit or loss of the business. It is prepared from the Nominal Accounts that appear in the Trial Balance.

The Income statement is divided into two parts.

  • Trading Account
  • Profit & Loss Account
Trading Account

The Trading account is created to calculate the gross profit earned or gross loss incurred by the business. The closing balances of all direct expenses and direct income included in the Trial Balance are transferred to the Trading account. We can calculate the gross profit or loss by listing the items of expense on the debit side and the items of income on the credit side and balance the account.

If the income side is more than the expense side, there is a gross profit. However, if the expense side is more than the income side, there is a gross loss.

Gross profit or gross loss is defined as the difference between the 'net sales' and 'cost of goods sold'.

Gross profit/gross loss = Net Sales – Cost of goods sold

This equation is known as the gross profit equation.

Net Sales is the difference between 'total sales' and 'sales return'.

Cost of goods sold is the difference between the sum of 'opening stock, net purchases, direct expenses' and the Closing stock.

Cost of Goods Sold = Opening Stock + Net Purchase + Direct Expenses – Closing Stock

Cost of Goods Sold is an important term in accounting. It is commonly referred to as COGS.

Direct expenses refer to those expenses that are incurred on the goods purchased till they are brought to the place of business for sale. Some examples of direct expenses are carriage inward, manufacturing wages, factory lighting, and power and fuel.

Direct income refers to the income that arises from the sale of trading goods.

Given here is the format of a Trading account. We will continue with the case scenario of ABC & Co. In addition to the Trial Balance, additional information is given. There is closing stock worth Rs. 12,000 at the end of the year.

Trading Account of ABC & Co.

for the year ending March 31, 2005

Dr. Cr.

Particulars | Amount (Rs.) | Particulars | Amount (Rs.)
To Opening Stock a/c To Purchases a/c To Gross Profit (balancing figure) | 4,000 4,000 7,000 | By Sales a/c By Closing a/c | 3,000 12,000
Total | 15,000 | Total | 15,000
Profit & Loss Account

In the Profit & Loss account only the indirect income and indirect expenses are considered. There are many indirect expenses, such as rent and indirect incomes such as interest received on loan extended to a third party that are taken into account for calculating profit or loss. For this purpose, the Profit & Loss account is created that helps us to calculate net profit or loss.

The closing balances of all indirect expenses and indirect incomes included in the Trial Balance are transferred to the Profit & Loss account. We can calculate the net profit or loss by listing the items of expense on the debit side and the items of income on the credit side and balance the account.

If the income side is more than the expense side, there is a net profit. However, if the expense side is more than the income side, there is a net loss.

Net Profit/Net Loss = Gross Profit/Gross Loss – Indirect expenses + Non-sales income

This equation is known as the net profit equation.

Indirect expenses are those expenses that are incurred for carrying on the day-to-day business such as rent, salaries, and so on.

Indirect income refers to the income that does not arise from the sale of trading goods such as interest received on loan given to a third party.

Given here is the format of a Profit & Loss Account. We will continue with the case scenario of ABC & Co. In the example, the gross profit earned is Rs. 7,000.

Profit & Loss Account of ABC & Co.
for the year ending March 31, 2005
Dr. Cr.

Particulars | Amount (Rs.) | Particulars | Amount (Rs.)
To Repairs on machinery a/c To Tax a/c To Advertisement a/c To Rent a/c To Salaries a/c To Net Profit (balancing figure) | 100 100 500 100 500 5,700 | By Gross Profit | 7,000
Total | 7,000 | Total | 7,000
Creating the Balance Sheet

The Balance Sheet is a Financial Statement prepared after the Income Statement. It depicts the financial position of the business by listing the assets and liabilities as on a certain date. It depicts what the business owes and what it owns on a certain date.

The Balance Sheet is prepared from the Real and Personal accounts listed in the Trial Balance. The balances of Real and Personal accounts are grouped as assets and liabilities and are arranged in a proper way in the Balance sheet. Further, the net profit or net loss calculated in the Income Statement is added to or subtracted from the Capital appearing in the Balance Sheet.

Given here is the format of a Balance Sheet.

Balance Sheet of.......

as on..............

Liabilities | Amount | Assets | Amount
Capital XXX (Add) Net Profit (from Income Statement) XXX (Less) Net Loss (from Income Statement) XXX Reserves and Surplus Long-term Liabilities Current Liabilities | XXXX XXXX XXXX XXXX | Fixed Assets Investments Current Assets | XXXX XXXX XXXX
Total | XXXXX | Total | XXXXX

Let us understand with the help of an example. We will continue with the case scenario of ABC & Co. In the example, the net profit earned is Rs. 5,700.

Balance Sheet of ABC & Co. as on March 31, 2005

Liabilities | Amount | Assets | Amount
Capital 27,000 + Net Profit 5,700 Loans Loan from Bank 9,000 Loan from Non-Financial Institution 20,000 Creditor | 32,700 29,000 2,000 | Machinery Furniture Closing Stock Debtors Cash at bank (PNB Bank) Cash in hand | 10,000 4,700 12,000 950 24,050 12,000
Total | 63,700 | Total | 63,700

In the example given here, the closing stock is included both in the Trading Account and the Balance Sheet. The reason behind this is that the closing stock information was not given in the Trial Balance; rather it was given as additional information.

In Financial Accounting if an item is given in the Trial Balance then it will be transferred to either the Income Statement or the Balance Sheet. On the other hand, if the item is not given in the Trial Balance and is given as additional information, then it will have two effects. It will appear both in the Income Statement and the Balance Sheet.

After the Balance Sheet is created, the accounting cycle comes to an end. Next, the Financial Statements are analysed and interpreted to find out the strengths and weaknesses of the business.


Cost Centres

Knowledge Documents > Other Documents > Cost Centres

Overview of Cost Centre

A Cost Centre is an entity to which various incomes and expenses can be allocated so as to judge its performance. The Cost Centres for a company can be the different branches, departments, products, sales executives or different projects of the company. Maintenance of Cost Centre ease in cost-benefit analysis as revenue, expenditure of all the Cost Centres can be ascertained separately. The revenue and expenditure of all the Cost Centres together, helps in making a better analysis of the profitability of the company.

We can also call Cost Centres a parallel ledgering system. In a business scenario you create ledgers/accounts for your business such as income, expense, sale, purchase, sundry debtors account and so on. With the help of this ledgering system you can categorise the different accounts. Moreover, you can allocate income, expense, sales, and purchase to these accounts, which helps in determining the profit. Similarly you can categorise income and expense under different Cost Centres.

Let us understand the use of Cost Centres with the help of an example. Smart Clothing, a garment manufacturing company, has branches all over Delhi and outside Delhi. All the branches have departments such as Sales & Marketing, Finance, Designing, HR and so on. Since the company incurs expense and earns income from these departments, it designates the departments as its Cost Centres and branches and cities as Cost Centre Group. The company allocates funds to all the departments and keeps a record of the income earned through them. Thus the company can determine the expense incurred and the income accrued from these Cost Centres and can analyse the cost-benefit ratio, which in turn helps in making optimum utilization of available resources.

Implementation of Cost Centres

Implementing Cost Centres in BUSY is a simple four-step process. The steps are:

  1. Enable Cost Centres
  2. Create Cost Centre Group and Cost Centres
  3. Allocate Income/Expense to Cost Centres
  4. View Cost Centres related reports

Let us discuss the above steps in detail.

1. Enable Cost Centres

To enable Cost Centres feature in a company perform the following steps:

  • Open the company in which you want to enable the Cost Centre feature.
  • Click the Administration à Configuration à Features/Options option.

On clicking the Features/Options option, a Features/Options window appears.

Given here is a screenshot of Features/Options window.

Features/Options window
  • Click the Accounts tab and enable the Cost Centres feature by selecting the Cost Centres checkbox. On selecting the checkbox a Configure button gets activated.
  • On clicking the Configure button an Option For Cost Centre window appears. Given here is a screenshot of Options For Cost Centre window.
Options for Cost Centre window
    • Carry Closing Balances to next Financial Year - Select this checkbox if you want to carry the closing balance of the Cost Centre to the next financial year.
    • Affect Cost Centres in Non-Accounting voucher - Select this checkbox if you want to allocate income/expense to various Cost Centres in non accounting vouchers such as Material Issue/Receipt, Stock Transfer and so on also.
    • Ensure Complete Amount Adjustment - Select this checkbox if you want that the amount allocated to Cost Centres should exactly match the bill amount. This option is applicable only on accounting vouchers.
    • Click the Ok button.
  • Click the Save button to save the settings.

After enabling the Cost Centres feature, the next step is to create Cost Centre Group master and Cost Centre master.

2. Create Cost Centre Group and Cost Centre

All Cost Centres in BUSY fall under a Cost Centre Group hence first we have to create a Cost Centre Group. Let us discuss the steps to create a Cost Centre Group.

Cost Centre Group

A Cost Centre Group is a broad level categorization under which similar types of Cost Centres are grouped. When you create a new company then by default a Cost Centre Group, General, is made for your convenience.

The relevance of Cost Centre Group can be explained with the help of an example. Smart Clothing Company has different branches in Delhi and each branch has different departments such as Sales & Marketing, Accounts, HR and so on. Now it categorises all the departments according to the branch under which they fall. For this purpose it creates Cost Centre Group such as North Delhi branch, South Delhi branch and so on.

To create Cost Centre Group in BUSY, perform the following steps:

  • Click Administration à Masters à Cost Centre Group à Add. On clicking the Add option a Group Master – Add window appears.

Given here is a screenshot of Group Master – Add window.

Group Master - Add window

In the Group Master – Add window, there are various data fields in which you need to enter appropriate data. The data fields are:

  • Group Name
  • Alias
  • Primary Group (Y/N)
  • Under Group

Let us discuss these data fields in details.

Group Name

Enter the name of the Cost Centre Group to be created.

Alias

Enter an abbreviation or a short name for the Cost Centre Group.

Primary Group (Y/N)

Enter 'Y' if you want to create a primary group. You can refer to Primary Group as Parent Group. Parent Groups are the groups that are at the top-most level in the group hierarchy and do not come under any other group.

Under Group

This data field becomes active only if you have entered 'N' in the Primary Group data field. Select the group under which you want to create the sub-group. You can select from the drop-down list of all the existing Cost Centre Groups and sub-groups.

You can create a group from here itself by pressing F3 key.

Let us understand this data field with the help of an example. Smart Clothing Company has some branches outside Delhi also. Each branch of the Company falls under a particular city. For this purpose company maintains a Parent Group according to the name of the city such as Delhi, Gurgaon and so on. Thus the name of the city becomes Parent Group for the different branches. In the above screenshot, Delhi becomes the Parent Group for the North Delhi Branch Cost Centre Group.

After you have created a Cost Centre Group, the next step is to create a Cost Centre.

Cost Centre

To create a Cost Centre, perform the following steps:

  • Click Administration à Master à Cost Centre à Add option. On clicking the Add option a Cost Centre Master – Add window appears.

Given here is a screenshot of Cost Centre Master – Add window.

Cost Centre Master - Add window

In the Cost Centre Master – Add window, there are various data fields in which you need to enter appropriate data. The data fields are:

  • Name
  • Alias
  • Parent Group
  • Op. Bal
  • Dr/Cr

Let us discuss these data fields in detail.

Name

Enter the name for the Cost Centre in this data field. You can enter a name up to 40 characters.

Alias

Enter an alias or short name for the Cost Centre in this data field.

Parent Group

Enter the group under which the Cost Centre falls. In the screenshot, the Parent Group is North Delhi Branch.

Op. Bal

Enter the opening balance for the Cost Centre in this data field.

Dr/Cr

Enter D for Debit or C for Credit.

After creating Cost Centres, the next step is to allocate income/expense to Cost Centres.

3. Allocate Income/Expense to Cost Centres

You can allocate income/expense to different Cost Centres when you enter the following vouchers:

  • Sale/Purchase
  • Sale Return/Purchase Return
  • Payment/Receipt
  • Debit Note/Credit Note

Let us understand the allocation of income/expense to different Cost Centres at the time of voucher entry with the help of an example. In the example, the steps are shown to record the transactions in Sales and Payment voucher. However if you want to record transactions in other vouchers then select the relevant voucher and follow the steps.

Smart Clothing Company has different departments that include Sales & Marketing, Accounts, HR, Designing department and so on. The company make payments to these Cost Centres for meeting day-to-day expenses such as telephone expenses, stationary, salary, sales promotion etc. The company earns income from Sales & Marketing department by way of sales of different products and from Designing department by designing different products on special orders.

Given below is a summarised table of all the expenses and income of the Cost Centres of Smart Clothing Company.

Name of the Department | Telephone Expense (in Rs.) | Printing & Stationary Expense (in Rs.) | Sales & Promotion Expenses (in Rs.) | Income (in Rs.)
Sales & Marketing | 1500 | 100 | 2000 | 40,000 (by making sales of shirts)
Accounts | 2850 | 250 |  |
HR | 1650 | 150 |  |
Designing | 1000 | 300 |  | 20,000 (by designing ties on special order)
Total | (7000) | (800) | (2000) | (60,000)

According to the above table, the company has to allocate income and expense to Cost Centres through Sales and Payment voucher respectively. Although it receives the bill separately, it will enter the transactions in one account for different expenses. For example, telephone bills of all the departments are entered jointly in the Payment voucher. To maintain Cost Centre wise reporting, it will allocate income/expense to different Cost Centres. Let us first discuss allocation of income through Sales voucher.

Allocate Income

To allocate income to Cost Centres through Sales voucher, perform the following steps:

  • Click Transactions à Sales à Add option. On clicking the Add option a Sales– Add window appears.

Given here is a screenshot of Sales – Add window.

Sales - Add window
  • Enter the relevant details related to the sales made and click the Save button.
  • On clicking the Save button an Allocation of Amount to Cost Centres window appears.

There are various data fields in the Allocation of Amount to Cost Centres window in which you can enter details related to the Cost Centres. The data fields are:

  • Cost Centre
  • Amount
  • D/C
  • Short Narration

Let us discuss these data fields in detail.

Cost Centres

Select the name of the Cost Centre to which you want to allocate the amount. In the screenshot given above the Cost Centres selected are Sales Department and Designing Department.

Amount

Enter the amount to be allocated to the Cost Centre.

D/C

Enter D for debit amount or C for credit amount.

Short Narration

Enter a short narration in this data field. You can also select from the existing short narrations by pressing F4 key.

  • Click the OK button to save the details.

After allocating the income to different Cost Centres, the next step is to allocate expenses to the Cost Centres.

Allocate Expense

To allocate expense to the Cost Centres through Payment voucher, perform the following steps:

  • Click Transactions à Payment à Add option. On clicking the Add option a Payment Voucher – Add window appears.

Given here is a screenshot of Payment Voucher – Add window.

Payment Voucher - Add window

There are various data fields in Payment voucher – Add window in which you need to enter appropriate data. The data fields are:

  • Cost Centre
  • Amount
  • D/C
  • Short Narration

All these data fields are same as explained above.

  • After entering the necessary details click Ok button to save the information.

4. View Cost Centre related reports

After allocating income/expense to the Cost Centres, the next step is to view the Cost Centre related reports. These reports help in analysis of the cost-benefit ratios and profitability of the Cost Centres and Cost Centres Group.

To view Cost Centre related reports, perform the following steps:

  • Click Display à Cost Centre Report. Select the Cost Centre Report from the following options:
    • Cost Centre Trial
    • Cost Centre Ledger
    • Cost Centre Summaries

Given here is a screenshot of Cost Centre Reports in Display menu.

Cost Centre Reports options

Given here is a brief description of each of the three Cost Centre related reports.

Cost Centre Trial

A Cost Centre Trial report displays the debit and the credit balance of all the Cost Centres in a tabular form. This report is similar to the Trial Balance used for accounting purpose. On clicking the Cost Centre Trial option an Alphabetical Cost Centre Trial message box appears from where you can select the option of viewing either the report of All Cost Centres or Group of Cost Centre. Depending on the option selected specify value in Cost Centre Group/Report Date/Show Zero Balance Cost Centre Also data fields.

Given here is a screenshot of Cost Centre Trial report of all the Cost Centres.

Cost Centre Trial window

Cost Centre Ledger

A Cost Centre Ledger provides necessary information regarding various Cost Centres such as debit, credit, balance, bill no, type of voucher and so on. This report is similar to ledgers used for accounting purpose. On clicking the option of Cost Centre Ledger, a Report Options window appears in which you need to specify Cost Centre name, Starting Date and Ending Date. After specifying the value in relevant data fields click the Ok button. On clicking the Ok button a Cost Centre Ledger window appears.

Given here is a screenshot of Cost Centre Ledger window.

Cost Centre Ledger window

Cost Centre Summaries

Cost Centre Summaries report displays month-wise details of income/expense allocated to the Cost Centre/Cost Centre Group. On clicking the Cost Centre Summaries option, five options are displayed. The options are:

  • Monthly Summary - This report displays balance, total of debit entries and credit entries of Cost Centre / Cost Centre Group / All Cost Centres.
  • Cost Centre - Account Summary - This report displays the Cost Centre wise accounts summary. In other words it displays all the accounts that are affected in a Cost Centre.
  • Cost Centre - Voucher Type Summary - This report displays the Cost Centre wise voucher summary. In other words it displays all the vouchers in which Cost Centre is used.
  • Account - Cost Centre Summary - This report displays the account wise Cost Centre summary. In other words it displays all the Cost Centres that are affected by an account.
  • Voucher Type - Cost Centre Summary - This report displays the voucher wise Cost Centre summary. In other words it displays all the Cost Centres that are used in a voucher.

After going through the above document, you will be able to successfully create and use Cost Centres in BUSY.


Multi Currency

Multi Currency implies dealing in more than one currency or making trade in more than one currency. Generally companies in import export business require multi currency feature as they have to do the transactions according to the conversion factor that exist between the Base and Alternate currencies. Base currency is the currency of the country where your company exist and the Alternate currency can be the currency of the country where the party with which you are dealing exist.

Implementation of Multi Currency

Implementing Multi Currency is a simple five steps process. The steps are:

1. Enable Multi Currency

2. Create Currency/Currency Conversion Masters

3. Enable Multi Currency account-wise

4. Enter Conversion Rate in Transactions

5. View/Print Reports

Let us discuss these steps in detail.

1. Enable Multi Currency

To enable Multi Currency feature in a company, perform the following steps:

· Open the company in which you want to enable the Multi Currency feature.

· Click Administration > Configuration > Features/Options option.

On clicking the Features/Options option, a Features/Options window appears. Given here is a screenshot of Features/Options window.

· Click the Accounts tab.

· Enable Multi Currency feature by selecting the checkbox Multi Currency.

· Click the Save button to save the configuration.

After enabling the Multi Currency feature, the next step is to create Currency and Currency Conversion masters.

2. Create Masters

You have to create different currencies in which your company deals and the conversion factor that exist between the Base and the Alternate currency. To create different currencies, BUSY provides you with Currency master and to specify the conversion factor BUSY provides Currency Conversion masters. Let us discuss the steps to create Currency/Currency Conversion masters.

Currency Master

To create various Currency master, perform the following steps:

· Click Administration > Masters > Currency > Add option.

On clicking the Add option, a Currency Master – Add window appears. Given here is a screenshot of Currency Master – Add window.

Currency Master – Add window

In the Currency Master – Add window, there are various data fields in which you need to enter appropriate data. The data fields are:

  • Currency Symbol
  • Currency String
  • Currency Sub-string
  • Currency Conversion Type

Currency Symbol

Enter the currency symbol in this data field. For example symbol for Dollar currency is $. There are some hot keys that can be used for creating various currency symbols. The Hot Keys for various currency symbols are summarised in tabular form below:

Currency | Symbol | Hot Key
Dollar | $ | Alt+4
Pound | £ | Alt+156
Euro | € | Alt+ 0128
Yen | ¥ | Alt+ 0165

Currency String

Enter the currency string in this data field. For example, currency string for Dollar currency is Dollar or for Rupees currency is Rupees.

Currency Sub-string

Enter the currency sub-string in this data field. For example, currency sub-string for Dollar currency is Cent or for Rupee currency is Paisa.

Currency Conversion Type

Select the currency conversion type that you want to use in Currency Conversion master. There are two options in this list. The options are:

  • BPA - Select this option if you want to enter number of Base Currency per Alternate Currency.

Select BPA option if the Alternate currency is bigger or has higher value than Base Currency.

  • APB - Select this option if you want to enter number of Alternate Currency per Base Currency.

Select APB option if the Base currency is bigger or has higher value than Alternate Currency.

Base Currency is the currency which you have specified at the time of creating the company or under General tab in Administration > Configuration > Features/Options.

Let us understand both BPA and APB options with the help of an example.

Smart Clothing, a garment manufacturing company has Rupees as base currency. The company enters a voucher of 100 dollar i.e., it specified alternate currency as Dollar and conversion factor as 50 in the voucher. Now if the company had selected the BPA option in the Currency master then the value of the voucher in base currency will be calculated as follows:

If Alt currency is 1, Base Currency = 50 (as conversion factor = 50)

If Alt currency is 100, Base currency = 50 X 100 = 5000.

Hence the value of voucher in Base currency will be 5000.

If the company had selected the APB option in the Currency master, value of voucher in Base currency will be calculated as follows:

If Alt currency is 50, Base Currency = 1 (as conversion factor = 50)

If Alt currency is 100, Base currency = 100 / 50 = 2.

Hence the value of voucher in Base currency will be 2.

Currency Conversion Master

Each country has its own currency and the standard foreign exchange rate for each currency varies day to day. For example, 1 Dollar = approximate 50 Rupees and this conversion rate changes very frequently or almost every day. Companies in import-export business daily have to do the transactions according to the conversion factor (exchange rate) that exist between the Base and Alternate currencies on that particular date. Hence, for this purpose BUSY provides the Currency Conversion master.

In Currency Conversion master, you can enter standard, selling and buying rates for various currencies on a particular date. To enter Currency Conversion master, perform the following steps:

  • Click Administration > Masters > Currency Conversion > Add option.

On clicking the Add option, a Currency Conversion – Add window appears. Given here is a screenshot of Currency Conversion – Add window.

Currency Conversion – Add window

In the window there is a data field and a grid. The data field and grid are:

  • Date
  • Rate Details

Date

Enter the date on which the rates or conversion factor between the Base currency and other currencies is to be specified.

Rate Details

In the Rate Details grid, there are four data fields. The data fields are:

  • Currency - Select the currency for which the rates or conversion factor is to be specified.
  • Standard Rate - Enter the standard rate in Base currency for the currency selected on the date specified in the Date data field. This rate will be applicable for Sales/Purchase transactions.
  • Selling Rate - Enter the selling rate in Base currency for the currency selected on the date specified in the Date data field. This rate will be applicable for Receipt transactions.
  • Buying Rate - Enter the buying rate in Base currency for the currency selected on the date specified in the Date data field. This rate will be applicable for Payment transactions.

After you have entered the appropriate information in all the data fields, click the Save button to save the new Currency Conversion master.

3. Enable Multi Currency Account-wise

To enable Multi Currency for individual accounts, perform the following steps:

  • Click Administration > Masters > Account > Add option.

On clicking the Add option, an Account Master – Add window appears. Given here is a screenshot of Account Master – Add window.

Account Master – Add window

In the Account Master - Add window, a Multi Currency data field appears. Specify 'Y' in this data field if you want to enable multi currency feature for the specified account. On specifying 'Y' in the data field, an Opening Bal (Composite) data field and a Currency-wise Opening Balance window appears. In the Currency - wise Opening Balance window, you have to specify the opening balance in various currencies. The total of opening balance of all the currencies will then appear in the Opening Balance (Composite) data field. Given here is a screenshot of Currency - wise Opening Balance window.

Currency - wise Opening Balance window

In the Currency - wise Opening Balance window there is a grid in which there are various fields. The fields are:

  • Currency - Select the required currency from the list.
  • Op. Bal - Enter the opening balance as per the the selected currency.
  • D/C - Enter D for debit balance or C for credit balance.
  • Op. Bal (Base Currency) - Enter the opening balance of the selected currency according to the Base currency. For example, your Base currency is Rs and you have specified opening balance of 100 Dollar. Now 1 dollar = approximately 40 Rs which means 100 dollar = 4000 Rs. Hence in this column you have to specify the value as Rs 4000. An important point to note here is that you can also specify the opening balance for Base currency in which value in Op. Bal. and Op. Bal (Base Currency) fields will remain same.
  • After entering the value in all the fields, click the Ok button. On clicking the Ok button, focus will shift to Op. Bal (Composite) data field which will display the total of Opening Balance (Base currency) field.

After entering the necessary details, click the Save button.

4. Enter Conversion Rate in Transactions

If your company deals in more than one currency then while entering various transactions, you can specify the Alternate currency in which you are making transaction. For example, if you are making sales in Dollar then while entering a Sales voucher, you can specify the Alternate currency as Dollar and can specify the conversion factor that exists between the Alternate currency (Dollar) and the Base currency (Rupees).

You can specify the Alternate currency in the following vouchers:

  • Sales order
  • Purchase order
  • Sales
  • Purchase
  • Sales Return
  • Purchase Return
  • Payment
  • Receipt
  • Journal
  • Contra
  • Debit note
  • Credit note

We will now discuss the steps to specify an Alternate currency and conversion factor at the time of voucher entry. For explaining the steps, we will take example of Sales and Payment voucher.

Conversion Rate in Sales voucher

To enter conversion rate in Sales voucher, perform the following steps:

  • Click Transactions > Sales > Add option.

On clicking the Add option, a Sales – Add window appears. Given here is a screenshot of Sales – Add window.

 Sales – Add window

When you specify the Party name in the voucher and press the Enter key, a Currency Details window appears. This window appears if you have selected a party for which Multi Currency is enabled in the Account master. Given here is a screenshot of Currency Details window.

Currency Details window

In the Currency Details window, there are various data fields. The data fields are:

  • Currency
  • Con. Rate

Currency

Symbols of all the currencies created using Currency master and the currency specified at the time of creating a company appears in this data field. Select the required currency symbol of the currency that you want to use as Alternate currency. For example, you are selling an item to the party in Dollar then in the Conversion Details window, select the Currency as $.

Con. Rate

This data field gets activated only if you have selected a currency other than the Base currency in the Currency data field. Enter the conversion rate between the Alternate and the Base currency. By default the standard rate as specified in the Currency Conversion master for the date on which you are entering the voucher will appear here. You can change this as per your requirement. Continuing with the above example, the conversion factor between Dollar and Rupees (Base currency) is 50 then you can specify 50 in this data field. BUSY will then calculate the amount in Base currency according to the method specified in the Currency Conversion Type data field in the Currency master of the selected Alternate currency.

  • Click the Ok button.

Conversion Rate in Payment voucher

To enter conversion rate in Payment voucher, perform the following steps:

  • Click Transactions > Payment > Add option.

On clicking the Add option, a Payment Voucher – Add window appears. Given here is a screenshot of Payment Voucher – Add window.

Payment Voucher – Add window

When you enter data in the Date data field and press Enter key, a Currency Details window appears. This window is similar to the one that appears in Sales voucher. In the window there are various data fields in which data needs to be entered. The data fields are:

  • Currency
  • Con. Rate

Currency

Symbols of all the currencies created using Currency master and the currency specified at the time of creating a company appears in this data field. Select the required currency symbol of the currency that you want to use as Alternate currency.

Con. Rate

This data field gets activated only if you have selected a currency other than the Base currency in the Currency data field. Enter the conversion rate between the Alternate and the Base currency. By default the buying rate as specified in the Currency Conversion master for the date on which you are entering the voucher will appear here. You can change this as per your requirement.

  • Click the Ok button.

After you have specified the conversion rate in various vouchers, the next steps is to view the reports related to Multi Currency.

5. View/Print Reports

There are no specific reports for Multi Currency but you can view some reports in Base/Alternate or both the currencies. The reports that you can view in either or both the options are:

  1. Ledger
  2. Trial Balance
  3. Monthly Summary

Let us discuss the steps to view the report in Alternate/Base/Both currencies. For explaining the steps, we will take example of Ledger report.

To view the Ledger, perform the following steps:

  • Click Display > Account Books > Ledger > Account-wise option.

On clicking the Account-wise option, a message box appears. Select the Multi Currency option in the message box. After this a Report Options window will appear. Given here is a screenshot of Report Options window.

Report Options window

In the Report Options window, select the required option in the Currency Type data field. The report will then be generated according to the currency type selected in this data field.

After going through the above document, you will be able to successfully implement and use Multi Currency in BUSY.


Mahajani Interest Calculation

Mahajani Interest Calculation report displays interest amount calculated as per the Mahajani basis, a main requirement of the Accountants of northern India. There is a fixed formula for calculation of mahajani interest amount which we will discuss in details in this document to have a clear understanding of the working of the report.

Before explaining the formulas for calculation of Mahajani Interest, let us have a look at the various columns or fields of the report. Given below is a screenshot of Mahajani Interest Calculation report.

Mahajani Interest Calculation report

In the above report, we have taken a simple case in which you have made sale of Rs. 1,00,000 to a party on 1st April. The party has returned the amount in two parts i.e. Rs. 60,000 on 1st May and remaining Rs. 40,000 on 1st June. You have charged interest @12% per annum.

On the left hand side of the report, columns for Purchases and Receipts are shown and on the right hand side of the report, columns for Sale & Payment are shown.

Let us now discuss the report column by column.

Date

This column displays date on which voucher was entered.

Type

This column displays the type of voucher i.e. Pymnt or Rcpt.

Vch No.

This column displays voucher number.

Amount (Cr.)

This column displays the amount credited in the voucher or in simple words, voucher amount.

Days

Value for this column is calculated by subtracting voucher date from the date on which interest is to be calculated (Ending Date as entered in Report Options). For example, you are calculating interest on 1st June and the voucher was entered on 1st May then it will show 32 days in this column.

Product (Cr.)

Value in this column is calculated by following formula:

Amount (Cr.) / 30 * No of Days (as calculated in above field)

For example, amount credited is Rs. 60,000 and number of days for which interest is to be calculated is 32 then this column will display value as 64,000 i.e. 60,000/30 *32.

Similar columns as explained above appear for amount debited i.e. Sale & Payment vouchers on the right hand side.

Balance Amount

This column displays balance amount i.e. total Amount (Cr.) - total Amount (Dr.).

Balance Product

This column displays balance product i.e. total Product (Cr.) - total Product (Dr.).

Interest

This column displays the interest amount calculated by applying the following formula:

Balance Product * Rate of Interest/100 * 1/12 (divide by 12,only if you have specified interest rate annually)

For example, Balance Product is 1,41,334 and rate of interest is 12% per annum then interest will be 1413 i.e. 141334 * 12/100 *1/12.

Average Payment / Receipt Days

Average Payment / Receipt Days are calculated by applying the following formula:

Average Receipt - ((Total Sales Product – Total Receipt Product) / Total Sales Amount) * 30

Average Payment - ((Total Purchase Product – Total Payment Product) / Total Purchase Amount) * 30

For example, total Sale Product is 2,06,667 and total receipt product is 65,333 and total sales amount is 1,00,000 then average receipt days will be 2,06,667 - 65,333) / 1,00,000 *30 = 42.


Inventory

Knowledge Documents > Inventory Documents

Inventory Documents

Inventory documents includes documents on various inventory features of BUSY. The documents covered under this section are:

  • Stock Valuation Method
  • Manufacturing Inventory
  • Multi - Location Inventory
  • Alternate Units of Item
  • Maintaing AMC/Warranty with Items
  • Parameterized Stock
  • Parameterized Invoicing


Stock Valuation Methods

Knowledge Documents > Inventory Documents > Stock Valuation Methods

Stock Valuation

Valuation of stock means ascertaining the cost or worth of stock that is lying with the company. There are various methods according to which a company can valuate the closing stock. An important point is that the closing stock of one month is opening stock for the next month. Thus, the stock valuation method affects both the closing stock and opening stock. Depending upon the needs, a company can opt for the stock valuation method which is best suited to it. It is very important to choose the right stock valuation method as the value of stock changes by applying different stock valuation methods. BUSY provides you seven stock valuation methods. Let us first discuss the steps to select a stock valuation method in BUSY.

The opening stock on the first day of a beginning financial year is valued at the price specified in the Item master.

Select Stock Valuation method in BUSY

In BUSY, there are two ways of selecting a stock valuation method. The two ways are:

  • Generic stock valuation method
  • Item-wise stock valuation method

Generic Stock Valuation method

Generic stock valuation method implies, selecting a common stock valuation method that will be used for calculating the value of stock of all the items. To select a generic Stock Valuation method, perform the following steps:

  • Click Administration à Configuration à Features/Options option.
  • On clicking the Features/Options option, a Features/Options window appears.
  • In the Features/Options window, click on the Inventory tab.

Given here is a screenshot of the Features/Options window with active Inventory tab.

Features/Options window with active Inventory tab
  • Select the Stock valuation method from the list displayed under the Stock Val. Method data field. The method selected here will be applicable on all the items.

Item-wise Stock Valuation method

Item-wise stock valuation method implies selecting separate stock valuation method for individual items. To select Item-wise stock valuation method, perform the following steps:

  • Click Administration à Configuration à Features/Options option.
  • On clicking the Features/Options option, a Features/Options window appears.

Enable the option Separate Stock Valuation Method for Items by selecting the checkbox that appear before this option.

After performing the above steps, the next step is to select stock valuation method for each item. To select stock valuation method for each item, perform the following steps.

  • Click Administration à Masters à Item à Add option. On clicking the Add option, an Item Master-Add window appears.

Given here is a screenshot of the Item Master-Add window.

Item Master-Add window
  • Enter appropriate information in the Item master window.
  • Select the stock valuation method in the Stock-Val. Method data field. By default the method selected in the Administration à Configuration à Features/Options à Inventory tab will be displayed in this data field. You can change the method as per your requirement. The method selected here will be used for calculating value of closing stock of this particular item only.
  • Click the Save button to save the item details.

If the option of Separate Stock Valuation method is enabled and you do not specify a Stock Valuation method in the Item master then the method specified in the Stock Val. Method data field in the Administration > Configuration > Features/Options > Inventory tab will be used to calculate the value of closing stock.

Now that we have discussed about selecting the stock valuation method in BUSY, let us discuss about the various stock valuation methods available in BUSY along with some special cases that might appear at the time of using different stock valuation methods.

Stock Valuation Methods

BUSY provides you seven stock valuation methods for ascertaining the cost of closing stock. The methods are:

  • FIFO
  • LIFO
  • Last Purchase
  • Last Quantity In
  • Last Sale
  • Self Evaluation
  • Weighted Average
  • Average Price

Let us discuss these methods one by one.

For explaining all the methods, we will take a common example. Smart Clothing, a garment manufacturing company, has made various Sales/Purchase transactions in the month of April. The transactions of Smart Clothing in the month of April are:

Date | Transaction | Quantity (in pieces) | Price/piece
2/04/06 | Purchase | 190 | 110
10/04/06 | Sale | 60 | 110
12/04/06 | Material Received | 110 | 80
25/04/06 | Sale | 40 | 100

Closing stock as on 30th April is : (Quantity In) - (Quantity Out)

(190+110) - (60+40) = 200

We will now discuss, how the valuation of closing stock will be done in BUSY according to each method along with a little description and special cases.

FIFO

FIFO refers to First In First Out method. Under this method the quantity that is aquired (purchased/received) first is assumed to be sold/issued first. Let us calculate the value of closing stock of Smart Clothing company with this method from the data given in the table:

Total Sales = 100 pieces

We assume that sales were made from the first purchase and there were 90 pieces left.

Closing Stock = 200 pieces

Value of Closing Stock = 90 pieces *110 Rs. + 110 pieces * 80 Rs.
= 9900 Rs. + 8800 Rs.
= 18,700 Rs.

Now that we have discussed the FIFO method, let us discuss special cases that might appear while using this method.

Case 1: If no Purchase/Material Receipt voucher exist in the month then price will be based on the following conditions:

    • If the value of opening stock is specified in the Item master then the price calculated by dividing Op.stock qty. with Op.stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing Op.stock qty. with Op.stock value will be picked for valuation of closing stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value is specified in the Op.stock Value data field and in the Amount data field in the Item master and the Material Centre-wise Opening Stock Details window respectively then price will be picked according to the value specified in the Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. Stock Value data field in the Item master and Amount data field in the Material Centre-wise Opening Stock Details window then price will be taken as zero for valuation of closing stock.

Case 2: If more than one vouchers of same voucher type are entered on same date then quantity first in will be of the voucher that has smaller voucher number. If no voucher number exist on vouchers then the quantity first in will be of the voucher that was firstly entered. For example, two Purchase vouchers are entered on same date having voucher numbers as Pr1 and Pr2 respectively. Now quantity first in will be of voucher that has voucher number PR1.

Case 3: If more than one vouchers of different voucher type are entered on same date then quantity first in will be of the voucher that was firstly entered. For example, on 1st April, you have entered a Purchase voucher at 10 A.M. and a Material Receipt voucher at 4 P.M. Now BUSY will consider the quantity in through Purchase voucher as the first quantity in.

Case 4: If Separate Stock Updation Date in Dual Vouchers option is enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example, you have entered two Purchase vouchers. First Purchase voucher is entered on 1st April in which stock updation date is 10th April. Second Purchase voucher is entered on 2nd April in which the stock updation date is 8th April. BUSY will then consider the quantity in through the second voucher as first quantity in.

LIFO

LIFO refers to Last In First Out method. Under this method the quantity that is purchased/received last is assumed to be sold/issued first. Let us calculate the value of closing stock of Smart Clothing company with this method from the data given above in the table:

Total Sales = 100 pieces

We assume that sales were made from the last material received and there were 10 pieces left.

Closing Stock = 200 pieces

Value of Closing Stock = 10 pieces * 80 Rs. + 190 pieces * 110 Rs.
= 800 Rs. + 20,900 Rs.
= 21,700 Rs.

Let us discuss special cases that might appear at the time of using this method.

Case 1: If no Purchase/Material Receipt voucher exist in the month then price will be based on the following conditions:

    • If the value of opening stock is specified in the Item master then the price calculated by dividing Op.stock qty. with Op.stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing op.stock qty. with op. stock value will be picked for valuation of closing stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value is specified in the Op.stock Value data field and in the Amount data field in the Item master and the Material Centre-wise Opening Stock Details window respectively then price will be picked according to the value specified in the Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. stock Value data field in the Item master and Amount data field in the Material Centre-wise Opening Stock Details window then price will be taken as zero for valuation of closing stock.

Case 2: If more than one vouchers of same voucher type are entered on same date then quantity last in will be of the voucher that has bigger voucher number. If no voucher number exist on vouchers then the quantity last in will be of the voucher that was lastly entered. For example, two Purchase vouchers are entered on same date having voucher numbers as Pr1 and Pr2 respectively. Now quantity last in will be of voucher that has voucher number Pr2.

Case 3: If more than one vouchers of different voucher type are entered on same date then quantity last in will be of the voucher that was lastly entered. For example, on 1st April, you have entered a Purchase voucher at 10 A.M. and a Material Receipt voucher at 4 P.M. Now BUSY will consider the quantity in through Material Receipt voucher as last quantity in.

Case 4: If Separate Stock Updation Date in Dual Vouchers option is enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example, you have entered two Purchase vouchers. First Purchase voucher is entered on 1st April in which stock updation date is 10th April. Second Purchase voucher is entered on 2nd April in which the stock updation date is 8th April. BUSY will then consider the quantity in through the first voucher as last quantity in.

Last Purchase

Under Last Purchase method, the value of closing stock is calculated as per the price of last purchase. Let us calculate the value of closing stock of Smart Clothing Company with this method from the data given above in the table:

Total Sales = 100 pieces

Price per piece of last purchase = 110 Rs.

Closing Stock = 200 pieces

Value of Closing Stock = 200 pieces *110 Rs.
= 22,000 Rs.

Let us discuss special cases that might appear at the time of using this method.

Case 1: If no Purchase voucher exist in the month then price will be based on the following conditions:

    • If the value of opening stock is specified in the Op. stock Value data field in the Item master then the price calculated by dividing op.stock qty. with op. stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value is specified in the Op.stock Value data field and in the Amount data field in the Item master and the Material Centre-wise Opening Stock Details window respectively then price will be picked according to the value specified in the Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. stock Value data field in Item master and Amount data field in Material Centre-wise Opening Stock Details window then price will be taken as zero for valuation of closing stock.

Case 2: If Separate Stock Updation Date in Dual Vouchers option is enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example, you have entered two Purchase vouchers. First Purchase voucher is entered on 1st April in which stock updation date is 10th April. Second Purchase voucher is entered on 2nd April in which the stock updation date is 8th April. BUSY will then valuate closing stock according to the price entered in the first voucher.

Last Quantity In

Under Last Quantity In method, the value of closing stock is calculated as per the price of last purchase or last material receipt whichever is most recent. Let us calculate the value of closing stock of Smart Clothing company with this method from the data given above in the table:

Total Sales = 100 pieces

Price per piece of last material received = 80 Rs.

Closing Stock = 200 pieces

Value of Closing Stock = 200 pieces *80 Rs.
= 16,000 Rs.

Let us discuss special cases that might appear at the time of using this method.

Case 1: If no Purchase/Material Receipt voucher exist in the month then price will be based on the following conditions:

    • If value of opening stock is specified in the Op. stock Value data field in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value is specified in the Op.stock Value data field and in the Amount data field in the Item master and the Material Centre-wise Opening Stock Details window respectively then price will be picked according to the value specified in the Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. Stock Value data field in Item master and Amount data field in Material Centre-wise Opening Stock Details window then price will be taken as zero for valuation of closing stock.

Case 2: If more than one vouchers of same voucher type are entered on same date then BUSY will pick the price entered in the voucher that has bigger voucher number. If no voucher number exist on vouchers then the price will be considered of the voucher that was lastly entered. For example, two Purchase vouchers are entered on same date having voucher numbers as Pr1 and Pr2 respectively. Now BUSY will pick the price as entered in voucher number PR2.

Case 3: If more than one vouchers of different voucher type are entered on same date then BUSY will pick the price of the voucher that was lastly entered. For example, on 1st April, you have entered a Purchase voucher at 10 A.M. and a Material Receipt voucher at 4 P.M. Now BUSY will pick the price as entered in Material Receipt voucher.

Case 4: If Separate Stock Updation Date in Dual Vouchers option is enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example, you have entered two Purchase vouchers. First Purchase voucher is entered on 1st April in which stock updation date is 10th April. Second Purchase voucher is entered on 2nd April in which the stock updation date is 8th April. BUSY will then consider the quantity in through the first voucher as last quantity in.

Last Sale

Under Last Sale method, the value of closing stock is calculated as per the price of last sale. Let us calculate the value of closing stock of Smart Clothing company with this method from the data given above in the table:

Total Sales = 100 pieces

Price per piece of last sale = 100 Rs.

Closing Stock = 200 pieces

Value of Closing Stock = 200 pieces *100 Rs.
= 20,000 Rs.

Let us discuss special cases that might appear at the time of using this method.

Case 1: If no Sales voucher exist in the month then price will be based on the following conditions:

    • If value of opening stock is specified in the Op. Stock Value data field in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value is specified in the Op.stock Value data field and in the Amount data field in the Item master and the Material Centre-wise Opening Stock Details window respectively then price will be picked according to the value specified in the Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. Stock Value data field in Item master and Amount data field in Material Centre-wise Opening Stock Details window then price will be taken as zero for valuation of closing stock.

Case 2: If the stock of the item is going negative then price will be taken as zero for valuation of closing stock.

Case 3: If Separate Stock Updation Date in Dual Vouchers option is enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example, you have entered two Sales vouchers. First Sales voucher is entered on 1st April in which stock updation date is 10th April. Second Sales voucher is entered on 2nd April in which the stock updation date is 8th April. BUSY will then valuate closing stock according to the price entered in the first voucher.

Self Evaluation

Under Self Evaluation method, the value of closing stock is calculated as per the Self-Valuation price specified in the Item master. Let us calculate the value of closing stock of Smart Clothing company with this method from the data given above in the table:

Total Sales = 100 pieces

Self-valuation price as entered in Item master = 100 Rs.

Closing Stock = 200 pieces

Value of Closing Stock = 200 pieces *100 Rs.
= 20,000 Rs.

Weighted Average

Under Weighted Average method, the value of closing stock is calculated as per the weighted average price of all the purchases and material received. Let us first calculate weighted average price for valuation of stock and then calculate value of the closing stock with the weighted average price.

Purchase 190 pieces (@110/piece)

Less: Sales 60 pieces (@110/piece)

Available quantity 130 pieces (190 pieces-60 pieces)

Add: Purchase 110 pieces (@80/piece)

Total Qty. of Stock 240 pieces

Value of Stock = 130 pieces*110 + 110 pieces*80
= 23,100 Rs.

Weighted Average Price = Value of Stock / Total Quantity of Stock

= 23,100 / 240 pieces
= Rs. 96.25 /Piece

Value of closing stock = (200 Pieces*96.25 )
= Rs. 19,250

Case1: If no Purchase/Material Receipt voucher exist in the month then price will be based on the following conditions:

    • If value of opening stock is specified in the Op. Stock Value data field in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of closing stock.
    • If value of opening stock is specified Material Centre-wise in the Material Centre wise Opening Stock Details window in the Item master then the price calculated by dividing op. stock qty. with op. stock value will be picked for valuation of stock. If calculating value of stock at all Material Centres then average price of all the Material Centres will be considered.
    • If different value are specified in both the Op. stock Value data field in the Item master and the Amount data field in the Material Centre-wise Opening Stock Details window then price will be picked according to the value specified in Material Centre-wise Opening Stock Details window.
    • If no value is specified in both the Op. Stock Value data field in Item master and Amount data field in Material Centre-wise Opening Stock Details window then there will be two conditions. Firstly, if Sales voucher exist then the price specified in it will be considered. Secondly, if no Sales voucher exist then price will be taken as zero for valuation of closing stock.

Case 2: If Separate Stock Updation Date option enabled in Administration à Configuration à Features/Options à Inventory tab then the actual stock will be updated on the date entered as stock updation date in the voucher. For example you have entered a Purchase voucher on 1st April and stock updation date as 10th April then BUSY will decrease the quantity of stock on 10th April.

Case 3: If Allocate Expenses/Purc to Items option is enabled in Administration à Configuration à Features/Options à Inventory tab then the value of stock will be affected by the amount entered in Allocation of Expense/Purchase to Items window that appears when you enter a pure accounting vouchers such as Receipt, Payment, and Journal voucher. For example, you have entered a Purchase voucher in which 10 units of an item(Item1) are purchased for Rs 100. Afterward, you enter a Payment voucher of Rs 50 and allocate the payment of Rs 50 to Item1 in Allocation of Expense/Purchase to Items window. Now the value of closing stock of Item1 will be Rs 150.

Average Price

Under Average Price method, closing stock is valued by dividing total amount in by total quantity in. Let us calculate the closing stock of the Smart Clothing company with this method from the data given above in the table:

Total Quantity In (Purchase + Material Receipt) = 300 (190 + 110)

Total Amount In = (190*110) + (110*80)

= 20,900 + 8800

= 29,700

Average Price = Total Amount In / Total Quantity In

= 29,700 / 300

= 99

Closing Stock = 200 pieces

Value of Closing Stock = 200*99

= 19,800

After going through the above document you will be able to successfully specify and use the stock valuation method in BUSY.


Manufacturing Inventory

Knowledge Documents > Inventory Documents > Manufacturing Inventory

Overview

In a general business scenario, a basic level of inventory management is required. For example, a grocer needs to keep a check on the incoming and outgoing stock. Now let us shift our focus to a more specific business scenario. In manufacturing concerns in addition to basic inventory management, management of manufacturing inventory is required. Manufacturing Inventory refers to the stock (raw materials, work-in-progress, finished products) with the manufacturing concerns.

Let us understand with the help of an example. LMN Utensil is a steel utensil manufacturing company. It manufactures steels utensils and sells them to distributors and retailers. Now the inventory management at the selling level is the basic inventory management while the inventory management at the manufacturing level is advanced inventory management for manufacturing inventory. Now let us discuss the working of a manufacturing company and basic features of manufacturing inventory management in detail.

Working of Manufacturing Company

In a manufacturing company, raw materials are processed into finished products. Sometimes, along with the finished products some by-products, popularly known as scrap, are also generated. The finished products are sold to distributors/retailers for sale to end consumer while the by-products can either be used for further processing or sale.

Let us understand with the help of an example. LMN Utensils processes steel and produces kitchen utensils. The by-products in the processing are the steel sheets. This process wherein the inputs are processed into output is known as Production. Production is one aspect of manufacturing cycle.

Let us understand the other aspect of manufacturing cycle. Smart Computers is a computer manufacturer and seller. There is an urgent need for five hard disks but due to unavailability of hard disks it decides to unassemble five unsold computers. Now on unassembling, all the parts are segregated and the five hard disks can be retrieved. This process wherein the outputs are unassembled into inputs is known as Unassemble. Unassemble is another aspect of manufacturing cycle.

To summarise the two aspects of manufacturing cycle:

  • Consumption of input (steel) leads to generation of output (utensil) and by-product (steel sheet). This can be represented in the form of an equation given here.

Input Consumed = Output Generated + By-products

  • Break/Unassemble of output (computer) leads to generation of input (hard disks). This can be represented in the form of an equation given here.

Output Unassembled + By-products = Input Generated

These two equations are known as Bill of Material. Let us discuss Bill of Material in detail.

Bill of Material

Bill of Material (BOM) signifies the consumption and generation relation between the items. In other words a BOM is a statement in which the items consumed, generated and the by-products generated are listed. For example, if we create a BOM for steel utensil then we need to specify the consumed items, generated items, and by-products. In this way it helps us to categorise the various items as consumed items/input, generated items/output, and by-products. Further it simplifies the process of entering manufacturing related vouchers.

Let us now discuss the two aspects cited above, Production and Unassemble, of manufacturing cycle in detail.

Production

Production simply refers to production process in which the input is processed into output. To maintain manufacturing inventory it is essential to record all the production related activities. For LMN Utensil, in the production process raw steel (input) is processed into steel utensil (output). Thus, LMN Utensil will record production activity for the steel utensil produced.

Unassemble

Unassemble is the opposite of production. In the unassembling process, the output is broken down into inputs. In other words, the production process is reversed and in this way the input stock is increased while the output stock is decreased. To maintain manufacturing inventory it is essential to record all unassemble related activities. For Smart Computers, in the unassemble process computer (output) is unassembled into hard disk (input). Thus, Smart Computers will record unassemble activity for the unassembled computer.

Now that we have understood the concept of Manufacturing Inventory, let us discuss the implementation of Manufacturing Inventory in BUSY.

Implementation of Manufacturing Inventory

Implementation of Manufacturing Inventory in BUSY is a simple four steps process. The steps are:

1. Enable Manufacturing Features

2. Create Bill of Material Master

3. Record Manufacturing Activity using vouchers

4. View Manufacturing related reports

Let us discuss the steps in detail.

1.Enable Manufacturing Features

First of all you need to enable the Manufacturing Features in BUSY. To enable Manufacturing Features in BUSY perform the following steps:

  • Open the company you want to configure Manufacturing for by clicking Company à Open à Select your company.
  • Click the Administration à Configuration à Features/Options à Inventory tab.
    • Enable the option Enable Manufacturing Features by selecting the checkbox.

Given here is a screenshot of Features/Options window for enabling Manufacturing Features in BUSY.

 Features/Options window

After you enable Manufacturing Features in BUSY, you need to create masters for manufacturing inventory.

2. Create Bill of Material Master

To create masters for Bill of Material (BOM) in BUSY, perform the following steps:

  • Click the Administration à Masters à Bill of Material à Add button. On clicking the Add button, a Bill Of Material Master - Add window appears.

Given here is a screenshot of Bill Of Material Master - Add window for creating a BOM master.

Bill of Material Master - Add window

The data fields in the window are:

BOM Name

Enter a name for the BOM.

You can create multiple BOM's for a single item. For example, LMN Utensil produces Steel Utensil Code – 001 by two different methods. In both the methods, the consumption of items and generation of by-products is different, although the item that is produced is Steel Utensil Code – 001. Now LMN Utensil creates two BOM's for the same product.

The name of the BOM should reflect certain unique characteristics of the item produced, method used, or by-product generated. For example, in the screenshot given above, the name is Steel Utensil: Scrap – Steel Sheets. Thus, the by-product name is appended with the BOM name.

Item to Produce

Select the item for which the BOM is being created. You can select from the list that appears in the data field when you click on the data field.

Quantity

Specify the quantity to be produced when this BOM is used.

Unit

By default, the main unit specified in the Item master of the item selected in the Items to Produce data field is displayed in the data field. You can change the unit to alternate unit or any other unit that has a unit conversion relation with the main unit.

If you specify a unit other than the main unit, alternate unit, or a unit related to the main unit through unit conversion then an Invalid Data message box appears informing that the unit is invalid. Click the Ok button and change the unit to main/alternate unit/unit related to main unit through unit conversion.

Raw Material Consumed

In this grid, there are three data fields:

  • Item Name - Select the item that is consumed to produce the item specified in the Item to Produce data field.
  • Qty. - Specify the quantity of raw material that is required to produce the finished product.
  • Unit - By default, the main unit specified in the Item master of the item selected in the Item Name data field is displayed in the data field. You can change the unit to another unit as explained in the Unit data field given above.

By-Product Generated

In this grid, there are three data fields:

  • Item Name - Select the item that is produced as a by-product in the manufacturing process.
  • Qty. - Specify the quantity of by-product that is produced in the manufacturing process.
  • Unit - By default, the unit specified in the Item master of the item selected in the Item Name data field is displayed in the data field. You can change the unit to another unit as explained in the Unit data field given above.

You can select multiple raw material consumed and by-products generated in the grid.

  • Click the Save button to save the BOM master.

Now that you have created BOM masters in BUSY, you need to record manufacturing activity using vouchers.

3. Record Manufacturing Activity using Vouchers

There are primarily two types of manufacturing activities. These are:

  • Production
  • Unassemble

Let us discuss the two types of manufacturing activities in detail.

Production

If your company has manufactured/produced goods for sale then you can enter production related details using the Production voucher.

To record production of items, perform the following steps:

  • Click the Transactions à Production voucher.
  • Enter appropriate information in the Production voucher.
    • Enter details such as Series, Date, and Material Centre.

By default, voucher numbering is not enabled for Production/Unassemble vouchers. To enable voucher numbering for these vouchers, click Administration à Configuration à Vouchers Configuration. Select Production/Unassemble and click the Voucher Numbering button. In the Voucher Numbering window, select Automatic/Manual as the Numbering Type and click the Save button.

  • Select the BOM to be used for the Production voucher. On selecting the BOM, a Qty. to Produce window appears. Given here is a screenshot of the Qty. to Produce window.
Qty. to Produce window

In the window there are two data fields:

    • Qty. – Enter the quantity to be produced. By default the quantity specified in the BOM is displayed in the data field.
    • Unit – Select the unit applicable for the production voucher. By default the unit specified in the BOM is displayed in the data field. You can change the unit to another unit as explained in the Unit data field and Note in the second implementation step.
  • Click the Ok button to auto generate the Item Generated and Item Consumed information.

On specifying the quantity to be produced, the item generated and item consumed information is displayed in the grid by default. In the screenshot given above, the quantity to be produced is 200. On clicking the Ok button, the information is auto generated. Given here is a screenshot of the Production voucher with the auto-generated information.

Production - Add window
  • Click the Save button to save the voucher.

Unassemble

If your company has unassembled goods for reprocessing/sale then you can enter unassemble related details using the Unassemble voucher.

To record unassemble of items, perform the following steps:

  • Click the Transactions à Unassemble voucher.
  • Enter appropriate information in the Unassemble voucher
    • Enter details such as Series, Date, and Material Centre.
    • Select the BOM to be used for the Unassemble voucher. On selecting the BOM a Qty. to Unassemble window appears. Given here is a screenshot of the Qty. to Unassemble window.
Qty. to Unassemble window

In the window there are two data fields:

Qty.

Enter the quantity to be unassembled. By default the quantity specified in the BOM is displayed in the data field.

Unit

Select the unit applicable for the Unassemble voucher. By default the unit specified in the BOM is displayed in the data field. You can change the unit to another unit as explained in the Unit data field and Note in the second implementation step.

  • Click the Ok button to auto generate the Item Generated and Item Consumed information.

On specifying the quantity to be unassembled, the item generated and item consumed information is displayed in the grid by default. In the screenshot given above, the quantity to be unassembled is 50. On clicking the Ok button, the information is generated automatically. Given here is a screenshot of the Unassemble voucher with the auto-generated information.

Unassemble - Add window
  • Click the Save button to save the voucher.

4.View Manufacturing related reports

Once you have recorded manufacturing activity, you can view Manufacturing related reports. To view Manufacturing related reports, perform the following steps:

  • Click Display menu à Select the report from the following options:
    • Consumption Analysis
    • Production Planning
    • Bill of Material Details

Given here is a screenshot of Manufacturing related reports under Display menu.

Display menu option window
  • Select the appropriate report to view the details.

Given here is a brief description of each of the three Manufacturing related reports.

Consumption Analysis

Consumption Analysis report provides comprehensive detail of all the items consumed and generated. It takes into account the Production, Unassemble, and Stock Journal vouchers. Given here is a screenshot of the Consumption Analysis report.

Consumption Analysis window

This report can be generated for the following options:

  • Item-wise
  • Item Group-wise
  • One Material Centre – All Items/Group of Items/All Item Groups
  • One Material Centre Group – All Items/Group of Items
  • One Item – All Material Centres /Group of Material Centres /All Material Centre Groups
  • One Item Group– All Material Centre /Group of Material Centres

Production Planning

Production Planning report helps to plan the production cycle in a manufacturing company. Let us understand with the help of an example. LMN Utensil has received advance orders for the month of February. It wants to plan intake of stock based on available stock and the output needed. For this purpose, it selects Production Planning report from the Display menu. On clicking the Production Planning option, a Production Planning window appears. Given here is a screenshot of the Production Planning window.

Production Planning window
  • Enter the data in the data fields listed here:

Items

Select the item to produce from the list that appears in the Item data field.

You can only select those items for which you have created a BOM.

BOM

Select the BOM according to which you want to plan the production. If there is a single BOM then by default the BOM name is displayed in the data field. In case of multiple BOM's, you need to select the appropriate BOM.

Qty.

Enter the quantity of the item that needs to be produced. Based on this value the production planning is done.

Unit

By default the unit specified in the BOM is displayed in the data field. You can change the unit to another unit as explained in the Unit data field and Note in the second implementation step.

  • Click the Ok button to plan the production. On clicking the Ok button, a Production Planning message box appears wherein you need to select One MC/Group of MC/All MC. This option decides at which MC/MC's the stock will be considered.
  • Select the appropriate option. On selecting an option, a Reporting Options window appears.
  • Enter the data in the various data fields such as Material Centre, Report Date, and so on and click the Ok button. On clicking the Ok button, a Production Planning window appears. Given here is a screenshot of the Production Planning window.
Production Planning window

We can observe three points based on the report. The points are:

  • Required quantity of input (Raw Steel) is 5,000 kgs.
  • Available quantity of input (Raw Steel) is –1,500 kgs.
  • Deficient quantity of input (Raw Steel) is 6,500 kgs.
  • We can conclude that to produce the desired quantity, 6500 kgs. of input (Raw Steel) is required.

The data generated in the report is based on the BOM, quantity to be produced, and available stock.

Bill of Material Details

Bill of Material Details report provides comprehensive detail of the BOM's. You can generate the Bill of Material Details report for two options. The options are:

  • Product Composition – Based on this option Bill of Material Details report provides the break-up of the composition of a product. You need to select the Material Centre, BOM name, and the Report date. Given here is a screenshot of the Bill of Material Details window based on Product Composition.
Bill of Material Details window
  • Product Utilisation - Based on this option Bill of Material Details report provides relation between the quantity of item required to manufacture a specific product quantity. You need to select the item for which you want the Product Utilisation report. It takes into account the Product and BOM. Given here is a screenshot of the BOM Item Utilisation report.
BOM Item Utilisation Report window

We can observe from the report that 1,000 Pcs. of Raw Steel (Item Qty.) is required to produce 100 Pcs. of Steel Utensil Code - 001 (Product Qty.) You can generate this report only for items consumed or by-products generated.

After following these four steps you have successfully implemented Manufacturing Inventory in BUSY.


Multi-Location Inventory

Knowledge Documents > Inventory Documents > Multi-Location Inventory

Overview

In a general business scenario, inventory management is an integral part that helps in smooth running of the business and in determining the deficiency/excess of stock at any time. Inventory includes the stock of raw material, semi finished goods and finished goods. Inventory management implies maintaining an accurate record of incoming and outgoing stock. Let us understand the concept of Inventory Management with the help of an example. LMN Utensil is a steel utensil manufacturing company. It processes steel, manufactures and sells steel utensils. It needs to maintain record of issue/receipt of material for further processing, sale/purchase transactions on a regular basis to determine the available quantity of items and the items that are out of stock. Hence, keeping a record of all these transactions can be referred as Inventory management.

When inventory needs to be maintained at more than one physical location, it is called Multi-Location Inventory. In the above example, LMN Utensil maintains stock of steel and utensils at godowns, stores and shops for manufacturing and selling purpose. It has to maintain inventory at different locations such as godowns, shops and so on. Thus LMN Utensil has to manage Multi-Location Inventory.

Implementation in BUSY

In BUSY, Multi-Location Inventory can be managed through Material Centres. A Material Centre is a place where stock of raw material, semi-finished, finished products and so on can be stored. In a business, stock can be stored at different places like shops, stores, godowns and so on. All these are Material Centres for the business. Maintenance of records Material Centre-wise helps in recording transactions and valuing stock easily.

Let us understand the concept of Material Centres with the help of the above example. LMN Utensil maintains stock of steel and utensils at godowns, stores and shops for manufacturing and selling purpose. All these are Material Centre for LMN Utensil. Now, it can easily maintain stock and record different transactions Material Centre-wise. This in turn will help in keeping a check and determining stock at each Material Centre.

Implementing Material Centre in BUSY is a simple five-step process. The steps are:

  1. Enable Multi-Godown feature
  2. Create Material Centre Group & Material Centre
  3. Allocate Opening Stock of Item Material Centre-wise
  4. Record Stock affecting transactions Material Centre-wise
  5. View Material Centre related reports

1. Enable Multi-Godown feature

To maintain stock at more than one Material Centre, you need to enable Enable Multi-Godown Inventory feature. It is only after enabling Enable Multi-Godown Inventory feature that Material Centre and Material Centre Group masters appear in the Masters menu. To enable Enable Multi-Godown Inventory feature, click Administration > Configuration > Features/Options option. On clicking the Features/Options option, a Features/Options window appears. Given here is a screenshot of Features/Options window.

Features/Options window with active Inventory tab
  • Click the Inventory tab and enable the option Enable Multi-Godown feature.

2. Create Material Centre Group & Material Centre

All Material Centres in BUSY fall under Material Centre Groups hence first we have to create a Material Centre Group. Let us discuss the steps to create a Material Centre Group.

Material Centre Group

A Material Centre Group is a broad level categorization under which similar types of Material Centres are grouped. When you create a new company then by default three Material Centre Groups Godowns, Production Floors and Stores are made for your convenience.

The relevance of Material Centre Group can be explained with the help of an example. LMN Utensil has different shops and godowns in different cities. It can categorise all shops and godowns under city-wise Material Centre Groups such as Delhi, Mumbai and so on.

To create Material Centre Group in BUSY, perform the following steps:

  • Click Administration à Masters à Material Centre Group à Add option. On clicking the Add option, a Group Master – Add window appears.

Given here is a screenshot of Group Master – Add window.

Group Master - Add window

In the Group Master – Add window, there are various data fields in which you need to enter the appropriate data. The data fields are:

  • Group Name
  • Alias
  • Primary Group (Y/N)
  • Under Group

Let us discuss these data fields in details.

Group Name

Enter the name of the Material Centre Group to be created.

Alias

Enter an abbreviation or a short name for the Material Centre Group.

Primary Group (Y/N)

Enter 'Y' if you want to create a Primary Group. You can refer to Primary Group as Parent Group. Parent Groups are the groups that are at the top-most level in the group hierarchy and do not come under any other group.

Under Group

This data field becomes active only if you have entered 'N' in the Primary Group data field. Select the group under which you want to create the sub-group. You can select from the drop-down list of all the existing Material Centre Group and sub-groups.

You can create a group from here itself by pressing F3 key.

Let us understand this data field with the help of an example. LMN Utensil has different shops and godowns at different locations in India. For this purpose LMN Utensil maintains a parent group according to the name of the region such as North India, South India and so on. Thus, the name of the region becomes Parent Group for the shops in different locations or cities. In the above screenshot, North India becomes the parent group for the Delhi Material Centre Group.

After you have created a Material Centre Group, the next step is to create a Material Centre.

Material Centre

To create a Material Centre, perform the following steps:

  • Click Administration à Masters à Material Centre à Add option. On clicking the Add option, a Material Centre – Add window appears.

Given here is a screenshot of Material Centre – Add window.

Material Centre - Add  window

In the Material Centre – Add window, there are various data fields in which you need to enter appropriate data. The data fields are:

  • Name
  • Alias
  • Print Name
  • Group
  • Stock Account
  • Reflect the stock in Balance Sheet
  • Address

Let us discuss these data fields in details.

Name

Enter the name of the Material Centre in this data field. You can enter a name up to 40 characters.

Alias

Enter an abbreviation or a short name for the Material Centre.

Print Name

Enter the Print Name for the Material Centre. By default it is same as Name.

Group

Select the appropriate Material Centre Group under which the Material Centre falls.

Stock

Select the account under which the stock of particular Material Centre falls. For example, some companies use the name, as stock account while some other may want to use stock in hand. Hence you can select account as per your requirement. By default Stock account appears in this data field.

Reflect the stock in Balance Sheet

Specify 'Y' if you want to show stock of Material Center in the Balance Sheet otherwise specify 'N' in this data field.

Address

Enter the address of the Material Centre in this data field. The address can include city, state, and PIN Code.

After creating Material Centres and Material Centre Group, the next step is to allocate opening stock Material Centre-wise.

3. Allocate Opening Stock of Item Material Centre-wise

You have to allocate Opening Stock to different Material Centres when you create a new Item master or modify an existing Item master.

To allocate opening stock Material Centre-wise perform the following steps:

  • Click Administration à Masters à Item à Add/Modify option. On clicking the Add/Modify option a Item Master – Add/Modify window appears.
  • Enter appropriate information in the Item master.
  • Click the Save button. On clicking the Save button, a Material Centre-wise Opening Stock Details window appears.

Material Centre-wise Opening Stock Details window appears only if you have specified opening stock quantity greater than zero in Item Master - Add/Modify window and you have created more than one Material Centre.

Given here is a screenshot of Item Master-Add window.

Item Master - Add window

There are various data fields in the Material Centre-wise Opening Stock Details window in which you can enter details related to the Material Centre. The data fields are:

  • Material Centre
  • Qty.
  • Amount

Let us discuss these data fields in detail.

Material Centre

Select the name of the Material Centre to which you want to allocate the Opening Stock. In the screenshot given above the Material Centres selected are LMN Utensil Rohini and LMN Utensil Okhla.

Qty.

Enter the quantity to be allocated to the Material Centre. If you have enabled Alternate Units of Items option in Administration à Configuration à Features/Options à Inventory tab then after entering quantity in Qty. field a Qty. in Alternate Unit window appears.

Given here is a screenshot of Qty. in Alternate Unit window.

Qty. in Alternate Unit window

This window displays quantity in alternate unit according to the Conversion Factor. You can enter quantity in this window different from alternate quantity calculated according to Conversion Factor.

Amount

Enter the amount to be allocated to the Material Centre.

  • Click the OK button to save the details.

You cannot save an Item Master without allocating Opening Stock quantity Material Centre-wise.

Total Quantity allocated to Material Centres must be equal to quantity entered in Opening Stock data field.

After allocating Opening Stock Material Centre-wise, the next step is to record stock affecting transactions Material Centre-wise.

4. Record Stock affecting transactions Material Centre-wise

You can record different stock affecting transactions Material Centre-wise. The different vouchers that affect stocks are:

  • Sales/Purchase
  • Sales Return/ Purchase Return
  • Stock Transfer
  • Production/Unassemble
  • Stock Journal
  • Material Issued to party/Material Rcvd. from party

Let us understand recording of stock affecting transactions Material Centre-wise with the help of an example. In the example, the steps are shown to record the transaction in Sales voucher and Stock Transfer voucher. However if you want to record transactions in other vouchers, then select the relevant voucher and follow the steps.

LMN Utensil is a steel utensil manufacturing company having different godowns within a city. It performs different transactions through these Material Centres.

Record Sales transactions

To record sales transactions Material-Centre wise perform the following steps:

  • Click Transactions --> Sales Add option. On clicking the Add option a Sales – Add window appears.

Given here is a screenshot of Sales – Add window.

Sales - Add window
  • Enter the details related to the sales made. Click the Save button.

The stock of Material Centre entered in Material Center data field will be affected with the quantity entered in Qty. data field. In the above screenshot stock at LMN Utensil Rohini Material Centre will be reduced by 10 dozens.

Record Stock Transfer transactions

Stock Transfer refers to movement of goods from one Material Centre to another. To record Stock Transfer transactions perform the following steps:

  • Click Transactions à Stock Transfer à Add option. On clicking the Add option, a Stock Transfer – Add window appears.

Given here is a screenshot of Stock Transfer - Add window.

Stock Transfer - Add window
  • Enter the relevant details related to the stock transfer. Click the Save button.

The stock of Material Centre entered in From data field will be decreased with the quantity entered in Qty. data field and the stock of Material Centre entered in To data field will be increased. In the above screenshot stock at LMN Utensil Rohini Material Centre will be reduced by 100 dozens and stock at LMN Utensils Okhla Material will be increased by 100 dozens.

After recording stock affecting transactions Material Centre-wise, the next step is to view Material Centre related reports.

5. View Material Centre related reports

To view Material Centre related reports, perform the following steps:

  • Click Display menu. Select Material Centre related reports from the following reports:
    • Inventory Books
      • Items MC Ledger
      • Material Centre Register
      • Stock Transfer Register

Given here is a screenshot of the Display menu.

Display menu window

Given here is a brief description of each of the Material Centre related report.

Items MC Ledger

Item MC Ledger report displays item-wise information of all the inventory related transactions at a Material Centre of the company/organisation sequentially for a specified date range. It displays item-wise information of quantity in and quantity out at a particular Material Centre. This report is helpful in determining the final stock status of an item at a particular Material Centre.

Material Center Register

Material Centre Register report displays information of all the inventory related transactions at a Material Centre of the organisation sequentially for a specified date range. It displays information of quantity in and quantity out of all the items at a particular Material Centre.

Stock Transfer Register

Stock Transfer Register report displays all the stock transfer transactions of different Material Centre, entered using the Stock Transfer voucher for a specified date range. It displays information such as date, bill number, from, to, item, quantity, price, amount and so on for all the stock transfer transactions.

Other than these reports, you can view some inventory related reports, such as Consumption Analysis, BOM Details, Stock status and so on for particular Material centre, Material Centre Group or all Material Centres.

After going through the above document, you will be able to successfully create and use Material Centres in BUSY.


Alternate Unit of Item

Knowledge Documents > Inventory Documents > Alternate Units of Item

Alternate Units of Item

Unit, refers to the standard for measuring goods. For example, a grocer purchases wheat in terms of kgs or apples in terms of dozens. Thus, the unit for wheat is 'kgs' and apples is 'dozen'. Let us now discuss a general business scenario wherein units are used.

General Business Scenario

Green Grocers is a grocery shop where there is regular sale and purchase of items such as wheat, apples and so on. Now the Green Grocers purchases apples and makes the payment at the rate in terms of dozens i.e. at Rs 24 per dozen. Although the purchase is in terms of dozens but when the goods are sold it is sold in terms of pieces. For this purpose, the apples are segregated and counted. Thus, the grocery shop manager needs to transact (purchase/sale) in terms of two units, dozens and pieces and maintain the stock of apples in one unit either dozens or pieces.

Moving further, once we have established the units used in a business scenario the next step is to determine the conversion factor. Conversion factor is the number of one unit per another unit. For example, in the above case scenario, the conversion factor between pieces and dozen is 12/1 i.e. 12. In other words, 12 pieces make up a dozen.

These conversion factors are known as generic conversion factor. Generic conversion factor refers to the commonly accepted conversion factors such as the conversion factor between dozen and pieces. We know that a dozen contains 12 pieces in any business scenario. Similarly conversion factor between kgs and grams or between tonne and kgs remains constant.

In BUSY, using generic conversion factors is easy. Let us now discuss the steps to use the generic conversion factor.

Using Generic Conversion Factor

Before we discuss the generic conversion factor, let us take a brief look at using units in BUSY. To use units in BUSY, perform the following steps:

  • Click Administration à Masters à Item option. On selecting the Item option, an Item Master - Add window appears. Given here is a screenshot of the Item Master - Add window.
Item Master - Add window
  • Enter appropriate details in the Item master.
  • Specify the unit of the item in the Main Unit Details group à Unit data field. In the screenshot, 'dozen' is the main unit for apples. Green Grocers has specified the main unit as 'dozens' since it wants to maintain the stock in terms of dozens.
  • Click the Save button to save the item details.

After performing these steps, Green Grocers has specified the main unit for apples. Now when it enters a Purchase voucher, it can specify the unit as 'dozens' for apples. The problem comes when it enters a Sales voucher since it has to enter the details in 'pieces' unit. To solve the problem BUSY provides you the option of specifying a generic unit for which a generic conversion factor has been defined. In BUSY, by default certain generic conversion factors have been defined for your convenience. To view the generic conversion factors, perform the following steps:

  • Click Administration à Masters à Unit Conversion à List option.
  • Click the Select button in the List of Unit Conversions window. On clicking the Select button, a List of Unit Conversions window appears. Given here is a screenshot of the List of Unit Conversions window.
List of Unit Conversion window

In the window, the generic unit conversion factors are listed.

You can add more generic conversion factors by using the Add option under Administration à Masters à Unit Conversion menu.

To specify a unit other than the main unit specified in the Item master in a voucher, perform the following steps:

  • Click Transactions à Select a voucher. On selecting a voucher, a Voucher - Add window appears. Given here is a screenshot of the Sales - Add window.
Sales - Add window
  • Enter appropriate information in the data fields.
  • Select the appropriate unit from the list that is displayed in the Unit data field. In the screenshot, 'pieces' unit is selected since Green Grocers sells apples in terms of pieces.
  • Click the Save button to save the Sales voucher.

Now that the sale and purchase of apples has been recorded in respective units, Green Grocers wants to view the Stock report for apples. It wants to view the stock report in terms of the main unit i.e. 'dozens'. To view the report, perform the following steps:

  • Click Display à Inventory Books à Stock Ledger à Item-wise. On selecting the Item-wise option a Report Options window appears.
  • Enter appropriate information in the data fields such as the Item Name, Start Date, End date, and so on.

  • Click the Ok button to view the report. On clicking the Ok button, a Stock Ledger window appears. Given here is a screenshot of the Stock Ledger window.

Stock Ledger window

Thus, we can observe that although the Sales voucher had been added in another unit i.e. 'pieces', the records are maintained in the main unit, 'dozens'. From the above discussion we can summarize the use of Generic Conversion Factor in the following points:

  • It is required to ease data entry when transactions are done in two units whereas the records are maintained in one unit.
  • It defines a commonly accepted relation between two units.
  • It helps maintain the records in a single unit (main unit) irrespective of the unit used in the vouchers.

Till now we have discussed the use of generic conversion factors in a general business scenario. Let us now discuss the use of specific conversion factors in a specific business scenario.

Specific Business Scenario

Let us discuss a specific business scenario with the help of the Green Grocers example. Green Grocers have recently expanded their business and have started importing fruits such as mangoes from various states. Now the new suppliers send the mangoes not in terms of dozens but in terms of carts. Moreover, different suppliers pack different number of mangoes in a single cart. For example, the Maharashtra supplier packs 15 mangoes in one cart while the Gujarat supplier packs 20 mangoes in one cart. In the new scenario, with different units for a single item Green Grocers needs to maintain the stock of mangoes in two units, cart and pieces.

To help Green Grocers, BUSY provides the feature of Alternate Unit of Items. By enabling this feature, Green Grocers can specify two units for a single item along with the specific conversion factors. Moreover, it can maintain and view the stock of mangoes in two units.

Using Alternate Unit of Items

To use alternate unit of items in BUSY, perform the following steps:

  • Click Administration à Configuration à Features/Options à Inventory tab.
    • Select the checkbox against Alternate Unit of Items checkbox. Given here is a screenshot of the Features/Options window.
Features/Options window

On selecting the checkbox a Configure button is activated.

  • Click the Configure button to configure alternate unit settings. On clicking the Configure button an Options for Alt. Unit of Items window appears. Given here is a screenshot of the Options for Alt. Unit of Items window.
Options for Alt.Unit of Items window

There are three checkboxes in the window. The three options are:

    • Hide Alternate Unit Details in Vouchers - Check this checkbox if you do not want to enter separate details for alternate unit at the time of voucher entry.
    • Allow Alt. Qty. Change in Vouchers - Check this checkbox if you want to change the alternate quantity for an item when you enter a voucher. By default, this option is checked.
    • Input Con. Factor in Vouchers - Check this checkbox if you want to specify the conversion factor at the time of entering the voucher.
  • Click the Save button to save the configuration settings.

After performing the above steps, Green Grocers has enabled the feature of alternate unit of items. Next step is to specify the alternate unit of item in the Item master. To do so perform the following steps:

  • Click Administration à Masters à Item option. On selecting the Item option, an Item master - Add window appears. Given here is a screenshot of the Item Master - Add window.
Item Master - Add window
  • Enter appropriate details in the Item master.
  • Specify the unit of the item in the Main Unit Details group à Unit data field. In the screenshot, 'cart' is the main unit for mangoes. Green Grocers has specified the main unit as 'cart' since it wants to maintain the stock in terms of cart.
  • Specify the alternate unit of the item, conversion factor and the conversion type in the Alternate Unit Details group à Alt. Unit, Con. Factor and Con. Type data field. In the screenshot, 'pcs' (pieces) is the alternate unit for mangoes, the conversion factor is 15 (1 cart =15 pieces) and Conversion Type is Pieces/Cart. Green Grocers has specified the alternate unit as 'pieces' since it wants to maintain the stock in terms of pieces as well. Moreover, it has specified the conversion factor as 15 since the purchase is mostly from the Maharashtra supplier and the conversion type is Pieces/Cart which specifies that 1 cart contains 15 pieces.
  • Click the Save button to save the item details.

After performing the above steps, Green Grocers has specified the main and alternate unit for mangoes. Now when it enters a Purchase voucher, it can specify the unit as 'cart' for mangoes and when it enters a Sale voucher it can specify the unit as 'pieces'. To specify main unit and alternate unit in a voucher, perform the following steps:

  • Click Transactions à Select a voucher à Add option. Given here is a screenshot of the Purchase - Add window.
Purchase - Add window
  • Enter appropriate information in the data fields.
  • Select the appropriate unit from the list that is displayed in the Unit data field. In the screenshot, 'cart' unit is selected since Green Grocers purchases mangoes in terms of carts. On pressing the Enter key in the Unit data field, a Qty. in Alternate Unit window appears. Given here is a screenshot of the Qty. in Alternate Unit window.
Qty. in Alternate Unit window
  • Specify the conversion factor, quantity in alternate unit and the price per alternate unit in the data fields for the purpose of reporting. With the help of this window Green Grocers has the flexibility to specify the alternate unit as 15 or 20 as per the requirement.

If you do not change the main unit to alternate unit in the Unit data field and have enabled the Allow Alt. Qty. Change in Vouchers and Input Con. Factor in Vouchers features in Features/Options then the Qty. in Alternate Unit window appears.

  • Click the Save button to save the Purchase voucher.

Next Green Grocers add a Sales voucher in alternate unit. To specify the alternate unit in a voucher, perform the following steps:

  • Click Transactions à Select a voucher à Add option. Given here is a screenshot of the Sales - Add window.
Sales - Add window
  • Enter appropriate information in the data fields.
  • Select the appropriate unit from the list that is displayed in the Unit data field. In the screenshot, 'pieces' unit is selected since Green Grocers sells mangoes in terms of pieces.

If you do not change the main unit to alternate unit in the Unit data field and have enabled the Allow Alt. Qty. Change in Vouchers and Input Con. Factor in Vouchers features in Features/Options then a Qty. in Alternate Unit window appears. You can specify the conversion factor, quantity in alternate unit and price per alternate unit in the window for the purpose of reporting.

  • Click the Save button to save the Sales voucher.

Now that the sale and purchase of mangoes has been recorded in respective units, Green Grocers wants to view the stock report for mangoes. It wants to view the stock report in terms of the both units, carts and pieces. To view the report, perform the following steps:

  • Click Display à Inventory Books à Stock Ledger à Item-wise option. On selecting the Item-wise option, a Report Options window appears.
  • Enter appropriate information in the data fields such as the Item Name, Report to be shown in, Start Date, End date, and so on. Given here is a screenshot of the Report Options window.
Report Options window
  • Click the Ok button to view the report. On clicking the Ok button, a Stock Ledger window appears. Given here is a screenshot of the Stock Ledger window.
Stock Ledger window

Thus, we can observe that although the Purchase and Sales voucher have been added in different unit, the records are maintained parallel in both the units. From the above discussion we can summarize the use of Alternate Unit of Items in the following points:

  • It is required when two units have more than one conversion factor between them.
  • It defines a relation between two units specific to a business.
  • It helps maintain the records in two units, main unit and alternate unit irrespective of the unit used in the vouchers.

After going through the document, you will be able to successfully implement alternate unit in BUSY.


Maintaining AMC / Warranty with Iterms

Knowledge Documents > Inventory Documents > Maintaining AMC/Warranty with Items

Maintaining AMC/Warranty with Items

Generally an item is sold with a warranty of certain period and after expiry of warranty, AMC is given on chargeable basis. Basically this process requires selling of an item with a limited time period warranty (and after that period converting Warranty to AMC). Based on item Warranty or AMC, item replacement, support or site visit is provided to the customers. This feature is most helpful for Support executives as they require to view item's warranty / AMC details at the time of call receipt in order to take appropriate actions accordingly.

BUSY provides the option to maintain item warranty / AMC details for Support calls. Maintaining AMC/Warranty with Items is a simple process and requires following steps to be implemented:

  1. Enable AMC / Warranty with Items for Support Call
  2. Specify AMC / Warranty months with item
  3. Create Warranty reference
  4. Covert Warranty reference to AMC
  5. View AMC/ Warranty details in Call Receipt vouchers
  6. View AMC / Warranty related reports

Let us discuss each of these steps in detail.

Enable AMC / Warranty with Items for Support Calls

To enable AMC / Warranty with Items for Support Calls feature, click Administration > Configuration > Features / Options > Enquiry / Support Management tab. In the Enquiry / Support Management tab, enable feature of Support Management (Post Sales). On enabling the Support Management (Post Sales) feature, a Configure Support Management group gets active. In the group, enable the option of Maintain Item AMC/Warranty for Support Calls feature. Given here is a screenshot of Enquiry / Support Management window with active Configure Support Management group.

Enquiry / Support Management   window

Specify AMC / Warranty months with item

After enabling the feature of maintaining AMC / Warranty with Items for Support Calls, the next step is to specify months applicable for warranty or AMC in the Item master. In the Item master, following two fields appear for specifying AMC / Warranty months:

  • Specify Contract - Select whether you want to specify AMC months, Warranty months or none of these with the items.
  • AMC / Warranty Months - Specify number of months for which AMC/Warranty is applicable for the item.

Given below is a screenshot of Item master with Specify Contract and AMC / Warranty Months data fields.

Item master window

Create Warranty References

When an item is sold, generally a warranty is issued with it. Hence at the time of entering Sales voucher, you are required to enter warranty details of the items and a reference for item warranty will get created in the voucher. At the time of saving Sales voucher, an AMC / Warranty References window appears displaying details of Warranty reference. You can make appropriate changes in it as per your requirement. Given here is a screenshot of AMC / Warranty References that appears in Sales voucher.

AMC / Warranty References window

Convert Warranty References to AMC

This is one of the most important step in maintaining AMC / Warranty details with item as after expiration of item warranty, generally AMC is started with it. Now, the customer is required to convert or adjust Warranty reference to AMC reference. For this purpose, he is required to follow the below mentioned steps:

  1. Create a dummy item and specify its Contract as AMC and specify AMC months also. Given here is a screenshot of Item master created for dummy item.
Item master

2. Enter a Sales voucher and select the dummy item. At the time of saving the Sale voucher, an AMC / Warranty Reference window appears. In the window, click the Show Party Existing Reference button to view list of existing warranty references. Select the warranty reference which you want to convert to AMC reference and click the Ok button.

3. On clicking the Ok button, BUSY will ask to change status of adjusted warranty reference to Renewed. Click Yes button to change the status otherwise click the No button.

By following this process, Warranty reference will be converted to AMC reference. The AMC reference will automatically pick item details from the Warranty reference and will show actual item name and not dummy item name you have created for this process.

Given below is a screenshot of AMC / Warranty Reference window.

AMC / warranty Reference window

View AMC/Warranty details in Call Receipt vouchers

As mentioned earlier also that AMC/Warranty details feature is most useful for Support calls in order to take appropriate actions on the call received. In the Call Receipt voucher, as soon as you select a Party, Party Dash board will appear displaying AMC / Warranty references details for the items sold to the party. Please note, Party Dash Board will appear if you have enabled the Enable Party Dash Board option under Administration > Configuration > Features / Options > Accounts tab. Otherwise if Party Dash Board feature is not enabled in the Company then you need to click AMC/Warranty button to view AMC / Warranty references for the items sold to the party.

Given below is a screenshot of AMC / Warranty Details window that appears in Call Receipt voucher for selected party.

AMC / Warranty Details window

View AMC / Warranty Reports

BUSY provides AMC / Warranty Details report under Display / Print/Email/SMS menu to view / print AMC / Warranty details of items. In the report, you can press F4 key to change status of any existing reference.


Parameterized Stock

Parameters are the additional characteristics or attributes that can be defined for an item. For example, for an item Shirt, different parameters could be Size, Color and Style. By maintaining parameterized stock, you can make sale/purchase on the basis of item parameters and can view parameterized stock reports also. Continuing with above example, you can anytime check availability of item Shirts with size XL and color Blue or on any other parameter.

Enabling and Configuring Parameterized Details Feature

To enable Parameterized Details feature, enable Parameterized Details option under Administration à Configuration à Features / Options à Inventory tab. On enabling this option, a Parameterized Stock Detail Options window appears. Given here is a screenshot of Parameterized Stock Detail Options window.

Parameterized Stock Detail Options window

In the Parameterized Stock Detail Options window, various data fields are:

  •

     Specify No. of Parameters – Specify number of parameters required with an item. You can specify maximum three parameters with an item. The number of parameters specified here are default parameter numbers. For individual items, you can specify parameters with each Item Group. However you cannot specify more number of parameters with an Item Group than as specified here. After specifying the number of parameters required, click the Configure button to configure the default parameter details. On clicking the Configure button, a Parameterized Stock Configuration window appears. Given here is a screenshot of Parameterized Stock Configuration window.
Parameterized Stock Configuration window

In the Parameterized Stock Configuration window, various data fields appear. Number of data fields that appear are equivalent to the number of parameters specified in the Specify No. of Parameters data field. Various data fields that appear are:

    • Name - Enter the name for the parameter.

    • Chars. for Parameter - Specify the maximum number of characters required for entering parameter value. You can specify maximum of 20 characters.

    • Entry Type - Enter the type of parameter. In this data field, there are two options. The options are:

      • Open - Select this option if you want to enter value for the parameter at the time of data entry.

      • Predefined Value - Select this option if you want to define a list of the various parameter value and later select the value from the list at the time of entry. For example, you have created a parameter named Size and you want to define a list of various values such as M, XL, XXL so that at the time of data entry you can choose the exact value. For this purpose, you can choose the Predefined option.

    • Add Values - This button gets activated if you have selected the Predefined option. On clicking this button, an Input Parameter Value Details window appears. In the window, you can specify different value for the list. Given here is a screenshot of Input Parameter Value Details window.
Input Parameter Value Details window

      • Parameter Value - Specify the value for the parameter this data field.

      • Alias - Specify Alias for parameter value.

      • Specify Alt.Unit Con. Factor - This data field is active only if you have enabled the Alternate Unit of Items option. Specify 'Y' in this data field if you want to maintain parameter wise conversion factor between the Main and Alternate unit of item.

      • Con. Factor - This data field is active only if you have specified 'Y' in the Specify Alt.Unit Con. Factor data field. Specify conversion factor between Main and Alternate unit of the item. The conversion factor you specify here will be applicable for this parameter only.

Let us understand the Specify Alt Unit Con. Factor and Con. Factor data fields with the help of an example. A GlowPaints company produces paints where in different boxes contain different litres of paint. For example, one box of paint can contain 0.5 litres, 1 litre, 2 litres or 5 litres of paint.

Hence company can create a parameter named Size and add various values like 0.5Ltr, 1Ltr, 2Ltr and 5Litr to it. In the 0.5ltr value it can specify the conversion factor as 0.5, in the 1ltr, it can specify the conversion factor as 1, in 2ltr it can specify the conversion factor as 2 and in 5litre it can specify the conversion factor as 5.

If the Company has 4 boxes of 0.5 litres and 2 boxes of 10 litres of paint then in the Sales voucher it has to select the value as 0.5ltr and 10ltr in the Size parameter and has to specify the quantity in Main unit. The quantity in alternate unit will be calculated automatically according to the conversion factor. For 0.5ltr, quantity in alternate unit will be 2 litres (0.5*4) and for 10ltr, quantity in alternate unit will be 20 (2*10). Hence total quantity of paint sold in Main and Alternate unit will come as 6 boxes and 22 litres respectively.

    • Treat Parameter Value as Conversion Factor - This data field appears after each Parameter name and gets active only if you specify the Entry Type as Open for a parameter. Specify 'Y' in this data field if you want to treat the value entered in the parameter column as the conversion factor. At the time of data entry, value entered for the parameter will be multiplied with the main quantity to get the quantity in alternate unit.

  • Parameter Stock Adjustment Through Dropdown List - Specify 'Y' in this data field if you by default want to have a dropdown list at the time of adjusting parameterized stock. With this, a dropdown list displaying value of stock to be adjusted will appear on enter of parameter name columns. If you specify 'N' in this data field then while adjusting parameterized stock, you have to manually enter the parameterized stock adjustment details.

  • Input Transaction Price & Value for each Parameter Combination - Enable this option if you want to enter price & amount for each parameter combination.

  • Maintain MRP also - Enable this option if you want to maintain MRP with item parameter combinations.

  • Maintain Sale Price also along with MRP - This option appears if you have enabled Maintain MRP also option. Enable this option if you want to maintain Sale price of item parameter combinations along with item MRP.

  • Generate BarCode No. - Enable this data field to generate Bar Code number. Bar Code number will be a unique number generated for each parameterized row of an item. On enabling this data field, BarCode No. Config group gets active. Various data fields under this group are:

    • Prefix - Specify prefix for the Bar Code number.

    • No of Characters for Barcode Numbers - Specify the number of characters to be used for generating auto number part of Bar Code number.

    • BCN Adjustment w/o BCN Stock - Select from the list that whether, you want to allow, disallow or give warning only at the time of adjusting stock to a BCN having zero stock.

  • Group Parameterized Stock on the basis of Alternate Qty. Con. Factor - This data field gets active only if you have enabled the feature of Alternate Units of Items under Features / Options > Inventory tab. Enable this option if you want to group parameters on the basis of alternate quantity conversion factor also. Basically on enabling this option, it will not club the alternate quantity for the same parameters and will show separate combinations for different alternate quantity entered for the same parameter.

Parameter Name and values specified in the Features / Options à Inventory tab are default values. You can define separate parameter name and value for individual Item Group. In Item Group master, a Parameterized Stock Details Configuration group appears in which you can specify the parameter name and value which would be applicable for all the items falling under the specified Item Group.

Enabling Parameterized Details Item-wise

Parameterized details need to be enabled Item-wise. To enable parameterized details for an item, open Item master and specify ‘Y’ in the Parameterized Details option. Parameterized configuration of Item Group under which the item falls will then be applicable for the item. If you have some opening stock then you can enter the parameterized stock for it also. While saving Item master, a Parameterized Stock Details window appears in which you can enter the parameter-wise bifurcation of opening stock.

Entering Parameterized Stock

While entering a Purchase or Quantity in voucher when you press <Enter> key on the Unit data field of the Item Grid, a Parameterized Stock Details window appears. In the window, you can specify the parameterized details of the quantity purchased. Given here is a screenshot of Purchase voucher with Parameterized Stock Details window.
Purchase voucher with Parameterized Stock Details window

Enter parameterized details of item in the Parameterized Stock Details window. According to the above screenshot, parameter wise bifurcation of 50 pieces of Shirts is as follows:

15 pieces are of Color Blue, Size M and Style MB

10 pieces are of Color Blue, Size XL and Style XLB

5 pieces are of Color Blue, Size XXL and Style XXLB

12 pieces are of Color Gray, Size M and Style MG

6 pieces are of Color Gray, Size XL and Style XLG

2 pieces are of Color White, Size M and Style MW

Adjusting Parameterized Stock

While entering a Sales or Qty. Out voucher, you can adjust the parameterized stock of item. In the Sales or Qty. Out voucher when you press < Enter> key on the Unit data field, a Parameterized Stock Details window appears in which you can adjust the quantity sold. Given here is a screenshot of Sales voucher with Parameterized Stock Details window.
Sales voucher with Parameterized Stock Details window

Parameterized Stock Details window shows all the existing parameter combinations for the item. You can select the parameter combinations to which you want to adjust the quantity sold.

Viewing / Printing Parameterized Stock Details

To view / print parameterized stock details, BUSY provides the Param-wise Stock Status report under Display / Printing menu. On clicking the Param-wise Stock Status report under Display menu, three options are displayed. The options are:

·        Parameterized Closing Stock

·        Parameterized Opening Stock

·        Parameterized Ageing

Parameterized Closing Stock

Parameterized Closing stock report displays the parameter-wise closing stock of item. On clicking this report, three options are displayed. The options are:

·        Balances Only

·        Detailed

·        Columnar

Let us discuss these reports in detail.

Balances Only

Balances Only report displays closing stock of item on various parameters. The report will display the total closing stock and its bifurcation on the basis of different parameter combinations.

Detailed

Detailed report displays the opening stock, quantity in, quantity out and closing stock of item on different parameter combinations.

Columnar

Columnar report displays the closing stock of the item as per the columns configured by you or the auto generated columns. The main highlight of this report is that you can make all the values of a single parameter as Report Columns. For example, you have two parameters named Color and Size and you want to make value of parameter Size as Report Columns. For this, you have to specify parameter number as 2 in the Parameter Number for Creating Report Column data field in the Report Options window. Now in the report, for parameter name Color a single column with the name Color will appear and for parameter named Size, various columns with name Small, Medium, XL, XXL will appear.

On clicking the Columnar option, following two options appear:

·        Auto Configured - On selecting this option, you need to specify the parameter number for which the report columns will be generated. All the values of the parameter number will then become the columns of the report.

·        Self Configured - Select this option if you want to view only specified parameter values as Report columns. This report will work on the format specified by you. Only difference between this Auto Configured and Self Configured option is that in Self Configured option, you can specify the parameter values that you want to make as Report Column whereas in Auto Configured, all the values of a parameter will become the Report Columns. To create a Report format, you can use the Administration à Configuration à Columnar Reports à Parameterized Stock Status option.

Let us discus the configuration of Columnar Parameterized Stock Status report. To configure columns of Parameterized Stock Status report, click Administration à Configuration à Columnar Reports à Parameterized Stock Status option. On clicking the Parameterized Stock Status option, a Columnar Parameterized Stock Status Configuration window appears. In the window, create a new format using the Add Format button. After creating the format, select the format and click the Configure button. On clicking the Configure button, a Columnar Parameterized Stock Status Configuration window appears. Given here is a screenshot of Columnar Parameterized Stock Status Configuration window.

Columnar Parameterized Stock Status Configuration window

In the Columnar Parameterized Stock Status Configuration window, a data field and a grid appear. The data field and grid are:

·        Format to be configured for Parameter No. - Specify the parameter number for which Report columns are to be generated.

·        Parameter Details - Under Parameter Details grid, there are various fields. The fields are:

o       Parameter Value - Specify the parameter value for the parameter number specified in the Format to be configured for Parameter No. data field. For example, you have specified 3 in the Format to be configured for Parameter No. data field and at the the third number Style parameter is specified for an item and in the Parameter Value grid, you have specified the value as S, M, XL and XXl. In this case the report columns will be: Style (S), Style (M), Style (XL) and Style (XXL).

o       Size - Specify the width or character size to be used in the report for specified parameter value.

Parameterized Opening Stock

Parameterized Opening Stock report displays the parameter-wise opening stock of item. For more details, you can refer to Parameterized Closing Stock report explained above.

Parameterized Ageing

Parameterized Ageing report displays the parameter wise total pending quantity and the time slabs under which the pending quantity falls i.e. the period from which the quantity is pending.


Parameterized Invoicing

Parameters are the additional characteristics or attributes that can be defined for an item. For example, for an item Shirt, different parameters could be Size and Color. By maintaining parameterized stock, you can make sale/purchase on the basis of item parameters and can view parameterized stock reports also. Continuing with above example, you can anytime check availability of Shirts with Color Blue and Size XL or on any other parameter.

In BUSY you can print value for any set of parameter combinations. In this document we will discuss the fields provided for parameterized printing. To print a set of parameter combination, you have to design or configure an invoice format. Let us now discuss the steps to configure an invoice format.

Configuring Invoice Format

To configure a format for printing parameter combinations as per your requirement, you can use the Administration à Configuration à Document Printing à Advanced option. On clicking the Advanced option, a Document Configuration (Advanced) window appears. The window displays list of all the documents that can be configured for printing. Steps to configure all the invoices are almost similar. In this document we will take example of a Sales voucher to explain the steps to configure an Invoice. You can follow the same steps and configure an invoice for parameterized details.

To configure a Sales invoice, perform the following steps:

Ø Click Administration à Configuration à Document Printing à Advanced option. On clicking the Advanced option, a Document Printing (Advanced) window appears. Select the Sales Invoice option on the left hand side and click the Add Format button on the right hand side of the window.

Ø On clicking the Add Format button, a Document Format – Add window appears in which you have to specify the name of the format.

Ø After creating a format, a plus sign appears with the Sales Invoice option. Click the plus sign and select the required format. After selecting the format, click the Body button on the right hand side to configure the Invoice body.

Available Parameterized Fields

On clicking the Body button, a Configure Sales Invoice Body window appears. Press <Alt+F4> key to load list of available Fields. In the list, five fields related to parameterized invoicing are provided. The fields are:

1. <PARAM_SUM_QTY,@Value,5.2,R> - This Field prints quantity of specified parameter value combination.

2. <PARAM_SUM_ALTQTY,@Value,5.2,R> - This Field prints quantity in Alternate unit of the specified parameter value combination.

3. <PARAM_SUM_PRICE,@Value,5.2,R> - This Field prints price of the specified parameter value combination.

4. <PARAM_SUM_ALTPRICE,@Value,5.2,R> - This Field prints price of Alternate quantity of the specified parameter value combination.

5. <PARAM_SUM_AMOUNT,@Value,5.2,R> - This Field prints amount or total value of the specified parameter value combination.

Syntax for using Parameterized Fields

Syntax for using all the above five fields is totally similar. Hence we will discuss the syntax of <PARAM_SUM_QTY,@Value,5.2,R> field only.

To explain the <PARAM_SUM_QTY,@Value,5.2,R> field we will divide the field into three parts:

<PARAM_SUM_QTY,@Value,5.2,R>

PARAM_SUM_QTY – This is the fixed part and it has to be written to get the quantity of the specified parameter value combination.

@Value – In this part you have to specify the value for the parameter combinations whose quantity you want to print. To define value of parameter combination, two basic symbols - semicolon ( ; ) and colon ( : ) are used.

A Semicolon (;) works as ‘And’ and a Colon ( : ) works as ‘Or’ symbol.

A Semicolon means matching all the specified values and a Colon means matching any of the specified value.

For example, you want to view Shirts with Color Blue and Size XL then you have to use a Semicolon symbol. The syntax will then be @Blue;XL. The full format will then be <PARAM_SUM_QTY,@Blue;XL,5.2,R>.

But if you want to view Shirts of Color Blue and Size XL or Color White and Size XL then you can use a Colon symbol along with a Semicolon symbol.

The syntax will then be @Blue;XL:White;XL. The full format will then be <PARAM_SUM_QTY,@Blue;XL:White;XL,5.2,R>.

5.2,R – This part specifies the characters to be used and the alignment position for printing this field. Here 5.2 symbolises that total 5 characters are to be used for printing this field and out of five, 2 characters are to be used for decimal places. R symbolises that printing will be Right aligned. However if you want to Left or Centrally aligned the text then you can use the ‘L’ or ‘C’ character.

Case Scenario

Now that we have explained the syntax of using parameterized fields, let us discuss various case scenarios or examples to use parameterized fields.

To explain the fields we will use following data:

Total quantity of Shirts sold – 50

Parameterized Bifurcation:

Color | Size | Qty | Price
Blue | M | 15 | 200
Blue | XL | 10 | 210
Blue | XXL | 5 | 225
White | M | 12 | 200
White | XL | 6 | 205
Black | XXL | 2 | 220

Example 1: To print total stock sold

<PARAM_SUM_QTY,@;,5.2,R> {A Semicolon can also be used to pick all the
values of a parameter}

Result – 50.00

Example 2: To print total quantity of White shirts sold

<PARAM_SUM_QTY,@White;,5.2,R>

Result – 18.00

Example 3: To print total quantity of shirts sold with Color Blue and Size XL

<PARAM_SUM_QTY,@Blue;XL,5.2,R>

Result – 10.00

Example 4: To print total quantity of shirts sold with Size XL and Color Blue or White

<PARAM_SUM_QTY,@Blue;XL:White;XL,5.2,R>

Result – 16.00

Example 5: To print price of Shirts sold with Color Black

<PARAM_SUM_PRICE,@Black;5.2,R>

Result – 220.00

Example 6: To print total amount of Black shirts sold

<PARAM_SUM_AMOUNT,@Black;5.2,R>

Result – 440.00

Example 7: To print total quantity, price and amount of Shirts sold with Size XL

Qty = <PARAM_SUM_QTY,@;XL,5.2,R>

Price = <PARAM_SUM_Price,@;XL,8.2,R>

Amount = <PARAM_SUM_Amount,@;XL,8.2,R>

Result – Qty = 16.00

Price = 208.12 (Average Price i.e. Total Amount / Total Quantity
3330/16 = 208.125)

Amount = 3330.00


Configuration

Knowledge Documents > Designing Documents

Designing Documents

Inventory documents includes documents on various inventory features of BUSY. The documents covered under this section are:

  • Document Designing in BUSY
  • Using Drawing Objects in Document Designing


Document Designing in BUSY

Knowledge Documents > Designing Documents > Document Designing in BUSY

Need for Document Designing

In a business scenario, keeping track of different types of expenses and income is important. This assumes greater significance when government authorities demand a well-maintained record of expenses and incomes. To keep a record certain document are used such as sales invoice, payment advice, and so on. These documents form a vital part of the accounting system for any organization. Moreover, these documents can be different in their formats since different organizations have different needs. To simplify the maintenance of different formats, the formats for sales invoice and many other documents are fully configurable in BUSY. In other words you can configure the documents according to your requirement by adding name, address, print styles and data fields in your document.

Print Styles and Data Fields have been explained in the second section of the document under Advanced Configuration.

In BUSY you can configure documents based on three types of configuration, Standard, Advanced, and Copy Title Configuration. Let us discuss these in detail.

Standard Configuration

Under Standard Configuration, you can configure the document for basic design such as company name, address, signatory information and so on.

Use this configuration if you want basic configuration for your documents.

Let us understand standard configuration with the help of an example. Smart Clothing company wants to define a basic configuration for the sales invoice.

To define standard configuration, perform the following steps:

  • Click Administration à Configuration à Document Configuration à Standard à Select the document (Sales Invoice) for which you want to configure the format.

On selecting a document, a Configure Sales Invoice (Standard) window appears. Given here is a screenshot of Configure Sales Invoice (Standard) window.

Configure Sales Invoice ( Standard ) window

In the Configure Invoice Sales (Standard) window there are various groups containing different data fields in which data needs to be entered. The groups are:

  • Invoice Heading
  • Company Name
  • Header Info.
  • Address
  • Body
  • Header
  • Printing Options
  • Logo
  • Declaration
  • Footer
Invoice Heading

There are four options in this data field. The options are:

  • Auto Print 'Tax Invoice' or 'Retail Invoice' on the basis of the Sale Type – If you select this option then Tax/Retail Invoice as mentioned in the Sale Type will appear in the document.
  • As Mentioned Below – If you select this option then Invoice Heading as specified in the Invoice Heading data field will appear in the document.
  •  As Mentioned in Sale Type - If you select this option then the Invoice Heading as mentioned in Invoice Heading data field in the For Printing in Documents Option Box in the Sale Type master will appear in the document.
  • None - Select this option if you do not want to print an Invoice heading.

Company Name

Enter the name of the company in this data field. By default, the company name as mentioned at the time of company creation is displayed in this data field. This data field will be deactivated on specifying 'Y' in the Pre-Printed Header data field.

Header Info

Under Header Info. group, two data fields appear. The data fields are:

  • Pre-Printed Header
  • No. of Lines to Skip

Pre-Printed Header

Specify 'Y' in this data field if the page on which you are printing the document has a pre printed header. For example, you are printing the document on the letter head of your company, in this case you need to leave some space at the top of the page so that printing will start after a specified region. For this purpose, you have to specify 'Y' in this data field. On specifying 'Y' in this data field, Company Name, Address, Header and Logo sub group will be deactivated as it will be assumed that these details will not be required to print in case of paper having a pre printed header.

No. of Lines to skip

This data field gets activated if you have specified 'Y' in the Pre-Printed Header data field. Specify the number of lines to be skipped from the top of the page before starting the printing.

Address

Enter the address of the company in this data field. This data field will be deactivated on specifying 'Y' in the Pre-Printed Header data field.

Body

Under this group, there are two options. The options are:

  • Automatic
  • Self Configured

Automatic

Select this option if you want Body Items to appear in the default format as designed by BUSY.

Self Configured

Select this option if you want to configure Body items. On selecting this option, a button appears next to this data field. On clicking the button, a Configurable Body Items window appears. Given here is a screenshot of Configurable Body Items window.

Configurable Body Items window

In the Configurable Body Items window, specify the total character length to be used for each item component and the caption or heading to be used for it in the report. If you do not want to print any item component then specify the character length as zero for it.

Header

Enter the header for the document in this data field. For example, in the screenshot given above, SMC, abbreviated name for the company is written in the data field. This data field will be deactivated on specifying 'Y' in the Pre-Printed Header data field.

Printing Options

Under this sub group, there are various data fields. The data fields are:

  • Print Outer Box & Vertical Lines
  • Print 'Pre Authenticated' on Invoice
  • Print ITC Eligibility
  • Print Copy Title (Original/Duplicate etc.)
  • Print Voucher Creation Time
  • Print VAT Separately With Items (Retail Invoice)
  • Print VAT Separately With Items (Tax Invoice)
  • Print Narration
  • Print Challan No.
  • Print Order No.
  • Print Totals of Qty. Also
  • Print Daily Message
  • Use Full Page for Document
  • Eject Page After Printing
  • Print Zero Amount Bill Sundries
  • Print Excise Details Also
  • Print Batch / Serial No. / Param - wise Details
  • Optional Fields & Transport Details Printing

Print Outer Box & Vertical Lines

Specify 'Y' in this data field if you want to print outer box and vertical lines in the document.

Print 'Pre Authenticated on Invoice'

Specify 'Y' in this data field to print 'Pre Authenticated' on Sales Invoice.

Print ITC Eligibility

Specify 'Y' in this data field if you want to display the status of ITC (Input Tax Credit) Eligibility in the document.

Print Copy Title (Original/Duplicate etc.)

Specify 'Y' if you want to print copy title. The copy title information is picked from the Copy Title Configuration under Document Printing. For more information on Copy Title, please refer to the Copy Title Configuration topic explained below.

Print Voucher Creation Time

Specify 'Y' in this data field, if you want to display the time of creation of the voucher in the document. By default, the value is 'N' in this data field.

Print VAT Separately With Items (Retail Invoice)

Specify 'Y' if you want to print the VAT amount separately with items. This is possible in case of Multi Tax or Tax Inclusive Sale Types. For example, in case of Multi Tax if you want the tax amount to be printed separately with all the items then specify 'Y'. Similarly, in case of Tax Inclusive if you want the tax amount to be reflected along with the items (by reverse calculation) then specify 'Y'.

Print VAT Separately With Items (Tax Invoice)

Specify 'Y' if you want to print VAT amount with items. This is possible in case of Multi Tax or Tax Inclusive Sale Types. For example, in case of Multi Tax if you want the tax amount to be printed separately with all the items then specify 'Y'. Similarly, in case of Tax Inclusive if you want the tax amount to be reflected along with the items (by reverse calculation) then specify 'Y'.

Print Narration

Specify 'Y' in this data field if you want to print narration in the document.

Print Challan No.

This data field appears if you have enabled the Enable Sale/Purchase Challan option in the Administration > Configuration > Features/Options > Inventory tab. Specify 'Y' in this data field if you want to print challan number details in the document.

Print Order No.

This data field appears if you have enabled the Enable Order Processing option in the Administration > Configuration > Features/Options > Inventory tab. Specify 'Y' in this data field if you want to print order number details in the document.

Print Totals of Qty. Also

Specify 'Y' in this data field if you want to display the totals of the quantity of multiple items. For example, if you have made a single invoice for five items and you specify 'Y' then the sum of the quantity sold for all the items is displayed. By default, the value is 'N'.

Print Daily Message

Specify 'Y' in this data field if you want to print daily message in the document. Daily message will be picked from the Update Daily Message option provided under the Utilities menu.

Use Full Page for Document

Specify 'Y' if you want to use the full page for the document. Let us understand with the help of an example. For Smart Clothing, the sale invoice is made separately for different items. In a single invoice there is only one item and consequently the space taken while printing the invoice is very less. If Smart Clothing specifies 'N' in this data field then while printing the invoice, printing is stopped after the item information of first invoice is printed. This enable the second invoice to be printed on the same page.

Eject Page After Printing

Specify 'Y' if you want to eject the page after printing. Let us understand with the help of an example. Smart Clothing specifies 'N' in this data field. Now when printing the invoice, after the invoice is printed the printer stops at the last point and does not cover the full length of the page. On the other hand, if Smart Clothing specifies 'Y' then the printer will cover the full length of the page even if actual printing finishes in the middle of the page.

Print Zero Amount Bill Sundries

Specify 'Y' in this data field if you want to print those Bill Sundries also which have a zero amount in the voucher.

Print Excise Details Also

Specify 'Y' in this data field if you want to print Excise details also. On specifying 'Y' in this data field, a Configure button appears. On clicking the Configure button, a Printing Options for Excise Details window appears. In the window, select the required options that you want to print in the invoice.

Print Batch/Sr. No. /Param - wise Details

This sub group appears if you have enabled Enable Batch-wise Details, Enable Serial No. - wise Details or Enable Parameterized Details option in Administration > Configuration > Features/Options > Inventory tab. Under this group, three options appear: Batch-wise, Sr.No.-wise, Parameterized. Specify 'Y' against the options that you want to print in the document.
Optional Fields / Transport Details Printing

Click this button to configure printing of Optional Fields and Transport details. On clicking this button, an Optional Fields / Transport Details window appears. Given here is a screenshot of Optional Fields / Transport Details window.

Optional Fields / Transport Details window

In the Optional Fields / Transport Details window, select As Specified in Voucher Series Configuration option, if you want to pick printing configuration of Optional Fields & Transport Details from the Vouchers Configurations. On selecting this option, printing of Optional Fields & Transport details will be dependent on the configuration settings in Vouchers Configuration.

If you want to configure Optional Fields & Transport details printing then select the As Mentioned Below option. On selecting this option, all the further data fields gets activated and you can specify which of the Optional Fields and transport fields should be printed in the documents. To specify the same, you need to select the checkbox against the Optional/Transport details field under Print in Documents column.

Logo

Under Logo group, you can specify whether you want to print any logo in the document and further specify different characteristics for logo. Various data fields under Logo group are:

  • Print Logo - Specify 'Y' in this data field if you want to print a logo in the document.
  • Image Path - Specify the path of the logo to be printed in the document.
  • Position - Select the position at which the logo is to be printed in the document.
  • Print Type - Select the print type from the list. In the list, there are two options. The options are:
    • Superimpose - Select this option if you want to superimpose the image. If you select this option then image will be printed at the specified position and can overlap any text or image placed at that position.
    • Create Space - Select this option to create space for the image. If you select this option then first space will be created for the image at the specified position and then the image will be printed. In this case image will not overlap any existing text or image.
  • Height - Specify the height of the image. Specify 0 in this data field if you want to print default height of the image.
  • Width - Specify the width of the image. Specify 0 in this data field if you want to print default width of the image.

Declaration

Enter the declaration, if any, in the data field.

Footer

Under Footer group, two data fields appear. The data fields are:

  • Terms & Conditions
  • Signatory Information

Terms & Conditions

Enter the terms & conditions, if any, in the data field. By default, terms and conditions commonly stated are displayed in the data field. You can change these as per your requirement.

Signatory Information

There are two data fields under Signatory Information. You can specify any information that you would like to display as signatory information in these data fields. By default, in the first data field, the name of the company is displayed while in the second data field 'Authorised Signatory' is displayed.

  • Click the Save button to save the standard configuration settings.

To view the documents in the desired format you need to print the documents. To print the document, click Printing à Print Utilities à Documents à Select the desired document. Further, you need to select the format for printing under Format for Printing data field in Printing Options window.

Now that we are comfortable with Standard Configuration for documents, let us move on to Advanced Configuration for documents.

Advanced Configuration

Using Advanced Configuration, you can take document designing to a higher level. For example, you can select the data fields to be displayed or you can decide whether the text appears bold or italicised. On similar lines, there are many other designing features that can be used.

We can broadly divide advanced configuration section into three levels:

  • Basic Advanced Configuration
  • Latest Advanced Configuration
  • Designing Features & Related Problems

Let us discuss the advanced configuration in detail beginning with the basic advanced configuration.

Basic Advanced Configuration

Let us understand Basic Advanced Configuration with the help of the example of Busy Infotech Pvt. Ltd. Busy Infotech has created a format for Sales invoice using Standard Configuration. There are certain types of Sale invoices for which more details in terms of fields are required. In addition, Busy Infotech wants to apply certain formatting styles on the invoice. For this purpose it uses the Advanced Configuration option.

To define advanced configuration, perform the following steps:

  • Click Administration à Configuration à Document Configuration à Advanced menu.

On clicking the Advanced option, a Document Configuration (Advanced) window appears. Given here is a screenshot of Document Configuration (Advanced) window.

Document Configuration (Advanced) window

You can define advanced configurations for all the listed documents such as receipt, sales invoice, debit note, purchase order, and so on.

  • Select the document that you want to configure from the list (Sales Invoice).
  • Click the Add Format button available on the right side of the Document Configuration (Advanced) window. On clicking the Add Format button, a Document Format – Add window appears.

You can create multiple formats for one document.

Given here is a screenshot of the Document Format – Add window.

Document Format – Add window
  • Enter the name for the format à Click the Save button to save the format.

On clicking the Save button the Document Format – Add window closes and a plus (+) sign appears next to the document for which you have created the format.

  • Click the plus (+) sign à Select the format that you have created.

On selecting the format, various buttons become active. Out of those, there are button for configuring Header, Body, and Footer.

  • Click the Header button to configure the header for the document.

On clicking the Header button, a Configure Sales Invoice Header window appears. Using the shortcut commands such as F4, Alt+F4, and so on you can define the configuration settings. The configuration settings can be defined for three elements. The three elements are:

  • Print Styles
  • Fields (Dynamic Data)
  • Data (Static Data)

Print Styles

Print Styles refer to the tags that are used to define formatting styles such as bold, italics, and so on.

Fields

Fields refer to the data fields that are displayed in the document such as alias, party name, date of voucher, and so on. Fields contain dynamic data. Dynamic data is the data that is loaded at runtime or the data that can be changed at anytime. Dynamic data refers to data that is displayed using the data fields. Examples of data fields are <PARTY_NAME,40> or <BILL_DATE,10>.

Data

Data refers to static data that is entered at the time of creating the format such as company name and which remains unchanged throughout.

Let us first understand the use of print styles and fields using the example of Busy Infotech Pvt. Ltd. In the sale invoice, party name in bold is to be displayed.

In the following steps we will add the Party Name field and apply the bold print style. For this purpose we will first add the bold print style followed by the field and finally add the bold close tag.

  • Press F4 key to invoke the list of print styles available. Given here is a screenshot of the Configure Sales Invoice Header with the list of available print styles.
Configure Sales Invoice Header window

Some of the basic print styles are explained here for your convenience. The print styles are:

  • BOLD_ON and BOLD_OFF – This print style increase the boldness of the characters.
  • DS_ON and DS_OFF – This print style is known as Double Strike. It prints the same character twice at the same place thus increasing the darkness of the character.
  • UL_ON and UL_OFF – This print style is known as Underline and as the name suggests it underlines the characters.
  • DW_ON and DW_OFF – This print style is known as Double Width. It increases the width of the character to twice the original size thus increasing the boldness of the character.
  • CPI12_ON and CPI12_OFF – This print style is known as Characters Per Inch. In other words, CPI defines the number of characters that are printed in an inch. By default, 10 characters are printed in an inch. By using the CPI_12 print style you can print 12 characters in an inch thus accommodating more characters in same space.
  • CONDENSE_ON and CONDENSE_OFF – This print style is used for printing more characters in same space. It can also be called CPI_17 print style since the concept is same as the CPI concept. By using the CONDENSE print style you can print 17 characters in an inch thus accommodating more characters in same space.
  • Select the print style (BOLD_ON) to be chosen à Press Enter key on the keyboard.

Now that you have added the BOLD_ON print style, you can add the field to be displayed.

  • Press Alt+F4 to invoke the list of fields available. Given here is a screenshot of the Configure Sales Invoice Header with the list of available fields.
Configure Sales Invoice Header window
  • Select the field (Party_Name) to be chosen à Press Enter key on the keyboard.

After adding the field you need to add the closing print style for bold print style.

If you do not close the print styles then the formatting style specified in the print style will be used throughout the format. For example, if you do not add a closing print style for BOLD_ON then all the text that you enter after the print style will be displayed in bold. Also, if you are using more than one print style then you have to close them in the reverse order. In other words the tag which is opened first should be closed last. For example - <Bold_On><Italic_On>Busy Infotech Pvt. Ltd<Italic_Off><Bold_Off>.

  • Press F4 to invoke the list of print styles available à Select the closing print style (BOLD_OFF) à Press Enter key on the keyboard.

Given here is a screenshot of the Configure Sales Invoice Header window displaying the chosen print styles and fields.

Configure Sales Invoice Header window

  • Click the Preview button to view the preview of the header. On clicking the Preview button, a Preview Screen appears. Given here is a screenshot of the Preview Screen.
Preview Screen window

The data appears as XXXX… since currently no data is available. At the time of printing, actual data from party name will be displayed in the given space.

As discussed before we can configure the document by adding static data also. Let us understand configuration of static data using the example of Busy Infotech. Busy Infotech wants that the company name should always appear on the sales invoice. For this purpose, it needs to write the company name in the Configure Header window.

  • Enter the static data (company name) at the end of the BOLD_OFF print style. If you want to add some formatting styles to the static data then you can specify the static data between the carrot(^) sign also. The format for specifying the static data in between the carrot symbols is <^Busy Infotech Pvt. Ltd.^, 30, R>. Here Busy Infotech Pvt. Ltd. is the text that will be printed as it is in the report, 30 is the space allocated for it in the report and R symbolises that text will appear right aligned.

Given here is the Configure Sales Invoice Header window displaying the static data.

Configure Sales Invoice Header window

Given here is the Preview Screen for the header.

Preview Screen window

Busy Infotech wants the company name to appear at the extreme right of the header. For this purpose, there are two options. Either you can enter spaces manually i.e. by pressing the Spacebar key on the keyboard or a BLANK_SPACE field is provided to put blank spaces between the text. To use BLANK_SPACE field, press <Alt + F4> key and select the BLANK_SPACE field.

Given here is a screenshot of the Configure Sales Invoice Header window with the spaces between them.

Configure Sales Invoice Header window

Given here is a screenshot of the Preview Screen with space between texts.

Preview Screen window

To align the text in the desired position you need to enter spaces manually. In the screenshot given above, the address is centrally aligned with the help of spaces entered manually.

Now that we have discussed basic advanced configuration, let us discuss some latest features that have been added in advanced configuration.

Latest Advanced Configuration

In BUSY, documents such as sales invoice, payment advice and so on are fully configurable. In other words you can configure the documents according to your requirement by adding print styles and data fields to your document. Till now you could configure the documents till a certain level. To take document designing to a new level we have introduced graphics (images, fonts, color, italic) and use of mathematical symbols or formulae in document designing. Using graphics you can include images in your format or you can make the document colourful by adding color and various fonts to your document. Using formulae, you can do calculation on any data fields.

Graphics

For using graphics in document designing four new features have been added. These are:

  • Image
  • Font
  • Italic
  • Color

This topic will be helpful to you only if you are comfortable with the basic level of document designing in BUSY. In case you are not comfortable then please refer to the topics before this topic in the Advanced Configuration section. Once you are familiar with document designing then you can read this document and use graphics in your document effortlessly.

To use these features, new print styles have been added. Given here is a screenshot of the Configure Sales Invoice Header window with list of the print styles including the new print styles.

Configure Sales Invoice Header window

Let us discuss the features and related print styles in detail.

Image

To include an image in the format select the IMAGE print style. Next you need to specify information regarding the path of the image and so on in the image print style. Let us understand with the help of an example. To include an image, we select the image print style.

Given here is the IMAGE print style.

<IMAGE, PATH, 0,0>

There are four parameters of the image print style. Let us discuss each in detail.

  • IMAGE - This is a constant parameter that helps BUSY recognize the type of the print style. Do not change the value in this parameter.
  • PATH – This parameter allows you to specify the complete path including the name of the image file where the image is stored. For example, the image path can be C:\WINDOWS\Desktop\BUSY_logo_color.jpg.
  • 0 – This is the third parameter that allows you to specify the width of the image. The default value is 0, which means the original width of the image is used for displaying the image.
  • 0 – This is the fourth parameter that allows you to specify the height of the image. The default value is 0, which means the original height of the image is used for displaying the image.

The width and height parameters take the value in inches. For example, if you specify the width and height as 5 and 7 respectively then the image will be a 5" by 7" inches image.

Given here is a screenshot of the Configure Sales Invoice Header window with IMAGE print style with the parameters.

Configure Sales Invoice Header window

You can view the image only by taking a printout of the document. You cannot view the image in either the Document Preview Screen or the exported file.

An important point to remember while using images is the spacing between the image and the adjacent text. Need for spacing arises because all other printable data (static data and data fields) consume space, but the image does not consume any space on its own. Rather it overlaps whatever comes in its way. Thus, you need to give manual spaces between the image and adjacent text so as to avoid overlap between image and adjacent text.

Let us understand with the help of an example. You want the logo of your company to appear next to the name of the company. To include the logo you use the image print style. After specifying the appropriate parameters for the image print style, you write the name of the company. In such a case the image and the name of the company will overlap. Given here is a screenshot of Configure Sales Invoice Header window with no spaces between image print style and text.

Configure Sales Invoice Header window

Given here is a figure that simulates the resultant overlap between the image and text.

To avoid the overlap, you can either include spaces between the image print style and the text or can use the BLANK_SPACE field. Given here is a screenshot of Configure Sales Invoice Header window with spaces between image print style and text.

Configure Sales Invoice Header window

Given here is a figure that simulates the instance when you give spaces between the image print style and text.

Font

By default, the font used in the formats is Courier New. You can change the font to any other font depending on your requirement. To change the font select the FONT_ON print style. Next you need to specify information regarding the font name and font size in the FONT_ON print style.

You can use the Font print style to change the font for static data only. Static data refers to data that is entered at the time of creating the format such as company name and which remains unchanged throughout. In other words, you cannot use the Font print style for dynamic data i.e. the data that is loaded at runtime or the data that can be changed at anytime. Dynamic data refers to data that is displayed using the data fields. Examples of data fields are <PARTY_NAME,40> or <BILL_DATE,10>. Thus, you can use the font print style with static data only and not with data fields.

The reason is that all the fonts except Courier New take different spaces for different characters. Let us understand with the help of an example. Using Courier New if you type 'W' or 'i' it will take the same space for both the characters. On the other hand if you use a font such as Verdana then it will take different spaces for 'W' and 'i'. Since for dynamic data we do not know what characters are going to be used we cannot use another font. If we use another font then the data will not be properly aligned.

Let us understand with the help of an example. To change the font, we select the FONT_ON print style.

Given here is the FONT_ON print style.

<FONT_ON,Courier New,10>

There are three parameters of the FONT_ON print style. Let us discuss each in detail.

  • FONT_ON - This is a constant parameter that helps BUSY recognize the type of the print style. Do not change the value in this parameter.
  • Courier New – This parameter allows you to specify the name of the font. For example, you can specify the font name as Verdana. By default, the value in this parameter is Courier New.

You need to be careful while entering the font name. Ensure that the spellings are correct. If you enter the wrong spellings, the default font is used.

Font name is not case-sensitive. You can enter the font name as VERDANA/Verdana/verdana. As long as the spellings are correct the font will be displayed.
  • 10 – This parameter allows you to specify the size of the font. The default value is 10. You can change this value to any desired value.

If you do not specify a font print style for text then the default font, Courier New will be used.

After you have specified the parameters for the FONT_ON print style, you need to add the closing print style, FONT_OFF print style. The closing print style allows you to limit the application of the print style.

Let us understand with the help of an example. You want the name of the company to appear in Verdana font with size 14 in the first line. In the next line you want the address of the company to appear but in a smaller size (10) than the company name. For this purpose you will add a FONT_ON print style for the company name and add a FONT_OFF print style to close the print style after the company name. Next you will add a new FONT_ON print style for the address of the company and close it with FONT_OFF print style.

If you do not close the font print style then the font specified in the print style will be used throughout the format.

Given here is a screenshot of the Configure Sales Invoice Header window with FONT_ON and FONT_OFF print styles with the parameters.

Sales Invoice Header window

To view the preview of the format, click the Preview button in the Configure Sales Invoice Header window. Given here is a screenshot of the Preview Screen that appears on clicking the Preview button.

Preview Screen window

Italic

You can italicise the text in the document format by selecting the ITALIC_ON print style. There are no parameters in this print style. You simply need to add the ITALIC_ON print style from where you want to italicise the text and add the corresponding ITALIC_OFF print style where you want to stop italicising the text.

Let us understand with the help of an example. You want the address of the company to appear below the name of the company in italics in the sales invoice header. For this purpose you add the ITALIC_ON print style before the address and add the ITALIC_OFF print style after the address.

Given here is a screenshot of the Configure Sales Invoice Header window with ITALIC_ON and ITALIC_OFF print styles.

Configure Sales Invoice Header window

Given here is a screenshot of the Preview Screen displaying the italicised text.

Preview Screen window

To align the text in the desired position you need to enter spaces manually. In the screenshot given above, the address is centrally aligned with the help of spaces entered manually.

Color

You can add color to the document format by selecting the COLOR_ON print style. By default, black color is used in the document format. You can change the font color to any other color depending on your requirement. To change the color select the COLOR_ON print style. Next you need to specify information regarding the color code in the COLOR_ON print style. Let us understand with the help of an example. To change the color, we select the COLOR_ON print style.

Given here is the COLOR_ON print style.

<COLOR_ON,0>

There are two parameters of the COLOR_ON print style. Let us discuss each in detail.

  • COLOR_ON - This is a constant parameter that helps BUSY recognize the type of the print style. Do not change the value in this parameter.
  • 0 – This parameter allows you to specify the code of the color. By default, the value in this parameter is 0, which is the colour code for black. You can change this value according to a different color. For example, if you want to use the royal blue color then you need to enter the code of the royal blue color.

To help you know the code of the color, there is a Pick Color button. On clicking the button, a Colour window appears. You can select the colour of your choice and click the Ok button. On clicking the Ok button the code of the colour appears in the text box next to the Pick Colour button. You can copy this colour code by using short cut key Ctrl+C and paste it in the COLOR_ON print style parameter using short cut key Ctrl+V.

After you have specified the code in the COLOR_ON print style, you need to add the closing print style, COLOR_OFF print style. The closing print style allows you to limit the application of the print style. Given here is a screenshot of the Configure Sales Invoice Header window with COLOUR_ON and COLOUR_OFF print styles.

Configure Sales Invoice Header window

Given here is a screenshot of the Preview Screen displaying the colored text.

Preview Screen window

If you use any of the four new features, image, font, italic, or colour in the document designing then you can print only in the windows mode. Even if you have stated the default mode as DOS mode, the printing will be done in windows mode only.

Formulae

In Document Designing, you can also apply formulae for calculation purpose. If you want to calculate combined value of two or more data fields or you want to add/multiply/divide/subtract value of a data field with any number then you can use formulae. For example, you want to calculate quantity of an item then you can specify the formula as <AMOUNT \ PRICE,16.2,R>.

Let us take some other example. You want to calculate the item amount by subtracting 2% discount from it. For this you can specify the formula as:

<Amount - {Amount *0.02},16.2,R>.

Important points to note for specifying formulae are:
Bracket should start with '{' and end with '}'
For division '\' sign should be used instead of '/' sign

Now that we are familiar with graphic designing let us take the discussion to a new level by discussing certain designing features and related problems that are commonly faced by many Users.

Designing Features and Related Problems

In this section we are going to look at some of the common problems faced by many users related to some designing features. These problems are:

  • Positioning of Background Image
  • Overlapping of Text
  • Using Symbols instead of Images

Let us discuss these in detail.

Positioning of Background Image

Background image is an image that is used as a background for the documents. Such images are generally very light in color and are required to cover the entire document. These are commonly known as watermarks. You can use an IMAGE print style to use a watermark in the document.

Let us understand with the help of an example. You want to use an image as a watermark for sales invoice. For this purpose, you add an image in the leftmost corner of the header in the format. The IMAGE print style is used for adding the image/watermark.

The size of the image (watermark) depends on the size of the paper on which the document is to be printed.

Given here is a screenshot of the Configure Sales Invoice Header window with the IMAGE print style used for a watermark.

Configure Sales Invoice Header window

The most common problem faced while using watermarks is regarding the position of the background image. Let us discuss some key points regarding the position of the watermark.

  • If the watermark is a background for the entire document, it should be placed at the top left corner of the header.
  • If the watermark is a background only for the body of the document, it should be placed in the left-most corner of the last line of the header.
  • If the watermark is a background only for the footer of the document, it should be placed at the top left corner of the footer.

The important thing to remember is that the document format moves from left to right and from top to bottom. Thus, the watermark should be the first and the leftmost object that is placed in the format.

Overlapping of Text

The problem of overlapping text is generally faced when the size of the preceding text is large compared to the size of succeeding text.

Let us understand with the help of an example. You are creating a header for the sales invoice in which you want the name and address of the company to appear. For this purpose you use the font print style. For the name of the company you specify the font size as 24 whereas for the address you specify the font size as 10.

Given here is a screenshot of the Configure Sales Invoice Header window with the font print styles for the name and address of the company.

Configure Sales Invoice Header window

In the Preview Screen the texts are aligned properly. To cross check you take a printout of the format. In the printout the name and address overlap. Given here is a figure that simulates the instance when the name and address overlap.

To avoid the overlap, you can perform one of the two steps given here.

  • Add the FONT_OFF print style for the preceding text (large text) in next line.
  • Insert an extra line between the two font print styles.
Add the FONT_OFF print style

To avoid the overlap, you can add the FONT_OFF print style at the beginning of the next line. In this way, you ensure that the line length that is determined by the font size is reverted back to the original in the new line. Given here is a screenshot of Configure Sales Invoice Header window with the FONT_OFF print style in the next line.

Configure Sales Invoice Header window

Given here is a figure that simulates the instance when the name and address do not overlap.

Insert an extra line

To avoid the overlap, you can insert an extra line between the large text and small text. The number of lines to be added between the different texts depends on the size of the large text. For example, if the font size of the large text is 24 then there should be at least two lines between the different texts to avoid overlap. Given here is a screenshot of Configure Sales Invoice Header window with the extra line between the name and address.

Configure Sales Invoice Header window

Given here is a figure that simulates the instance when the name and address do not overlap.

Using Symbols instead of Images

If you want to add images such as OM (\) or book image (&) in your document then instead of using images you can use certain fonts.

Let us understand with the help of an example. You want to add the image of OM in the header of the sales invoice. For this purpose you will need an image of OM but there is a far simpler way to use OM in your document. If you select the font as Wingdings and press backslash (\) then OM appears. Given here is a screenshot of the Configure Sales Invoice Header window with the OM symbol.

Configure Sales Invoice Header window

Given here is a screenshot of the Preview Screen displaying the OM symbol.

Preview Screen window

Similarly, you can use other symbols such as book or telephone by using certain characters in specific fonts. For example if you select the font as Wingdings and press '&' then you get a book image or if you press '(' you will get a telephone image.

To know which characters can be used to represent symbols you will need the character map feature in windows. To use the character map feature, go to Start à Programs à Accessories à System Tools à Character Map. Using this feature you can know about a variety of characters that can be used as symbols thus reducing the need for heavy images.

Copy Title Configuration

Using Copy Title Configuration, you can specify the title to be printed on different copies of the printed documents. Let us understand copy title configuration with the help of an example. Busy Infotech Pvt. Ltd. prints three copies of all the invoices. The first (original) is for the buyer, second (duplicate) is for the seller while the third (triplicate) copy is for the government authorities. For this purpose it needs to specify different titles for the invoice copies.

To define copy title configuration, perform the following steps:

  • Click Administration à Configuration à Document Configuration à Copy Title Configuration à Select the document that you want to configure title for (Sales Invoice).

On selecting a document, a Configure Copy Titles (Sales Invoice) window appears. Given here is a screenshot of Configure Copy Titles (Sales Invoice) window.

Configure Copy Titles (Sales Invoice) window

You need to enter data in the active data fields for copy title configuration. These data fields are:

  • First Copy – Enter the title for the first copy.
  • Second Copy – Enter the title for the second copy.
  • Third Copy – Enter the title for the third copy.
  • Fourth Copy – Enter the title for the fourth copy.
  • Fifth Copy & Above – Enter the title for the fifth and above copies.

After following the steps listed for different types of document configuration, you have successfully implemented document designing in BUSY.


Using Drawing Objects in Document Designing

Knowledge Documents > Designing Documents > Using Drawing Objects in Document Designing

Configuring Documents using Drawing Objects

To take Document Designing to a new level, BUSY has introduced certain drawing objects in the document configuration. With drawing objects, you can make your documents more attractive and appealing and you can design them as per your requirement. The drawing objects introduced by BUSY are: Outer Box, Horizontal Line and Vertical Line.

With Outer box, you can draw a box in the document which will basically act as a border drawn on the page. Outer box will be drawn depending on the Page length and maximum number of characters used in a row. On enabling the option of Outer box, you can draw Horizontal and Vertical lines in the document as per your requirement. Horizontal and Vertical lines will work only if the drawing of Outer box is enabled for the document. With the combination of Horizontal and Vertical lines, you can draw boxes also. In this document we will discuss in detail the three drawing objects introduced by BUSY. To explain the usage of drawing objects and the steps to use and configure the drawing objects, we have divided the document in two parts:

  • Standard Configuration
  • Advanced Configuration

Standard Configuration

In the Standard Configuration, you can enable or disable the printing of Outer Box and Vertical Lines in the documents. To enable the option of Outer Box and Vertical Lines for printing in Standard format, click Administration à Configuration à Document Printing à Standard option. On clicking the Standard option, a Configure Invoice (Standard) window appears. Given here is a screenshot of Configure Invoice (Standard) window.

Configure Invoice (Standard) window
  • Specify ‘Y’ in the Print Outer Box and Vertical Lines option.

On enabling the option, an outer box will be printed in the document. Given below are the two samples displaying Sales Invoice in Standard format; one having Print Outer box and Vertical Lines option disabled and another having Print Outer box and Vertical Lines option enabled.

Sales Invoice with Print Outer Box and Vertical Lines option disabled

Sales Invoice with Print Outer Box and Vertical Lines option enabled

In the Standard format, you can only enable the option of Print Outer Box and Vertical Lines. You cannot reconfigure Outer Box or lines in the Standard format. Outer box and Vertical Lines drawn in the Standard format are fixed and cannot be changed by the user.

Advanced Configuration

To configure or draw Horizontal or Vertical lines as per your requirement, you have to use the Advanced Configuration option. In the Advanced Configuration, you can create different formats to print documents in different styles. For example, you want Sales Invoice having Cash billing to be printed in different format and Sales Invoice having credit billing in different format. For this purpose you have to use Advanced Configuration option. To create separate formats, click Administration à Configuration à Document Printing à Advanced option. On clicking the Advanced option, Document Configuration (Advanced) window appears. Given here is a screenshot of Document Configuration (Advanced) window.

Document Configuration (Advanced) window

In the Document Configuration (Advanced) window, select the voucher type for which you want to create the format and click the Add Format button to create a new format. After creating a format, the next step is to configure the format. To configure the format, select the format and click the Configure button for Accounting vouchers and Header/Body/Footer button for the Inventory vouchers.

In this document, we will discuss about configuring the Horizontal or Vertical lines in a format. For detailed help on configuring documents for other features, please refer to the Document Designing in BUSY document.

To draw horizontal and vertical lines in a document, it is mandatory to enable the option of Print Outer Box and Vertical Lines. To enable the Print Outer Box and Vertical Lines option, select the required format and click the Page Settings button in the Document Configuration (Advanced) window (explained above). On clicking the Page Settings button, an Invoice Page Settings window appears. In the window, specify ‘Y’ in the Print Outer Box and Vertical Lines option to draw Outer box in the document and to configure Horizontal and Vertical lines for the document.

Height and Width of the Outer box will be dependent on Page length and maximum number of characters used in a row. For example, maximum number of characters used in a row is 90 then starting from left most side; a horizontal line will be drawn at the top and bottom of the document. The width of horizontal lines will be equivalent to the space required for printing 90 characters. Vertical lines will be drawn on the left and right hand side of the page depending on the Page length.

To configure Horizontal and Vertical lines in the document, perform the following steps:

  •

    Click Administration à Configuration à Document Printing à Advanced option.

  •

    Select the required Voucher Type and format.

  •

    Click Configure/Header/Body/Footer button.

On clicking the Configure/Header/Body/Footer button, a Configure Invoice window appears in which you can configure the horizontal and vertical lines to be printed in the document.

Let us now discuss one by one the configuration of Horizontal and Vertical lines. Before discussing the Horizontal and Vertical lines, there are certain recommendations for better printing of the horizontal and vertical lines. The recommendations are:

1.      Static text should be given using the carrot (^) symbol.

Carrot symbol is used to add some features to static data. The format for specifying the static data in between the carrot symbols is <^TIN:^, 6, L>. Here TIN: is the text that will be printed as it is in the document, 6 is the space allocated for it in the document and L symbolises that text will appear left aligned.

2.      Single Print style should be used throughout the document or throughout a part of the Invoice i.e. Header, Body and Footer. Various Print Styles are, CPI_12, Condense, CPI_10 and Normal.

3.      Blank spaces should be given using the <BLANK_SPACE,0> tag instead of giving blank spaces manually.

Horizontal Lines

With Horizontal Lines feature, you can draw horizontal lines in the document. The tag for using Horizontal line is BLH (Box Line Horizontal). Along with the tag, certain parameters are required to be specified to draw the horizontal line in the required position. The parameters are: L, R and F where L is for Left, R is for Right and F is for Full. The format for using these parameters is <BLH,L>, <BLH,R> and <BLH,F>. Let us now discuss the use of these tags in details.

<BLH,L>

With <BLH,L> tag, a Horizontal line will be drawn starting from the position where the tag is specified till it touches the outer box at the left hand side. For example, you have given the tag as:

<Blank_Space,10,L><BLH,L><^Smart Clothing^,14,L>

According to the above example, a horizontal line will be drawn in the format given below.

 <BLH,R>

With <BLH,R> tag, a Horizontal line will be drawn starting from the position where the tag is specified till it touches the outer box at the right hand side. For example, you have given the tag as:

<Blank_Space,10,L><^Smart Clothing^,14,L><BLH,R>

According to above example, a horizontal line will be drawn in the format given below.

<BLH,F>

With <BLH,F> tag, a full horizontal line will be drawn starting from the left most corner of the outer box and touching the right most corner of the outer box. For example, you have given the tag as:

<BLH,F>

According to above example, horizontal line will be drawn in the format given below.

Vertical Lines

With Vertical Lines feature, you can draw vertical lines in the document. The tag for using Vertical Lines is BLV <Box Line Vertical>. Along with the tag, certain parameters are required to be specified to print the line at the required position. The parameters are: T, B, F and A where T is for Top, B is for Bottom, F is for Full and A is for Auto. The format for using these parameters is <BLV,T>, <BLV,B>, <BLV,F> and <BLV,A>. Lets us discuss the use of these tags in detail.

<BLV,T>

With <BLV,T> tag, you can draw a vertical line starting from the position where tag is specified till it touches the top line of the Outer box. For example, you have given the tag as:

<Blank_Space,10,L><BLV,T><^Smart Clothing^,14,L>

According to the above example, Vertical line will be drawn in format given below.

<BLV,B>

With <BLV,B> tag, you can draw a vertical line starting from the position where tag is specified till it touches the bottom line of the outer box. For example, you have given the tag as:

<Blank_Space,10,L><BLV,B><^Smart Clothing^,14,L>

According to the above example, vertical line will be drawn in the format given below.

<BLV,F>

With <BLV,F> tag, you can draw a full vertical line starting from top line of the outer box and touching the bottom line of the outer box. For example, you have given the tag as:

<Blank_Space,10,L><BLV,F>

According to the above tag, vertical line will be drawn in the format given below.

<BLV,A>

With <BLV,A> tag, you can draw vertical line starting from the position where the tag is specified till it touches the top and bottom horizontal lines. This tag is slightly different from the tags explained above as according to above mentioned tags, lines drawn touched either one or both sides of the Outer box. But with this tag it is not mandatory that the line will touch the outer box. With this tag the vertical line will end at the horizontal lines that exist at the top and bottom of the point from where the vertical line originated. It is not necessary that the top and bottom horizontal lines will be of Outer box.

Let us understand this tag with the help of an example.

<Blank_Space,10,L><BLV,A><^Smart Clothing^,14,L>

According to the above tag, vertical line will be drawn in the format given below.

In the above example, if you have used <BLV,F> tag instead of <BLV,A> then vertical line will be drawn in format given below.

Now that we have discussed all the parameters used for drawing horizontal and vertical lines, let us have a look at various Invoice formats and the steps to configure them.

Format 1:

Steps to Configure above format are:

Line1: <Blank_Space,1,L><BLH,R>

Line2: <Blank_Space,1,L><BLV,A><BOLD_ON><^E. & O.E.^,9,L><Blank_Space,41,L>
          <BLV,A><^For^,3,L> <Blank_Space,1,L><COMPANY_NAME,25,L><BOLD_OFF>

Line3: <Blank_Space,2,L><^Goods once sold will not be taken back.^,50,L>

Line4: <Blank_Space,2,L><^Interest @ 18% p.a. will be charged if the payment^,50,L>
          <Blank_Space,1> <^Authorised Signatory^,20,L>

Line5: <Blank_Space,2,L><^is not made within the stipulated Period of Time^,50,L>
Line6: <Blank_Space,1,L><BLH,R>

Format 2:

Steps to configure above format are:

Line1: <BOLD_ON><COMPANY_NAME,40,L><BOLD_OFF>

Line2:

Line3:

Line4:<^PartyName:^,12,L><PARTY_NAME,35,L><BLV,F><BLANK_SPACE,3,L>
Line5:<BLH,R><^Address:^,12,L><ADD(4_LINE)_LINE1,35,L><BLANK_SPACE,4,L>
         <BLV,A><^Inv. Dt:^,13,L><VCH/BILL_DATE,10,L>

Line6:<Blank_Space,12,L><ADD(4_LINE)_LINE2,35,L><BLANK_SPACE,5,L><^Inv.
           No:^,13,L><VCH/BILL_NO,15,L>

Line7: <Blank_Space,12,L><ADD(4_LINE)_LINE3,35,L>

Line8: <Blank_Space,12,L><ADD(4_LINE)_LINE4,35,L>

Line9: <BLH,F>

Format 3:

To configure the above format, perform the following steps:

  •

    Click Administration à Configuration à Document Printing à Advanced option.

  •

    On clicking the Advanced option, a Document Configuration (Advanced) window appears. Select Sales Invoice voucher type and select the required format.

  •

    Click Body option.

  •

    On clicking the Body option, a Configure Sales Invoice Body window appears. Given here is a screenshot of Configure Sales Invoice Body window.

Configure Sales Invoice Body window is divided into various sections. We will now discuss the steps to be written in various sections of the window.

Items Information

Line1:<SR_NO,4,R><BLV,A><ITEM_NAME,25,L><BLV,A><QUANTITY,9.0,R><BLV,A>
          <UNIT,6,L><BLV,A><PRICE,10,R><BLV,A><AMOUNT,20.2,R>

Line2 :<BLH,F>

Bill Sundries Information

Line1: <Blank_Space,20><BLH,R>

Line2:<Blank_Space,20><BLV,A><BS_NAME,40,L><BLV,A><BS_AMOUNT,16.2,R>

Grand Totals Information

Line1: Blank_Space,20,L><BLH,R>

Line2:

Line3:<Blank_Space,45,L><Bold_On><^GrandTotal:^,12,L><Blank_Space,5>
         <AMOUNT_GRAND_TOTAL,16.2,R> <Bold_Off>

Let us take an example of full Invoice format and discuss the steps to configure it.

Format 4:

To configure the above invoice, perform the following steps:

  •

    Click Administration à Configuration à Document Printing à Advanced option.

  •

    On clicking the Advanced option, a Document Configuration (Advanced) window appears. Select Sales voucher type and select required format. After selecting the format, you have to configure it in three parts: Header, Body and Footer. First we will start with the configuration of Header part.

Header Configuration

To configure the Header part, click the Header button on the right hand side of the Document Configuration (Advanced) window. On clicking the Header button, a Configure Sales Invoice Header window appears. In the window, write the following steps:

Line1: <BOLD_ON><^INVOICE^,79,C><BOLD_OFF>

Line2: <BLH,F>

Line3: <BOLD_ON><COMPANY_NAME,39,L><BOLD_OFF><BLV,A><BLANK_SPACE,1,L>
          <^INVOICE No.^,22,L><BLV,A><BLANK_SPACE,1,L><^DATED^,14,L>

Line4: <COMPANY_ADD(2_LINE)_LINE1,39,L><BLANK_SPACE,2,L><BOLD_ON>
          <VCH/BILL_NO,22,L><BOLD_OFF><BLANK_SPACE,2,L><VCH/BILL_DATE,14,L>

Line5: <COMPANY_ADD(2_LINE)_LINE2,39,L>

Line6: <^TIN:^,5,L><COMPANY_TIN_NO,34,L>

Line7: <BLH,F>

Line8: <^Buyer's^,39,L><BLANK_SPACE,2,L><^Buyer's Order No.^,22,L><^:^,1,L>
          <BLANK_SPACE,1,L><PO_REFNO(FIRST),14,L>

Line9: <BOLD_ON><BILLED_PARTY_NAME,39,L><BOLD_OFF><BLANK_SPACE,2,L>
          <^DATED^,22,L><^:^,1,L><BLANK_SPACE,1,L><PO_REFDATE(FIRST),14,L>

Line10: <BILLED_ADD(2_LINE)_LINE1,39,L><BLANK_SPACE,2,L><^GR/RR No.^,22,L>
            <^:^,1,L> <BLANK_SPACE,1,L><GR/RR_NO,14,L>

Line11: <BILLED_ADD(2_LINE)_LINE2,39,L><BLANK_SPACE,2,L><^TRANSPORT^,22,L>
            <^:^,1,L><BLANK_SPACE,1,L><TRANSPORT,14,L>

Line12: <^TIN:^,5,L><BOLD_ON><PARTY_TIN_NO,34,L><BOLD_OFF>
            <BLANK_SPACE,2,L><^STATION^,22,L><^:^,1,L><BLANK_SPACE,1,L>
            <STATION,14,L>

Line13: <^TEL:^,5,L><PARTY_TEL_NO,34,L><BLANK_SPACE,2,L><^VEHICLE^,22,L>
            <^:^,1,L><BLANK_SPACE,1,L><VEHICLE_NO,14,L>

Line14: <BLH,F>

Line15:<BOLD_ON><CPI12_ON><^SL.^,5,C><BLV,A><BLANK_SPACE,1,L>
           <^DESCRIPTION^,33,L> <BLV,A><BLANK_SPACE,1,L><^Q U A N T I T
            Y^,21,C>
            <BLV,A> <BLANK_SPACE,1,L><^UNIT^,7,C><BLV,A><BLANK_SPACE,1,L>
            <^PRICE^,9,C><BLV,A><BLANK_SPACE,1,L><^AMOUNT^,10,C>

Line16: <^NO.^,5,C><BLH,R>

Line17: <BLANK_SPACE,5,L><BLV,A><BLANK_SPACE,34,L><BLV,A>
            <BLANK_SPACE,1,L><^BILLED^,9,C><BLV,A><BLANK_SPACE,1,L>
            <^FREE^,10,C><BLV,A><CPI12_OFF><BOLD_OFF>

Line18: <BLH,F>

Body Configuration

To configure the Body part, click the Body button in the Document Configuration (Advanced) window. On clicking the Body button, a Configure Sales Invoice Body window appears. In the window, write the following steps:

Items Information section

Line1: <CPI12_ON><SR_NO,3,R><^.^,1,L><BLANK_SPACE,1,L><BLV,A>
          <BLANK_SPACE,1,L><ITEM_PRINT_NAME,33,L><BLV,A><BLANK_SPACE,1,L>
          <QTY_BILLED,8.2,R><BLANK_SPACE,1,L><BLV,A><BLANK_SPACE,1,L>
          <QTY_FREE,9.2,R><BLANK_SPACE,1,L><BLV,A><BLANK_SPACE,1,L><UNIT,6,L>
          <BLANK_SPACE,1,L><BLV,A><BLANK_SPACE,1,L><PRICE,8.2,R>
          <BLANK_SPACE,1,L><BLV,A><BLANK_SPACE,1,L><AMOUNT,10.2,R>
          <CPI12_OFF>

Line2: <CONDENSE_ON><BLANK_SPACE,10,L><^Rate of Duty^,13,L> <^:^,1,L>
          <ITEM_ST_RATE_LOCAL,5.2,R><^%^,2,R><CONDENSE_OFF>

Line3: <BLH,F>

Sub Totals Information section

Line1: <CPI12_ON><BLH,F><CPI12_OFF>

Bill Sundries Information section

Line1: <CPI12_ON><BLANK_SPACE,82,C><AMOUNT_SUB_TOTAL,13.2,R><CPI12_OFF>

Line2: <CPI12_ON><BS_NAME,39,R><BLANK_SPACE,1,C><BLV,A>
         <BLANK_SPACE,12,C><BS_PERCENT,9.2,R><BLANK_SPACE,1,C><BLV,A>
         <BLANK_SPACE,19,C><BLV,A><BS_AMOUNT,11.2,R><CPI12_OFF>

Grand Total Information section

Line1: <CPI12_ON><BLANK_SPACE,82,L><BOLD_ON>
          <AMOUNT_GRAND_TOTAL,13.2,R><BOLD_OFF><CPI12_OFF>

Line2: <BOLD_ON><CPI12_ON><^RUPEES^,7,L><AMOUNT_IN_WORDS,78,L>
          <CPI12_OFF><BOLD_OFF>

Footer Configuration

To configure the Footer part, click the Footer button in the Document Configuration (Advanced) window. On clicking the Footer button, a Configure Sales Invoice Footer window appears. In the window, write the following steps:

Line1: <BLH,F>

Line2: <^DECLARATION^,39,L><BLV,A><CPI12_ON><BLANK_SPACE,2,L><BOLD_ON>
          <COMPANY_NAME,45,R><BOLD_OFF><CPI12_OFF>

Line3: <CPI12_ON><^We declare that this invoice shows the actual^,47,L><CPI12_OFF>

Line4: <CPI12_ON><^price of the goods described and that all^,47,L><CPI12_OFF>

Line5: <CPI12_ON><^particulars are true and correct.^,47,L><BLANK_SPACE,2,L>
          <^Authorised Signatory^,45,R><CPI12_OFF>

After going through the above document, you will be able to design documents and Invoices as per your requirement.


General Documennts

Knowledge Documents > General Documents

General Documents

General Documents include various BUSY related documents. The documents covered under this section are:

  • Data Export - Import
  • Using Email and SMS
  • Auditors Edition
  • Multi-user and Networking
  • Data Corruption
  • Soft Lock Registration
  • Web Based Reporting


Data Export-Import

Knowledge Documents > General Documents > Data Export / Import

Export / Import Data through XML

Data Export/Import is a very important and useful utility. Through Data Export / Import, transferring of data from one software to another is very easy and fast as compared to re – entering of data which is very tedious and time taking process. You can export / import data from / to BUSY also. An important point to note here is that only the Master or Vouchers used in BUSY can be exported from BUSY or can be imported to BUSY. Given below is the list of all the Masters or Vouchers that can be exported / imported in BUSY:

Masters Vouchers

Account Sales Order

Account Group Purchase Order

Cost Centre Sales

Cost Centre Group Purchase

Item Sales Return

Item Group Purchase Return

Material Centre Payment

Material Centre Group Receipt

Broker Debit Note

Author Credit Note

Std. Narration Journal

Unit Contra

Unit Conversion Material Issued to Party

Bill Sundry Material Received from Party

ST Form Production

Sale Type Unassemble

Purchase Type Stock Transfer

Bill of Material Stock Journal

TDS Category Forms Received

Currency Forms Issued

If you are exporting / importing masters then details of Masters used within the Masters should also be exported / imported. For example if you are importing Item master then you have to import Unit master also that is used in the Item master. These are called dependent masters. Also while exporting / importing vouchers, the Masters used within the voucher should also be exported / imported. For example, if you are importing Sales vouchers then details of Account, Item, Bill sundry and Material Centre master used in the Sales voucher should also be imported.

If you are currently using BUSY and want to export data to some other software then you can use the Data Export/Import (XML) utility provided in the BUSY software. When you export data through this utility, a file with .dat extension is created. Once the file is created then you can change the extension of the file to .XML and open it. On opening the XML file you can clearly see the format in which data is exported. Given here is a screenshot of an XML file.

If you are using any other software and want to transfer its data to BUSY then you have to create an XML file and provide the necessary details in a specific format. In an XML file all the information you specify should be specified in between the tags. You should open a tag for an object, specify all the details related to that object and then close the tag. Information pertaining to a particular object should be provided in between the tags. For example, if you are providing data for Account master then you have to open the tag Accounts and then provide the necessary details such as Name, Alias and so on. Name, Alias and other information is also provided in between the tags. Once the information is completed then you have to close the Account tag. The sample XML format for this will be:

<Accounts> Opening tag for all Accounts

<Account> Opening tag for individual

Account (Rich Styles)

<Name>Rich Styles</Name> Name of the Account within the
opening and closing Name tag

<Alias>RS</Alias> Alias of the Account within the
opening and closing Alias tag

<ParentGroup>Sundry Creditors</ParentGroup> Parent Group of the Account
within the opening and closing
ParentGroup tag.

</Account> Closing tag for Account Rich
Styles

<Account> Opening tag for Account
Garment India

<Name>Garment India</Name> Name of the Account within the
opening and closing Name tag

<Alias>GI</Alias> Alias of the Account within the
opening and closing Alias tag

<ParentGroup>Sundry Debtors</ParentGroup> Parent Group of the account
within the opening and closing
ParentGroup tag

</Account> Closing tag for Account
Garment India

</Accounts> Closing tag for all the Accounts

It is clear from the above example that all the information should be provided within tags. Providing information between the tags is very simple. You don’t have to remember each and every tag, the kind of information you are providing becomes the name of the tag. For example, if you are specifying the information about Accounts then open the Account tag. After that if you are giving the name of the account then open the Name tag, specify the name of the account and close the Name tag. It symbolises that the information specified between the opening and closing Name tag is the name of the account. Since Account tag is still opened so all the information you specify between the different tags will automatically be recognised as account information. Once you have completed information about an account then close the Account tag.

It is very simple to specify data in an XML file however there are certain important points that should be kept in mind while providing information in an XML file. The points are:

Ø It is mandatory to provide the Financial Year in the file. It is recommended that it should be the first tag in the file.

Ø All the mandatory fields should be specified in the file. For example, if you are importing data for Item then you must specify the Parent Group and the Unit of the Item. If you do not provide the data foe mandatory fields then while importing data in BUSY, it will give an error message displaying that all the mandatory fields should be specified in the file.

Ø Details of the Master used within the Masters should also be specified in the file. For example, if you are importing Account master then details of the Account Group used in Account master should also be specified in the file.

Ø Details of the Masters used in the vouchers should also be specified in the file. For example, if you are importing Sales voucher then details of Account, Item, Bill Sundry and Material Centre master used in the voucher should also be specified in the file.

Ø If you provide any wrong tag then BUSY will prompt an error message displaying the message ‘Unidentified Tag’. For example while providing details for Opening Balance, you specify the tag as ‘Opening Bal’ instead of ‘OpBal’ then BUSY will prompt an error message.

Ø If you do not provide details for some non mandatory fields then BUSY will fill a default value for it. For example, while importing Item master, if you do not provide data for Item M.R.P then BUSY will put a default value in place of it.

We have also included some sample data in this document also. This sample data will help you in specifying data in an XML file. This sample data includes format of Account Group master, Account master, Sales voucher and Payment voucher. First of all we will have a look at the various tags used for specifying Account Group master details.

AccountGroups> Opening tag for all Account Groups

<AccountGroup> Opening tag for individual Account
Group

<Name>Fixed Assets</Name>

<Alias />

<Primary Group>True</Primary Group>

<Parent Group />

<Budgets> Opening tag for Budgets

<Define>True</Define>

<Annual>12000</Annual> 2000 is the total annual budget

<Months>

<Month1>1000</Month1>

<Month2>1000</Month2>

<Month3>1000</Month3>

<Month4>1000</Month4>

<Month5>1000</Month5> 1000 is the amount of monthly budget
<Month6>1000</Month6>

<Month7>1000</Month7>

<Month8>1000</Month8>

<Month9>1000</Month9>

<Month10>1000</Month10>

<Month11>1000</Month11>

<Month12>1000</Month12>

</Months>

</Budgets>

<Targets>

<Define>0</Define>

<Type>0</Type>

<Annual>0</Annual>

<Months>

<Month1>0</Month1>

<Month2>0</Month2>

<Month3>0</Month3>

<Month4>0</Month4>

<Month5>0</Month5>

<Month6>0</Month6>

<Month7>0</Month7>

<Month8>0</Month8>

<Month9>0</Month9>

<Month10>0</Month10>

<Month11>0</Month11>

<Month12>0</Month12>

</Months>

</Targets>

<FBT> Tag for providing FBT details

<FBT Applicable>False</FBT Applicable>

<Amt Percent>0</Amt Percent>

<FBTaxPercent>0</FBTaxPercent>

<Cess Percent>0</CessPrecent>

<Surcharge>0</Surcharge>

</FBT>

<Define Credit Limit>False</Define Credit Limit>

<Max Credit Limit>0</Max Credit Limit>

</Account Group>

</Account Groups>

We will now have a look at the various tags used for specifying Account master details.

<Accounts> Opening tag for all Accounts

<Account> Opening tag for individual Account

<Name>Rich Styles</Name>

<Alias>RS</Alias>

<Print Name>Rich Styles </Print Name>

<Parent Group>Sundry Creditors</Parent Group>

<OPBal>10000</OPBal> Put (-) sign if it is a debit balance
<PYBal>10000</PYBal>

<Address>

<Address1>201, R.P. Building </Address1>

<Address2>Ashok Vihar</Address2>

<Address3>Delhi 10052</Address3>

<Address4/>

<TelNo>27371111</TelNo>

<Fax>01237568<Fax/>

<IT PAN />

<CST />

<Contact />

<TINNo>12340987654</TINNo> TIN number of the party

<ServiceTaxNo />

<ExciseRegNo>123</ExciseRegNo> Excise Registration number of the party

<DepForIstHalf>0<DepForIstHalf/> Depreciation details

<DepForIIndHalf>0<DepForIIndHalf/>

<DepAccordingToCompAct>0<DepAccToCompAct/>

<OpBalITAct>0<OpBalITAct>

<BillByBillBalancing>True</BillByBillBalancing> Bill-by-Bill details

<BillByBillDetails>

<BillReference>

<Method>1</Method> Here 1 specifies that method is New
Reference, 2 specify Adjustment and
3 specify Append

<RefNo>Bill1</RefNo> Bill1 is the name of the reference

<Date>01-04-2007</Date>

<Due Date>21-04-07</Due Date>

<Value1>10000</Value1>

</BillReference>

</BillByBillDetails>

<OF> Optional Fields details

<OF0 />

<OF1 />

<OF2 />

<OF3 />

<OF4 />

<OF5 />

<OF7 />

<OF6 />

<OF8 />

<OF9 />

</OF>

<AltCurReq>True<AltCurReq/> Alternate Currency details

<AltCurName>$<AltCurName/>

<OPBalInAltCur>400<OpBalInAltCur/> Put(-)sign if it is a debit
balance

<AltCurConRate>40<AltCurConRate/>

</Account>

</Accounts>

We will now have a look at the various tags used for specifying Sales voucher details.

<Sales> Opening tag for all Sales voucher

<Sale> Opening tag for individual Sale voucher

<VcshSeriesName>Main</VchSeriesName> Voucher Series Name

<Date>1-04-2007</Date> Voucher Date

<StockUpdationDate>2-04-2007<StockUpdationDate> Stock Updation Date

<VchType>9</VchType> Voucher Type is used
for identifying the type
of voucher such as 9 is
for Sales voucher

<VchNo>Sl1</VchNo> Voucher Number

<STPTName>C10%</STPTName> Sale Type Name

<MasterName1>Rich Styles</MasterName1> Name of the Party
MasterName2>Main Store<MasterName2> Name of Material Centre

<TranCurName>Rs</TranCurName> Currency used in transaction

<CurConFactor>0</CurConFactor>

<Transport>Goodwill Transporters</Transport>

<GRNo>1234</GRNo>

<VehicleNo>Dl1234</VehicleNo>

<Station>Delhi</Station>

<ItemEntries> Opening tag for all items details

<ItemDetails> Opening tag for individual item

<SrNo>1</SrNo>

<ItemName>Books</ItemName> Item name

<UnitName>Bundles</UnitName> Item Unit

<Qty>20</Qty> Item Quantity

<QtyMainUnit>20<QtyMainUnit>

<QtyAltUnit>200</QtyAltUnit>

<Price>2000</Price>

<PriceAltUnit>0</PriceAltUnit>

<NettAmount>40000</NettAmount>

<Discount>0</Discount> Discount if any

</ItemDetails> Closing tag for item ‘Books’

<ItemDetails> Opening tag for item ‘Pen’

<Srno>2</SrNo>

<ItemName>Pen</ItemName>

<UnitName>Pcs</UnitName>

<Qty>30</Qty>

<QtyMainUnit>30<QtyMainUnit>

<QtyAltUnit>300</QtyAltUnit>

<Price>20</Price>

<PriceAltUnit>0</PriceAltUnit>

<NettAmount>600</NettAmount>

<Discount>0</Discount>

</ItemDetails Closing tag for item ‘Pen’

</ItemEntries> Closing tag for all the items

<BillSundries> Opening tag for Bill Sundry details

<BSDetail> Opening tag for individual Bill Sundry details

<SrNo>1</SrNo>

<BSName>Central Sales Tax</BSName> Bill Sundry name

<PercentVal>10</PercentVal>

<PercentOperatedOn>40600</PercentOperatedOn>

<Amt>4060</Amt>

</BSDetails> Closing tag for Bill Sundry ‘CST’

</BillSundries> Closing tag for all Bill Sundries

</Sale> Closing tag for Sales voucher

</Sales> Closing tag for all the Sales voucher

We will now have a look at the various tags used for specifying Payment voucher details.

<Pymnts> Opening tag for all Payment vouchers

<Payment> Opening tag for individual Payment voucher

<VchSeriesName>Main</VchSeriesName> Voucher Series Name

<Date>1-4-2007</Date> Voucher Date

<VchType>19</VchType> Voucher Type

<VchNo />

<STPTName />

<Narration1>Being Payment made</Narration1> Long Narration

<TDSApplicable>True</TDSApplicable> TDS Applicable

<TDSDetails> Opening Tag for TDS details

<TDSDetail> Opening tag for individual TDS details

<SrNo>1</SrNo> Serial number

<Method>2</Method> Here 2 specifies adjustment against a reference

<RefNo>Ref1</RefNo> Reference number

<VchAmt>40000</VchAmt>

<AccName>PNB</AccName> Name of the Bank

<Quarter>1</Quarter> For the quarter

<TDSCategory>Advertisement</DSCategory>

<LowerRateApplcable>False</werRateApplcable>

<ReasonForLowerRate />

<DateOfCredit>1-4-2007</DateOfCredit>

<EntryDate>1-4-2007</EntryDate>

<TDSRate>1</TDSRate>

<SurchargeRate>10</SurchargeRate>

<CessRate>2</CessRate>

<TDSAmt>400</TDSAmt>

<SurchargeAmt>40</SurchargeAmt>

<CessAmt>9</CessAmt>

<Interest>0</Interest>

<Others>0</Others>

<ChequeNo>12345</ChequeNo>

<ChallanNo>123</ChallanNo>

</TDSDetail>

</TDSDetails>

<ExciseApplicable>False</ExciseApplicable>

<ServiceTaxApplicable>False</ServiceTaxApplicable>

<AccEntries> Opening tag for all accounts

<AccDetails> Opening tag for individual accounts

<AccountName>TDS(Advertisement)<AccountName>

<AmountType>1</AmountType>

<AmtMainCur>45</AmtMainCur>

<CashFlow>-449</CashFlow>

<ShortNar />

</AccDetail> Closing tag for account TDS (Advertisement)

<AccDetail> Opening tag for another account

<AccountName>Bank<AccountName>

<AmountType>2</AmountType>

<AmtMainCur>449</AmtMainCur>

<CashFlow>0</CashFlow>

<ShortNar />

</AccDetail> Closing tag for account Bank

</AccEntries> Closing tag for all accounts

</Payment> Closing tag for Payment voucher

</Pymnts> Closing tag for all Payment vouchers

In both the vouchers we have used the <VchType> tag. This is a mandatory tag and is used for specifying the type of voucher. In BUSY we have fixed some constant value for each voucher such as 9 for Sales voucher, 19 for Payment voucher and so on. For your reference, list of all the constants used for voucher is given below. You can refer to the list and use the voucher type for specifying data in the XML file.

Voucher Name Voucher Type

Purchase 2

Sale Return 3

Material Received From Party 4

Stock Transfer 5

Production 6

Unassemble 7

Stock Journal 8

Sales 9

Purchase Return 10

Material Issued to Party 11

Sales Order 12

Purchase Order 13

Receipt 14

Contra 15

Journal 16

Debit Note 17

Credit Note 18

Payment 19

Form Received 21

Form Issued 22

VAT Journal 24

After going through this document you will be able to successfully export / import data in BUSY through XML file.


Direct Email

Knowledge Documents > General Documents > Using Email and SMS in BUSY

Using Email and SMS

BUSY has provided the option to send reports, invoices, personalized messages through Email or SMS. These are two very effective features provided by BUSY. With the Email feature, you can Email ledgers, Balance Sheet or any other report as an attachment to any party. With the SMS feature, you can SMS Payment reminders, Bill Summary or any other report to the parties, with the help of a GSM compatible Mobile phone or MODEM.

The main advantage of using Email and SMS through BUSY is that data can be picked directly from BUSY itself. For example, you want to send a report to all your Sundry creditors. Now, if you Email the report through BUSY then you do not have to enter Email address of any of the Sundry Creditors. BUSY will automatically pick it from Account master. Similarly if you want to send an SMS to all the parties from whom the payment is due then you have to simply click the Payment Reminder report and select the relevant option, an SMS will then be sent to all the parties from whom the payment is due. Let us now discuss these two features in detail.

Email

Email feature is provided to Email reports, invoices, or any personalized message to the parties or to any other person with whom you deal. For example, you want to send Balance sheet of your company to all the parties with whom you deal. Now, with Email feature you can easily send Balance Sheet as an HTML attachment to all the parties. Before discussing about Emailing reports, invoices and personalized message in detail, let us first discuss about configuring the Email settings.

Email Configuration

BUSY provides you the Email Configuration option to specify the server configurations or to pick the Server Configuration settings defined in the Outlook Express. You can also specify the Header and Footer for the reports that will be mailed.

To use Email Configuration option, click Administration à Configuration à Email Configuration. On clicking the Email configuration option, an Email Configuration window appears. Given here is a screenshot of Email Configuration window.

 Email Configuration window

In the Email Configuration window there are two groups. The groups are:

  • Email Sending Options
  • Senders Information
Email Sending Options

In the Email Sending Options group, there are various data fields, options and subgroups. The data fields, options and subgroups are:

  • Send Through Outlook Express
  • Send Directly
  • Send Body Format As
  • Server Configuration

Send Through Outlook Express

Select this option if you want to send mails through the settings defined in outlook express. If you select this option then the server, user ID and password details will be picked from the configuration settings specified in the Outlook Express on your local machine.

Send Directly

Select this option if you want to send mails directly through the Server Configurations specified in the Email Configuration option itself.

Send Body Format As

If you have selected the Send Directly option then this sub group is activated. In this group there are two options. The options are:

  • Email Body Text
  • PDF Attachment

Email Body Text

Select this option if you want to send reports as part of Email and not as an attachment.

PDF Attachment

Select this option if you want to send the report as an HTML attachment.

Server Configuration

If you have selected the Send Directly option then this sub group is activated. In the Server Configuration sub group there are three data fields. The data fields are:

  • SMTP Server
  • User Name
  • Password

SMTP Server

Specify the Simple Mail Transfer Protocol (SMTP) Server via which your mails are sent. For example, you have your own web site through which you send and receive mails and the IP Address of the SMTP Server is 192.100.0.01. Then you have to specify 192.100.0.01 in this data field.

User Name

Enter the User name or the Login ID through which mails will be sent. The user ID which you specify should exist on the server specified above. For example, Smart Clothing Company has its own web site WWW.SMC.com and has different mail IDs created on it. Now it wants that all the mails should be send through the mail ID Manager@SMC.com. For this purpose it has to specify Manager@SMC.com in this data field.

Password

Enter the password in this data field that you use to access the Login ID specified in the User Name data field. Continuing with the above example, the password for Login ID Manager@SMC.com is ABC123 then specify ABC123 in this data field. The password you enter will be displayed in the asterisk (*) form.

Senders Information

In the Senders information group you can enter details regarding the sender of the Email. In the Senders Information group there are various data fields. The data fields are:

  • From
  • Reply To
  • Email Header
  • Email Footer

From

This data field gets activated if you have selected the Send Directly option in the Email Sender Option group. Enter the name of the person or company on behalf of which the Emails will be sent. For example, if the Email ID belongs to the Manager then you can enter the name of the Manager in this data field or if it is a reminder sent by the company to its customers then you can enter the name of the company in this data field and so on.

Reply To

Enter the Email address at which the person receiving the Email will send the reply to you. Continuing with the above mentioned example, Smart Clothing wants that all the replies should come to Feedback@SMC.com Login ID then it has to specify Feedback@SMC.com in this data field.

Email Header

Enter the text that will appear in the header of the Email in this data field.

Email Footer

Enter the text that will appear in the footer of the Email in this data field.

After entering the data in all the data fields, click the Save button to save the Email Configuration details.

After configuring the Email settings, let us now discuss Emailing reports, invoices and personalized messages in detail.

Emailing Reports

You can Email any report provided by BUSY to your customers, parties or any other person. If you Email report of your company without using BUSY then you have to first export the report to a file format and then only you can send it as an attachment. But to Email report through BUSY, you do not have to export the report to any file format. You have to simply open the report and click the Email button that appears at the top left corner of the Printing Options window in the Print reports and in the report itself in the Screen reports.

Let us now discuss the steps to Email reports through BUSY. To explain the steps we will take example of Balance Sheet report. If you want to Email any other report, just select the report and follow the steps:

  • Click Printing à Balance Sheet. On clicking the Balance Sheet option, a Balance Sheet Printing Options window appears.
  • Select the required option from the Balance Sheet Printing Options window and click the Ok button. On clicking the Ok button, a Printing Options window appears.
  • Click the Email button that appears at the top left corner of the Printing Options window.

If you are using the Screen reports then Email button appears in the report itself.

On clicking the Email button, a Send Email window appears. Given here is a screenshot of Send Email window.

Send Email window

In the Send Email window, there are various data fields. The data fields are:

  • EMail Options - This group appears only if you are printing the report for more than one party and report is being generated for each party independently. In this group, there are two options. The options are:
    • Send Email To Individual Party - Select this option if you want to send Email to individual parties on the Email address as entered in the Account master.
    • Send Email To ID mentioned below - Select this option, if you want to send Email to a specific Email address only.
  • Send Report As -
  • To - This data field appears only if you have selected the Send Email To Id mentioned below option in the EMail Options group. Enter the Email address of the person or company to which you want to send the Email.
  • CC - Enter the Email address of the person or company to which you want to send the carbon copy of the Email.
  • BCC - Enter the Email address of the person or company to which you want to send the blind carbon copy of the Email.
  • Subject - Enter the subject for the Email in this data field. By default the name of the report you are mailing appears in this data field.
  • Attachment File Name - This field is activated only if you have selected the Email Body Text option. Enter the name for the attachment file. By default the name of the report appears in this data field. You can change it as per your requirement.
  • External Attachment - Enter path for the external file which you want to send with the Email. Select the file path by using the Browse button.
  • Header - Enter the text that you want to appear in the header of the Email. By default the text specified in the Email Header option in the Administration à Configuration à Email Configuration option appears here.
  • Footer - Enter the text that you want to appear in the footer of the Email. By default the text specified in the Email Footer option in the Administration à Configuration à Email Configuration option appears here.

For multi-party Print Reports, Email address of the parties will be automatically picked from the Account master. There is no need to specify Email address separately for each party.

In the case of Individual Party, if Email address is not entered in Account master then BUSY will show a message to enter Email address of the party.

After entering the required details, click the Send button to send the Email.

Emailing Invoices

Apart from Emailing reports, you can Email invoice details also. For example, you want that each time a sales is made to the customer, a copy of invoice will be Emailed to him. For this purpose, you have to perform the following steps:

  • Enable the option of Print Accounts Voucher in the Administration à Configuration à Vouchers Configuration menu.
  • Enter a voucher and click the Save button. On clicking the Save button, an Invoice Printing message box appears.
  • Click the Yes button in the message box. On clicking the Yes button, a Printing Options window appears.
  • Click the Email button that appears at the top left corner of the window to Email invoice details.
  • On clicking the Email button, a Send Email window appears. By default Email address of the party against whom the bill is raised will appear in the window.
  • Click the Send button to Email the invoice details.

Direct Email

Apart from Emailing reports or invoices, if you want to compose your own mail or want to send any personalized mail to any person then for this purpose BUSY provides you with the Send Email option. To use the option, perform the following steps:

  • Click Administration à Utilities à Send Email. On clicking the Send Email option, a Send Email window appears.
  • In the Send Email window, you can compose your own messages, attach any external file and send it to the required person.

SMS

SMS feature is provided to SMS reports, invoices or personalized message to any party, client or any other person. For example, you want to send an SMS to the parties from whom the payment is due. Now with SMS feature you can easily send Payment reminders to all the parties from whom the payment is due. Let us now discuss sending reports, invoices and personalized message as SMS one by one.

You can SMS through BUSY only if you have GSM compatible Mobile phone/MODEM with Bluetooth/Infrared/Data Cable enabled. You cannot SMS through CDMA or WLL phones.

It is recommended to keep SMS as small as possible.

SMS Reports

You can SMS any report provided by BUSY to any of your customer, parties or any other person. For example, you want to send an SMS to all the parties from whom the payment is due. To do so you have to click the SMS button that appears at the top left corner of the Printing Options window in the Print reports and in the report itself in the Screen reports.

Let us now discuss the steps to SMS reports through BUSY. To explain the steps we will take example of Payment Reminder report. If you want to SMS any other report, just select the report and follow the steps:

  • Click Printing à Outstanding Analysis à Payment Reminders.
  • Select the relevant option from various message boxes that appears after selecting the Payment Reminders option. After selecting the required options, a Printing Options window appears.
  • Click SMS button that appear at the top left corner of the Printing Options window.

If you are using the Screen reports then SMS button appears in the report itself.

On clicking the SMS button, a Send SMS window appears. Given here is a screenshot of Send SMS window.

Send SMS window

In the Send SMS window, there are two groups and one data field. The groups and data field are:

  • Select the COM Port - In the Select the COM Port group, there is a data field and two buttons. The data field and buttons are:
    • Port - Select the COM Port where mobile phone/MODEM through which SMS will be sent, is attached.
    • Auto Detect - If you don't know the COM Port where mobile phone/modem is attached, click Auto Detect button. On clicking the button, it will automatically detect the COM Port where mobile phone/MODEM is attached.
    • Connect - After detecting the COM Port, click Connect button to connect BUSY with the mobile phone/MODEM.

The process of connecting takes some time so do not close BUSY.

  • Send SMS to - This option appears in Send SMS window only if you are printing the report for more than one party and report is being generated for each party independently such as Payment Reminder report, Statement of Account report and so on. In the Send SMS to group, there are two options. The options are:
    • Individual Party - Select this option, if you want to send SMS to individual parties on the mobile number as entered in Account master.
    • Selected Mobile Number - Select this option, if you want to send SMS to a specific mobile number only.
  • Mobile Number - This data field appears only if you have selected Selected Mobile Number data field in Send SMS to group or you are printing the report for one party. Enter the mobile number on which you want to send the SMS.

In the case of Individual Party, if mobile number is not entered in Account master then BUSY will show a message to enter mobile number of the respective party.

SMS Invoice related Details

You can use SMS feature to send invoice related details to the customer. Let us understand with the help of an example. You want that every time a Sales voucher is entered, item name and rates will be sent as an SMS to the customer. For this purpose, you have to first create a format specifying the details that you want to include in it. To create a format, perform the following steps:

  • Click Administration à Configuration à Document Printing à Advanced option.
  • Click Sales Invoice and then click the Add Format button that appears at the right hand side.
  • Specify a name for the format and then click Body option. On clicking the Body option, a Configure Sales Invoice window appears.
  • Press Alt+ F4 key and select Item_Name and Price field from the list that will appear on the right hand side.
  • Click the Save button to save the details.

  • After creating a format, the next step is to enable the Print Accounts Voucher option in the Administration à Configuration à Vouchers Configuration option.

Now every time, you will save the voucher, an Invoice Printing message box appears.

  • Click the Yes button in the Invoice Printing message box. On clicking the Yes button, a Printing Options window appears.
  • Select the format that you have created using the Document Printing option and then click the SMS button to SMS the report.
  • On clicking the SMS button, a Send SMS window appears.
  • Enter the necessary details in the window and click the Send button to send the SMS.

Direct SMS

Apart from picking data from BUSY, you can SMS personalized message to the parties, customer or to any other person. To send personalized messages, BUSY provides you with the option of Send SMS. To use the option, perform the following steps:

  • Click Administration à Utilities à Send SMS.

On clicking the Send SMS option, a Send SMS window appears. Given here is a screenshot of Send SMS window.

Send SMS window

In the Send SMS window there are various groups and data fields. The groups and data fields are:

  • Select the COM Port on which the Mobile phone is connected
  • Send SMS To
  • Mobile Number
  • Message

Select the COM Port on which the Mobile phone is connected

In this option there is a data field and two buttons. The data field and buttons are:

  • Port - Select the port to which the Mobile phone/MODEM through which SMS will be sent is attached.
  • Connect - Click the Connect button to connect BUSY to the port to which mobile phone/MODEM is attached.
  • Auto Detect - Click the Auto Detect button if you do not know the COM Port where the mobile phone/MODEM is attached. On clicking this button, BUSY will automatically detect the COM Port where mobile phone/MODEM is attached.

Send SMS To

In the Send SMS To data field there are various options. The options are:

  • One Account - Select this option if you want to send SMS to a single party.
  • Group of Accounts - Select this option if you want to send SMS to a group of parties.
  • Select Account - This option gets activated if you have selected One Account option. Select the name of the required party to whom you want to send an SMS.
  • Select Group - This option gets activated if you have selected Group of Accounts option. Select the name of the required Account Group to whom you want to send an SMS.

Mobile Number

This option gets activated if you have selected the One Account option in the Send SMS To group. Enter the mobile number of the party to whom you want to send an SMS.

If you have selected the Group of Accounts option then BUSY will automatically pick the Mobile number from the Account master. For parties whose mobile numbers are not entered in the Account master, BUSY will show you a message to enter the mobile number for the respective party.

Message

Enter the message that you want to send to the party.

  • After you have entered the required details, click the Send button to send the SMS.

SMS Greetings

You can use SMS feature to send greetings to your client. For example, you want to send 'Happy New Year' as a greeting to all the clients but at the same time you also want that name of the contact person of individual company should appear with the message. So the text will look like 'Happy New Year', Mr Rohan Kapoor' (name of the contact person as mentioned in the Account master). To send such personalized message, you can create Accounts Label. To create Accounts Label, perform the following steps:

  • Click Administration à Configuration à Label Printing Configuration.
  • Click Accounts Label option.
  • Click Add Format button and specify a name for the format.
  • Click on the newly created format and then click the Configure button. On clicking the Configure button, a Configure Accounts Label window appears.
  • In the Configure Accounts Label window, enter the text as 'Happy Diwali', press Alt+F4 key and select Acc_Contact field from the list that appears on the right hand side.
  • Click Save button to save the format

After creating Accounts Label the next step is to send SMS to all the parties. To send SMS, perform the following steps:

  • Click Printing à Print Utilities à Accounts Label. On clicking the Accounts Label option, an Accounts Label message box appears.
  • In the message box, select whether you want to send SMS to Group of Accounts or All Accounts. On selecting the relevant option, a Printing Options window appears.
  • In the window select the format that you have created using Configuration à Labels Printing Configuration option and click the SMS button to send the SMS.


Auditors Edition

We are pleased to announce the launch of Auditors Edition of BUSY. The edition covers almost all the features of BUSY and focuses on making Auditor’s work easier and quicker. BUSY Auditors Edition is an initiative in building accounting software for the exclusive use of Auditors and CA Firms. The edition is designed keeping in mind the requirements of Auditors / CA Firms. Basic requirement of Auditors / CA Firms are:

  • View and print reports (Accounting, Inventory & Statutory)
  • Adjustment of Accounting entries
  • Corrections in Inventory entries
  • Passing Stock Journal voucher for excess / deficiency of stock

All the above requirements are taken care of in the Auditors Edition. For adjustment of accounting entries, all the Accounting vouchers such as Payment, Receipt, Journal, Contra, Debit Note and Credit Note are provided.

For viewing and printing purpose, all the reports, such as Balance Sheet, Trial Balance, Outstanding Analysis, Sales Tax & VAT, Excise, Service Tax, TDS, Stock Status and so on are provided.

For adjusting excess or deficiency of stock, Stock Journal and Stock Transfer vouchers are provided.

For correcting inventory or stock related entries, modification in all the Inventory vouchers such as Sales, Purchase, Sales Return, Purchase Return, Material Issued to Party, Material Received from Party, Sales Order and Purchase Order is provided. However, entry in Inventory voucher is restricted in Auditors Edition. This is because of two reasons: firstly, the Auditors generally don’t need to enter Inventory vouchers and secondly to prevent use of Auditors Edition by business houses.

Highlights of Auditors Edition

ü Viewing & Printing of all available reports and documents

ü Addition & Modification of Accounting vouchers

· Payment

· Receipt

· Journal

· Contra

· Debit Note

· Credit Note

ü Addition & Modification of Stock Adjustment vouchers

· Stock Journal

· Stock Transfer

ü Modification of Inventory vouchers

· Sales

· Purchase

· Sales Return

· Purchase Return

· Material Issued to Party

· Material Received from Party

· Sales Order

· Purchase Order

Free Download from our Website

You can also download BUSY from our website www.busy.in. To download BUSY, you have to fill up a registration form on internet, which requires some basic information about yourself and your company.

Once, you have downloaded BUSY on your computer, run the BUSY setup to install BUSY on your computer. On successful installation, an icon of BUSY will start appearing on your computer screen. Double click the BUSY icon to run BUSY application. Now open the Company menu and click the Select BUSY Model option in BUSY. In the Select BUSY Model window, select Auditor option in the Starting Mode group. BUSY will now run in Auditors Edition and you are ready to work on it.


Multi-User and Networking

Knowledge Documents > General Documents > Multi-user and Networking

Concept of Multi-user and Networking

Multi-user

In earlier times most of the companies used to work on single user systems which means that every computer worked on its own and there was no data and resource sharing between the computers. Gradually the need for interconnected computers arose to make work easier by sharing different files, data and resources. Considering these requirements the concept of Multi-user was developed.

Multi-user concept refers to computer network that supports two or more simultaneous users or computer systems. Computer system includes not only the computer but also the peripheral devices such as printers and software such as MS Word that are necessary to make the computer function.

In a Multi-user scenario, data sharing is an important concept. Data sharing is when more than one Node (computer systems) accesses the same data. Let us understand data sharing with the help of an example. There is a network comprising of a Server and two Nodes, Node 1 and Node 2. If both Node1 and Node2 share data on the Server then it is a case of data sharing. In a Multi-user scenario both Node 1 and Node 2 share the resources of the Server.

There is a common misconception regarding the concept of data sharing. Let us understand with the help of the above example. If Node 1 access data of Node 2 while Node 2 does not access the same data then this is not a case of data sharing.

To reiterate, data sharing is when more than one Node accesses the same data set. Given here is a diagrammatic representation for a Multi-user scenario.

Networking

The term Network refers to a group of two or more computers linked together or we can say interconnected with the ability to communicate with each other.

Given here is a diagrammatic representation of networking.

Networks can be classified as:

  • Domain
  • Workgroup

Domain

Domain refers to a group of computers governed by common rules and procedures. In other words, a domain network is present when all computers are under the control of one computer.

One of the examples of a Domain network is Client/Server architecture. In Client/Server architecture, only a single computer is server and all other computers are clients. In this architecture, Server is the computer that allocates resources for the network comprising of all other computers on the network while the computers that use the resources provided by the Server are called Nodes or Clients. Server is a computer that is dedicated to some tasks such as managing disk, network traffic and so on. Clients or Nodes are the computers that run the application and depend on the Server for resources such as files, devices and so on. In Client/Server architecture the Server has all the rights related to security, data administration and so on.

Let us understand Client/Server architecture with the help of an example. Accounting Solutions Limited, a Chartered Accountancy firm dealing with different companies, has a network of three computers, Computer 1, Computer 2 and Computer 3. In the firm Computer 1 is designated as the Server and the rest are designated as Clients and the Server allocates different resources that are shared by Client 2 and Client 3.

Given here is a diagram depicting the Client/Server architecture.

Work Group

Generally speaking, a work group is a group of people working together on same task. In computer terminology, Work Group network is when all computers are connected together for sharing data and other resources.

An example of a Workgroup Network is Peer-to-Peer architecture. In Peer-to-Peer architecture all the computers are connected to each other and all the computers have equal capabilities and responsibilities. In Peer-to-Peer architecture each computer works independently. Each Node can access the data of another Node or can share its data with other Node depending on the access rights given to the Nodes.

Given here is a diagram depicting data access between all the Nodes.

Implementation of BUSY in a Multi-user scenario

In a Multi-user scenario BUSY can be implemented in either of the two types of networks i.e. Client/Server and Peer-to-Peer. Irrespective of the type of network that is present in any organization, the same steps are followed to implement BUSY. Implementation of BUSY in a Multi-user environment is a simple two-step process. The two steps are:

  • Install BUSY.
  • Share data between the Nodes.

Let us discuss these steps in detail.

Install BUSY

Installation of BUSY is a simple process that includes installing BUSY application on a Node. An application is a program designed for users to accomplish a task.

To install BUSY application in a Multi-user scenario we have to install BUSY on all the Nodes because BUSY does not allow application sharing.

Application sharing means that an application is placed on single Node and all other Nodes use that application from that one Node. For example, MS Word is an application. Now application sharing means that we have installed MS Word on a single Node and all other Nodes are accessing and using the application from that one Node.

Let us understand the installation process with the help of Accounting Solution Limited's case scenario. The company wants to install BUSY application in their local computer network. For this purpose, it has to install BUSY application on all the Nodes that include Node 1, Node 2, and Node 3.

Share data between the Nodes

Sharing data means that data is stored at one Node and all other Nodes are accessing that data. BUSY allows data sharing only and no application sharing is allowed. It means that data is created and maintained on a single Node but the application has to be installed on each Node individually.

Let us understand with the help of Accounting Solution Ltd case scenario. Node 1, Node 2 and Node 3 have installed BUSY application. Now the firm sets the data directory on Node 1. On Node 1 the data directory is set on a local folder, the path for which is C:\BusyWin\Data. In case of BUSY, the Node on which data is created and maintained becomes a Server for all the other Nodes. Thus, Node 1 is designated as Server for both Node 2 and Node 3 and it will store and maintain all the data fed by Node 2 and Node 3. Node 2 and Node 3 have to give path \\Node1\C\BusyWin\Data to work on the data directory.

Now as Node 1 has become Server it has to give full access to all the Nodes that need to access the Server data directory.

To give access to different Nodes, perform the following steps:

  • Right-click the Data Directory folder stored on the Server.
  • Select Properties option. On clicking Properties option, a window appears.
  • Click the Sharing tab à Select Shared As option.
  • Click the Add button. (Add button appears if you are using Window 98 operating System)
  • On clicking the Add button a window appears.
  • Select the appropriate node à click Full Access button.
  • Repeat the above step for all the Nodes on which BUSY application is installed.
  • Click the OK button.

Now Node 2 and Node 3 have to set the data directory by giving the path of the data directory stored on the Server. The path for setting data directory will then be: \\Server\C\BusyWin\Data.

You can share data in BUSY in two ways depending on the data access requirement of the Nodes. The two ways are:

  • Set Data Directory (Accessing single Data Directory).
  • Create separate icons for BUSY (Accessing Multiple Data Directories).

Set Data Directory (Accessing single Data Directory)

If you want to access a single data directory then you can use the Set data Directory option. Accessing a single data directory means that data is stored at one path. This option is useful when a Node in the network wants to store data at a single location.

To set the data directory perform the following steps:

  • Click the Company à Set Data Directory option. On clicking the Set Data Directory option, a Set Data Directory window appears.

Given below is a screenshot displaying the Set Data Directory window.

Set Data Directory window
  • Enter the data directory path in the Data directory text box.
  • You can specify the path by writing the full path name or by clicking the Browse button and selecting the desired path.
  • Above Information is Valid Only for Current Session - Check this checkbox, if you want that the path specified above will not get saved and is valid by the time you have not closed BUSY. After closing the BUSY, when you open it again then the default data directory will appear and not the one on which you have last worked. On the contrary, if you did not check this checkbox then the path specified above will get saved and and next time when you open BUSY, the same path will be set in the Data Directory data field.
  • Click the OK button to save the details.
  • Now BUSY will store all your work at the path specified.

In a Multi-user scenario, set the data directory path with the Server address for all the Nodes.

Create separate Icons for BUSY (Accessing Multiple Data Directories)

If you want to access multiple data directories, then this option comes into use. Accessing multiple data directories means that data is stored at different locations and is accessed by a single user. For accessing multiple data directories the user does not have to install the BUSY application on the Node again. He has to simply create another icon of BUSY application.

Let us understand with the help of Accounting Solution case scenario. Node 2 has set a path for storing the data using the Set Data Directory option. Now the user at Node 2 wants to store data at some other location also. For this purpose he has to create another icon of BUSY.

To store the data at two different paths, the user has to create two different icons of BUSY.

To create different icons of BUSY, perform the following steps:

  • Right-click the BUSY icon on the desktop.

Generally when you install BUSY application, an icon of BUSY appears on the Desktop. If the icon does not appear on the Desktop, perform the following steps:

  • Double click My Computer icon.

  • Double click C: drive à Double click BusyWin icon.

  • Right click BusyWin.exe.

  • Select Send To à Desktop (Create Shortcut) option.

  • Select Send To --> Desktop (Create Shortcut) option.
  • On clicking the Desktop option, another BUSY icon appears on the Desktop. You can rename the new BUSY icon as per your requirement.
  • For renaming Right click the new BUSY icon --> select Rename option --> specify new name for the icon.
  • After you have created two different icons of BUSY you need to set the data directory for both the icons at different paths.

To set data directory for different icons you have to fix the path for data directory for the icons. If you fix the path then the data directory cannot be changed using the Set Data Directory option.

To fix the Data Directory path, perform the following steps:

  • Right-click the desired BUSY icon.
  • Select the Properties option.
  • Click the Shortcut tab and then specify the path in the Target data field. In the Target data field, some text displaying the path from where this shortcut will be run already appears. You simply have to write the path of the data directory ahead of that text. For example, "C:/BusyWin/Busywin.exe" is already appearing in the Target data field and you want to set the data directory in Data folder of D drive. Then you have to write "Path =D:/Data". So the text in the Target data field will look like: C:/BusyWin/Busywin.exe Path =D:/Data.

If you create two icons of BUSY and set different data directory using the Set Data Directory option then BUSY will always save the work at the path specified in last used BUSY icon.

Let us understand with the help of Accounting Solution case scenario. The user at Node 2 has created two icons of BUSY application and wants to store data at two different locations. Now he wants to store first data on the local machine and second data on the Server. To store data at local machine, he has to right click the first icon of BUSY and fix the data directory of local machine by giving the path C:\BusyWin\Data. Now to store data at Server, he has to right click the second icon of BUSY and fix the data directory by giving the path \\Server\C\BusyWin\Data.

Security check by BUSY in Multi-user scenario

Generally speaking security check is a process of screening that allows access to authorized users only.

Let us understand with the help of Accounting Solution case scenario. The firm issues Identity card to its employees. Now persons holding a valid Identity card will be allowed to enter the office premises and all other persons will be restricted to the reception area. Similar, is the case with security check in BUSY wherein registered users are allowed to use the software while unregistered users are denied access.

Security Check section can be further classified into two topics:

  • Implementing Security Check
  • Handling Common cases

Implementing Security Check

In BUSY, security check is done as a two-step process. The two steps are:

  • Detecting the dongle
  • Marking Data Directory

Let us discuss these steps in details.

Detecting the dongle

A dongle is a security device used for authentication of software. It can be attached to the LPT or USB port of a Node. When you buy the BUSY software, you receive a dongle. The dongle provided by BUSY contains information regarding the mode of BUSY application. Mode refers to Multi-user, Single-user, Demo Mode, Standard Mode and so on in which BUSY works.

After you run the BUSY application, certain steps are performed for detecting the dongle. These are:

  • BUSY checks for the dongle on the local Node.
  • If dongle is not found on the local Node then it will search for it on the machine where data exist.
  • If the dongle is detected then a Security Checked window appears.

Given below is a screenshot displaying the Security Checked window that appears when BUSY detects the dongle.

Security Checked window
  • Click the Ok button to close the Security Checked window.

Let us understand with the help of Accounting Solution case scenario. In the network, the dongle is installed on the Server i.e. where the data directory is stored. Now Node 3 runs the BUSY application wherein BUSY checks for the dongle on Node 3 itself. Since the dongle is not found on Node 3, BUSY checks on other Nodes and Server in the network. On detecting the dongle, BUSY application proceeds to the next step in security check.

Given here is a diagram depicting the Accounting Solution Limited scenario.

When other Nodes want to run the BUSY application, it is mandatory that the Node on which dongle is installed should be switched on/started with BUSY application running at the time.

Marking Data Directory

Data Directory means the directory or the location where data is stored. Marking of data directory means that a Node having access to dongle has accessed the data directory. Data directory gets marked only after the dongle is detected.

Let us understand with the help of Accounting Solution case scenario. In the network, the dongle is installed on the Node 2 and the data directory is stored on the Server. Server and Node 2 are running the BUSY application. Now Node 3 runs the BUSY application wherein BUSY checks for the dongle first on Node 3 itself. Since the dongle is not found on Node 3 thus BUSY checks on other Nodes and Server in the network. On detecting the dongle on Node 2, BUSY application on Node 3 will proceed to access the marked data directory on the Server.

  • Data directory will get marked at the Server only when the BUSY application is running on the Server.

  • Data directory will be marked by the Node on which dongle is installed.

Given here is a diagram depicting the Accounting Solution Limited scenario.

Handling Common cases

When you run BUSY application, it checks for the dongle and after detecting the dongle, it marks the data directory.

The process of marking the data directory differs depending on whether the dongle and data directory are on the same computer. Primarily there are two cases for the dongle and data directory placement. These are:

  • Dongle and Data Directory are on same Computer.
  • Dongle and data directory are on different Computers.

Let us discuss these cases in details.

Dongle and Data Directory are on same Computer

When dongle and data directory are on same Computer then on running the BUSY application from the Server, the following steps are performed:

  • BUSY detects the dongle on the Server.
  • Marks the data directory at the specified path on the Server.
  • Starts the BUSY application.

Given below is a diagram depicting the scenario where dongle and data directory are on same Node.

Let us understand with the help of Accounting Solution case scenario. In the network, the dongle is installed on the Server i.e. where the data directory is stored. Now Node 3 runs the BUSY application wherein BUSY on Node 3 checks for the dongle locally on Node 3 itself. Since the dongle is not found on Node 3 thus BUSY checks on other Nodes and Server in the network. On finding the dongle BUSY application proceeds further and marks the data directory.

BUSY application should be running on the server at the time when Node 3 wants to run the BUSY application.

Dongle and Data Directory are on separate Computers

The second case is that dongle is installed on a Node other than the Server. In this case when we run the BUSY application from local Node where dongle is installed, then BUSY will checks for the dongle on the local Node and when dongle is detected, it will mark the data directory on the Server.

Given below is a diagram depicting that dongle and data directory are on separate Nodes.

Let us understand with the help of Accounting Solution case scenario. In the network dongle is installed on Node 2. Server and Node 2 are running BUSY application. Node 2 has detected the dongle and marked the data directory. Now Node 3 runs the BUSY application wherein BUSY checks for the dongle first on Node 3 itself. Since the dongle is not found on Node 3 thus BUSY checks for it on other Nodes and Server in the network. When BUSY detects the dongle on Node 2 then BUSY application will proceed further and access the marked data directory on the Server.

When Node 3 wants to run the BUSY application and access the data directory then at that time Server and Node 2 should be running the BUSY application.

Special cases

While working on BUSY in a Multi-user scenario, there are some special cases where you may encounter certain problems.

Let us understand with the help of Accounting Solution case scenario, the different cases where a problem can occur. In the scenario we have assumed that dongle is installed on Node 2 and data directory is set on Server. The cases are:

  • Server is switched off/not started.
  • Node on which dongle is installed is switched off/not started.
  • No full access to Data Folder.
  • Changing Data Directory while BUSY is open.

Let us discuss these cases in detail.

Server is switched off / not started

Node 2 wants to run the BUSY application, but Server is not switched on/started at that time. Now as the data folder is on the Server and Server is not started, then Node 2 will not be able to mark the data directory and a message will appear that BUSY could not locate the data directory.

Node on which dongle is installed is switched off /not started

Node 3 now wants to run the BUSY application but Node 2 is not switched on/started, then the dongle will not be detected and data directory will not be marked to run the BUSY application. In such a case when Node 3 runs BUSY application, a Security Checked Message Box will appear with the message 'Could not find a valid security device. Program will start in Demo mode'.

No full access to Data Folder

Let us suppose Server has not given full access of data folder to Node 3. By full access we mean that it has not given the permission to perform all the operations that include Read, Write and Execute. Now since Node 3 has to perform some Read/Write operation when it accesses data directory, it will not be able to access the data directory as full access is not given to it. Thus it is necessary for Server to give full access of data folder to Node 3.

Changing Data Directory while BUSY is open

Let us suppose that Node 2 on which dongle is installed and Server on which data directory is set are running the BUSY application and Node 3 is currently not running the BUSY application. User at Server changes the data directory for the network so as to store the data at some other path. As Sever and Node 2 have not restarted the BUSY application, the new data directory has not been marked. Now Node 3 runs the BUSY application and starts working. The data of Node 3 continues to get stored at the old data directory. Hence to change the data directory for the network it is mandatory to restart the BUSY application on the Node on which dongle is installed and the Server on which data directory is set.

It is necessary to restart BUSY application on both Server and Node 2 because to mark the new data directory, Server has to restart the process of detecting dongle and marking the data directory.

After reading this document you will be able to successfully implement and use the BUSY application in a Multi-user environment.


Data Corruption

Knowledge Documents > General Documents > Data Corruption

What is Data Corruption

An application consists of two components. The first component is the Application file (normally an .exe file) and the other component is data file(s). For example, in case of MS Word, 'Msword.exe' is the application file whereas the document that you are working on, say MyDoc.doc is the data file.

Application file operates on the data file by reading/writing/deleting information from the data file. All the applications use specific formats for saving/retrieving data. These formats are mostly proprietary to the application. Hence data file(s) of a particular application cannot be used with another application.

During the usage of any application, the application file always remains unchanged whereas the data file(s) keep on changing. Since the data file changes dynamically during the usage of application, it becomes more vulnerable towards any abnormality.

In case of any abnormality, it is the data files that get physically damaged whereas the application file remains intact. By physical damage of data file(s) we mean that either some contents of the data file(s) are lost or some junk contents are added to it, disturbing the original format of file. Since applications read/write data in specific format only, physical damage of data file(s) makes them unusable with the application.

In case of physical damage of data file(s), although the data file(s) are available physically containing data, there format gets disturbed making it unusable with the relevant application. This is known as Data Corruption.

Causes of Data Corruption

Now the question arises as to why and how the data file(s) get physically corrupted? What are the conditions that lead to physical damage of data file(s) or Data Corruption?

Given below are the common causes of data corruption:

1. Abnormal Termination of Program

2. Network Problem

3. Media Failure/Problem

4. Virus Attack

1. Abnormal Termination of Program

If a program is terminated/closed in an improper manner (without closing/saving the data file(s) you were working on) then the data might get corrupted/lost.

Abnormal termination of program can occur due to the following reasons:

  • Power Failure
  • Hardware problem
  • Abnormal shutdown of computer

Power Failure

Sudden power failure can terminate the application that you may be using at that time. Due to sudden termination of application, data can get corrupted.

Precautionary Measure

Ensure that you have power backup to avoid data corruption due to power failure. You should have a UPS of sufficient capacity as power backup.

A common problem faced by many users is that sometimes even with a UPS, the computer restarts if there is a power failure. This can be due to a fault with the UPS backup, prolonged switching time between main power supply and UPS or some uncontrollable fluctuation in the power supply. In such a scenario, the data may get corrupted due to power failure even if you are using a UPS.

Hardware Problem

The program can get terminated due to a hardware problem such as malfunctioning of hardware parts or devices. For example, due to a problem in the motherboard or RAM, the computer can shutdown leading to abnormal termination of the program. This leads to corruption of data.

Precautionary Measure

Ensure that the hardware devices or parts are functioning properly.

Abnormal Shutdown of Computer

Abnormal shutdown of computer can lead to corruption of data. Abnormal shutdown means shutdown of computer by directly switching off the computer.

Precautionary Measure

Shutdown the computer in a proper manner by performing the following steps: Click Start --> Shut Down --> Ok button.

2. Network Problem

Network problem is one of the primary causes of data corruption in case of multi-user applications. Multi-user applications are those where different computers share a single copy of data. It is generally observed that network problem affects the data of certain applications more than it does others. Let us discuss this scenario in detail.

Why Network problem affects certain applications only?

A common problem faced by most of us is that applications such as MS Word or MS Excel work fine even if there is problem with the network while certain applications do not work properly in case of a network problem.

Let us understand with the help of an example. You are working with two applications, MS Word and BUSY. Both the applications have the data stored on the server. Now in case of MS Word you keep on saving the document after half hour. This means that the data exchange is not a continuous process when using MS Word. On the other hand, when you are working with BUSY there is continuous data exchange between the client and the server. This means that BUSY requires constant connection with the server while MS Word does not require continuous connection. Thus, in case of network problem, BUSY data may get corrupted while MS Word may function properly.

Another point is the size of data being shared. In case of MS Word or MS Excel, the file being shared is very small in size, normally 2-3 KB where as in heavy Business Applications like BUSY the data being shared is very huge 10-1000 MB. Now in case of MS Word or MS Excel, a very small amount of data (2-3 KB) is exchanged at a very large interval of time (10-30 Minutes) whereas in BUSY very large amount of data (10-1000 MB) is shared almost continuously. So in case of any network problem, chances of data corruption of a heavy Business Application like BUSY are quite high.

Thus, network problem is a common cause of data corruption in most cases. Network problem can be due to the following reasons:

  • Unreliable Network Connection
  • Lack of power backup for HUB

Unreliable Network Connection

Many times while working in a multi user environment, although the network seems to be working fine, the network connection breaks off for a small period of time and then reconnects again. This breaking of network connection happens for a very small interval of time and thus it normally does not get noticed by the users. In such a case, if data is being transferred to and from between server and client nodes and the network connection gets broken then data might get corrupted.

This type of intermittent problem with network connection normally happens due to the usage of low & poor quality network components such as Network Cards, Hubs, Switch, Cables & Connectors and so on or due to poor quality of workmanship in cabling and crimping of network cables and connectors.

Precautionary Measures

  • Ensure that you use good quality network components.
  • Ensure that while installing the network components capable personnels are employed so that quality of workmanship in cabling is ensured.

Lack of power backup for HUB/SWITCH

Most of us ensure that we have power backup for both the server and client nodes. We forget to ensure that power backup should be there for the network HUB/SWITCH as well. HUB/SWITCH is a network device that connects the client nodes to the server. In case there is no power backup for HUB/SWITCH then in case of a power failure although the server and client nodes continue to function properly the HUB/SWITCH fails. Consequently, the connection with the network fails.

Precautionary Measure

Ensure power backup for the HUB/SWITCH device in a multi user environment.

3. Storage Media Failure/Problem

Storage media refers to the media on which you store data such as hard disk, pen drive, zip disk and so on. If the storage media gets corrupted then data stored on the media gets corrupted. For example, the removable storage media such as pen drives is not a very reliable storage media. Being removable, the media becomes more vulnerable for data corruption. If the media is removed by mistake from the computer at the time of data reading/writing then data can get corrupted or if the cable connecting the media to computer is loose/broken then the data can get corrupted. In other words, the chances of data corruption are very high with the removable media and these should be used with utmost precautions.

Precautionary Measure

Store the data or take backup of the data on a reliable media such as hard disk, CD (compact disc), or zip disk.

4. Virus Attack

A virus attack on your computer system or computer network such as LAN can corrupt the software and the data stored in the computer system. To avoid virus attack, you need latest anti virus software with the Virus Definition files being updated on regular intervals. Most common mistake committed by users is that they do not update there Virus Definition files on a regular basis making the anti virus software ineffective against the new viruses.

Precautionary Measure

Install the latest anti-virus software on your machines and ensure that you regularly update the virus definitions to protect your computer system against latest viruses.


Soft Lock Registration

Knowledge Documents > General Documents > Soft Lock

Soft Lock

Overview

With Soft Lock security feature, there is no need of physical security device i.e. Dongle and security check can be done through a License file. This will take security check procedure to a new level and Users who do not want a physical security device will be benefitted most by it. With physical security device, there are chances of damage or theft of dongle but with Soft Lock security feature there is no such risk and in case if the License file gets corrupted, it could be regenerated from BUSY.

Registering for Soft lock security feature is a very simple process and can be done by Users itself or if they want they can get it done through Channel Partners also. The only constraint or check is the requirement to validate the Soft lock License file at least once in 30 days failing which the product will be opened in Demo mode. Validating License file is not a procedure; it is just that you need to have an internet connection while BUSY is opened at least once in 30 days or BUSY should not be opened more than 300 times. If BUSY is opened more than 300 times in less than 30 days then also the file should be re validated.

Once BUSY gets the Internet connection, it will validate the License file itself. However for the clients whose computers have a regular Internet connection, there is no issue as BUSY will automatically validate the License file itself as soon as it gets the Internet connection.

For implementing Soft Lock security check feature, a complete License Management menu is provided under Company menu. There are various sub menus under License Management menu which you can use to generate License file, re-validate License file, obtain License file again in case it gets corrupted and to generate a System Info file. All these are explained in later part of the document.

Basically process of Soft lock security check feature can be divided into following two stages:

1. Soft Lock Registration

2. Re-validate License file

We will now discuss both these steps in detail.

1. Soft Lock Registration

Soft Lock registration is a very simple process. For Soft Lock registration, you need to click the Soft Lock Registration option provided under License Management sub menu of Company menu. On clicking the option, a Soft Lock Registration window appears. Given here is a screenshot of Soft Lock Registration window.

Soft Lock Registration window

In the window, you are required to enter certain details about your organization and the BUSY software you have installed. Various options that appear under this window are:

Soft Lock Registration for

Under this group, following two options appear:

· Current Machine – Select this option if you are registering BUSY for the same computer from which you are using this option.

· For Some Other Machine – Select this option if you are registering BUSY for some other computer. On selecting this option, following data fields get active:

o   Specify BUSY System Info File – Under this data field, you have to specify path of the file which is generated on the computer for which you are registering BUSY. Basically this file contains system information of the computer for which you are registering BUSY. With Soft lock security feature, you can run BUSY only on that computer for which you have registered the BUSY. This implies that if you have registered BUSY for System1 then you cannot use BUSY on System2 by just copying License file on System2.

To generate System Info file, you have to use the Generate System Info file option provided under Company menu (explained in the later part of the document).

If you are registering BUSY for the same computer then System file will be generated automatically and you will not be required to use the Generate System Info file option.
Serial No Details

Under Serial No. Details group, following options appear:

· Serial No. – Enter Serial number of your BUSY package in this data field.

· Activation Key – Enter activation key of your BUSY package in this data field. If you are an existing User then you have to obtain the activation key from BUSY office. Otherwise for new customers it is provided along with the package.

After entering the Serial number and Activation key, click the Validate Serial No button to check the authenticity of Serial number and Activation key. On entering a valid combination of Serial number and Activation key, you will be allowed to register BUSY.

Registration Details

This group gets active only when BUSY has validated your Serial number and Activation key. Under this group, you are required to enter certain details about your BUSY package and about your organization. Important information that you need to provide under this group is Email ID and Password. The Email ID you provide under this group will be used for all further communications from BUSY.

After entering the required details in Soft Lock Registration window, click the Register button to register for the Soft lock security feature. On successful registration, a Soft Lock License file will be sent to you on the Email ID as specified in the Soft Lock Registration window. You have to then copy the License file in the System folder of Busywin. With this you have completed the registration process and now you can run BUSY with Soft lock security feature.

2. Revalidate License File

As mentioned earlier also that revalidating License file is not a procedure. It is just that you need to have an Internet connection once in 30 days. It is necessary to have an Internet connection at least once in 30 days or if you have opened BUSY for more than 300 times in less than 30 days. If any of the condition is fulfilled i.e. BUSY has been opened more than 300 times or no internet connection is found within 30 days then BUSY will automatically start in Demo mode. Once BUSY will get into the Demo mode then you need to revalidate the License file. To revalidate the License file, you have to click the Revalidate Soft Lock License option provided under Company menu. On clicking this option, a message box appears asking you that do you want to validate License file. Click the Yes button in the message box to validate the License file.

It is mandatory to have Internet connection to revalidate the Soft lock License file.

Special Cases

Special cases could be cases where you would be requiring some extra options or some technical help to use the Soft lock security feature smoothly. These cases could be:

· No Internet Connection

· License file is corrupted

No Internet Connection

In case you do not have Internet connection on the computer for which you want to register BUSY then in that case you would register BUSY from some other computer which is having Internet connection. But at the same time, in the Registration process (explained above) if you are registering BUSY for some other computer then you need to specify the path of System Info file (generated on the computer for which you are registering BUSY). Now to generate System Info file for computer for which BUSY is to be registered, you have to use the Generate System Info File option provided under Company menu on that computer.

On clicking the Generate System Info File option, a System Info file will be created and the path of the same will be displayed to you. You have to then copy this file onto the computer having Internet connection and from which you are registering the BUSY. Now at the time of registration, you will specify the path of this System Info file and register BUSY for Soft Lock security feature.

For example, you want to register BUSY for System1 but System1 does not have an Internet connection and you are registering BUSY from System2 which is having Internet connection. In such a case, you would use Generate System Info File option on System1 and generate the System Info file. Now you will copy this file to System2 and specify its path in the Soft Lock Registration window and continue with registration process.

License File is corrupted

In case your License file gets corrupted or you have lost the file due to System format or any other reason then you can obtain the Soft lock License file again from BUSY by using the Get Soft Lock License file provided under Company menu.

On clicking this option, a Get Soft Lock License File window appears. Given here is a screenshot of Get Soft Lock License File window.

Get Soft Lock License File window

In the window, provide the following input:

· Serial No. – Enter BUSY serial number in this field.

· Email ID – Enter Email ID that you have specified at the time of Soft lock registration. License file will be sent on this Email ID only.

· Registration Password – Enter password that you have specified at the time of Soft lock registration. It is only after getting a valid combination of Email ID and password that Soft Lock license file will be again sent to you.

FAQ

Q1. Is it necessary to regenerate License file every time I upgrade my software?

Ans. No

Q2. Is there any alternative that program should not go in Demo mode if I am unable to validate my file in 30 days?

Ans. No

Q3. Can I switch back to Hard Lock security after using the Soft Lock security feature or vice versa?

Ans. Yes, you can change the security feature you are using, by returning Dongle to the company or if you are using Soft Lock license file then you have to delete the License file from your system to use the Dongle.

Q4. How can I obtain Activation key from BUSY which is provided only with the new packages?

Ans. Existing Users have to contact BUSY office and provide Serial number of their package. BUSY will then send the Activation key to them.

Q5. What is the difference between the two menus, Soft Lock Registration and Get Soft Lock License File?

Ans. Soft Lock Registration option is used when you are generating License file for a new hard disk whereas Get Soft Lock License File option is used to obtain a duplicate License file in case the original file is lost or gets corrupted.

Q6. Is Soft lock security feature available for all the versions or only for the latest BUSY version?

Ans. It is available for all the versions of BUSY and existing Users can surrender the Dongle they are using and get the Soft Lock License file.

Q7. What if my License file gets corrupted?

Ans. You can obtain it using the Get Soft Lock License File option provided under Company menu.

Q8. What if I format my computer?

Ans. In case of system format, you have to first copy the License file to some removable disk and later on after format, copy the file to the system. In case you forgot to copy the license file, you can obtain it by using the Get Soft Lock License File option provided under Company menu.

Q9. If I change my computer hard disk or want to use BUSY on some other computer then do I have to copy the License file on the new computer?

Ans. No. Changing hard disk or changing computer will be treated as fresh registration and you need to re-register BUSY for the new hard disk or computer. In this case, first you have to contact Channel Partner or BUSY office and get the confirmation for the same. After getting the confirmation, you can re-register BUSY for the computer on which you want to run BUSY. Please note, in this case, you cannot use the Get Soft License File option to generate a duplicate file as a new License file will be sent to you.

Q10. At the time of registration, a message ‘Pls make sure that your antivirus has not stopped BUSY from sending mail’ is appearing.

Ans. This massage is appearing due to the anti- virus installed on your system. Please make changes in antivirus settings on your system. For example, if you have installed Quick Heal antivirus then in that case a screen appears in which you have to enable the option of Trusted Email Client.


Web Based Reporting

Overview

Web Based Reporting feature allows you to view various reports anytime, anywhere and from any device. Basically with this feature, you need to simply log on to our web portal and enter your User ID and password and view the required reports. You can allow your parties also to view certain reports online. To view reports online, you need to register yourself with us with a unique User name. After specifying user name, you are required to provide password for the same. Password can be entered for two levels, one which will be used by you and other which will be used by your parties.

Implementation

To implement Web Based Reporting, first of all you need to enable it from BUSY by using Enable Web Based Reporting feature provided under Administration > Configuration > Features / Options > Enterprise Features tab. On enabling this option, one more option, Enable Party-wise Web Based Reporting gets active. You can enable this option to enable web based reporting for individual parties. If you enable the option of Enable Party-wise Web based Reporting then you are also required to enable this option in Account master for which you want to allow this option.

In the Account master, you need to enable the option of Allow Web Based Reporting. On enabling this option, a Configure button appears on click of which you are required to enter User name and password through which the party will have access to online reports.

After enabling the required features in BUSY, you need to run the BUSY Server utility from which you can register yourself for web based reporting.

BUSY Server Utility

In the BUSY Server utility, first of all click the Web Server option. On clicking the Web Server option, a BUSY Server – Web Server window appears. Given here is a screenshot of BUSY Server – Web Server window.

BUSY Server – Web Server window

In the window, following options appear:

· Service Status

· Configuration

· Start Service

· Stop Service

Let us discuss each of these options one by one.

Service Status

This option displays the IP address, TCP port and User name of the User.

Configuration

Click this button to configure IP address, TCP port and other registration details. On clicking this button, a Configuration window appears. Given here is a screenshot of Configuration window.

Configuration window

In the Configuration window, following data fields and options appear:

  • Configure Connection Info
  • User Registration
  • Modify User Registration
  • Forgot Password
  • Specify Reporting Rights

Configure Connection Info.

Under this group, following two data fields appear:

  • Select IP Address - Select IP address of LAN card.
  • Enter TCP Port - Select TCP port.

User Registration

On clicking this button, a User Registration window appears in which you are required to enter a unique User name and password. Password can be specified for two levels i.e. password to be used by management and password to be used by parties. Various data fields that appear under User Registration window are:

  • User Name - Enter User name that you will use to have access to Web Server reporting.
  • Password – Enter password for the User name specified in the above data field. This will be generally referred to as management password.
  • Confirm Password – Re enter the password in this data field to confirm the password entered in previous data field.
  • Email ID – Enter your Email ID in this data field. This Email ID will be used in case you have forgotten password and want to retrieve it from BUSY. BUSY will then sent you password on the Email ID as specified in this data field.
  • Specify Password for viewing Party-wise Reports (Optional) – Under this group, you can specify the password that your parties (debtors / creditors) will use to access various reports online. Following two data fields appear under this group:
    • Password – Enter the password that parties will use to have access to various reports online.
    • Confirm Password –Re enter the password to confirm password entered in previous data field.

Modify User Registration

This button appears if you have already entered the registration details. Click this button to modify registration details. On clicking this button, a sub window appears with following two options:

  • Change Password - Select this option to change password. On selecting this option, a Change Registration window appears with following two options:
    • Management – Select this option to change management password.
    • Party – Select this option to change password used by parties.
  • Unregister - Select this option to un-register or delete existing User.

Forgot Password

Click this button to retrieve management password. On clicking this button, a message box appears asking your permission to send password on the Email ID as specified by you. Click the Yes button in the message box to get the password details on your registered Email ID.

Specify Reporting Rights

Under this group, list of various companies is displayed. Select the companies for which you want to allow web server reporting for management or for parties.

Start Service

Click this button to start Web Server service.

Stop Service

Click this button to stop Web Server service.


Product Release

Knowledge Documents > Product Release Documents

Product Release Documents

Product Release Documents display product release documents of previous versions of BUSY. Various versions for which Product Release documents are available are:

  • Release Documents for Version BUSY 14
  • Release Documents for Version BUSY 12
  • Release Documents for Version 3.9
  • Release Documents for Version 3.6
  • Release Documents for Version 3.5
  • Release Documents for Version 3.4


Release Documents 14

Knowledge Documents > Product Release Documents > Release Documents BUSY 14

Release Documents for Version BUSY 14

  • Product Release BUSY 14 (Rel 1.0)


Release Documents 12.0

Knowledge Documents > Product Release Documents > Release Documents BUSY 12

Release Documents for Version BUSY 12

  • Product Release BUSY 12 (Rel 1.0)
  • Product Release BUSY 12 (Rel 1.1)
  • Product Release BUSY 12 (Rel 1.2)
  • Product Release BUSY 12 (Rel 1.3)
  • Product Release BUSY 12 (Rel 1.4)
  • Product Release BUSY 12 (Rel 1.5)
  • Product Release BUSY 12 (Rel 1.6)


Release Documents 3.9

Knowledge Documents > Product Release Documents > Release Documents 3.9

Release Documents for Version 3.9

  • Product Release 3.9 (a)
  • Product Release 3.9 (b)
  • Product Release 3.9 (c)
  • Product Release 3.9 (d)
  • Product Release 3.9 (e)
  • Product Release 3.9 (f)
  • Product Release 3.9 (g)
  • Product Release 3.9 (h)
  • Product Release 3.9 (i)
  • Product Release 3.9 (j)
  • Product Release 3.9 (k)
  • Product Release 3.9 (L)


Release Documents 3.6

Knowledge Documents > Product Release Documents > Release Documents 3.6

Release Documents for Version 3.6

  • Product Release 3.6 (a)
  • Product Release 3.6 (b)
  • Product Release 3.6 (c)
  • Product Release 3.6 (d)
  • Product Release 3.6 (e)
  • Product Release 3.6 (f)


Release Documents 3.5

Knowledge Documents > Product Release Documents > Release Documents 3.5

Release Documents for Version 3.5

  • Product Release 3.5 (a)
  • Product Release 3.5 (b)
  • Product Release 3.5 (c)
  • Product Release 3.5 (d)
  • Product Release 3.5 (e)
  • Product Release 3.5 (f)
  • Product Release 3.5 (g)
  • Product Release 3.5 (h)
  • Product Release 3.5 (i)
  • Product Release 3.5 (j)
  • Product Release 3.5 (k)


Release Documents 3.4

Knowledge Documents > Product Release Documents > Release Documents 3.4

Release Documents for Version 3.4

  • Product Release 3.4 (a)
  • Product Release 3.4 (b)
  • Product Release 3.4 (c)
  • Product Release 3.4 (d)


Advanced Inventory Management

Knowledge Documents > Other Documents > Advanced Inventory Management

Overview

In a general business scenario, inventory management forms an integral part that helps in smooth running of the business and in determining the deficiency / excess of stock at any given time. Inventory includes the stock of raw material; semi finished goods and finished goods. Inventory management implies maintaining an accurate record of incoming and outgoing stock. The task of maintaining inventory, with knowing in advance the material required for manufacturing a product, the deficiency or excess of stock, cost involved in the process of production and stock in hand is called Inventory Management. With Inventory management, you can know the total opening / closing stock of the item but apart from knowing the total stock of an item, sometimes it is also necessary to know the stock of the item depending upon its various characteristics such as batch number to which the item belongs or serial number of the item and so on. Maintaining inventory with keeping record of different characteristics of the item is referred as Advanced Inventory management.

With Advanced Inventory management, you can anytime check the availability of stock or details of stock on any item characteristic. Let us take example of a garment company which deals in sale / purchase of shirts. With inventory management, the company can anytime check the availability of stock of shirts but with advanced inventory management, company can check the availability of stock of Shirts with color blue, or stock of Shirts with size XL and so on. Here Color and Size are different parameters that defines the characteristics of an item.

In BUSY, you can maintain stock of item with four different characteristics. These four characteristics are:

  • MRP - wise Details
  • Batch - wise Details
  • Serial No - wise Details
  • Parameterized Details

Need for maintaining stock of item with various characteristics depends upon the nature of the item. For example, for medicines, it is necessary to keep a record of manufacturing and expiry date, similarly for Mobile phones, it is necessary to keep track of their Serial number or IMEI number. Let us now discuss one by one the need and the steps involved in maintaining stock of an item with various characteristics or additional details.

MRP - wise Details

MRP - wise Details feature is most suitable for FMCG trade. Stock of Items with frequent change in their MRP can be maintained with MRP - wise Details. With MRP - wise Details feature, you can maintain stock of item with different MRPs. For example, a packet of Biscuits, sometimes comes with an MRP of Rs. 20, sometimes of Rs. 22 and so on. In such a case, at the time of purchasing the Biscuit packet, you need to enter MRP of the packet and at the time of selling biscuit packet, you need to keep record of the MRP of the packet sold. To implement MRP - wise Details feature, you need to perform the following steps:

Batch - wise Details

Batch-wise Details feature is most suitable for pharamceutical companies. In the pharmaceutical companies, record of the items is maintained on their manufacturing and expiry date. For example, in case of medicines it is mandatory to keep record of their manufacturing and expiry date. Also some items, comes in a lot and need to be maintained lot-wise. For such items, Batch-wise Details feature is most appropriate. To maintain Batch-wise Details with an item, you need to perform the following steps:

Step 1: Go to Administration > Configuration > Features / Options > Inventory tab. Under the Inventory tab, enable the Batch-wise Details option. On enabling the Batch-wise Details option, a Batch-wise Details Options window appears. Given here is a screenshot of Batch-wise Details Options window.

In the Batch-wise Details Options window, you can configure various features related to a batch. Under the Batch-wise Details Options window, following groups and data fields appear:

Batch Manufacturing Date Input Format

Under this group, you can select the format in which manufacturing date is to be input. There is also a provision to not to maintain Manufacturing date of the items. Various options that appear under this group are:

  • Full Date Format - Select this option to maintain manufacturing date of the items in the full date format i.e. DD/MM/YYYY format.
  • Month Year Format - Select this option to maintain manufacturing date of the items in Month Year format such as Oct 2010, Nov 2010 and so on.
  • Not Required - Select this option if you do not want to maintain record of manufacturing date of items.
Batch Expiry Date Input Format

Under this group, you can select the format in which expiry date is to be input. There is also a provision to not to maintain expiry date of the items. Various options that appear under this group are:

  • Full Date Format - Select this option to maintain expiry date of the items in the full date format i.e. DD/MM/YYYY format.
  • Month Year Format - Select this option to maintain expiry date of the items in Month Year format such as Mar 2010, Apr 2010 and so on.
  • Not Required - Select this option if you do not want to maintain record of expiry date of items.

Allow Append to Zero Balance Batches

Enable this checkbox to allow appending stock of item to a zero balance batch. For example, all the medicines of the batch Batch1 are sold out and the remaining balance of medicine in batch is zero. Now due to some problem, some of the medicines are returned to you and at the time of entering a Sale Return voucher, you would like to add the medicine returned to the Batch1 itself. This is possible only if you have enabled this checkbox. Otherwise if you have not enabled this checkbox then batches with zero balances will not be shown for appending item quantity to them.

Maintain MRP Also

Enable this checkbox if you want to maintain MRP of the batches also.

Maintain Sales Price also along with MRP

This option gets active only after enabling the Maintain MRP Also option. Enable this option if you want to maintain Sales Price of the batches also.

Step 2: Enable Batch - wise Details feature in Item master. After enabling the Batch-wise Details feature, the next step is to enable batch - wise details for individual items. For enabling Batch - wise Details for an item, enable Batch-wise Details option in Item master for the required items. If you have entered some opening stock of the item in Item master then you can specify the batch - wise details of it. For this an Item-wise Batch Details window appears at the time of saving the Item master. Given here is a screenshot of Item-wise Batch Details window.

In the Item - wise Batch Details window, a grid with following fields appear:

  • Method - Select the method for batch wise adjustment of stock. Under this field, following three options appear:
    • New Batch - Select this option to create a new batch for the item stock.
    • Adjustment - This option appears when there is some pending quantity of item in any batch. Select this option if you want to adjust item quantity to an existing batch.
    • Append - This option appears only when there is a batch of the item to which the item quantity can be appended. Appending item quantity refers to adding item quantity to an existing batch.
  • Batch No. - Enter batch number in this data field. If you have selected the Adjustment or Append option then select the required batch number from the list.
  • Qty - By default the opening stock as entered in the Item Master - Add window appears here. You can change it as per your requirement.
  • Alt. Qty. This data field appears if the option of Alternate Unit of Item is enabled in Administration > Configuration > Features/Options > Inventory tab. Enter the quantity to be adjusted in the batch as per the Alternate unit.
  • MRP - This data field appears if you have enabled the Maintain MRP also option in Batch - wise Details Options window that appears while configuring Batch - wise Details in Administration > Configuration > Features / Options > Inventory tab. Enter Item MRP in this data field.
  • Sales Price - This data field appears if you have enabled Maintain Sale Price also along with MRP option in Batch - wise Details Options window that appears while configuring Batch - wise Details in Administration > Configuration > Features / Options > Inventory tab. Enter Sales price of the item in this data field.
  • Mfg. Date - This data field appears if you have selected Full Date Format or Month Year Format option in the Batch Manufacturing Date Input Format sub group in Batch-wise Detail Options window in Administration > Configuration > Features/Options > Inventory tab. Enter the batch manufacturing date in this data field.
  • Exp. Date - This data field appears if you have selected Full Date Format or Month Year Format option in the Batch Expiry Date Input Format sub group in Batch-wise Detail Options window in Administration > Configuration > Features/Options > Inventory tab. Enter the batch expiry date in this data field.

Click the Save button to save the batch details.

Step 3: Enter Purchase voucher for the quantity purchased and create new batch for the item quantity or append item quantity to an existing batch. For this purpose an Item - wise Batch Details window appears in the Purchase voucher at the time of entering item quantity. Let us understand with the help of an example. A chemist has purchased some medicines from a pharamaceutical company. Now he wants to maintain stock of the medicines according to their batch number along with the manufacturing and expiry date. The shopkeeper can enter all these details in the Item - wise Batch Details window in the Purchase voucher. The Item - wise Batch Details window that appears in Purchase voucher is totally similar to the Item-wise Batch Details window that appears in Item master.

Step 4: Enter Sales voucher for the quantity sold and adjust the item quantity sold to the existing batch. Continuing with the above example, the shopkeeper has sold medicines to a customer. At the time of selling the medicine, the shopkeeper would obviously like to adjust the quantity of medicine sold to an existing batch which means the pending quantity in the batch will be reduced and the shopkeeper can track all the details of the medicines such as manufacturing date, expiry date, MRP and so on through the batch. For this purpose, an Item-wise Batch Details window appears at the time of entering item details.


Carrying Fwd Uncleared Entries

Knowledge Documents > General Documents > Carrying Fwd Uncleared References

Carrying Fwd Uncleared References

We are pleased to announce


Client Server Implementation

Knowledge Documents > Client-Server Documents > Client Server Implementation in BUSY

Client Server Implementation in BUSY


Current Release (3.9)

Current Release

BUSY 3.9 (m)

Bugs Removed

  1. Dongle Server utility was not working properly. Now problem rectified.


Current Release

BUSY 12 (Rel 1.7)

Bugs Removed

  1. Dongle Server utility was not working properly. Now problem rectified.


Current Release

BUSY 14 (Rel 2.0)

Major Changes

  1. Production/Un-assemble/Stock Journal vouchers, provision made to specify separate material centres for items generated & items consumed.
  2. BOM master, provision made to specify default material centres for items generated and items consumed. Also provision made to specify extra expense per unit for items being generated.
  3. Payroll configuration, three payment modes were provided. Now fourth mode ‘Credit’ provided to credit individual employee account. If this mode is enabled then we can specify credit account in employee master.
  4. Payroll salary voucher in Monthly Salary mode, till now paid days could not be more than the no. of days in month. Now it has been made available. Required when the extra days worked are to be paid along with monthly salary.
  5. Auditor and Education mode(s) discontinued.
  6. Sales/Purchase Quotations will be available in Standard Edition.

Statutory Changes

  1. West Bengal, provision made for ‘Composition Dealer’ and corresponding VAT return Form-15 provided.
  2. VAT Summary, ledger balance for VAT Accounts(s) will be also shown along with VAT balance calculated as per VAT Summary.
  3. Annexure to UP VAT Form-26A Provided.
  4. Excise report RG23 A-1 as per new format.

Minor Changes

  1. Option provided to disallow zero qty./price/amount during data entry. Can be configured through voucher series configuration.
  2. Item batch-wise details enabled and expiry date being maintained, provision made to specify default expiry days/months in item master.
  3. Softlock registration, ‘Invoice No.’ field was not mandatory. Now it has been made mandatory.
  4. Default Discount/Mark-up values specified in item master were applicable for Sale/Purchase voucher only. Now these values will be applicable for Material Receipt/Issue vouchers also.
  5. Provision made to feed following voucher details independently:
    1. Voucher Settlement Details
    2. Voucher Billing Details
    3. Item Serial Nos.
      These options are available as Administration àMisc. Date Entry.
  6. Branch-wise Balance Sheet & Trial Balance reports were very slow. Now speed improved.
  7. Stock Transfer voucher, current stock of item will be shown for both Source & Target Material Centre. Till now current balance was being shown for Source MC only.
  8. Trial Balance Hierarchical-Detailed report, option ‘Show Zero Balance Accounts Only’ changed with ‘Show Zero Balance/Moved Accounts Only’ as the original option was creating confusion in the report.
  9. Job Work reporting related menu was not available in user configuration. Now provided.
  10. If any of the Item pricing mode(s) was enabled, both item price & discount were being picked from the same. Now provision made to pick only discount from pricing mode whereas price will be picked form item master only.
  11. While feeding Item Serial No. Installation details, customer’s details will be picked automatically from the invoice no. specified in installation details.

Apart from these changes some minor bugs have been removed from the application.


Main Page

Knowledge Documents

Developed & Marketed By
Busy Infotech Pvt. Ltd.
-----------------------------------------------------------------------------------------------------
206, MG House, 2 Community Centre, Wazirpur Industrial Area
Delhi - 110 052 (INDIA) • Ph: +91-11-27375062 / 6063 / 7064

Helpline : + 91-11-46994605 (8 lines)
Toll Free No. : 1800-11-3232 (BSNL / MTNL)

Email: info@busy.in • URL: www.busy.in


Implementation of VAT

Knowledge Documents > Tax Related > Implementation of VAT

Overview of Sales Tax

Broadly speaking, there are two types of taxes, direct and indirect, which are levied/charged by the government in the economy.

Direct tax is levied on persons (legal or natural) and collected directly by the government. For example, income tax and corporate tax are forms of direct taxation.

Indirect tax is tax levied on goods or services rather than persons or organizations. It is levied on the production or sale of a goods or services. The value of indirect taxes is included in the price paid by the consumer (purchaser) for the goods or services. Thus, the tax burden lies on the consumer. Intermediaries (sellers) collect the tax and deposit it with the government. For example, sales tax is a form of indirect taxation.

Thus, there are different types of taxes that are levied in an economy depending on the need of the economy.

Taxes applicable to the Indian Economy

In the Indian scenario, various types of taxes are imposed. With respect to the current tax structure, we will discuss Sales Tax in this document.

The term Sales Tax refers to the tax that is levied on sales. The main aim of imposing tax on sales is that the government should earn revenue on the sales generated in the economy. Thus, this form of taxation is an important source of revenue for the government. Sales can either be local or central. Local sale is sale within the state. For example, if a dealer in Delhi buys car parts from a manufacturer based in Delhi then it is a local sale. On the other hand, Central sale will be inter-state sale. For example if the dealer in Delhi buys car parts from a manufacturer based in Mumbai then it is a central sale.

Value Added Tax

Value Added Tax (VAT) is a tax levied on sales of goods with in state i.e. local sale. It is collected by the sellers and deposited with the government. It is commonly referred to as VAT.

Central Sales tax

Central Sales Tax is levied on sale of goods between two states i.e. inter-state sale. Inter-state sale is commonly referred to as central sale. Central Sales tax is collected by the sellers and deposited with the government. It is commonly referred to as CST.

The purpose of sales tax is to levy tax on consumption of goods. If the goods have been consumed once the sales tax should also be levied once. Thus, there is a need to levy tax methodically and at one point without overburdening the consumer. For this purpose there are two methods to levy tax that are approved and accepted by the Indian government.

Let us discuss the methods in detail. The two methods to levy tax on sales are:

  • Tax paid at first point of sale
  • Sale against Sales Tax Declaration Form

Tax paid at first point of sale

In this method tax is paid at the first point of sale. In the case scenario, tax will be paid by Fast Wheels @ 10% to Ahead Cars Inc. Thus, Ahead Cars is responsible for depositing the tax collected with the government. Since the tax burden always falls on the consumer, thus Fast Wheels will increase it's cost price to include the tax paid and recover the tax from Today Cars (consumer for Fast Wheels). Similarly Today Cars will recover the tax paid from Go Cars and Go Cars will recover the tax from the consumer.

Let us have a look at the cost price and selling price given here in the form of a table for the business entities in the chain.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi) | Go Cars à (Retailer based in Delhi) | Consumer (Based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 1 * 100= 100 | 121 | 131 | 141 | 151
Profit margin | 10 | 10 | 10 | 10 | N. A.
Selling Price | 100 + 10 = 110 | 121 + 10 = 131 | 131 + 10 =141 | 141 + 10 =151 | N. A.
LST (10%) | 11 | Paid at first point | Paid at first point | Paid at first point | N. A.
Total | 110 + 11 =121 | 131 | 141 | 151 | N. A.
Tax recovered/paid | Tax collected from buyer and deposited with the government | Tax paid | Tax paid | Tax paid | Tax paid

In this method, tax is collected and deposited with the government at the first point of sale. Further sales will be made on tax paid bills. The first transaction is a 'tax payable' sale while the other three transactions are 'tax paid' sales.

Sale against Sales Tax Declaration Form

In this method, instead of paying the tax on sale the buyer issues a Sales Tax Declaration Form to the seller. These forms are commonly known as ST Forms.

The Sales Tax Department issues ST Forms only to dealers who are registered with the Sales Tax Department.

The purpose of these forms is that the issuer of the form will not pay tax and will assume responsibility for collecting tax on further sale of the goods. The reason behind issuing these forms is that the burden of the tax has to fall on the consumer and hence the middle business entities need not pay tax. In the above example, all the business entities involved in the chain pay tax and then recover from the next buyer. If the business entities issue a ST Form then they need not pay tax. The only condition for issuing ST Form is that the business entity should be a registered dealer with the Sales Tax Department. The method followed for levying tax depends on the type of goods sold. The government has listed the goods for both the methods separately, thus clarifying the method to be used for different types of goods.

Important points to be remembered when following any of the two methods:

  • The burden of the tax always falls on the consumer

  • Tax has to be paid at some point in the chain of sale.

  • Tax should be paid at one point only to avoid multi taxation.

Under Central sales, there can be a case scenario that involves stock transfer between states for the same company. Such a case requires different treatment. Let us understand with the help of a case scenario.

Case Scenario for Stock Transfer

Fast Wheels, the distributor for Ahead Cars Inc., has a chain of outlets in and around Delhi. Goods are frequently transferred from one outlet in Delhi to another outlet in Gurgaon. Let us understand with the help of a diagrammatic representation.

Delhi branch of Fast Wheels transfers stock worth Rs. 50,000 to the Gurgaon branch. This is an inter-state transaction in which no actual sale has taken place only goods have been transferred. For stock transfer cases, a special CST ST Form, Form F is issued. If Form F is issued then CST is not levied. Thus in this case, Gurgaon branch will issue a Form F and the Delhi branch will transfer the goods on Form F with 0% CST.

Let us have a look at the cost price given here in the form of a table for the business entities in the chain.

Elements/Business Entity | Fast Wheels Delhi Branch | Fast Wheels Gurgaon Branch
Cost Price (manufacturing cost/Procurement cost) | 50,000 | 50,000
CST | Receives Form F with 0% CST | Issues Form F
Total | 50,000 | 50,000
Tax recovered/paid | No tax to be collected since it is a stock transfer transaction | No tax to be paid since it is a stock transfer transaction

Overview of VAT

VAT is the abbreviated form for Value Added Tax. Value Added Tax as the name suggests, is an indirect tax calculated on the 'value added' to the goods and services at each point in the production and distribution chain. It is charged as a percentage of prices, which means that the actual tax burden is visible at each stage in the production and distribution chain. VAT applies to all commercial activities involving the production and distribution of goods and the provision of services.

Over 130 countries worldwide have introduced VAT over the past three decades and India is amongst the latest few to introduce it.

VAT in Indian Economy

VAT has replaced the local sales tax (LST) system in India in many states. Presently, the tax system in India is a combination of Sales tax and VAT. For inter-state sales, Central Sales Tax (CST) is in place with plans of replacing it by VAT in the near future. In case of local sales, many states have adopted VAT and there are many less states left that are using the old Local Sales Tax system.

The primary difference between Sales Tax and VAT is in the way tax is levied. In case of Sales Tax, the tax is generally levied at either the first point or the last point in the production and distribution chain. It is therefore a single-point tax system. In case of VAT, the tax is levied at each point in the production and distribution chain. Thus, VAT is a multi-point tax system.

VAT can be computed using different methods. These methods are discussed here.

Methods for calculating VAT

VAT can be computed by using any of the three methods explained here.

  • Subtraction Method: According to this method, the tax is calculated on the difference between the value of output and the cost of input. Let us understand with the help of an example. ABC & Co. purchases goods (inputs) worth Rs. 10,000. It sells the goods at Rs. 20,000. The difference between the cost of input and value of output is the value added by the company. In this case, the value added by ABC & Co. is Rs. 10,000 (20,000 – 10,000).Thus, VAT will be computed by applying the appropriate tax rate on Rs. 10,000.
  • Addition Method: According to this method, the value added is computed by adding all the payments that are payable to the factors of production such as wages, salaries, and interest payments and so on.
  • Tax Credit Method: According to this method the tax paid on purchases is set-off against tax collected on sales.

In India, the Tax Credit method is followed. VAT is calculated on both the purchase and sale transactions in the chain of production and distribution of goods and services with the provision for a set-off for the tax paid at earlier stages in the chain.

Let us understand the calculation of VAT with the help of an example. Ahead Cars Inc. is a car parts manufacturer. In the month of May 2005, Fast Wheels Inc., a dealer based in Delhi purchased car parts from Ahead Cars Inc. On this purchase, a tax of Rs 10 has been paid. Further Fast Wheels Inc. sells the toys to a retailer and collects tax amounting to Rs.11. For Fast Wheels Inc., the net tax payable/receivable will be the difference between the tax collected on sales and tax paid on purchase. Thus, net tax payable is Re. 1 being the difference between tax collected, Rs. 11, and tax paid, Rs. 10.

In case of VAT, by applying the tax rate on the value added to the goods at the sale transaction stage we can check whether the net tax payable/receivable amount is the correct amount. Fast Wheels Inc. made a value addition of Rs. 10 to the toys. Thus, Fast Wheels Inc. has to pay tax @10% on the value addition of Rs. 10. This tax amounts to Re. 1.

This amount is equal to the tax amount computed by the tax credit method.

For this example, we assume that the manufacturer has not paid any tax on the purchases. This is done to simplify the example.

Given here is a table containing the data on the cost price and tax paid for the different business entities in the chain of transaction.

Elements/Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 90 | 100 (do not include VAT paid on purchase in the cost) | 110 (do not include VAT paid on purchase in the cost)
Profit margin/ Value Added | 10 | 10 | 10
Selling Price | 90 + 10 = 100 | 100 + 10 = 110 | 110 + 10 =120
VAT (10%) | 10 | 11 (rounded off to nearest rupee) | 12 (rounded off to nearest rupee)
Total | 100 + 10 =110 | 110 + 11 = 121 | 120 + 12 =132
Tax paid on purchase | N.A | 10 | 11
Tax collected (payable) on sales | 10 | 11 | 12
Net VAT payable (Tax Collected – Tax Paid) | 10 | 11-10=1 | 12-11=1

An important point to remember in computing VAT is that while computing VAT, do not include the VAT paid at earlier stages in the cost of goods. In the scenario explained here, Fast Wheels paid tax amounting to Rs.10 on the purchase of goods. Further, while computing tax on the sale of the goods, it did not include tax paid, Rs. 10 in the cost of goods. It included only the cost and the profit margin/value added in the selling price and computed VAT on it.

Under this method the dealers can deduct the amount of tax paid by them on purchase from the tax collected on sales, thereby paying the balance amount to the Government as tax.

The objective of levying a multi-stage tax with the provision for set off is to avoid 'cascading' or multi taxation, which can have a snowballing effect on prices. The mechanism of VAT is such that the first seller of goods pays the first point tax and the next seller pays tax only on the value-addition done. If we add up the net tax paid at each stage then the total tax will be equal to the tax burden if we had taxed the transaction at the first or last point of sale only.

There are few typical terms used in VAT that we need to know. Let us discuss these terms.

Terms used in VAT

The terms used in VAT are:

  • Tax Payers Identification Number (TIN)
  • Input Tax Credit
  • Output Tax
  • Net Tax Payable/Receivable
  • Invoice
Tax Payers Identification Number

Tax Payers Identification Number, popularly known, as TIN is the registration number allotted to a dealer registered under the Value Added Tax (VAT) Act. The Sales Tax Department issues TIN to the registered VAT dealer.

Input Tax Credit

Input refers to the goods purchased by a dealer for resale or for further manufacturing, processing, or packing of good manufactured by the dealer. Thus, Input tax is the tax paid on the purchase of goods (inputs) by a dealer and on purchase of raw materials by a manufacturer. Further, Input tax credit (ITC) refers to the tax paid by a dealer on purchase of goods from VAT registered dealers.

The significance of ITC is that the dealer can deduct ITC from the tax collected on sales and then pay/receive the balance amount to the government accordingly.

To reiterate, Input Tax Credit is the input tax paid on purchases of goods from within the state during the tax period from VAT registered dealers that are used:

  • For sales within the state / inter-state sale or export out of India.
  • As Raw Material or Capital Goods in manufacturing or processing of goods other than those exempt from tax under this Act.
  • For use as containers for packing of goods other than those exempt from tax
Output Tax

Output refers to the finished products or goods sold by a dealer or manufacturer. Output tax is the tax collected by a dealer or manufacturer on the sale of goods. This tax is payable to the government.

Net tax payable/receivable

Net tax payable/receivable is calculated as:

Net tax payable/receivable = Output Tax – Input Tax Credit

Let us understand with the help of an example. We will continue with the case scenario of Ahead Cars discussed in the previous topic. In the month of May 2005, Fast Wheels Inc., a dealer based in Delhi purchased car parts from Ahead Cars Inc. On this purchase, a tax of Rs 10 has been paid. Further Fast Wheels Inc. sells the toys to a retailer and collects tax amounting to Rs.11. For Fast Wheels Inc., the net tax payable/receivable will be the difference between output tax and input tax. Thus, net tax payable is Re. 1 being the difference between the output tax, Rs. 11, and input tax, Rs. 10. Similar is the case for Today Cars where the net tax payable is Re. 1 being the difference between the output tax, Rs. 12, and input tax, Rs. 11.

Given here is a table containing the data on the cost price and tax paid for the different business entities in the chain of transaction.

Elements/ Business Entity | Ahead Cars Inc à (Manufacturer) | Fast Wheels à (Distributor based in Delhi) | Today Cars à (Dealer based in Delhi)
Cost Price (manufacturing cost/Procurement cost) | 90 | 100 | 110
Profit margin/ Value Added | 10 | 10 | 10
Selling Price | 90 + 10 = 100 | 100 + 10 = 110 | 110 + 10 =120
VAT (10%) | 10 | 11 (rounded off to nearest rupee) | 12 (rounded off to nearest rupee)
Total | 100 + 10 =110 | 110 + 1 = 121 | 120 + 12 =132
Input Tax | N.A | 10 | 11
Output Tax | 10 | 11 | 12
Net tax payable/receivable (Tax Collected – Tax Paid) | 10 | 11-10=1 | 12-11=1

For this example, we assume that the manufacturer has not paid any input tax on the purchases.

The essence of VAT is in providing set-off for input tax through the concept of input tax credit. According to this concept, the amount of input tax paid by a registered dealer is set-off against the amount of output tax. The resultant amount represents the VAT liability or the net tax payable/receivable by the dealer.

There can be two broad cases possible with Net tax payable. These are:

  • Net Tax Payable: If the output tax is more than the input tax, the dealer will need to pay the difference to the government. In this case, net tax payable amount will be a positive amount.
  • Net Tax Receivable: If the input tax is more than the output tax, the dealer can claim the balance from the government. In such a case, net tax payable will be a negative amount. Thus it can be called net tax receivable. The dealer can take the refund in two ways:
    • The dealer can carry forward the net tax receivable amount and adjust it against the output tax in the subsequent months. Let us understand with the help of an example. Suppose in month of April, net tax receivable is Rs. 20,000. But only Rs. 10,000 net tax was refunded. Now the balance of Rs. 10,000 net tax can be claimed in the next return.
    • The dealer can get the refund of the net tax receivable from the government at the end of the current or next year.
Invoice

Invoice, popularly known as a bill, is a claim raised by the seller of the goods on the buyer of the goods in respect of the goods sold. It provides complete detail of the goods sold by the seller. There are primarily two types of invoices:

  • Tax Invoice
    This invoice is issued when a registered dealer sells goods to another registered dealer for:
    • Resale
    • Manufacture or processing of goods for sale
  • Retail Invoice This invoice is issued when a dealer, registered or unregistered sells goods to an unregistered dealer or a consumer.

The significance of Tax invoice in VAT is that the entire design of VAT and input tax credit is based on documentation of tax invoice, cash memo, or bill. The dealer can claim input tax credit only when the goods are purchased on a tax invoice.

Let us understand with the help of an example. Fast Wheels Inc. purchased good worth Rs. 50,000 each from a registered dealer on a tax invoice and an unregistered dealer on a retail invoice. VAT amounting to Rs. 5,000 has been paid on both the purchases. Now Fast Wheels sold goods worth Rs. 1,00,000 to a registered dealer and VAT amounting to Rs. 10,000 is collected. In this case, the input tax credit will be Rs. 5,000. This amount pertains to the input tax paid on the tax invoice purchase. The output tax is Rs. 10,000. Thus net tax payable is 5,000 (10,000 – 5,000).

We have so far, discussed VAT with respect to the methods used for calculating VAT along with the common terminology used in VAT. Now let us summarize the differences between Sales Tax and VAT, which will help us in understanding the relevance of implementing VAT.

Comparison of Sales Tax and VAT

The differences between sales tax and VAT are listed here in form of a table.

Basis | Sales Tax | VAT
Point of Levy | Sales Tax system is a Single point tax system where tax is generally levied at the first or last point of sale. | VAT is a Multi point tax system where tax is levied at each point in the chain of transactions.
Sale against Forms | Sale can be made against Sales Tax Forms. | In VAT, there is no provision for selling against Forms.
Visibility of tax levied | The amount of tax levied at each point of purchase or sale is not visible. | The amount of tax levied at each point of purchase or sale of goods is visible.
Simplification of Procedure | The procedure of filing returns, payment of tax, furnishing declaration and assessment is long and tiresome. | The procedure of filing returns, payment of tax, furnishing declaration, and assessment is simplified under the VAT system.
Tax included in the cost | Tax paid is included in the cost. Thus, tax becomes a part of cost of doing a business. | Tax paid is not included in the cost. Thus, tax is not a part of cost of doing a business.
Tax Avoidance (Non-compliance) | Sales Tax system is complex and induces non-compliance. Since the tax paid/payable is not visible at each stage, it is possible to avoid paying tax. This form of tax evasion is an obstacle in the growth of the economy. Moreover, it also leads to loss of revenue for the government. | VAT is a simple and transparent system. The tax liability is clearly visible at each stage that makes it difficult to evade tax liability.
Double taxation (Cascading effect) | The inputs are taxed before a commodity is produced and the output is taxed after it is produced. This leads to double taxation with cascading effects. | VAT helps in eliminating the cascading effect of tax. This is done through the provision of set-off against input tax, which leads to reduction in overall tax burden.
Uniform tax rates | Under Sales tax, different rates of tax are applicable on different goods. | VAT has uniform tax rates across the state that simplifies the process of taxing. The two basic rates are 4% and 12.5%

Till now we have discussed VAT on a broad level wherein the methods, terms, and differences between Sales Tax and VAT have been discussed.

Now we will discuss the tax rates applicable in VAT and the special cases in VAT for some types of goods and transactions.

VAT Rates

According to the goverment reports, there are 550 categories of goods under the VAT system. They are classified into the four categories depending on the tax rate:

  • VAT @ 1% - This category covers specific category of goods such as gold, and silver.
  • VAT @ 4% - This category covers the largest number of goods (270) comprising of basic necessity items such as drugs and medicines, agricultural and industrial inputs, and capital goods.
  • Exempted goods - There are about 46 commodities under the exempted category. The exempted goods include natural and unprocessed products in unorganised sector as well as items that are legally barred from taxation.
  • VAT@12.5% - This category covers the remaining commodities.

There are few goods that are not covered under VAT. These items will continue to be taxed under the sales tax act of the respective states.

Currently, the sales tax system is a complex combination of Central Sales Tax and VAT. This intricacy leads to special cases involving different treatment of some goods and transactions. Let us discuss these cases in detail.

Special Cases in VAT where input tax credit cannot be claimed

Input Tax Credit is not allowed in the cases listed here:

  • Goods purchased from an unregistered dealer
  • Goods purchased from another state (inter-state purchase)
  • Goods purchased for the manufacture, processing, or packing of goods that are exempt from tax.
Goods purchased from an unregistered dealer

Goods are purchased from an unregistered dealer on a retail invoice. We know that input tax credit can be claimed only on purchases with a tax invoice. Thus in this case scenario, no input tax can be claimed.

Goods purchased from another state (inter-state purchase)

Let us understand this case with the help of an example. A Delhi based dealer purchased goods worth Rs. 50,000 and paid CST amounting to Rs. 5,000. For the input CST that he has paid on the purchase of goods he is not eligible for input tax credit. In other words, he cannot adjust the output tax against the input CST.

Goods purchased for the manufacture, processing, or packing of goods that are exempt from tax

In case an exempted good is sold then the input tax paid on the inputs cannot be claimed.

Let us understand with the help of an example. Book World is a book-publishing firm. The firm purchased paper @ Rs.100/kg and paid VAT @12.5% amounting to Rs. 12.5. Now they publish a book using that paper and sell in the market. Since books are exempted from VAT hence no VAT is charged.

According to the government, if the finished products are exempted from VAT then the firm cannot claim any tax credit paid on raw material. Thus, Book World cannot claim any VAT from the government. In such a case the net tax payable will be equal to the output tax.

We have discussed the cases where Input Tax Credit cannot be claimed at all. Now let us discuss the special cases where Input Tax Credit can be claimed fully or partially.

Special Cases in VAT where input tax credit can be claimed fully or partially

Input Tax Credit can be claimed fully or partially in the cases listed here:

  • Stock transfer/Consignment basis sale
  • Capital Goods
  • Goods purchased for export
  • Stock brought forward from previous period
Stock transfer/Consignment basis sale

In case of inter-state stock transfer, input tax paid in excess of 4% is liable for tax credit.

Let us understand with the help of an example. ABC & Co. purchases goods worth Rs. 10,000 and paid VAT @12.5% amounting to Rs. 1250. After few days, the company makes a stock transfer from its Delhi outlet to Gurgaon outlet. The goods are sold in Gurgaon @ Rs. 20,000 with VAT @12.5% amounting to Rs. 2500. In case of stock transfer, the input tax rate over and above 4% can be claimed from the government. Thus in this case the input tax credit is Rs. 850 i.e. 8.5% (12.5 – 4) on Rs. 10,000 while the output tax is Rs. 2500. Thus the net tax payable is Rs. 1650 (2500 – 850).

Capital Goods

Traders and manufacturers can claim input tax paid on capital goods. Input tax credit on capital goods can be adjusted over a maximum of 36 equal monthly installments.

Let us understand with the help of an example. Machinery worth Rs. 50,000 has been purchased for business purpose. At the time of purchase input tax amounting to Rs. 5,000 has been paid. Now input tax credit can be claimed from the government in instalments.

Thus in this case the net tax receivable is Rs. 5,000.

Goods purchased for Export

Goods that are purchased for the purpose of export are eligible for input tax credit. For the goods that are exported, input tax will be refunded in full, and this refund will be made within three months. Units located in SEZ (Special Economic Zone) and EOU (Export Oriented Unit) will be granted either exemption from payment of input tax or refund of the input tax paid within three months.

Stock brought forward from previous period

All tax-paid goods purchased on or after April 1, 2004 and still in stock (Opening Stock) as on April 1, 2005 will be eligible to receive input tax credit, subject to submission of requisite documents.

Let us understand with the help of an example. Tax amounting to Rs. 15,000 has been paid in the previous year on purchase of stock. In this case, input tax credit amounts to Rs. 15,000 and it can be claimed. Thus, input tax credit will be allowed for sales tax already paid in the previous year. This input tax credit will be given in six monthly instalments after a period of 3 months needed for verification.

Till now we have discussed the working of VAT in mainly a local scenario. Now we will discuss the working of VAT in combination with Central Sales Tax.

Working of the combined system of Central Sales Tax and VAT

To consolidate Central Sales Tax with VAT, certain rules and regulations have been specified. These rules and regulations ensure smooth functioning of the tax system in India.

Let us discuss these rules and regulations with the help of an example. Blue Bags is a bag manufacturing and distributing company based in Delhi. In April 2005, Blue Bags purchased raw material worth Rs. 50,000 from a seller based in Maharashtra. Since this is an inter-state transaction (central purchase), CST @ 10% amounting to Rs. 5,000 has been paid. Further, Blue Bags processes the raw material and produces 100 bags worth Rs. 700 each. The company sells these bags in Gujarat itself and collects output tax @ 10 % amounting to Rs. 7000.

In this case the various tax payable/receivable amounts are:

Tax head | Amount
Input tax credit (Local Purchase) | 0
Output Tax (Local Sales) | 7,000
Net tax payable | 7,000 (7,000 – 0)
Input CST (Central Purchases) | 5,000

We cannot adjust the Input CST against the net tax payable. The reason is that Input CST is to be paid to the government and is a part of the cost to the business. It cannot be claimed or refunded like Input tax paid on local purchases can be. This is an important rule in the working of the combined tax system in India.

Let us understand this further with some modification in the case scenario. In the month of May 2005, Blue Bags sold bags worth Rs. 80,000 to Bags Inc., their distributor in Gujarat. Since this is an inter-state transaction (central sale), CST @ 10% amounting to Rs. 8,000 has been collected by Blue Bags. In May, the input tax paid on local purchases amounted to Rs. 10,000 while the output tax on local sales amounted to Rs. 2,000. In this case scenario, the various tax payable/receivable amounts are:

Tax head | Amount
Input tax credit (Local Purchase) | 10,000
Output Tax (Local Sales) | 2,000
Net tax payable | -8,000 (2,000 – 10,000)
Output CST (Central Sales) | 8,000

Net tax payable is –8,000 (negative figure), which means that net tax is receivable from the government. Further Output CST (Central sales) is Rs. 8,000, which means that this amount is payable to the government. In such a case, the government allows us to adjust the receivable and payable amounts against each other.

Net tax payable/receivable = Output CST – Net tax receivable

= 8,000 – 8,000

= 0

Thus, under Central Sales Tax system there is no provision for setting off input tax against output tax. The input CST is a liability for the purchaser and has to be borne by him in any case. Output CST can only be adjusted against net tax payable to avoid unnecessary payment and receipt of tax.

Now that we are familiar with the working of the sales tax system in India, let us summarize the key points (rules and regulations) in the working of the sales tax system in India.

  • In Local transactions, Input tax credit on purchases can be claimed and subsequently adjusted against Output tax on sales.
  • In Central transactions:
    • Input CST on purchases cannot be claimed or adjusted. It is a part of the cost and has to be borne by the purchaser of the goods.
    • Output CST on sales can be adjusted if the net tax payable (Output tax – Input tax) is negative. In other words, if net tax on local transactions is receivable from the government then we can adjust it against Output CST. This is done to avoid unnecessary give and take of money between the government and the dealers.

Now that we have understood the concept of Sales Tax and VAT, let us discuss the implementation of the same in BUSY.

Implementation of SalesTax & VAT Reporting

The implementation of Sales Tax & VAT Reporting in BUSY is a simple four-step process. The steps are:

1. Configure Sales Tax & VAT

2. Create Masters

3. Record Sales Tax & VAT Using Vouchers

4. View Sales Tax & VAT Reports

Let us discuss the steps in detail.

1. Configure Sales Tax & VAT

The first step is to configure Sales Tax & VAT in BUSY. There are three sub-steps in configuring Sales Tax & VAT. The sub-steps are:

  • Enable Sales Tax & VAT reporting
  • Configure Sales Tax & VAT reporting Account-wise

Enable Sales Tax & VAT Reporting

To enable Sales Tax & VAT reporting in BUSY, perform the following steps:

  • Open the company you want to configure Sales Tax Reporting for by clicking Company à Open à Select your company.
  • Click Administration àConfiguration à Features/Options à Sales Tax and VAT tab.
    • Enable option Enable Sales Tax & VAT Reporting by selecting the check box and enter the appropriate details in the data fields that become active.

Given here is a screenshot of Features/Options window for enabling Sales Tax reporting in BUSY.

Features/Options window

After you enable Sales Tax reporting in BUSY, certain data fields become active. Enter the appropriate data in the data fields.

  • To enable Sales Tax Surcharge, specify 'Y' in the Enable Sales Tax Surcharge data field. On enabling Sales Tax Surcharge, a Configure button next to the Enable Sales Tax Surcharge data field appears.
  • Click the Configure button to configure Sales Tax Surcharge.
  • On clicking the Configure button, a Sales Tax Surcharge Configuration window appears.

Given here is a screenshot of the Sales Tax Surcharge Configuration window.

Sales Tax Surcharge Configuraton window

Enter the appropriate data in the data fields. There are certain data fields that are active by default while other get activated based on the values.

The data fields active by default are:

  • Surcharge Percentage – Enter the percentage of surcharge that you want to levy.
  • Item-wise surcharge to be calculated on – Under this heading there are three options of Tax Amt., Item Basic Amt, and Item MRP. Select the option suitable for you.
  • Enable in Local Sales – Specify 'Y' if you want to enable surcharge in local sales. If you specify 'Y' then two more data fields become active. These are:
    • Surcharge Bill Sundry – Specify the bill sundry to be used for Sales Tax Surcharge.
    • Freeze for Local Sales – Specify 'Y' here if you want the surcharge to be levied under any condition for all local sales.

If you specify 'Y' in this data field, BUSY will perform a check when you are entering a local sales voucher for a surcharge bill sundry. If you forget to attach a surcharge bill sundry then BUSY will prompt you to attach the appropriate bill sundry. You will not be able to save the voucher without attaching the surcharge bill sundry.

Similarly, you have options for enabling sales tax surcharge in Local Purchase, Central Sales and Central Purchase.

  • Click the Save button to save the Surcharge configuration settings.
  • To create default masters in VAT, click the Create Default Masters button.
  • On clicking the Create Default Masters button, a Create Default Masters for VAT message box appears.

Default masters are those masters that BUSY creates for implementing VAT in BUSY. For example, BUSY creates bill sundry, account, sales or purchase type for VAT.

  • Click the Yes button to create the default masters for VAT. On clicking the Yes button, a Default VAT Masters message box appears.
  • Click the Ok button to return to the Features/Options window.
  • Click the Save button to save the configuration settings for Sales Tax & VAT.

Configure Sales Tax Reporting Account-wise

After Sales Tax reporting is configured in BUSY, you need to configure Sales Tax reporting account-wise for sundry debtors and sundry creditors.

To configure an account for Sales Tax reporting, perform the following steps:

  • Click the Administration à Masters à Account à Add button.
  • In the Account Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Account Master - Add window.

Account Master- Add window

When you specify the Group as Sundry Debtors or Sundry Creditors then enter the LST No. and other sales tax related details for the account.

  • Click the Save button to save the account information.

Now that you have configured Sales Tax in BUSY, you can create masters that are necessary for recording sales tax related details.

2. Create Masters

To enter and maintain sales tax related details, you need to create certain masters.

The masters to be created are:

  • Sale/Purchase Type
  • ST Form

Let us discuss the two masters in detail.

Sale/Purchase Type

A Sale/Purchase Type is classification of sale/purchase based on the type of sale/purchase (central or local) and the rate of sales tax charged. This classification is required for the purpose of reporting. Certain Sale/Purchase Types are created by default at the time of creation of a company. These can be modified or deleted as per your requirements.

To create a Sale/Purchase Type, perform the following steps:

  • Click Administration à Masters à Sale/Purchase Type à Add button.
  • In the Sale Type Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Sale Type Master - Add window.

Sale Type Master - Add window

There are certain data fields that are active by default while other get activated based on the values. The data fields/Options Boxes active by default are:

  • Sale Type
  • Sales Account
  • Taxation Type
  • For Printing in Documents
  • Region

Sale Type

In this data field, enter the name of the Sales Type that you want to create.

While naming the sale type keep in mind that the name should reflect the properties of the sale type. For example if you are creating a sale type for central sale against ST Form and with 10% CST applicable then you can give a name Central 10%. Such a naming convention ensures that it is easy to recognize which sale type is applicable in a particular case.

Sales Account

In this data field, enter the name of the Sales account that you want to affect by the transaction. For example, Fast Wheels Inc. is a dealer in car parts. It wants to create sale types for two types of goods. For this purpose it creates two sale types, one for semi-processed goods and one for processed goods. Since it maintains separate Sales account for the two types of goods it specifies the respective sale account for the sale types.

Taxation Type

In this option box, you need to select one of the following options:

  • Tax Paid – Select this option if tax has been levied on sale already
  • Taxable - Select this option if tax has to be levied on sale
  • Against ST Form - Select this option if sale is against ST Form
  • Exempt - Select this option if sale is exempt from tax
  • Tax Free - Select this option if sale is tax free
  • Multi-Tax - Select this option if you want to record sale of different items with different rates of sales tax in a single voucher

When you are creating a Sale Type then two options of Un-registered Dealer and Lump-sum Dealer are NOT ACTIVE. The reason is that under Sales Tax system irrespective of whether you are selling to an un-registered dealer/lump-sum dealer/customer you do not distinguish between them and will charge tax as per regular sale. Thus for such sales you will specify the Taxation Type as Taxable.

When you are creating a Purchase Type then these two options are ACTIVE. The reason is that when you purchase goods from an un-registered dealer or lump-sum dealer, you will pay sales tax. For your convenience you can distinguish between the two types of dealer regarding the number of purchases made from each.

For Printing in Documents

In this option box, there are two data fields:

  • Invoice Heading – Enter the heading of the invoice that you want to be displayed on the invoice.
  • Invoice Description – Enter the description of the invoice that you want to be displayed on the invoice.

Region

In this option box, you need to select one of the following options:

  • Local – Select this option if sale is within the state.
  • Central - Select this option if sales is between two states (inter-state sale).

The data fields/options boxes that get activated based on values are:

  • Calculate Tax on Item MRP
  • Tax inclusive Item Price
  • Tax Invoice
  • Tax Bill Sundry
  • Type of Central Transaction
  • Form Information
  • Tax Calculation

Calculate Tax on Item MRP

In this data field specify 'Y' if you want to calculate tax on Item MRP. This data field is activated when you select the Taxation Type as Multi-Tax.

Tax inclusive Item Price

In this data field specify 'Y' if you want to display the item price in the invoice inclusive of tax. Enabling this option allows you to do MRP Billing. In other words, if you enable this option then you need to enter only the quantity, price and tax rate for the item. BUSY will calculate the tax automatically by doing reverse calculation.

Let us understand with the help of an example. You want to specify a standard rate for all the items of a particular category. The problem is that the rate of tax is different for all the items. To simplify the situation, you can enable this option and specify the price and tax rate for all the items. In this way you need not calculate the tax per item.

On enabling Tax Inclusive Item Price option another data field, Hide Item Tax Rate window, becomes active. If you specify 'N' then while entering the voucher an Item-wise Tax Rates window appears wherein you can specify the tax rate for the item. If you specify 'Y' then the Item-wise Tax Rates window does not appear. In such a case you need to specify the tax rate in the Item master.

On disabling Tax Inclusive Item Price option another data field Calculate Tax On field becomes active. Enter in this field the percentage of amount on which tax is to be calculated.

This data field is activated when you select the Taxation Type as Multi-Tax.

Tax Invoice

In this data field specify 'Y' if you want that the invoice that is billed in the sale type is Tax Invoice. If you specify 'N' then the invoice that is billed is Retail Invoice. The distinction between the two types of invoices is that on Tax Invoice the seller can claim input VAT whereas on Retail Invoice he cannot claim input VAT.

This data field is activated when the Taxation Type is Multi-Tax/Taxable.

Tax Bill Sundry

In this data field, specify the bill sundry to be used when you are levying tax on the voucher. This data field is a part of the Tax Calculation Option Box and it gets activated when the Taxation Type is Multi-Tax/Against ST Form/Taxable.

Type of Central Transaction

This option box is activated when the Central option is selected under Region option Box.

In this option box, there are three options that specify the type of central transaction. Select one of the following options:

  • Stock Transfer
  • Export
  • Others

Form Information

In this option box, you need to enter details for the following data fields:

  • Issue ST Form – Specify 'Y' in this data field if you want to issue a ST Form for the sale voucher.
  • Form Issuable – This data field is activated if you have specified 'Y' in the previous data field. Select the form to be issued from the list that is displayed in the data field.
  • Receive ST Form – Specify 'Y' in this data field if you can receive a ST Form for the sale voucher.
  • Form Receivable– This data field is activated if you have specified 'Y' in the previous data field. Select the form to be received from the list that is displayed in the data field.

This data field is activated when you select the Taxation Type as Against ST Form.

Tax Calculation

In this option box, you need to enter details for the following data fields:

  • Single Tax Rate - Select this option if single tax rate is to be applied on various items used in a voucher.
  • Multi Tax Rate - Select this option if different tax rates are to be applied on various items used in a voucher.
  • Freeze Tax in Sales – Specify 'Y' in this data field if you want to attach the tax bill sundry for levying tax in all cases of sales. If you specify 'Y' then you cannot save a sale voucher without attaching the tax bill sundry.
  • Freeze Tax in Sales Return – Specify 'Y' in this data field if you want to attach the tax bill sundry for levying tax in all cases of sales return. If you specify 'Y' then you cannot save a sale return voucher without attaching the tax bill sundry.

This option box is activated when you select the Taxation Type as Taxable/Against ST Form.

ST Form

ST Form is an abbreviation for Sales Tax Declaration Forms. These forms are used under the Sales tax System. You can create ST Forms according to your requirement. Some ST Forms are created by default at the time of creation of a company. These can be modified or deleted as per your requirement.

To create a ST Form, perform the following steps:

  • Click Administration à Masters à ST Form à Add button.
  • In the Form Master – Add window, enter the appropriate information in the data fields.

Given here is the screenshot of the Form Master - Add window.

Form Master - Add window

There are three data fields that are active by default in the Form Master – Add window. The active data fields are:

  • Name
  • Print Name
  • ST Reg. Type

Name

In this data field, enter the name of the form that you want to create.

Print Name

In this data field, enter the print name for the form. Print Name refers to the name that appears on documents given to external parties such as sales invoice, receipt, debit note and so on. By default, the name entered in the Name field is displayed as Print Name. You can leave this field blank if you do not want any name to appear on the printed reports.

ST Reg. Type

In this data field, select one of the three options that are displayed. The three options are:

  • Local – Select this option if the form is for local transactions.
  • Central – Select this option if the form is for central transactions.
  •  ST-37 – Select this option if the form is for Delhi only with VAT enabled.

Now that you have created masters for Sales Tax in BUSY, you can record sales tax related transactions using vouchers.

3. Record Sales Tax Using Vouchers

If you have paid/received sales tax on sale/purchase of goods then you can enter sales tax related details in the appropriate vouchers.

To record sales tax related details perform the following steps:

  • Click Transactions menuà Select the appropriate voucher.
  • Enter appropriate information in the voucher and save the voucher.
  • Click Transactions menu à Select the appropriate voucher for Forms Received/Forms Issued.
  • Enter appropriate information in the voucher and save the voucher.

Let us understand the recording of sales tax with the help of an example. Fast Wheels Inc. is a dealer in car parts based in Delhi. It sold car parts to Today Cars, a dealer based in another state. Moreover, Fast Wheels Inc. collected sales tax at 10% and surcharge at 10% on sales tax.

Given here is a screenshot of the Sales voucher that Fast Wheels Inc. enters for sale of car parts.

Sales - Add window

If you do not attach the Tax Bill Sundry as specified in the Sale Type (Central 10%) then BUSY will display a message box asking you whether to continue without the tax bill sundry. In such a case, you can save the voucher with or without the tax bill sundry.

  • Click the Save button to save the voucher. On clicking the Save button a Sales Tax/Excise Reporting Details window appears.

Given here is a screenshot of the Sales Tax/Excise Reporting Details window.

Sales Tax Excise Reporting Details window

There are three active data fields that appear in the Sales Tax/Excise Reporting Details window. These are:

  • Description of Items
  • Total Qty.
  • Form DVAT 34 No.

Let us discuss these data fields in detail.

Description of Items

In this data field, enter the description of the item sold. If you do not want to give a description for the item then you can leave this field blank.

Total Qty.

In this data field, enter the quantity of goods sold that you want to display in Sales tax & VAT reporting. By default, the quantity specified in the voucher is displayed in the data field.

Form DVAT 34 No.

In this data field, enter the details of road permit, if any. This information is required for generating the Form DVAT report.

If you enter a purchase transaction involving sales tax then a Sales Tax/Excise Reporting Details window appears on clicking the Save button. This window has active data fields such as Purchase Bill Number, Purchase Bill Date, and Description of Items. You can enter the appropriate information in the data fields since this information is required for Sales Tax reporting.

  • Click the Ok button to close the Sales Tax/Excise Reporting Details window. On clicking the Ok button a ST Forms Details window appears.

Given here is a screenshot of the ST Forms Details window.

ST Forms Details window

ST Forms Details window appears for the Sale voucher because in the Sale Type (Central 10%) the Taxation Type is defined as 'Against ST Form'. If the Taxation Type is an option other than 'Against ST Form' then this window will not appear.

There are two data fields that appear in the ST Form Details window. These are:

  • Form Issuable Amt.
  • Form Receivable Amt.

Let us discuss these data fields in detail.

Form Issuable Amt.

In this data field, enter the amount for which the Form is issuable. By default, the total amount of transaction is entered in this data field.

Form Receivable Amt.

In this data field, enter the amount for which the Form is receivable. By default, the total amount of transaction is entered in this data field.

Depending on the configuration in Sale/Purchase Type under Form Information option box either Form Issuable Amount or Form Receivable Amount or both the data fields will be active. In the screenshot given above, since the sale type configuration allows the form to be issued as well as received both the fields are active in the window.

Typically speaking, Form Issuable Amount data field will be active for purchase transactions and Form Receivable Amount data field will be active for sales transactions.

  • Click the OK button to close the ST Forms Details window and save the Sale voucher.

Now that you have entered the Sale voucher for the sale transaction, you need to enter a Form Received transaction for the form that is received from Today Cars.

Given here is a screenshot of the Forms Received – Add window that Fast Wheels Inc. enters for receipt of the appropriate form.

Form Received - Add window

There are certain data fields that appear in the Forms Received – Add window. These are:

  • Date
  • Form
  • Form No.
  • Party
  • Narration
  • Bill No./Dated/Amount

Date

In this data field, enter the date on which the Form is received.

Form

In this data field, select the Form that you have received from your customer. You can select from the list of ST Forms displayed in the data field.

Form No.

In this data field, enter the number that is printed on the Form. Form number is a unique number of the Form.

Party

In this data field, select the party from whom you have received the Form.

Narration

In this data field, enter the narration giving a brief description of the transaction.

Bill No./Dated/Amount

In this data field, select the appropriate form details from the list that is displayed in the grid.

On selecting the appropriate form details, the details for Bill No, Dated, and Amount are automatically entered in the data field.
  • Click the Save button to save the Forms Received voucher.

4. View Sales Tax Reports

Once you have recorded sales tax and VAT related transactions, you can view the Sales Tax & VAT related reports and returns. To view the Sales Tax & VAT reports, perform the following tasks:

  • Click Display à Sales Tax & VAT Reports à Select a report from the following options:
    • ST Form reports
      •  Forms Receivable
      •  Forms Issuable
      •  Forms Received Register
      •  Forms Issued Register
    • Sales Tax Summaries
      • Sale Type Summary
      •  Purchase Type Summary
      • Sales Tax Summary
      • Purchase Tax Summary
    • Sales Tax Account Register
    • State-specific Sales Tax Register
    • VAT Summaries
      •  VAT Summary
      •  VAT Computation
      • Party-wise Sales VAT Summary
      • Party-wise Purchase VAT Summary
      • Item-wise Sales VAT Summary
      • Item-wise Purchase VAT Summary
      • Party-wise Sales CST Summary
      • Party-wise Purchase CST Summary
      • Item-wise Sales CST Summary
      • Item-wise Purchase CST Summary
    • VAT Registers
      •  Sales Registers
      • Purchase Registers
    • State-specific VAT Reports
    • Tax Paid Stock Detail
    • VAT Adjustment Details

Given here is a screenshot of the Sales Tax & VAT Reports menu.

Sales Tax & VAT Reports window
  • Enter the date range in Starting Date and Ending Date fields/Select the appropriate option to generate the report.
  • View the respective Sales Tax & VAT report.

Given here is a brief description for each of the Sales Tax & VAT reports.

In the ST Form reports, four options appear. Let us discuss these options in detail.

Forms Receivable

Forms Receivable report contains details of the forms that are receivable from customer or parties. It contains details such as party, bill number, type, dated, form amount, and form.

Forms Issuable

Forms Issuable report contains details of the forms that are issuable to suppliers or parties. It contains details such as party, bill number, type, dated, form amount, and form.

Forms Received Register

Forms Received Register contains details of all the form receipt transactions. It contains details such as serial number, name of party, address of party, serial number of forms, date of receipt and so on.

Forms Issued Register

Forms Issued Register contains details of all the form issue transactions. It contains details such as serial number, name of seller, address of seller, serial number of forms, date of issue and so on.

This register is also known as Forms Utilisation Register.

In Sales Tax Summaries four options appear. Let us discuss these options in detail.

Sale Type Summary

Sale Type Summary report contains details of all the Sale Types that have been used in sales/sales return transactions. This report provides the summary on sales and sales return for a specific Sale Type. All the sales/sales returns belonging to specific Sales Type (C-10%, L, L-8% and so on) are grouped together.

Let us understand with the help of an example. There are two Sale Types, A and B. In such a case, under this report the sale/sales return will be grouped under separate headings of A and B.

It contains details such as name of form, sales amount, tax amount, sales return amount, sales type name, sales tax surcharge, nett sales and so on.

Purchase Type Summary

Purchase Type Summary Report contains details of all the purchase types that have been used in purchase/purchase return transactions. This report provides the summary on purchase and purchase return for a specific purchase type. All the purchase/purchase returns belonging to specific purchase type (C-10%, L, L-8% and so on) are grouped together.

Let us understand with the help of an example. There are two Purchase Types, A and B. In such a case, under this report the purchase/purchase return will be grouped under separate headings of A and B.

It contains details such as name of form, purchase amount, tax amount, purchase return amount, purchase type name, sales tax surcharge, nett purchase and so on.

Sale Tax Summary

Sale Tax Summary report contains details of all the sale and sales return transactions on which sales tax has been paid. It provides the summary on sales and sales return for a specific tax rate. All the sales/sales return belonging to a specific tax rate (5%, 10% and so on) and a specific region (Central/Local) will be grouped together irrespective of different sale types.

Let us understand with the help of an example. There are two sale types, A and B, where the tax rate and region specified are same. Thus, the report generated will club the sale/sales return for both sale type based on the same tax rate and region.

This report contains details such as sale type, sales amount, tax amount, sales return amount, sales tax surcharge, nett sales and so on.

Purchase Tax Summary

Purchase Tax Summary report contains details of all the purchase and purchase return transactions on which sales tax has been paid. It provides the summary on purchase and purchase return for a specific tax rate. All the purchase/purchase return belonging to a specific tax rate (5%, 10% and so on) and a specific region (Central/Local) will be grouped together irrespective of different purchase types.

Let us understand with the help of an example. There are two purchase types, A and B, where the tax rate and region specified are same. Thus, the report generated will club the purchase/purchase return for both purchase type based on the same tax rate and region.

This report contains details such as purchase type, purchase amount, tax amount, purchase return amount, sales tax surcharge, nett purchase and so on.

Sale Tax Account Register

Sale Tax Account Register contains details of all the transactions on which sales tax has been collected. It is the register generally required at the time of assessment. It contains each and every detail relevant to sales tax. You can generate the report for local and central transactions separately. It contains details such as date, bill number, party, bill amount, form and so on.

State-specific Sales Tax Register

Depending on the state selected in Configuration menu, state-specific sales tax registers are listed in this option. For example, if the state selected is Delhi then the Sales Tax Registers are ST-2A and ST-2B.

In VAT summaries ten options appear. Let us discuss these options in detail.

VAT Summary

This report is same as VAT Computation report explained below except that it shows the details of central sales and purchases that are not related to computation of VAT. This report forms the foundation/base for all other VAT reports.

VAT Computation

VAT Computation calculates the Net VAT Payable/Refundable for a specified period and shows all the computations used to derive at the final figure. It contains comprehensive detail such as input VAT, output VAT and so on.

Party-wise Sales/Purchase VAT Summary

This report displays the summary for sales/purchase transactions on which VAT has been paid or collected. This report classifies on the basis of the parties. It simply clubs all the sales/purchase transactions for different parties and displays the clubbed amount for different parties.

Item-wise Sales/Purchase VAT Summary

This report displays the summary for sales/purchase transactions on which VAT has been paid or collected. This report classifies on the basis of the items. It simply clubs all the sales/purchase transactions for different items and displays the balance amount for different items.

Party-wise Sales/Purchase CST Summary

This report displays summary of sales/purchase transactions on which CST has been paid or collected. This report classifies on the basis of the parties. It simply clubs all the sales/purchase transactions for different parties and displays the clubbed amount for different parties.

Item-wise Sales/Purchase CST Summary

This report displays summary of sales/purchase transactions on which Central Sales Tax is paid or collected. This report classifies on the basis of the items. It simply clubs all the sale/purchase transactions for different items and displays the balance amount for different items.

In VAT Registers two options appear. Let us discuss these options in detail

Sales Registers

This register contains details of sales vouchers (VAT/non-VAT related) presented in the format prescribed by the state government. It allows you to display the report for local, central or both types of sales.

Purchase Register

This register contains details of purchase vouchers (VAT/non-VAT related) presented in the format prescribed by the state government. It allows you to display the report for local, central or both types of purchase.

State-specific VAT Register

Depending on the state selected in Configuration menu, state-specific VAT registers are listed in this option. For example, if the state selected is Delhi then the VAT Registers are DVAT 16, DVAT 30, DVAT 31 and DVAT 35B.

Tax Paid Stock Details

Tax Paid Stock Details contains details of all the stock purchase transactions till a particular date on which sales tax has been paid. The relevance of this account is under VAT system. This registers helps you maintain a record of the tax paid stock purchase transactions, which in turn helps you, claim any refundable amount of tax from the government. It does not include central purchase transactions since you cannot claim a refund on central purchases.

It contains details such as serial number, items, quantity, purchase date, invoice number and so on. You can generate this report for all items or group of items.

VAT Adjustment Details

VAT Adjustment Details report displays the details of Input/Output Tax adjustment or any payment/refund of VAT made. It displays all the details related to VAT payment and refunds such as Challan number, challan date, Bank name/code and so on.

After following these four steps you have successfully implemented Sales Tax reporting in BUSY.


Item Bar Code Printing Add-On

Knowledge Documents > Other Documents > Item Bar Code Printing Add-On

Introduction

This software is a Standard BUSY Add-On, which is to be used in conjunction with BUSY software for the printing of Item Bar Codes. It is used as an additional feature within BUSY where it picks the item data from BUSY (from the items already entered) or from an Excel sheet and prints their Bar Codes on any Windows compatible printer. With the help of this Add-On, you can configure Bar Code Labels/Stickers as per your requirements and print the same. Bar Codes can be printed for One Item (Multiple Copy), Group of Items and All Items.

Advantages

The main advantage of this Add-On utility is that the Bar Codes can be printed from any windows compatible printer (Laser Jet/Ink Jet/Desk Jet/Dot Matrix) and no special, costly Bar Code Printer is required. Moreover, the Bar Code for a single item can be exported to graphic files in .bmp, .jpeg or .emf format.

The second advantage is that it picks the item data directly from BUSY or from Excel sheet and prints the corresponding Bar Codes. Unlike other software, supplied with the Bar Code printers, you do not have to enter items separately for generation of Bar Codes.

Using Item Bar Code Printing Add – On

To use this utility, you have to first install Item Bar Code Printing Add-On (For installation process - please refer to HowToInstall.doc file provided in BUSY software).

Since it is an Add-On to BUSY, it cannot be used as an independent software. Instead it can be used with BusyWin software only. To use Item Bar Code Printing Add-On, perform the following steps:

  • Start BusyWin and open the required company. On the main screen a new menu option (after installation), Add-Ons will appear.

The option of Add On appears only after you have installed the Item Bar Code Printing Add-On.

Given here is a screenshot displaying Main screen with the Add Ons option.

Add-On menu window
  • Click the S04001 – Item Bar Code Printing option to use this utility.

When you click the S04001 – Item Bar Code Printing option, the program checks for the presence of a Valid Key CD in your CD Drive. If a Valid Key CD is found then the program will start in Licensed mode otherwise it will start in Demo mode. In the Demo mode a Security Check message box appears with the message – 'A valid Key CD is not found the program will start in Demo mode'. Click Ok button to proceed further. After clicking the Ok button an Item Bar Code Printing window appears. If you are working in a Licensed mode then no such message box appears and directly Item Bar Code Printing window appears.

Item Bar Code Printing window appears irrespective of the mode (Demo or Licensed) you are using. But if you are using a Demo mode then you will not be able to make full use of all the features. For example in the Demo mode, with the option of Print Bar Code Labels, you can print Bar Codes for first ten items only and the same Bar Codes will be printed repeatedly on repetition of Print command.

Given here is a screenshot of Item Bar Code Printing window.

Item Bar Code Printing window

Let us discuss the options given in the above screenshot in detail.

1. Configure Bar Code Labels

Using this option you can configure the settings of Bar Code Labels/Stickers. You can create different formats by setting different configurations. The need for creating different formats can be well explained with the help of an example. ABC Limited Company deals in different types of items of different size. The company wants to put bigger labels on items contained in bigger boxes and smaller labels on items contained in smaller boxes. Hence for this purpose it can create different formats for different types of labels and can further print labels according to the selected format. Once the format is added, the next step is to set the configuration for the format.

You can add, configure, modify and delete a format by using the Select Format window. You can also read/write data from Configuration file through this window. This window appears on clicking the Configure Bar Code Labels option.

Given here is a screenshot displaying Select Format window.

Select Format window

Let us discuss various buttons in the Select Format window.

  • Add Format
  • Modify Format
  • Delete Format
  • Configure Format
  • Read Config Data From File
  • Write Config Data To File

Add Format

Click this button to add a new format. On clicking this button, an Add Format subgroup appears in the Select Format window in which you can specify the name for the format.

Modify Format

Click this button if you want to modify the name of a format. On clicking this button, a Modify Format sub group appears in the Select Format window in which you can change the name of the selected format.

Delete Format

Click this button if you want to delete a particular format. On clicking this button, a Delete Format message box appears asking your permission to delete the format. Click the Yes button in the message box to delete the selected format.

Configure Format

Configure Format button is used to configure a format for Bar Code printing. To use this option, select a format from the list on the left-hand side of the window and click the Configure Format button.

On clicking the Configure Format button, a Data Configure (Item Bar Code) window appears. Given here is screenshot displaying Data Configure (Item Bar Code) window.

Data Configure (Item bar Code) window

In the above screenshot there is an option of Pick Bar Code Values From through which you can select source from where Bar Code values can be picked. The different options in the list are:

  • BUSY Data
  • Excel Sheet

Let us discuss these options in detail.

BUSY Data

If you want to pick Bar Code values from the data fed in BUSY, select the BUSY Data option from the list. On selecting the Busy Data option from the list, different fields get activated. Given here is a screenshot displaying fields that get activated after selecting Busy Data as source for picking Bar Code values.

Data Configure (ItemBarCode) window

The above screenshot has been divided into five sub windows.

  • Page Settings
  • Label Settings
  • Bar Code Settings
  • Header Settings
  • Footer Settings

Before discussing the fields used in above screenshot, given here is a graphic that will help you in setting different formats for configuration of Bar Code labels. The graphic shows the details of all the fields being asked in Data Configuration window. With the help of this graphic you can easily set the format for configuration of Bar Code labels.

Let us now discuss the different data fields used in the Data Configure (Item Bar Code) window in detail.

Page Settings:

  • Measurement of Item Bar Code - Select from the list that various measurements for Item Bar Code will be in Inches or Millimeter.
  • Top Margin – Specify here the top margin of the page to be left while printing.
  • Left Margin - Specify here the left margin of the page to be left while printing.
  • Number of Labels in one Row – Enter here the number of labels present in one row.
  • Number of Rows in one Page – Enter here the number of rows present in one page.
  • Print Continuous Roll - Specify 'Y' in this data field if you want labels to be printed in continuation without skipping to next page. Otherwise if you specify 'N' in this data field then the number of labels specified for one page will be printed on a page and the printing for further labels will start from next page.

Label Settings:

  • Label Height – Enter the height of the label.
  • Label Width – Enter the width of the label.
  • Horizontal Gap between the Labels – Enter the horizontal gap between the labels in this field.
  • Vertical Gap Between Labels - Enter the vertical gap between the labels in this field.

Bar Code Settings:

  • Bar Code Type - Select from the list that whether you want Simple Bar Code or Composite Bar Code. If you select Simple option then a Bar Code Value data field appears otherwise if you select the Composite option then a Bar Code Structure data field and a Configure Structure button appears. On clicking the Configure Structure button, a Bar Code Structure Configuration window appears in which you can create and configure Bar Code structure. Bar Code Structure Configuration window is well explained under the Configure Composite Bar Code option.
  • Bar Code Structure - This data field appears if you have selected Composite option in the Bar Code Type data field. Select the required Bar Code structure.
  • BarCode Value - This data field appears if you have selected Simple option in the Bar Code Type data field. Select the data field for which the Bar Code is to be printed. Since this program is used with BUSY software, this data would be read from the items entered in BUSY. The Bar Code value can be printed from item name, item alias or user-defined labels. Let us discuss the different options available in the list.
    • Item Name – If you select this option then Bar Code values will be picked from the item name entered in BUSY data.
    • Item Alias – If you select this option then Bar Code values will be picked from items alias entered in BUSY data.
    • Custom – If you select this option then the data will be read from the Item Labels as designed in BUSY. The Item Labels designed in BUSY provide flexibility to print Bar Codes for user-defined values. This option is helpful when you do not want to create Bar Code values either from item name or from item alias. Let us explain this with the help of an example. ABC Limited Company sells an item in pieces and in sets. Now the company wants to put on sets, the label that contain only item print name appended with the number of pieces in one set. For this purpose the company can select the Custom option from the list. After selecting this option an Item Label Format field get activated from where the company can select the Item Label defined in BUSY.
    • Item Label Format - This option gets activated only when Custom is chosen as Bar Code value. Select the Item Label format to be used. This is the name of the Item Label format designed in BUSY.

To create Item labels in BUSY, Go to Administration à Configuration à Label Printing Configuration.
    • None – If you select this field then no Bar Code will be generated.
  • Print Item Bar Code for Batch No. - This data field appears if you have enabled Serial No. - wise Details or Batch-wise Details option in the Batch / MRP/ Serial No. - wise Details Options window that appears while configuring Batch/MRP/Sr. No, details in Administration > Configuration > Features/Options > Inventory tab. Specify 'Y' in this data field if you want to print Bar Codes for the Batch/Serial number also.
  • Bar Width - Enter the width for Bar Code. It is recommended to specify the Bar width between 7.5 to 20 miliInches or 0.2 to 0.5 Milimeter. As the size of the Bar Code is directly proportional to Bar Width, you need to give a lesser Bar Width if you are printing labels/stickers that are small in size and higher Bar width if you are printing labels/stickers that are big in size.

The Bar Width of a label is directly related to the printer you are using. If you are using a good quality printer (like Laser printer with original Toner) then you can keep the Bar width less as readability of the label will not be affected. But if you are using a low quality printer (like Dot Matrix, Inkjet with refilled Toner) then you have to keep the Bar width high, so as to enhance the readability of the label.

Header Settings:

  • Enter the text that you want to display as header for the label. By default the name of the company is specified in the header field. You can change it according to your requirement.
  • Print Header in Bold – If you specify 'Y' in this field then the header will be printed in bold letters.
  • Header Alignment – Select the position from the list where you want the header to be printed. The different options in the list are:
    • Right Alignment – If you select this option then header will be printed at the extreme right corner/side of the label.
    • Left Alignment - If you select this option then header will be printed at the extreme left corner/side of the label.
    • Center Alignment - If you select this option then header will be printed in the center of the label.

Footer Settings:

  • Field to be printed – Select the field that you want to print in the footer. You can leave the footer blank by selecting the None option.
  • Print Footer in Bold – If you specify 'Y' in this field then footer will be printed in bold letters.
  • Footer Alignment – Select the position from the list where you want the footer to be printed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.

In the Footer Setting a MRP/ Sale Price Printing sub-window appears. Different fields in the MRP/ Sale Price Printing sub-window are:

    • Print MRP/Sale Price – This field is used to print MRP/Sale Price in the footer. If you specify 'Y' in this field then all other fields will become active.
    • Caption – Enter the caption/text that will be displayed in the footer at the time of printing.
    •  Value – Select the value at which the price is to be printed. The price can either be Maximum Retail Price (M.R.P) or Sale Price. If you select MRP then it will pick the MRP of the item as entered in BUSY and if you select Sale Price then it will pick the Sale Price of the item as entered in BUSY.
    • Print MRP/Sale Price in Bold – If you specify 'Y' in this field then price will be printed in bold letters.
    • MRP/Sale Price Alignment – Select the position from the list where you want the price to be printed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
    • Print Item Name and Price in separate lines – Enable this field if you want to print the item name and price in separate lines.

Additional Footer Configuration:

On clicking the Additional Footer Configuration button, an Additional Footer Information sub-window appears. Given here is a screenshot of Additional Footer Information sub-window.

Additional Footer Information window

With the help of above screenshot you can print additional three lines in the footer, in addition to footer settings. You can define the settings for each line of the footer or can leave it blank if you do not want to print anything in the footer. There are two groups in the Additional Footer Information window in which there are various data fields. The groups are:

  • Additional Footer Settings - Various data fields in this group are:
    • Footer Text – Enter here the text that you want to print in the footer line.
    • Op. Field – Enter the number of optional field(s) whose value is to be displayed in the footer line. These optional fields are for items. In BUSY you can define Optional Fields in Administration à Configuration à Master Configuration. You can assign values to these Optional Fields when you are adding a new item in BUSY. For example ABC Limited Company deals in different types of buttons. Now it wants to enter the information about color and shape of different types of button. For this purpose it creates optional fields, color and shape. Now whenever company adds a new item in the Item master in BUSY, a sub-window appears in which it can assign the relevant values to these optional fields. The value assigned to the specified Optional Field will then be printed in the footer of the label.
    • Bold – Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
  • Batches Information - This group appears if you have enabled Batch. - wise Details option in the Batch / MRP/ Serial No. - wise Details Options window that appears while configuring Batch/MRP/Sr. No, details in Administration > Configuration > Features/Options > Inventory tab.Various data fields under this group are:
    • Print Batch No. - Specify 'Y' in this data field if you want to print batch numbers in the footer line.
    • Print Expiry Date - Specify 'Y' in this data field if you want to print expiry date of the batch in the footer line.
    • Bold - Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
  • Serial No. Information - This group appears if you have enabled Serial No. - wise Details option in the Batch / MRP/ Serial No. - wise Details Options window that appears while configuring Batch/MRP/Sr. No, details in Administration > Configuration > Features/Options > Inventory tab. Various data fields under this group are:
    • Print Serial No. - Specify 'Y' in this data field if you want to print serial numbers in the footer line.
    • Print Alt. Qty. - Specify 'Y' in this data field if you want to print serial number alternate quantity in footer lines.
    • Bold - Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.

After you have configured the format for Bar Code printing click the Save button to save the information.

Excel Sheet

If you want to pick Bar Code values from an Excel sheet, select the Excel Sheet option from the list. On selecting Excel Sheet from the list, some fields get activated. Given here is a screenshot displaying fields that get activated after selecting the Excel Sheet as source for picking Bar Code values.

Data Configure window

Most of the fields that appear in the above screenshot are same as the ones that appear after selecting the Busy Data option. The fields that are different are marked in the image and explained below while the same fields are explained above.

  • Bar Code Value (Excel Column) - This data field appears if you have selected the Simple option. Select the excel column from where the value for the Bar code will be picked.
  • Bar Code Structure Value - This data field appears if you have selected the Composite option. Select the Bar Code structure from which the value are to be picked. You can create different structures in the Configure Composite Bar Code Structure option.
  • Value (Excel Column) - Select the excel column from where the MRP/Sale Price will be picked.
  • Pick Batch/Serial No. (Excel Column) - This data field gets activated if you have specified 'Y' in the Pick Item Bar-Code for Batch/Serial No. data field. Select the excel column from the list from where the batch/serial numbers will be picked.
  • Pick No. of Copies for Batch/Serial No. (Excel) - This data field gets activated if you have specified 'Y' in the Pick Item Bar-Code for Batch/Serial No. data field. Select the excel column from where the value for number of copies field will be picked.
  • Pick No of Copies from Print Options (Excel Column) - This data field gets activated if you have specified 'N' in the Pick Item Bar-Code for Batch/Serial No. data field. Specify 'Y' in this data field if you want to that number of copies to be printed should be dependent on the value you will specify at the time of printing. Otherwise specify 'N' in this data field if you want number of copies to be picked from excel column. On specifying 'N' in this data field, a list displaying excel columns appears. Select the required excel column from where the value of number of copies to be printed will be picked.

The Additional Footer Information window that appears on clicking Additional Footer Configuration button is different from the one that appears in BUSY data option. Given here is a screenshot of Additional Footer Information window.

Additional Footer Information window

There are two groups in the Additional Footer Information window in which there are various data fields. The groups are:

  • Additional Footer Settings - Various data fields in this group are:
    • Footer Text – Enter the text that you want to print in the footer line.
    • Excel Column – Select the column whose value you wish to print in the footer line.
    • Bold – Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
  • Batches Information - This group appears if you have enabled Batch. - wise Details option in the Batch / MRP/ Serial No. - wise Details Options window that appears while configuring Batch/MRP/Sr. No, details in Administration > Configuration > Features/Options > Inventory tab.Various data fields in this group are:
    • Print Batch No. - Specify 'Y' in this data field if you want to print batch numbers in the footer line.
    • Print Expiry Date - Specify 'Y' in this data field if you want to print expiry date of the batch in the footer line.
    • Excel Column - Select the excel column from where the value is to be picked.
    • Bold - Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
  • Serial No. Information - This group appears if you have enabled Serial No.-wise Details option in the Batch / MRP/ Serial No. - wise Details Options window that appears while configuring Batch/MRP/Sr. No, details in Administration > Configuration > Features/Options > Inventory tab. Various data fields in this group are:
    • Print Serial No. - Specify 'Y' in this data field if you want to print batch numbers in the footer line.
    • Print Alt. Qty. - Specify 'Y' in this data field if you want to print serial number alternate quantity.
    • Excel Column - Select the Excel column from where the value is to be picked.
    • Bold - Set this to 'Y' if you want footer lines to be printed in bold letters.
    • Alignment – Specify the position from the list where you want the footer line to be displayed. The different options in the list are Right, Left and Center Alignment, which are explained in the Header Settings option.
  • Click the Save button to save the configuration format.

Write Config Data to File

Click this button to write configuration data to a file. By writing configuration data we mean storing the configuration settings of a format in a file. After storing the configuration settings in a file, the settings defined in a format become more secure. If by mistake, any format is deleted by you then you can restore its configuration settings through Read Config Data from File option.

On clicking the Write Config Data to File button, a Set Path to Write Config Data window appears. Given here is a screenshot of Set Path to Write Config Data window.

Set Path to Write Config Data window
  • Specify the file name along with the path where the data is to be stored.
  • Click the Ok button to write data to the specified file.

Read Config Data from File

Click this button to read configuration data from a file. On clicking this button, a Set Path to Read Config Data window appears.

  • Specify the file name in the window from where the configuration data is to be read.
  • Click the Ok button to read data from the specified file.

After going through all the above options, you will be able to set the desired configurations for Labels/Stickers.

2. Print Bar Codes Labels

This option is used for printing Bar Code labels. On clicking this option a Print Options window appears. In this window you can select format according to whose configuration you want to print Bar Code labels. As explained above the formats can have source data for picking Bar Code value either from BUSY or from Excel sheet. Thus depending upon the format chosen, different fields appear in the Print Options window. Let us first discuss the fields that appear after selecting the format whose source for picking Bar Code value is BUSY data.

Format with source as BUSY data for picking Bar Code value

Given here is a screenshot of Print Options window displaying different fields that appear after selecting the format whose source for picking Bar Code value is BUSY data.

Print options window

Let us discuss the different fields of the screenshot given above.

  • Format – Select the format name from the list. The default format and formats created by using Add Format option of Select Format window appears here.
  • All items – Select this option if you want to print labels for all the items.
  • Group of Item – Select this option if you want to print labels for group of items. After selecting this option an Item Group Name data field appears where you can select the group for which you want to print the labels. For example if you want to print Bar Code labels for all the items under the group Accessories then you can select the Group of Item option and afterward select the group as Accessories in the Item Group Name list.
  • Single item – Select this option if you want to print Bar Code labels for single item only. After selecting this field an Item Name data field appears where you can select the item for which you want to print the Bar Code labels.
  • No of Copies – Enter the number of copies to be printed in this field.
  • Printer Driver – Select the printer driver from the list.
  • No of Labels to Skip – Enter the number of labels to skip before you start printing. If you do not want to skip any label then enter the value as zero. For example, if you want to start printing from the 5th label then specify 4 in this field.
  • Print – Click this button to print the Bar Code labels.

For best results it is recommended that Bar Codes should be printed for Bar Code value containing more than 5 and less than 20 characters.

If you are working in a Demo Mode then on clicking Print button, you can print Bar Codes for first ten items only and the same Bar Codes will be printed repeatedly on repetition of Print command.

  • Make File – Click this button to export the Bar Codes to a separate file.

The option to export the Bar Codes using Make File button is available with single item only.

When you click the Make File button, an Export Bar Code sub-window appears. Given here is a screenshot displaying Export Bar Code sub-window.

Export Bar Code window
  • Click the Ok button to export the specific format of file at the location specified by you.
  • Click the Quit button if you do not want to export the file.

Format with source as Excel Sheet for picking Bar Code value

Given here is a screenshot of Print Options window displaying different fields that appears after selecting the format whose source for picking Bar Code value is Excel sheet.

Print Options window

Most of the fields that appear in the above screenshot are same as the ones that appear after selecting the format whose source for picking Bar Code value is Busy Data. The fields that are different are marked in the image while the same fields are explained above.

On clicking the Ok button in the Print Options window whose source for picking Bar Code value is either Excel or BUSY data, a Printing Options window appears. Given here is a screenshot of Printing Options window.

Printing Options window

In the Printing Options window, there are various data fields and a group. The data fields and group are:

  • No. of Labels to Skip - Specify the number of labels to skip before starting the printing.
  • No. of Copies - This data field appears if you have specified 'Y' in the Pick No. of Copies from Print Options data field in the Data Configure window. Specify the number of copies to be printed in this data field.
  • Default Printing Options - Specify the Printer Driver and Printing Style for printing the labels.

3. Print Labels from Vouchers

Bar Codes can be printed directly from vouchers entered in BUSY. The items contained in any vouchers for Sale/Purchase, Sale Return/Purchase Return and so on will be printed automatically. When you click this option, a Printing From Voucher window appears. Given here is a screenshot displaying Printing From Voucher window.

Printing From voucher window

Let us discus all the fields of the above screenshot in detail.

  • Voucher Type – Select the voucher type (like Sale, Purchase) from the list from where you want the Bar Codes to be printed.
  • Voucher Series – All the voucher series of the above selected voucher type will be displayed in the list. Select the required voucher series from the list.
  • Start Date – Enter the starting date for the voucher series.
  • End Date – Enter the ending date for the voucher series.
  • Select Unit – Select the unit (main or alternate) that you want to be considered at the time of printing Bar Code labels. This option appears only if you have given alternate unit with items in BUSY.
  • Format – Select the format according to whose configuration the Bar Codes will be printed. Only those formats whose source for picking Bar Code value is BUSY Data appears in the list.
  • Select Required Voucher – Depending on the data entered in the above fields, relevant voucher appears in this field. Select the vouchers for which you want to print Bar Code labels.
  • Select Item Info - Under this group three options appear. The options are:
    • All Items - Select this item if you want to print Bar Codes for all the items.
    • Group of Items - Select this option if you want to print Bar Codes for a particular Group of items. On selecting this option, a Select Group data field appears in which you can select the required Item Group.
    • One Item - Select this option if you want to print Bar Code for a particular item. On selecting this option, a Select Item data filed appears in which you can select the required item.

If you are working in Demo mode then on clicking Print button a message appears that stops you from proceeding further. To use the print command you need a Licensed copy.

After entering the required data fields, click the Print button. On clicking the Print button, a Select Item Quantity For Printing window appears. Given here is a screenshot displaying Select Item Quantity For Printing window.

Select Item Quantity for Printing window

In the Select Item Quantity for Printing window, there are various columns. The columns are:

  • Item Name - This column displays the name of the item as entered in the voucher.
  • Quantity - This column displays the quantity of the item as entered in the voucher.
  • Batch No. - This column appears if the Format selected in the Printing From Vouchers window has 'Y' specified in the Print Item Bar Code for Batch No. data field. The column displays the batch number as created for the item at the time of voucher entry.
  • Batch Qty. - This column appears if the Format selected in the Printing From Vouchers window has 'Y' specified in the Print Item Bar Code for Batch No. data field. This column displays the quantity as specified for the batch at the time of voucher entry.

You can edit the quantity as per your requirement only if you are not printing Bar codes for Batch numbers. For example, you want to print Bar Code labels for only 5 pieces of computer then you can alter the quantity to 5 pcs. in the Quantity data field of item Computer.

If you set the quantity for any item as zero then the Bar Code for that particular item will not be printed.

  • Click the Ok button to print the Bar Codes of the selected items.

On clicking the Ok button a Print Options window appears. Given here is a screenshot displaying Print Options window.

Print Options window

All the options in the above screenshot are same as explained in Print Bar Code Label –> Print Options window. However the option of No of Copies does not appear in this window.

In the above screenshot if you select All Items then 10 pcs of Item1 (Computers) and 20 pcs of Item2 (CDs) will be printed in one go.

4. Print Labels of Current Stock Status

Through this option Bar Codes can be printed for stock available in all Material Centers, Group of Material Centers or single Material Center as on a particular date.

On clicking this option a Printing of Current Stock Status window appears. Given here is a screenshot displaying Printing of Current Stock Status window.

Printing of Current Stock Status window

Let us discuss the fields of the above screenshot in detail.

  • All MC – Select this option if you want to print Bar Code labels for items lying at all the Material Centres.
  • Group of MC – Select this option if you want to print Bar Code labels for items lying at a particular group of Material Centre. If you select this option a MC Group Name field gets activated from where you can select the group of Material Centre. For example ABC Limited Company want to print Bar Code labels for all the items of all the godowns of its company. Now it can select the option Group Of MC and select godown from the MC Group Name field.
  • Single MC – Select this option if you want to print Bar Code labels for items lying at a single Material Centre. If you select this option a Material Centre Name field gets activated from where you can select the required Material Centre.
  • Date – Enter the date on which the stock of item is to be taken into account.
  • Select Unit – Select the unit (main/alternate) in terms of which the stock is to be printed. This option appears only if you have specified alternate unit with items in BUSY.
  • Format – Select the format to be used for configuration of Bar Code labels. Only those formats whose source for picking Bar Code value is BUSY data appears in the list.

After entering the required data, click the Print button.

If you are working in Demo mode then on clicking Print button a message appears that stops you from proceeding further. To use the print command you need a Licensed copy.

On clicking the Print button, a Select Item Quantity for Printing window appears. This window is similar to the Select Item Quantity for Printing window (explained above) that appears in Print Labels from Voucher option.

After making necessary changes in the Select Item Quantity for Printing window click the Print button. On clicking the Print button a Printing Options window appears. Through this window you can take print out of either:

  • All Items - All items at the specified Material Center will be printed.

In case of All Items the print of all the items having a positive balance for the selected Material Centre option will get printed. Items having zero or negative balance will be ignored.

  • Group of Items – Group of items at the specified Material Center will be printed.
  • Single Item – Single item selected at the specified Material Centre will be printed.

5. Auto generation of Item Codes/Alias

Although an option has been provided to print Bar Codes for either the item name or the item alias, printing Bar Codes for item names is not the preferred choice as the name of the item cannot be restricted to 20 characters. Hence, the Bar Codes are printed for item alias that generally contain item code. Moreover the size of this field is generally between 5-20 characters.

Now if you already have a proper item coding system in place, there would not be any problem. By proper item coding system we mean that there is a logical aliasing of items and alias is assigned to each and every item. But if you do not have a proper item coding system then you will encounter problem while printing Bar Codes for item alias. To take care of this problem, Auto Generate Item Alias option has been provided for auto generating items alias. Under this system the alias of the items already existing in BUSY can be auto generated that can be used for Bar Code printing.

On clicking the Auto Generate of Item Codes/Alias option an Auto Generate Alias Name window appears. Given here is a screenshot displaying Auto Generate Alias Name window.

Auto Generate Alias Name window

Let us discuss all the data fields of above screenshot in detail.

  • All Item – Select this option if you want to generate alias for all the items.
  • Group of Item – Select this option if you want to generate alias for a particular group of items. If you select this field then an Item Group field gets activated from where you can select the item group.
  • Prefix – Enter prefix (if you want to) for the alias. You can enter a prefix up to three characters.
  • Suffix - Enter suffix (if you want to) for the alias. You can enter a suffix up to three characters.
  • Starting Number – Enter the starting number from where the alias will be generated. You can enter a starting number up to four characters.
  • Overwrite Existing Item Alias – If you select 'No' then existing alias of item will not be overwritten. If you select 'Yes' then existing alias specified with the item will be overwritten with the new auto generated alias.

Let us understand the auto generation of alias for the items with the help of an example. If you specify 'BIP' as the Prefix, 'ST' as the Suffix and Starting No. as 1 then the Alias would be generated as 'BIP00001ST', 'BIP00002ST', 'BIP00003ST'… and so on.

Aliases will be generated in alphabetic order of the Item name and get stored in Item master for future reference.

Configure Composite Bar-Code Structure

Under this option you can create and configure Bar-Code structure for printing the Bar Codes. On clicking this option, a Bar Code Structure Configuration window appears. Given here is a screenshot of Bar Code Structure Configuration window.

 Bar Code Structure Configuration window

In the Bar-Code Structure Configuration window, there is one button and various data fields and options. The button, data fields and options are:

  • Select Structure for Printing
  • Add Structure
  • Select Format Type
  • Composite Bar-Code Structure Config
  • Delimeter/Fixed Width Configuration

Select Structure for Printing

Select the Bar Code structure to be configured for printing.

Add Structure

Click this button to create Bar Code structure. On clicking this button, a Bar Code Structure - Add window appears in which you have to specify the name for the structure.

Select Format Type

Under this group, there are two options. The options are:

  • Excel Sheet - Select this option if you want to configure Bar Code structure from Excel sheet.
  • Busy Data - Select this option if you want to configure Bar Code structure from Busy data.
Composite Bar Code Structure Config

Under this group there are various data fields and options. The data fields and options are:

  • Fixed Width Components - Select this option if you want to separate one field from other by fixed character length.
  • Delimited Components - Select this option if you want to separate one field from another by a delimeter sign.
  • Specify Delimeter - This data field gets activated if you have selected the Delimited Components option. Specify the delimeter sign to separate one field from another.
Delimited/Fixed Width Configuration

If you have selected the Fixed Width Components option in the Composite Bar Code Structure Config group then following data fields appear:

  • No of Excel Column - Enter the number of excel columns for which you want to configure the Bar Code structure.
  • Component Name - This column appears if you have selected the Busy Data option in Select Format Type group. Select the required item component.
  • Excel Column - Select the required excel column from the list.
  • Width - Enter the character length.
  • Alignment - Select whether the text is left aligned or right aligned.
  • Padding Character - Enter the padding character for the item component. You can give blank space also in this data field.

If you have selected the Delimited Components option in the Composite Bar Code Structure Config group then following data fields appear:

  • No of Excel Column - Enter the number of excel columns for which you want to configure the Bar Code structure.
  • Component Name - This column appears if you have selected the Busy Data option in Select Format Type group. Select the required item component.
  • Excel Column - Select the required excel column from the list.

6. Quit

This option is used to exit from the utility.

After going through this user manual you will be able to successfully use the Item Bar Code Add-On software.


Last Update

All the topics in Knowledge Documents file are updated till BUSY 14 (Rel 2.0).


Preparing SQL Server

Knowledge Documents > Client-Server Documents > Preparing SQL Server 2000

Preparing SQL Server 2000

To run BUSY in Client-Server mode, you have to make one computer as Server on which data resides and other computers as clients which will access the Server to store and retrieve the data. To make a computer as Server, there are some requirements that need to be fulfilled. The requirements are:

  • Operating System Requirement: Any Server operating system such as Windows Server 2000, Server 2003, XP Server and so on which can run MSSQL Server 2000.
  • Software Requirement: MSSQL Server 2000.

MSSQL Server 2000

As mentioned above that to make a computer as Server, you must install a Server operating system and MSSQL Server 2000 on it. Also the Server should have a good firewall or a good security system. Hence, in this document, we will discuss the steps to install operating system (Windows 2003), MSSQL Server 2000 and Firewall and Service Pack 2.

Installing Windows 2003 Operating System

We provide a CD of Windows 2003 with the Client Server model. Now to install Windows 2003 operating system, perform the following steps:

  • Insert the CD in CD ROM Drive.
  • Double click the My Computer icon on the desktop to open the CD folder.
  • Double click the Setup file in the CD folder to start the setup wizard.
  • Setup file will guide you through the installation process.

Checking Firewall

Once you have installed the Windows Operating System 2003, then you have to check whether the computer you are making as Server has a proper Firewall. To check whether the Firewall is installed on computer, click Start menu and then click Control Panel. If the Firewall is installed on the computer, a Windows Firewall option will appear in the Control Panel menu. Given below is a screenshot of Start à Control Panel menu.

If the Windows Firewall option does not appear in the Control Panel then you have to install Service Pack 2. To check whether Service Pack 2 is successfully installed on computer, perform the following steps:

  • Right click My Computer icon on the Desktop and click the Properties option.
  • On clicking the Properties option, a System Properties window appears. If Service Pack 2 is installed on the computer then Service Pack 2 along with the version will appear in the System Properties window.

Given below is a screenshot of System Properties window with Service Pack 2 written in the window.

After installing the required operating system and checking the proper security system, the next step is to install MS SQL 2000 on the computer you are making as Server.

Installing SQL Server 2000

We will now discuss the steps to install MS SQL 2000 along with the screenshot of each step of the installation process.

Step1: Open the SQL Server 2000 folder and click the autorun option. Given below is a screenshot of various items that appear under SQL Server 2000 folder.

Step 2: On clicking the autorun option, the following screen will appear. Click the SQL Server 2000 Components option in the window.

Step 3: Next the following screen will appear. Click the Install Database Server option in the window.

Step 4: Next the following screen will appear. Click the Next button.

Step 5: Next the following screen will appear. In this step, you have to specify the name of the computer on which you want to install the SQL Server. If you want to install it on the local computer then select the Local option. Click the Next button.

Step 6: Next the following screen will appear. If you are installing SQL Server for the first time on the computer then select the Create a new instance of SQL Server, or install Client Tools option. Click the Next button.

Step 7: Next the following screen will appear. In this step, enter the name and company name. Click the Next button.

Step 8: Next the following screen will appear. In the screen all the agreement related details are given. Read the conditions and then click the Yes button.

Step 9: Next the following screen will appear. Select the Server and Client Tool option. Click the Next button.

Step 10: Next the following screen will appear. Click the Next button.

Step 11: Next the following screen will appear. You can set the destination folders where the program files and data files will reside. By default they are stored in C:\Program Files\Microsoft\SQL Server folder. Click the Next button.

Step 12: Next the following screen will appear. Click the Next button.

Step 13: Next the following screen will appear. Select the Mixed Mode (Windows Authentication and SQL Server Authentication) option and enter the login password. Click the Next button.

Step 14: Next the following screen will appear. Click the Next button.

Step 15: Next the following screen will appear. Click the Continue button.

Step 16: Next the following screen will appear showing that installation process is completed. Click the Finish button to exit from the setup.

Now SQL Server is successfully installed on the computer.

After installing SQL Server, you have to install Service Pack4 also.

Registering SQL Server

After installing the SQL Server, the next step is to register SQL Server. To register SQL Server, perform the following steps:

Step 1: Open Enterprise Manager that appears in Start menu à Program à Microsoft SQL Server. Click SQL Server and then click New SQL Server Registration option.

Step 2: Next the following screen will appear. Click the Next button.

Step 3: Next the following screen will appear. Select or type the computer name on which SQL Server is to be registered and click the Add button to add the computer to the list of added server. Click the Next button.

Step 4: Next the following screen will appear. Select the authentication mode as SQL Server Authentication. Click the Next button.

Step 5: Next the following screen will appear. Select the Login Automatically using SQL Server account information option. Click the Next button.

Step 6: Next the following screen will appear. Select the Add the SQL Server(s) to existing SQL Server group option to add the registered server to the default group. Click the Next button.

Step 7: Next the following screen will appear. Click the Finish button to complete the registration process.

After installing and registering the SQL Server, you also have to configure Static IP. Let us now discuss the steps to configure Static IP.

Configure Static IP

To configure Static IP, perform the following steps:

  • Right click the Network Neighbourhood icon on the desktop.
  • A menu will appear. Click the Properties option.
  • On clicking the Properties option, a Network window will appear.
  • In the Network window, by default Configuration tab is selected. In this tab, select the TCP/IP à RealTek RTL8139/810x Family Fast Ethernet NIC option and click the Properties button.

Given here is a screenshot of Network window.

  • On clicking the Properties option, a TCP/IP Properties window appears. In the window, select the Specify an IP Address option and then specify the IP Address in the IP Address text box.

Given here is a screenshot of TCP/IP Properties window.

Settings should be set for the LAN Card installed in the CPU.


Realease Document 12.0 (1.0)

Release Document BUSY 12 (Rel 1.0)

Product Release Information BUSY 12 (Rel 1.0)

Major Changes

  1. Changes in HO/BO:
    a) Check list details from source will be carried.
    b) Checklist will always be maintained, even if the same is not visible to user.
    c) Material centre will not be configured in data sync. Data of any material centre will be exchanged
    provided the voucher series is connected to the branch.
  2. Provision made to send email through Microsoft Outlook and web based mail client (g-mail, yahoo & live).
  3. POS data entry for stock transfer vouchers also.
  4. POS data entry was not available for Service Tax & Excise related vouchers. Now made available for Service Tax & Manufacturing Excise vouchers. However Trading Excise will not be available.
  5. Sales / Sales Return vouchers were allowed for full year in Evaluation mode. Now it has been stopped.
  6. New features added in Basic edition:
    a) TDS Module.
    b) PDC Module.
    c) Stock Journal Voucher.
    d) Provision for Sales Return/Purchase Return in Sale/Purchase voucher
    e) Provision for Free Qty. in inventory vouchers.
    f) Option to De-Activate/Block Masters.
    g) Party/Item Ageing Analysis on FIFO basis.
    h) Partial Data Freezing voucher series-wise.
    i) Selective Back Dated Entries restriction user-wise.
  7. Sales/Purchase quotation introduced:
    a) Can be enabled from Administration àFeature/OptionsàEnterprise Features.
    b) Create sales/purchase quotations and later on use that to generate Order/Challan/Invoice.
    c) Compare purchase quotations to get the best prices.
  8. Option to create user defined columns in report:
    a) Create columns (either formula based or data field based) in any report.
    b) Multiple formats for any report (with different columns) can be created and tagged user wise.
    c) Existing columns can be hidden from existing report.
  9. Screen reports usage improved:
    a) Provision made to Group (Summarise) data on the basis of any of the column.
    b) Search & Filter criterion will be saved for future use.
    c) Search & Filter, provision made for wild Search & Filter.
    d) Data Filter, a new operator ‘NOT_HAVING’ provided.
  10. SMS Query introduced. Now get details like account balance/outstanding/daily sales/daily receipts etc. on your mobile by just sending an SMS. Even your parties can get there balance without bothering you by just sending an SMS.
  11. Email Query introduced. Now get reports like ledger/outstanding bills/daily sales/daily receipts and other reports on your email by just sending an email. Now need to ask anybody to send you reports. Your parties can also get there statement/outstanding on there email without bothering you.
  12. Auto backup of data (available in client server edition only). Now you can configure auto backup of data at a specified time of the day. At the specified time, backup of all the companies will be created automatically at the specified path.
  13. Provision for Voucher Auditing. Can be enabled from Administration àConfigurationàEnterprise Features. Here we can define the voucher types where auditing is required and the users who can audit the vouchers. Vouchers will always be fed with Un-audited status and later on authorised users can check and audit the voucher. Once audited, voucher can not be modified or deleted.
  14. Master optional fields made fully configurable. Now we can define the data type of optional fields and can create masters for text type fields. Also provision made in reports to filter on combination of options fields.
  15. Provision made to bind company data with a selected HDD(s). If Busy is run from any other HDD, company data won’t open. Available through Administrator àConfigurationàFeatures/OptionsàGeneral tab.
  16. Provision made to bind user of a company to selective HDD(s). User won’t be able to log in from any other computer.
  17. Document designing, provision made to pick data using SQL queries. Useful to print data for which data field is not available. SQL query for this purpose can be configured using Display àQuery SystemàSQL Query option and then can be used in document designing using <SQL_QUERY> field.
  18. Query SystemàSQL Query, provision made to specify input parameters. Now we can specify the input parameters (like start date, end date, account name etc.) in SQL queries using @ and parameters specified in query will be asked in report options form and the query will be executed on the basis of values specified.
  19. Targets module revamped:
    a) Multiple targets can be defined.
    b) Targets can be defined for Party/Item/Party Group/Item group/Broker or any combination.
    c) Targets can be defined Monthly/Quarterly/Yearly.
    d) Can be defined on the basis of Amount/Quantity.
    e) Up-to three targets can be defined to categorise the results.
    f) Target variance report showing the targets achieved/missed.
  20. Batch-wise inventory revamped:
    a) Same batch can be used multiple times in a single voucher.
    b) No need to specify New Batch/Adjustment. Will be done automatically.
    c) Warning for expired batches shifted to batch configuration.
    d) Batches Issuable/Receivable report changed to Batch-wise stock. By default Qty. In would be
    considered positive and Qty. Out would be considered negative.
    e) New option ‘Enforce Full Qty. Adjustment in Vouchers’ provided to enforce adjustment of complete
    Qty. of item to respective batches.
    f) Provision made to not carrying of negative batches to next year.
    g) Sales price with batch could be enabled only if MRP with batch was enabled. Now Sales Price & MRP
    can be enabled and disabled independently.

New Reports Added

  1. BCN-wise Opening stock, Closing Stock & Ageing Analysis.
  2. Item Day Book. Shows all the entries related to an item. Available as Display/Printing àInventory BooksàItem Day Book.

Minor Changes

  1. Warning alarms; provision made to warn for cash sales/receipts, greater then a specified amount to parties without PAN No.
  2. Voucher replication, provision made to replicate voucher in different dates with random amounts. Other refinements also done in module.
  3. Provision made to specify decimal places for currency conversion & unit conversion in company configuration.
  4. Invoice printing configuration, a new option ‘Maximum Item Entries per Page’ provided.
  5. Profit & Loss A/c, Trial Balance, Account Ledger, Stock Status, Stock Ledger, Stock Summary, Pending Orders provision made to generate report Branch-wise.
  6. Invoice printing, provision was there to group items either item-wise, or group-wise or material centre-wise. Now option provided to group items on the basis of Item Opt. Fld.1, Item Opt. Fld. 2 and Item Add. Fld.
  7. Voucher configuration, option to sort items while saving, new options provided to sort item on the basis of Item Opt. Fld. 1 / Item Opt. Fld 2 / Item Add. Fld.
  8. Triggers renamed as Alerts. Also messages improved to make them more informative.
  9. Payment Reminder Letter with details of pending bills, out of all pending bills, due bill will be highlighted.
  10. Printing any report directly from screen report with the option ‘As it is from Grid’, the print options specified by the user for printing (related to column names, size etc.) were not getting saved. Now those details will be saved and loaded automatically next time when the report would be printed.
  11. Printing report directly from grid report columns were getting adjusted automatically to fit in to page. This was not desired while printing reports on small slips. Now a new option ‘Fit to Page’ provided to handle such situations.
  12. ConfigurationàFeatures Options, a new tab ‘Regional Settings’ provided and relevant features shifted to ‘Regional Settings’ from ‘General’ tab.
  13. Provision made to validate Sales Return/Purchase Return to original Sales/Purchase. The item details in return will be validated against the original transaction. Can be enabled through Administration àFeature/OptionsàInventory.
  14. While viewing items critical level reports (Reorder/Minimum Level), provision made to create purchase order from there itself using F4 key. To facilitate order creation process, a new field ‘Vendor’ added in item master. On the basis of vendor as specified in item master, different orders will be created from critical level reports.
  15. Changing name of BOM master, option to change name in other FY was not being asked. Now it will be asked.
  16. Masters synchronisation across different FY, provision for BOM masters was not there. Now provision made for the same.
  17. Sales/Purchase Order, provision made to input Sales/Purchase Type and Broker also. Broker will be available only if it is configured at voucher level and not at item level.
  18. Client Server edition data backup & restore, there was no check on the MS SQL version at source and target. This would create problem if the version was higher at source and lower at target. Now a check has been put on this and backup from higher version of SQL can not be restored in lower version of SQL.
  19. Provision made to specify Party-wise Item Codes. These codes can be used while feeding data using the F4 key and can be printed in documents. Can be enabled through Administration àConfigurationàFeatures/OptionsàInventory section.
  20. Credit Limit management, provision made to apply credit limit during Sales Order also.
  21. Invoice printing, a new option ‘Print Zero Amount Items’ provided to skip printing of zero amount items (given as free with other items).
  22. Parameterised stock configuration, if any parameterised data entry had been done, user could not change the BCN configuration. Now in this situation, user can change the BCN configuration except the enabling/disabling of BCN.
  23. Master controls, sub ledgers under a general ledger were not getting validated. Now they will be validated.
  24. Production/Stock Journal vouchers, total of items Alt. Qty. was not being shown. Now it will be shown.
  25. Sales price with Item Serial No. could be enabled only if MRP with Item Serial No. was enabled. Now Sales Price & MRP can be enabled and disabled independently.
  26. Multiple Item Serial No(s). picked in a single Item entry; the sales price of first Serial No. was being picked as Item sales price. Now the average of all Serial Nos. will be considered as Item sales price.
  27. Provision made to change font(s) of data entry and reports. Available as Administration àSet Colour Schemes.
  28. Trial Balance Grouped report, only balances were available. Now provision made for detailed report (Opening, Debit, Credit and Closing).
  29. Balance Sheet, provision made to generate for a date range/month range. Till now it was available at the end of date/month.
  30. Balance Sheet, provision made to freeze Closing Stock month-wise. Can be frozen while drilling down the Closing Stock. If frozen, closing stock will not be updated again during Balance Sheet generation and can only be changed manually during drill down.
  31. Monthly summaries for masters were available for all months only. Now made available for a range of months also.
  32. Standard Invoice printing configuration, option ‘Skip Bill Sundry Sub Totals’ added.
  33. Invoice printing, a new field ‘Print Title for Copy No.’ added to print a specific copy no. of invoice.
  34. Inventory vouchers copy and paste, item batch details were not getting copied. Now it will be copied.

Apart from these changes some minor bugs have been removed from the application.


3,4(a)

Release Document 3.4(a)

Product Release Information 3.4(a)

Major Changes

  1. Data Export Import implemented. Option provided Administration > Utilities > Data Export/Import (XML). Till now it was being done through an Add-on.
  2. Provision made to configure the Header & Footer of Accounting Vouchers. Option provided Administration > Configuration > Voucher Printing.
  3. Jharkhand VAT reports, Form JVAT 500, Form JVAT 501 and Form 1 (CST) implemented.
  4. SMS implemented. Now user can SMS any print report.
  5. Option added to send Direct Email & Direct SMS to parties (Administration> Utilities > Send Email/Send SMS). Till now this option was available in through reports only.
  6. Rajasthan FORM VAT-12 (Sales Return Register) implemented.
  7. Client Server version now available.

Minor Changes / Improvements

  1. In case of Kerala state, Description of Items window was being popped up for Purchase voucher only. Now it will pop up Sales, Sales Return, and Purchase Return also.

  2. Minor changes in Goa Vat Return Form III.

  3. In Generic VAT Sales/Purchase register, provision made to print/show Item Description also.

  4. In Generic VAT Sales/Purchase Register (Central), provision made to Show Tax Slabs as per Item's Local VAT Rates. Otherwise the Tax Slabs were being shown on the basis of transactions.

  5. Form Received / Issued register, provision made to generate the report on the basis of voucher date. Earlier the report was being generated on the basis of Form Received Date/ Form Issued No only.

  6. Email of reports, provision made to specify External Attachment also.

  7. Minor changes in Bihar Form RT-1 VAT return report.

  8. Minor changes in Gujarat VAT Return Form 201 & Form 201C.

  9. Minor changes in Punjab VAT Reports Form VAT-15, Form VAT-16, Form

  10. VAT-18, Form VAT-19, Form VAT-23 and Form VAT-24.

  11. Minor changes in Delhi VAT Returns DVAT-16 and Form DVAT–51.

  12. Separate Billing Details window, a new field TIN added. This field would be activated if the transaction is local and VAT is enabled.

  13. In Billing Details window, now details can be picked from Account master using <F4> key.

  14. In the case of Rajasthan FORM VAT- 07, FORM VAT- 08 and FORM VAT- 09, option provided to show/print Billing Details instead of Party Details.

  15. At the time of creating a new company, ST Forms E1, E2, I, J and H will also be created by default.

Apart from these changes some minor bugs have been removed from the application.


3.4 (b)

Release Document 3.4 (b)

Product Release Information 3.4 (b)

Major Changes

  1. Pakistan Annexure A (Summary of Party wise Tax Paid/Charged) and Annexure B (Detailed report of supplies made to registered person and imports made during the quarter) implemented.
  2. Gujarat Form 202 (Quarterly/Annually VAT return for Lump-sum dealers) and Form 202-A (Appendix to Form 202) implemented.
  3. Punjab Form VAT 17 (Return by registered persons) implemented.
  4. Tamil Nadu Form I (Monthly VAT return), Annexure-I (Details of Purchases) and Annexure-II (Details of Sales) implemented.
  5. West Bengal Form 14A (VAT return for registered dealer) and Form 14B (VAT return for registered manufacturing dealer) implemented.
  6. Sale/Purchase w/o Order report has been added in Order Processing reports to display details of those Sales/Purchases that have not been made against any Sales/Purchase Order.
  7. Bank Interest report provided under Interest Calculation to calculate interest on the basis of clearing dates of cheques.
  8. VAT payment and other VAT adjustments can now be tracked through Accounting vouchers such as Payment, Receipt and so on and will be reflected in VAT returns. Till now VAT Journal voucher was being used for VAT adjustments.
  9. Option provided to pick VAT opening balance (to be shown in VAT returns) from VAT ledger accounts under Sales Tax & VAT tab in Features & Options.
  10. Regenerate Mfr. Vouchers utility is provided under Administration à Utilities menu to regenerate manufacturing (Production and Unassemble) vouchers on the basis of BOM specified in the voucher. It is required when the composition of BOM has been changed after entering the Production/Unassemble voucher and the changes of BOM needs to be reflected in respective vouchers.
  11. B ackup and Restore option now operational in Client-Server mode.
  12. Provision made to input user's software serial number and display it on the Main Screen.
  13. While changing Financial Year, consolidated amount of un-cleared entries was being carried over to next year. Now individual entries will be carried over and the same can be cleared in the next year.

Minor Changes / Improvements

  1. More options are provided for Royalty Calculation. The added options are:

    a)     Provisions are made to calculate royalty on the basis of sales value. Till now Royalty was being calculated on Item M.R.P only.
    b)     In the Author Details window that appear in Item master, till now user can specify Royalty % only but now user can specify Discount % also which will be deducted from the M.R.P at the time of Royalty calculation.
    c) Royalty report can be generated with complete stock details.
  2. While picking Standard Narration from <F4> key, the cursor was positioned at the start of the Narration. Now it will be positioned at the end of the Narration.
  3. In Item Consolidated Summary, columns for displaying average price of the item are added.
  4. If the country selected is Pakistan then the Sales Tax / Excise Reporting window will pop up in all the Sales/Sale Return, Purchase/Purchase Return voucher. Till now it was being popped up in Purchase voucher only.
  5. Slight modifications in TDS Bank Challan.
  6. If SMS was being sent to multiple parties then in case of big messages (where program asks to send the message or not) user, program was asking the user for all parties individually. Now the option provided, 'Yes to All' and 'No to All'.
  7. In Data Import (XML), Update Other Information option was enabled by default for masters disturbing the existing masters at the time of import. Now it will not be selected by default.
  8. If the state selected is Rajasthan then while entering Sales Return voucher, an Original Sales Invoice Details window was being popped up asking for original sales details. Now it has been made optional by selecting or deselecting the option Specify Original Sales Details in Sales Return in Sales Tax and VAT tab under Features/Options. Also it will be applicable for all the states.
  9. Rajasthan VAT-12 (details of Sales Return voucher and corresponding Sales voucher), till now the report was being generated voucher-wise (one line for one voucher). Now option provided to generate the report either voucher-wise or Item-wise.
  10. Minor changes made in Rajasthan Form1 (CST return).

Apart from these changes some minor bugs have been removed from the application.


3.4 (c)

Release Document 3.4 (c)

Product Release Information 3.4(c)

Major Changes

  1. Major changes in Cost Centre module. Now Cost Centre input will be Account-wise. Also provision made in Configuration menu for Complete Amount Adjustment and to activate Cost Centre in Inventory vouchers.
  2. New reports related to Cost Centres, displaying Cost Centre-Account and Cost Centre-Voucher Type Summaries with different combinations are added.
  3. Bill-wise, Material Centre-wise and Party-wise profitability reports added in MIS Reports.
  4. Trial Balance and Stock Status reports with Hierarchical View added.
  5. Check Cleared Entries report added in Bank Reconciliation.
  6. Account Ledger Comparison report added in Account Summaries.
  7. In Features / Options, provision made to not to carry party-wise pending Material Issuable / Receivable to next financial year.
  8. Secondary Higher Education (SHE) Cess implemented in Manufacturing and Trading Excise.
  9. Option to configure Excise and Service Tax related Accounts / Bill Sundries in Control Master is removed. Instead it can be specified in the Account / Bill Sundry itself. For this purpose a Nature of Bill Sundry data field is provided in Bill Sundry Masters.
  10. Item-wise discounting, option provided for Simple / Compound discount. Simple discount is single discount (as working till now). Compound discount means multiple discounts where the user can feed multiple discounts in 30+20+5… format.
  11. Provision to work in multiple Financial Year.

Minor Changes / Improvements

  1. Data Import Export, screen is split for master and transaction export. Also provision made for the following:
     a. To export masters on the basis of entry date.
    b. To export information of deleted masters and vouchers.

  2. In Hardware Configuration, you can specify any Page Length (in inches). Previously only 11, 12 and 0 values were accepted.

  3. While updating Sale/Purchase price in Item master form, the transaction price of Main unit was being updated even if the default price was being set to 'Alt. Unit'. Now if the default price is for 'Alt. Unit' then the price of Alternate unit will get updated.

  4. In Bill Sundry master, Percentage of field would accept value till 999.99% only. Now it will accept value till 99999.99 %. This has been done to take care of SHE cess where if both BED and OED are enabled then it will be calculated on 5000% of E cess.

  5. Provision made to show / print Billing Details in VAT Registers.

  6. Columnar Sale / Purchase Register, provision made to display Sale Return / Purchase Return and option provided to Print Full Voucher Details.

  7. In Multi Currency, alternate currency was not allowed in Revenue accounts. Now it will be allowed.

  8. In Multi Tax vouchers, if tax calculated on M.R.P. then the sale amount was being displayed as taxable amount in Sales Tax reports. Now the M.R.P will be displayed as taxable amount.

  9. Provision made to configure columnar Payment / Receipt register and the related registers provided in Account Books.

  10. In Party-wise VAT/CST Summary, option provided to view/print details of parties having turnover greater than a specified amount.

  11. In Stock Status and Trial Balance reports, provision made to show Parent Group of Item/Account.

  12. Manufacturing Excise à ER-1 report reframed.

  13. Supplier Type field added in Account master and Excise vouchers. This field was required in Excise reporting.

  14. List of Tax Types enhanced in Account master.

  15. Minor changes in Kerala VAT-10.

  16. Rajasthan VAT-12, speed improved.

Apart from these changes some minor bugs have been removed from the application.


3.4 (d)

Release Document 3.4 (d)

Product Release Information 3.4(d)

Major Changes

  1. Multi-Company Results revamped. All old problems rectified and new reports Account Ledger, Stock Status and Item MC Ledger added.
  2. Changes made in Sale/Purchase Type master. Changes are:
    a. Now Tax Bill Sundry will not be asked in case of Taxable / Sales
    Against Form    . At the time of voucher entry, the Bill Sundry
    Nature     tag would be used to identify the VAT Bill Sundry.
    b. If Region selected is Local then two sub-options Stock Transfer
    and Others will appear.
     c. If Region selected is Central then one more sub-option Export
    (High Sea)     will appear.
     d. In case of Taxable, two options Single Tax Rate and Multi Tax
    Rate     will appear. If Multi Tax Rate option is selected then more
    than one Bill Sundry (for different tax rates) can be specified in
    the voucher and VAT will be calculated according to the tax
    rate specified in the Item master. This option provides us
    another way of implementing Multi-Tax transactions.
     e. A new field VAT Return Category added. It is state specific and
    has been provided for special tagging of Sale/Purchase Type and
    to reflect it properly in VAT returns.
  3. CST payment would be tracked and reflected in relevant reports.
  4. Provision made to provide Item Sizing Information in the Item Description window during voucher entry. With the help of Items Sizing Information, the qty. of item would be calculated automatically.
  5. SHE Cess implemented in TDS.
  6. SHE Cess implemented in Service Tax. Also provision made to specify Credit Allowed Percentage on Input Service Tax.
  7. In Item master, a new field Conversion Type is added which would specify whether the conversion factor is Main/Alt or Alt/Main. Till now it was always Alt/Main.
  8. In Inventory reports, provision made to view/print Item Name, Alias or Print Name.
  9. Till now the fonts used in windows printing mode were not impressive and the visibility was poor in case of condensed/landscape mode. Now better fonts would be used in windows printing. Currently a few reports have been modified for better printing. Rest of the reports would be done in coming versions.

Minor Changes / Improvements

  1. In Bill Sundry master, caption Cost of Item is changed to Items Basic Amount.
  2. Bill-by-bill option will be available for Loans and Advances also.
  3. In TDS payment, Cheque Date will be asked and the same will be printed in TDS Challan.
  4. While creating a new company, till now two screens were shown. Now only one screen will be shown.
  5. While creating a new company, Bill-by-bill option will be enabled by default.
  6. In Set Data Directory and Set Server Information option, provision made to not to save the specified path/server info. in the text file. So as soon as user quits BUSY, the information about the data path/server would be lost.
  7. In Sales Tax configuration, new fields ST Ward No., Authorised Person and Designation added.
  8. Provision made to input Date, Place of Signature in few reports.
  9. Till now, if a user was restricted to a particular Voucher Series then during voucher entry all the series were being shown in the list. Now only the series assigned to the user will be visible.
  10. Extension of eTDS return file is changed from suv to fvu.
  11. Item Description in vouchers, provision made to save previous entries and pick from F4 key later on. For this an option Pick Item Description through F4 is provided in Vouchers Configuration.
  12. While creating a new user, viewing and printing of TDS Reports was not being allowed by default. Now it will be allowed by default.
  13. In CENVAT return, provision made to show either Total Bill Amount or Assessable Value of goods. Till now total bill amount was being shown.
  14. In DVAT-16, Central Purchase column, the amount debited to Purchase Account will be shown. Till now the taxable amount was being shown. Some other minor changes are also made in the report.
  15. Following reports revamped (Better Windows Printing and other VAT related changes):
     a. Chandigarh VAT - 15 and 20
     b. Punjab VAT – 15 and 20
     c. Jammu VAT 11 and 11A
     d. Jharkhand VAT 200
     e. Bihar RT – 1
     f. Assam VAT – 13
    g. Rajasthan VAT - 10
     h. Delhi Form -1(CST)
     i. Gujarat VAT - 201
  16. Provision made to view/print Local Stock Transfer through Sales/Purchase voucher in following registers:
     a. Delhi VAT - 30, 31 and 35 B
     b. Jammu VAT - 48 and 49
     c. Rajasthan VAT - 7 and 8
     d. Punjab VAT 23, 24, 31 and 32
  17. While selecting a company, if a user changes the sorting order of the companies by clicking on the company code then next time the companies will be shown according to that order.
  18. Changes in TDS Form 16-A as per new format.
  19. In Stock Transfer vouchers, the batch numbers adjusted in Source Material Centre would be automatically copied as new batch in Target Material Centre.
  20. In ER-1 report, vouchers entered with Excise Applicable as 'No' were not being reflected. Now they will be reflected.
  21. In RG-1 register, vouchers entered with Excise Applicable as 'Y' but with 0% Excise duty were being reflected in Quantity out with Payment of Duty column. Now they will be reflected in Quantity out without Payment of Duty column.
  22. In case of Pakistan, ST Surcharge was applicable only if the party was not a Registered Dealer. Now this restriction has been removed.
  23. New fields <Party_Balance> and <Party_Prev_Bal> added in Invoice Body Grand Total section.

Apart from these changes some minor bugs have been removed from the application.


3.4 (e)

Release Document 3.5 (a)

Product Release Information 3.5 (a)

Major Changes

  1. POS implemented. Now user can opt to feed data in POS mode for Sale, Purchase, Sales Return and Purchase Return vouchers.
  2. Multi Currency module revamped:
    a. Till now only one alternate currency could be attached with an account head. Now we can maintain one account in multiple currencies simultaneously.
    b. Multi currency can be enabled or disabled any time either at account level or at company level.
    c. All Multi currency reports changed to generate report for a specific currency or Base currency or composite (taking into effect of all transactions).
    d. Multi Currency option added in Accounts Monthly Summary report.
    e. In Utilities menu, option provided to 'Auto Generate Forex Gains/Loss vouchers'.
  3. Accounts Activity report implemented. Basically it is a ledger report designed in a format required in Singapore.
  4. Provision made to Backup and Restore data through File Transfer Protocol (FTP) sites.
  5. Option to create User Security file in Client Server mode. With the help of this file, there is no need to specify the server details on client machine. Now user can generate an encrypted file containing server information and the clients can be connected to server using this file thus eliminating the need to specify server details at client computers.
  6. Contra Register report added in Account Books.
  7. In Accounting reports and some Inventory report, provision made to view/print either Account Name or Alias or Print Name.
  8. In Company menu, BUSY Connect utility provided to access clients desktop.
  9. Voucher Replication and Set Voucher as Template utilities provided to replicate vouchers Date-wise or Account-wise and to set a voucher as template respectively.
  10. Provision made to maintain Data Checklist user-wise. Till now the data checklist was being maintained for all users.
  11. Provision made to upgrade BUSY model/version at user's site with the help of BUSY upgrade files.
  12. Sales Account and Tax Reconciliation report added under Sales Tax & VAT reports to reconcile the difference between the sales shown in Balance sheet and sales shown in VAT reports.
  13. Delhi CST Form-4 and Form7 implemented.
  14. Tamilnadu Form J, K and L implemented.
  15. UP VAT XXIV, Annexure A & B implemented.
  16. Provisional VAT reports have been created for states where VAT return has not been provided.
  17. Sales / purchase analysis report revamped to improve speed dramatically.
  18. Gujarat e-Return for VAT 201, 201-A, 201-B, 20-C and 205 implemented.
  19. Changes in Trading Excise:
    a. Provision made to use a single item more than once in a voucher. Till now one item could be used only once in a voucher.
    b. Provision made to show the amount of excise duty involved in voucher on screen.
    c. Provision made to auto update the value of excise duty adjusted in sales vouchers in excise Bill Sundries (if applied in voucher).
    d.     Provision made to apply AED after Ed. Cess & SHE Cess.
    e.     Till now sales return could not be connected to the original purchase reference if there was no qty. left in the original purchase reference. Now user can connect sales return to cleared purchase reference also.

Minor Changes / Improvements

  1. Till now the product serial number was being asked from the user. Now it will be read from the Dongle.
  2. You cannot create multiple Material Centres in BUSY UL model now. It has been fixed to Main Store Material Centre only.
  3. Party/Item-wise VAT Summaries have been removed from BUSY UL now.
  4. Till now the option to generate Columnar Payment/Receipt register was available in BusyLS and BusyUL editions. Now it will not be available.
  5. While using Sale/Sale Return voucher in Demo mode, a warning message will appear after the evaluation period is over asking user to buy the Licensed Copy.
  6. While creating a new company, three currencies, Dollar ($), Pound (£) and Euro (€) will be created by default.
  7. While creating a new company, if state selected is Uttar Pradesh then Invoice Format for Uttar Pradesh will be created automatically.
  8. New invoice format for Kerala, Form-8 provided.
  9. While importing masters, if there was a conflict between Source master Alias and Target master Name then a message box appeared asking for removal of all Source Alias creating confusion. Now the message has been changed and it will ask for removal of only conflicting Source Alias.
  10. While creating a new company, by default voucher numbering was set to Manual. Now it will be set to Automatic for Sales, Debit Note and Credit Note vouchers.
  11. Provision made in Voucher Configuration to skip the message box asking for voucher/document printing at the time of voucher saving and to skip the Report Options form also. It has been provided to improve the speed of data entry.
  12. If Print button was pressed in Voucher à Modify mode then three message boxes for printing of document, inventory voucher and accounting vouchers appeared respectively. Now only one message box will appear which will have all the three options and user can choose the required option.
  13. In order to provide Auto Paper Cut feature, a new printer driver EPSON Thermal is added in the list of DOS Emulation mode.
  14. Provision made to enable/disable listing of Masters and Transactions in User Profile window.
  15. Till now Currency and Currency Conversion masters were not connected with the User Profile settings. Now they will be connected.
  16. In Client-Server mode, if user was taking Backup or Restoring data on client machine then a message box showing Cannot Take Backup/Restore on client computer appeared only after specifying the details for the Backup and Restore. Now the message box will appear immediately as the user click the Backup or Restore option.
  17. In Client-Server mode, if the client could not connect to Server then a generic error message was being generated. Now specific error message will be generated stating whether Server is accessible or not, SQL server is accessible or not or wrong User ID and password has been entered.
  18. In Client-server mode, now the username will be enforced to 'sa'.
  19. While restoring a company, till now it was restored with any company code that was available. Now program will search for original company code and if the original company code is not allotted to any other company then it will be restored with the original company code. Otherwise it will be restored with any available company code.
  20. Provision made to carry balance of selected masters i.e. either Accounts or Item master during batch deletion of vouchers. Till now both the balances were carried forward.
  21. In Unit Conversion master, if conversion factor was specified as zero then some error was being generated at the time of data entry. Now zero conversion factor will be treated as one.
  22. In Sale/Purchase Type master, order of the options appearing in Taxation Type group has been changed. Now Taxable and Multi Tax option will appear before all other options.
  23. Now there will be a check on using VAT/CST Bill sundries on the basis of Sale Type/Purchase Type. In case of improper use of VAT/CST Bill sundries (applying VAT in Central Transaction and vice versa, applying VAT in multi tax transactions etc.), there would be a warning message.
  24. In Item Consolidated reports, provision made to skip Stock Transfer entries. Till now Stock Transfer entries were included in the report inflating the Qty. In & Qty. Out giving a wrong interpretation of the report.
  25. In Party-wise Sales/Purchase Analysis reports, instead of LST number, option to show/print TIN number will appear.
  26. In Item-wise Sales/Purchase Analysis report, a new option is added to generate the report for selected vouchers only.
  27. Few Service categories added in the list of Service categories.
  28. In Cash/Bank Book, option provided to club daily cash sales.
  29. In VAT Summary, retail purchases will be shown separately. Till now they were being shown clubbed with Exempted Purchase.
  30. ST-3 created as per new format. Corresponding company related details would be asked in Administration à Configuration à Features/Options.
  31. In Delhi CST Form-1, ward number was being picked from IT Ward field. Now it will be picked from ST Ward field.
  32. In Tax Paid Stock Details report, provision made to pick stock details after a specified date.
  33. Following VAT reports reframed:
    a.     Andhra Pradesh VAT 200 and Form-VI
    b. Arunachal Pradesh FF-01
    c. Chattisgarh and Daman & Diu VAT reports
    d. Delhi DVAT-16 & 31
    e. Goa Form I & III
    f. Gujarat VAT-201 and 205
    g. Himachal VAT-15
    h. Punjab VAT 15 and20
    i. Rajasthan VAT 7, 48 and 4
    j. Tamilnadu Annexure I and II as per new format and Form-I
    k. Uttranchal Form-III
    l. West Bengal Form-14
  34. Caption changed for Rajasthan VAT 48 & 50.
  35. A new format for Rajasthan VAT 10 provided.
  36. Provision made to consider purchase return in Tamilnadu VAT Annexures.
  37. Provision made to generate Generic VAT Sales/Purchase register for a particular series of voucher.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (b)

Product Release Information 3.5 (b)

Major Changes

  1. Item Bar-code Printing Add-On will be installed automatically while installing BusyWin. No need to install it separately.
  2. DOS2Win utility added in BusyWin (AdministrationàUtilitiesàData Export/ImportàImport Busy DOS data).
  3. POS enabled in Standard edition.
  4. Tool tip help provided for all the data entry fields.
  5. BusyWin 3.5 & BusyWin 3.4 can be installed simultaneously on the same computer. Till now only one version could be installed at a time.
  6. Multi Godown Inventory is now optional. Can be enabled/disabled through Features/Options.
  7. Balance Sheet, Profit & Loss and Trial Balance Grouped provided as on date. Till now these reports were available at end of any month only.
  8. Provision made for Bill Sundry Narration. Can be enabled through Features/Options à Inventory.
  9. Query on transactions, provision made to query on Bill Sundry details also.
  10. Printing of all the standard documents, inventory vouchers and accounting vouchers improved in windows mode. Now these will be printed in Tahoma font improving the readability and looks.
  11. Configurable documents can now be configured for better printing (Tahoma font). Old formats will continue to print in old style but they can be reconfigured for better printing (Tahoma Font).
  12. All print reports converted to Tahoma font resulting better looks and readability.
  13. Print reports, provision made:
    a. To print either Odd/Even/All pages
    b. To specify Ending Page No
    c.     To specify Print Style (DOS/Windows) at the time of printing.

Minor Changes / Improvements

  1. In Client-server mode, provision made to specify the path of the security file through command line parameter also.
  2. Utilities menu reshuffled. Utilities have been categorised under various heads/groups.
  3. Configurable Warning Alarms provided for Blank/Duplicate voucher numbers. Can be configured through Voucher Configuration --> Voucher Numbering.
  4. In Hardware Configuration, provision made to specify Escape sequence in case of DOS printing. Till now these Escape Sequences were hard coded in the program. Now we can change these Escape Sequences in case of a new printer. Also provision made for Paper Cut, Paper Half cut and Open Cash Drawer features and three other commands that can be customised to use any specific feature of the printer are also provided.
  5. In POS configuration, following provisions have been made:
    a. Copy configuration from other series through F4 key.
    b. Configure size of the columns that appear in the data entry grid.
    c. Enter Broker name in the POS data entry screen.
  6. In POS data entry screen, font size of Cash Tendered and Cash to be Returned fields is increased.
  7. If only one Material Centre exist then Material Centre-wise Details window will not appear at the time of creating Item master.
  8. In the Voucher – Modify mode, if either debit or credit amount is changed then the amount on other side would be changed automatically.
  9. Provision made to configure four formats for document printing after saving the voucher. Till now only one format was available.
  10. Some refinements have been done in FIFO stock valuation method if the Allocate Expense/Purchase to Item option is enabled.
  11. Minor changes in e-TDS return:
    a. If PAN number of the deductee is not available then PANNOTAVBL would be pushed in the database.
    b. SHE Cess will not affect eTDS return.
    c. The problem of not validating eTDS if any entry existed for lower rate of tax has been rectified.
  12. All the common options related to Printer have been clubbed together under the head Default Printing Options in the Printing Options form.
  13. For Query on Transactions, a new shortcut key, <Alt+Q> has been provided.
  14. In Client-server mode, if server information was being read from security file then the name of the server was being displayed at the top while selecting company from list of the companies. Now server name won't be displayed.
  15. UP Annexure A & B, option Show Item-wise Details added to display individual items details. If this option is set to 'N' then item description will be displayed.
  16. UP Annexure A & B, provision made to generate report for selected Sale/Purchase Types or all Sale/Purchase Types.
  17. In RG-23D, provision made to print a separate page for each purchase entry of an item.
  18. In TDS Form-16A, instead of party name, party Print Name will be printed.
  19. New fields added in Invoice configuration. Header à <TOTAL_DISC_WRT_MRP> and Body à <DISC_WRT_MRP_PER_UNIT> & <DISC_WRT_MRP_TOTAL> for printing of Discount on the basis of Item MRP.
  20. Some minor changes in Tax Paid Stock Details report.
  21. Party/Item-wise VAT/CST summaries, provision made to generate the report either for All Party/Item or Group of Party/Item.
  22. Provision made for reversal of amount in TDS reference.
  23. In Karnataka Form-100, value of total amount debited to purchases will be displayed. Till now the taxable amount was being displayed.
  24. Minor changes related to gross central turnover have been made in Punjab VAT 15, 20 & Delhi Form-I.
  25. In Rajasthan VAT-7, provision made to print either total bill amount or taxable + tax amount in the Gross Amount of Invoice column.
  26. Minor changes related to gross amount of invoice has been made in Rajasthan Form-8.
  27. In UP VAT-24, provision made to show bifurcation of unregistered purchases also.
  28. Minor corrections in following VAT reports:
    a. UP Form – XXIV
    b. MP Form-9

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (c)

Product Release Information 3.5 (c)

Minor Changes / Improvements

  1. Changes in UP VAT XXIV:
    a. Provision made for Non VAT Goods. Now user can tag any Sale/Purchase Type as Non VAT Goods and the same will be reflected accordingly in VAT XXIV.
    b. Till now printing of Unregistered Purchase in col. 8 was optional. Now it has become mandatory.
    c. Purchase Tax as calculated from col. 8 would be reflected automatically in col. 13(i).
    d. ITC on Purchase Tax can be claimed by adding a journal voucher affecting Input VAT and then adjusting that amount in the category On A/c of Purchase Tax Paid in the VAT Adjustment window. This amount will then be reflected in col. 14(iii).
    e. VAT Return Categories provided in Sale/Purchase Types to cover columns where no values were being printed by default.
    f. Provision made to print Treasury Challan No. & Date.
  2. Provision made to maintain Book No. in Sales Invoice. Can be enabled through Vouchers Configuration à Voucher Numbering.
  3. In Vouchers Configuration à Voucher Numbering, provision made to specify the Starting No. up to nine digits. Till now you could specify Starting No. up to five digits only.
  4. <CASH_TENDERED> and <CASH_TO_BE_RETURNED) fields added in Invoice configuration.
  5. In U.P. Annexure A & B, instead of item name, item Print Name would be printed.
  6. In RG - 23D register, ECC code of the party was not being printed. Now it will be printed.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (d)

Product Release Information 3.5 (d)

Major Changes

  1. Provision for Surcharge on VAT:
    a. Can be enabled in Administration à Features\Options à Sales Tax & VAT Tab.
    b. Provision to specify the caption for Surcharge (e.g. Add. VAT or Cess) in Surcharge configuration.
    c. Provision in Item Master to specify Rate of surcharge.
    d. Provision in Update Item Tax Rate utility to update rate of surcharge for all items or group of items.
    e. Provision in Multi Tax / Tax Inclusive transactions to pick rate of surcharge automatically from item master.
    f. Provision for Surcharge column in Standard & Configurable Invoice.
    g. Reflection of Surcharge in VAT Summary & Computation reports.

Minor Changes / Improvements

  1. Two new fields, Schedule Entry No. & Serial No., added in Item Master, in case of Rajasthan state. These fields are required for new Rajasthan VAT reports.
  2. UP State, Standard Invoice caption, instead of << RETAIL INVOICE >>, << SALES INVOICE >> would be printed.
  3. Minor refinements in UP VAT XXIV.
  4. Minor reshuffling of features for Basic Edition.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (e)

Product Release Information 3.5 (e)

Minor Changes / Improvements

  1. Provision made to print 'Pre Authenticated' on the Sales Invoice and other documents in Standard mode. Can be enabled through Administrationà Configuration à Document Printing à Standard option.
  2. Provision made for bulk updation of Items Schedule Entry No./HSN Code/Commodity Code. Utility added in Administration à Utilities à Bulk Updation utilities.
  3. Andhra Pradesh VAT return Form 200 reframed as per new format.
  4. New format for Rajasthan VAT-7 & VAT-8 provided.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (f)

Product Release Information 3.5 (f)

Major Changes

  1. In User Profile, following provisions have been made:
    a.     Multiple Voucher series can be allocated to the user.
    b.     Configurable Back Dated Entries control. You can fully restrict the back date entry or can specify separate back entry days for each series of individual voucher type.
    c.     Option to restrict user from taking company backup.
    d.     Masters Control can be applied for individual users. Till now it could be applied with voucher series(s) only.
    e. User Preferences, provision made to configure sub-menus of Administration à Utilities option.
  2. Nepali date implemented. Now user can choose to have either Nepali or Roman date system for data feeding.
  3. Nepali VAT implemented. Following provisions have been made for the same:
    a.     VAT Registers, Sales Registers, Purchase Registers, VAT Accounts as per the Nepali VAT formats.
    b.     Sale/Purchase Type master changed to take care of Nepali VAT reports.
    c. Standard Invoice format as per Nepali VAT.
  4. In Client-Server mode, provision made to take backup of single financial year also.
  5. In Features/Options à POS tab, provision made to opt for either Simple or Composite Bar Code type. With Simple option, only item name can be read from the Bar Codes whereas with Composite option, other item components such as quantity, unit, price and so on can be read from the Bar Code. User can define multiple formats for Composite Bar Code structures and tag them with item groups.
  6. In Item Bar-Code Printing Add-On, provision made to print Bar Code for Composite Bar Code types (containing multiple data fields). This option would be available when Bar codes are printed from Excel sheet.
  7. For U.P. state, provision made to specify the type of dealer (Regular or Samadhan) and Tax Rate % for Samadhan dealers in Features/Option à Sales Tax & VAT tab. For the 'Samadhan' type of dealer two reports UP VAT XXIV A and Tax Computation added under U.P. VAT Reports.
  8. Voucher Template Tagging utility added in Bulk Updation & Voucher Template utilities to tag voucher templates to different masters (Voucher Series, Sale/Purchase Type, Party, Party Group). With this utility the relevant voucher information (Header, Items, Bill Sundries) can automatically be loaded at the time of voucher entry from the voucher template tagged to the Masters selected in the voucher.
  9. Option provided to freeze data either fully or partially. With Partial freezing you can specify separate freezing date for individual voucher types and series. Also provision made to freeze the Op. Balances of Accounts & Items.
  10. Voucher Numbering reports added in MIS Reports to check blank, duplicate, missing or un-sequenced voucher numbers.
  11. In Sale/Purchase Type master, a new field Skip in VAT/CST Report provided. Transactions having Sale/Purchase Type in which this field set to 'Y' will be skipped in all VAT/CST reports. This feature can be used for generating Service Invoices.
  12. Provision made to skip item quantity, unit and price in Inventory vouchers. Can be enabled through Administration à Configuration à Vouchers Configuration option. This feature again can be used for the generation of Service Invoices.
  13. While entering Sales, Sales Return or Purchase Return voucher for Trading Excise, the RG-23D Adjustment Details window will pop up immediately after entering the item quantity. Till now this window was being popped at the time of saving the voucher.
  14. Stock Status Columnar report implemented to view/print Material Centre-wise item stock details in a single row.
  15. Provision made to print User Name, Date and Time of printing in print reports.
  16. POS Summary and POS Settlement Details reports added in Account Summaries.
  17. U.P. Form-I implemented.
  18. Andhra Pradesh VAT Registers 226A, 226B, 227A, 227B and 228A implemented. For this purpose a new field Type of Dealer is added in Account master.
  19. Generic VAT registers reframed to take care of VAT Surcharge.
  20. Gujarat VAT reports reframed to take care of VAT Surcharge.
  21. Provision made to create multiple formats for the Columnar Sale/Purchase Analysis report. Also option provided to configure report for either Items or Item Groups.
  22. A new report Item Tax Rate wise Summary added in Sales Tax & VAT Reports section. This report will generate summary of Op. Stock, Purchase, Sales and Closing stock of items clubbed on the basis of rate of tax.

Minor Changes / Improvements

  1. In case of country other than India, demo period increased to 90 days instead of 30 days.
  2. Now Company Code will also be shown along with the company name and financial year in the label that appears at the bottom of the screen.
  3. Excise, Service Tax and TDS tabs are disabled for countries other than India.
  4. Few Service Tax Categories added.
  5. Warning Alarms can be configured for Budgets also.
  6. In Administration à Configuration menu, name of 'Columnar Account Books' menu has been changed to 'Columnar Reports'. Also option to configure Columnar Sales/Purchase Analysis report has been shifted to this menu itself.
  7. In Data Export/Import (XML) utility, option provided to export transactions without exporting the relevant masters (Masters used in the vouchers being exported). This option will be useful if the company in which data is being imported would already have the required masters. This has been done to improve the speed of the export process.
  8. If the country being selected is other than India then ST Form master, Forms Received/Issued voucher and other ST Forms related reports would not appear. In simple words, no masters, transactions and reports related to ST Forms will appear.
  9. In Account and Items list, provision made for simple listing. Till now only configurable listing was available which would take a lot of time in report generation.
  10. Sale/Purchase Type master reframed for countries other than India. Options in the Sale/Purchase Type master will appear according to the country selected.
  11. Account, Sale/Purchase Type and Bill Sundry master will be created as per the country selected at the time of creation of the company.
  12. In the Form Issued/Received vouchers, provision made to generate the voucher list for a particular party/form or any other combination of party & form.
  13. Till now, if the option of Bill Sundry Narration was enabled then Bill Sundry information was being printed in Condensed mode in Standard Invoice printing. Now if any Bill Sundry Narration is entered in the voucher then the Bill Sundry information will be printed in Condensed mode otherwise it will be printed in Normal mode.
  14. Till now Master Controls (Option to allow/disallow specified masters) were applied at the time of voucher saving. Now they will be applied at the time of selecting the Master also during the voucher entry.
  15. Masters Controls, now separate controls can be applied for Debit and Credit accounts in case of Accounting vouchers and for Items Consumed and Items Generated in case of Production and Unassemble vouchers.
  16. Masters Controls, while allowing a master, provision made to apply control within parent group of the master.
  17. Format of Account Ledger has been changed to consume lesser paper space.
  18. In Display à Account Ledger, provision made to show full voucher details.
  19. In Balance Sheet, option provided to view the bifurcation of the main Account groups that appear in the report.
  20. In Trial Balance à Opening/Closing Alphabetical à Detailed report, option provided to view/print the debit/credit aspect of the opening/closing balance in separate columns.
  21. In Consolidated Trial Balance and Stock Status reports, the option Show Moved Item/Accounts Only has been removed. In place of it, a new option, Show Zero Balance Item/Account has been added.
  22. In Account Books, vouchers were not being shown ordered by voucher number. Now they will be shown ordered by voucher number.
  23. Client Server mode, if the no. of Item Groups were large then Stock Status Grouped with value of Items report was taking a lot of time. Now the speed of the report has been considerably improved.
  24. In generic VAT Registers, provision made to print Separate Billing Details.
  25. Party-wise VAT Summary, on pressing Enter key, a report displaying details of individual party was being displayed but there was no provision to print this report. Now provision made to print this report.
  26. In Query System, provision made to specify any filtering value for the Optional Fields and other user defined fields. Till now we could select only from the drop down list of already entered data. It makes query more powerful as user can query on partial data also.
  27. Query System, a new operator, Between (<>), provided along with other arithmetic operators like >, <, =>, =< and ><.
  28. Minor printing corrections in Delhi – Form I.
  29. Minor changes in printing of Rajasthan VAT-10.
  30. U.P. Form XXIV, provision made to show/print either taxable purchases or unregistered purchases in column no. 8. Till now unregistered purchases were being shown/printed.
  31. ER-1 reframed as per new format.
  32. e-TDS return, an option 'Is it a Revised Return' was being asked but there was no impact of this option on the e-return being generated. Now this option has been removed.
  33. TDS payment voucher, till now all the pending TDS references were being shown for adjustment. Now references till the date of payment would be shown.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (g)

Product Release Information 3.5 (g)

Major Changes

  1. Maharashtra VAT return Form 231 implemented.
  2. Kerala Form-52 (Monthly Sales/Purchase Statement) implemented.
  3. Tamilnadu eReturn implemented.
  4. UP VAT eReturn implemented.
  5. Gujarat eReturn implemented.

Minor Changes / Improvements

  1. While modifying a voucher, if the feature of auto round off was enabled then at the time of voucher saving an extra round off Bill Sundry (other than the one that already exist) was added to round off the bill amount. But now if any round off Bill Sundry already exist in voucher then the existing round off Bill Sundry will be modified otherwise a new round off Bill Sundry will be added to round off the bill amount.
  2. New fields <BS1_OPERATEDON>....<BS10_OPERATEDON> added in Document Printing > Advanced > Invoice Header and Footer.
  3. In Voucher Replication utility, option provided to specify number of copies for the vouchers to be replicated. Each voucher will be generated equivalent to number of copies specified.
  4. While picking pending Sales / Purchase orders through <F11> key during Sales / Purchase voucher entry, the pending orders were not being sorted date-wise. Now pending orders would be sorted date-wise and further order number wise.
  5. In Item Bar Code printing, minimum value for bar width has been reduced from 7.5 to 1. It has been done to print small sized Bar Codes.
  6. In Sales Tax / Excise Information window, the Total Qty field was displaying the Main unit of the item as specified in the Item master. Now it will display the unit as specified in the voucher.
  7. In POS Summary & POS Settlement reports, option provided to generate report either Series-wise or User-wise.
  8. In Standard Invoice printing, now instead of 15 characters, 30 characters will be used for printing TIN / CST number of the company.
  9. Rajasthan VAT 7 & 8 reframed as per new format. Also option provided to view bifurcation of tax rate in the report.
  10. In Rajasthan VAT 10, option provided to view / print item-wise bifurcation in column 5 of the report. Some minor corrections have also been done in the report.
  11. In Rajasthan Form1(CST), now CST payment details will also be displayed / printed.
  12. In Tamilnadu Annexure I & II, option provided to print report in Landscape mode.
  13. In Tamilnadu VAT Annexure II, option provided to club all the retail sales.
  14. In UP VAT XXIV, provision made to generate report commodity code-wise.
  15. West Bengal Form-14 reframed as per new format.
  16. Minor corrections in following VAT reports:
    a. Andhra Pradesh Form 226B, 227B & 228A
    b. Delhi Form-I
    c. Gujarat Form 201
    d. Haryana Form-C4
    e. Jammu Form-11
    f. Madhya Pradesh Form 10
    g. Punjab Form 15, 20 & 24
  17. Minor changes in following VAT reports:
    a. Gujarat Form-201C
    b. Himachal Form-XV
    c. Karnataka Form -100
    d. Tamilnadu Form-I

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (h)

Product Release Information 3.5 (h)

Major Changes

  1. No need to buy BUSY license if a user keeps his data on BUSY Data Server.
  2. Provision made to bind the data of a customer on BUSY server with specific dongle serial nos.
  3. Provision made to import vouchers from Excel. Available as Administration à Utilities à Data Export / Import à Import Voucher from Excel.
  4. Provision made to update / change Item prices on the basis of various combinations / criteria. Available as Utilities à Bulk Updation & Voucher Templates à Update Item Prices / Discount.
  5. Utilities à Bulk Updation & Voucher Templates utilities, a new utility 'Update Batch / Order Price' added to update prices of batches and orders so that the prices can be reflected in related reports. The utility needs to be run only once to update the prices for existing data. Data fed in new version will automatically save the order / batch prices.
  6. Provision made to specify Item Free Qty. in vouchers. Option can be enabled through Features / Options à Inventory tab. If enabled, user can feed both billed and free qty. of an item in inventory vouchers using a + symbol in qty. field like 10+2 or 5+2. The prices would be applicable on billed qty. whereas the inventory would be affected by both free & billed qty. Provision made in inventory reports to show bifurcation of billed & free qty. and a new report, Item Free Qty. Details provided in Inventory Summaries.
  7. In Vouchers Configuration, provision made to create Voucher Series Group. Now various voucher series can be grouped under a Voucher Series Group and VAT reports can be generated either for all vouchers or for a particular Voucher Series group. This is useful when a company has offices in different states but the data is centralised and VAT reports are required to be generated state-wise.
  8. In Email Configuration, provision made to send Email as Email Body text while sending Email through Outlook Express. Till now the email through Outlook Express could be sent only as an HTML attachment. Also provision made to specify sending mode i.e. Email Body text or HTML attachment at the time of emailing reports.
  9. Account Ledger à Standard format on screen now available for One Account / Group of Accounts / Selected Accounts / All Accounts. Till now only one account option was available on screen.
  10. Account Ledger provided in T format also.
  11. Multi Company reports now available for Nepali date also.
  12. Multi Company results, new reports Bills Receivable / Payable and Ageing Receivable / Payable added.
  13. POS data entry allowed for Material Issued to Party and Material Received from Party vouchers.
  14. Delhi Form-6 implemented.
  15. Provision for Post Dated Cheques (PDC) in Payment / Receipt vouchers:
    a) Provision to specify Payment / Receipt vouchers as PDC or Regular vouchers at the time of voucher entry.
    b)     Provision in relevant reports to include PDC vouchers or not.
    c) Warning alarm for PDC at company start up. Can be configured through Configuration à Warning Alarms    .
    d) New report for PDC Details in Accounts Summary added.
  16. Changes in Item Batch /MRP Details module:
    a)     Provision to track Item details Batch-wise, MRP-wise or by both ways.
    b)     Provision to specify batch details with Item entry.
    c)     Provision to track Manufacturing date with batch.
    d)     Provision to track MRP & Sales Price with batch.
    e)     Provision to track MRP-wise Stock Status without maintaining batch-wise details.
    f)     Provision to enable /disable Expiry date with batch.
    g)     Provision to enter Manufacturing / Expiry date either in Date format or Month-Year format.
    h) Provision to show value of items in Batch reports.
  17. Changes in Brokerage module:
    a)     Provision made to use name as Broker / Salesman or Brokerage / Commission.
    b)     Different modes for brokerage calculation like percentage, absolute amount, per main qty. or per alt. Qty.
    c)     Brokerage can be specified at voucher level also.
    d) Provision to specify default rate of brokerage in Configuration à     Features / Options (applicable for all Brokers) and in Broker master (applicable to specific Broker).
    e)     Tagging of default Broker with Party.
    f)     Bill Adjustment details will be shown in Brokerage reports with separate calculation of brokerage on the basis of payment / receipt amount.
    g)     Provision to calculate brokerage on cleared bills only.
    h) Broker –wise Profitability report added in MIS Reports à Profitability Reports.
  18. Changes in Manufacturing Excise / Service Tax:
    a) Provision to input Excise details in Stock Transfer, Material Issued to Party and Material Received from Party vouchers. Option can be enabled through Features / Options à Excise     tab.
    b)     Now Excise payment details can be entered through Journal voucher also.
    c)     Provision to enter Interest, Arrears and other miscellaneous payments in PLA.
    d)     Provision to enter Opening Balance of Excise payable.
    e) Provision to enter opening balance for Service tax. Opening Balance for Service Tax can be entered through Configuration à Opening Information à     Service Tax Op. Balance option.
    f) ER-1     as per new format.
    g) ER-3 implemented.
  19. Changes in Sales / Purchase Order Processing:
    a) Sales / Purchase Order     vouchers, provision made to input Material Centre name.
    b) Sales / Purchase Order     vouchers, now current balance of item will be shown during voucher entry.
    c)     Provision to restrict Sales / Purchase vouchers without order.
    d) Provision to restrict modification of Sales / Purchase Order, once Sales / Purchase voucher is posted against the order. Options can be enabled from Features / Options à Inventory tab.
    e)     Pending Sales / Purchase Orders carried forward to next financial year were shown jointly under the heading OP. Bal while picking them through <F11> key during voucher entry. Now different orders would be shown under different headings and will be picked separately or independently.
    f) Provision made to show / print value of items in Pending Order reports.
  20. In Stock Status and Item Critical Level reports, provision made to consider the affect of pending Sales / Purchase Orders also.
  21. Changes in Bills Receivable/ Payable reports:
    a) Provision to create Reference Group. Can be enabled through Features / Options à Accounts     tab. Reference Group can be created in Bill-by-Bill Details window by pressing <F3> key. Various references can fall under a Reference Group and the reports can be filtered / sorted on the basis of Reference Group.
    b)     Option provided to configure Party Contact details for printing in reports.
    c)     Provision to show / print last Payment / Receipt details.
    d)     Provision to pick cleared references also.
    e)     Provision to show / print adjustment details of references.
    f)     Provision to filter report on the basis of Broker.
    g) Provision to sort sub-groups of groups also.
  22. Changes in Query System à Query on Transactions:
    a)     Till now query on a single voucher type was possible. Now user can select multiple voucher types of same family (Accounts, Inventory & Production) at the same time for query.
    b) Provision made for query on Billing Details     also.
    c)     Concept of Global Query is introduced. With this feature, user can specify a search string, which will be searched in all text fields (Narration, Optional Fields, Item Description etc.) of all vouchers.

Minor Changes / Improvements

  1. After creating Super user for the company, now the Features / Options window will be displayed directly.
  2. Option provided to enable Sales Tax at the time of company creation. Also provision made to specify the type of tax (Sales Tax / VAT / GST) and default tax rates applicable for the company.
  3. In Client-Server mode, while creating Security file, option provided to specify company code(s) to allow user to have access to only those companies that are specified in the Security file.
  4. Default decimal places for quantity changed from 3 to 2.
  5. Vouchers Configuration à Voucher Numbering, provision made to specify ending voucher number for the series. This is specifically required in Manufacturing Excise invoicing.
  6. In Document Printing, a new Print Style 'Eject' is added. With this Print Style, paper will be ejected at the position where this Print Style is used.
  7. Multiple Price Category for Item feature was available for Sales price only. Now it would be available for Purchase price also.
  8. In Price Category for Items window, a new field for specifying item MRP added.
  9. Minor refinements in Data Export-Import.
  10. Item master, provision made to skip printing of item ledger at the time of printing Stock Ledger for all / group of items. This provision is done for Service items whose stock ledger is not to be printed.
  11. Item master, two new fields for specifying sales discount and purchase discount added.
  12. Bill Sundry master, a new category Discount added in Bill Sundry Nature list. Now if the user does not have the right to change discount in vouchers then the user will not be able to use Discount Bill sundry.
  13. In transactions, Minimum Sales Price as specified in the Item master will be validated after taking into affect the amount of Bill Sundries. Till now it was being validated only on item basic price.
  14. In POS vouchers, provision made to copy & paste Item Body details.
  15. In POS vouchers, Billing Details / Transport Details and Voucher Optional Fields windows were not being popped up. Now they will be popped up at the time of voucher saving.
  16. POS screen, minor corrections for reading data from Bar-Code.
  17. In Form Received voucher, the State of Issue field will display Nepal, Bhutan and Bangladesh countries also along with all the states of India.
  18. Provision made to print Composite Bar code from BUSY data also.
  19. In Balance Sheet, Stock Status à Grouped and Trial Balance à Grouped screen reports, provision made to show zero balance Account Groups / Items Groups also.
  20. Trial Balance à Detailed, Stock Status à Detailed, Accounts Consolidated Summary and Item Consolidated Summary reports, option provided to include All / Moved / Moved + non zero closing balance masters.
  21. Minor changes in Ledger printing to take care of account-wise Short Narration.
  22. Provision made to specify Paper Type (Continuous Roll or Cut Sheet) in accounting voucher printing to take care of vouchers printing on Laser printer. Till now printing of vouchers on Laser printer was not smooth.
  23. Pakistan Sales tax reports as per new formats.
  24. In Party / Item-wise VAT Summary, provision made to view / print report for Tax Invoice, Retail Invoice or both type of transactions. Till now both types of transactions were considered. Also provision made to club retails sales while viewing / printing both types of transactions.
  25. If Excise was applied in the Sales transactions that were made against ST form and where VAT was not charged then the sales value was shown inclusive of Excise amount only if the Excise reporting was enabled in the company. Now sales value would be shown inclusive of Excise amount irrespective of Excise is enabled or not.
  26. In Item barcode printing, provision made to change the height of barcodes also.
  27. Shortcut Key Alt/Ctrl+F provided for Features / Options.
  28. In Administration à Configuration, a new option Update HSN Code Description provided. Here user can feed description of all the HSN/Commodity codes, which in turn will be used in VAT reports. Right now this option would be available for Gujarat state only but the concept will be extended to all other states where VAT reports are based on commodity codes of items.
  29. Gujarat Form 201, 201-A, 201-B, 201-C and 205 can be viewed / printed HSN-Code wise also.
  30. U.P. Form-I reframed as per new format.
  31. Minor corrections in following VAT reports:
    a)     Rajasthan VAT 8 & 10
    b) U.P. VAT Annexure
  32. Minor changes in following VAT reports:
    a) Andhra Pradesh VAT 200
    b)     Chandigarh VAT 16
    c) Punjab VAT 15, 16, 20 & 24
    d)     Rajasthan VAT 48 & 50

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (i)

Product Release Information 3.5 (i)

New Reports

  1. Bihar VAT RT-1 (New Format)
  2. Bihar VAT RT-3
  3. Rajasthan VAT 10-A (Annual Return)
  4. Tamilnadu Form - 1 (CST Return)
  5. Haryana VAT-R2

Minor Changes / Improvements

  1. Nepali Date was not available in Lite version. Now it will be available.

  2. Exit screen of Busy LS/UL changed slightly.

  3. Export of Screen reports to MS Excel improved so that Excel formulae can be applied on the exported Excel sheet.
  4. In Amount Receivable/Payable, Bills Receivable/Payable & Account Registers reports, provision made to show/print Mobile No. of accounts also. This is required to send bulk SMS to parties by exporting these reports to MS Excel.
  5. In Haryana VAT Form C-4, provision made to include Sales Return also.
  6. Provision made to automatically copy the dealer's information file d1win.dat to BusyWin/System folder during installation if the same is found at the path of BusyWin setup.exe.
  7. Bills Receivable / Payable and other related reports, the caption to include / exclude PDC was slightly confusing. Now caption changed from 'Show Bills Cleared by PDC as Pending' to 'Include PDC Entries Also'.
  8. UP VAT Annexure A & B, provision made to generate report for a single rate of VAT also.

      Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (j)

Product Release Information 3.5 (j)

New Reports

  1. Jharkhand Form 213
  2. UP eReturn in Excel format
  3. West Bengal Form 12B
  4. Annexures to Gujarat Form III-B

Minor Changes / Improvements

  1. Exporting Masters to Excel, till now only 208 columns could be configured. Now 256 columns can be configured.
  2. Minor corrections in following reports:
    a) Rajasthan     Form 8
    b) Rajasthan Form 10A
    c) Haryana     Form C-4
    d) UP Form XXIV (Provision made to show 'Input VAT Adjusted in Output CST')
    e) Uttranchal     Form 3
    f) Punjab Form 16

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.5 (k)

Product Release Information 3.5 (k)

Minor Changes

  1. Dongle Security check removed. Now program will not check for security device and will start in PM mode directly.


Release Document 3.6 (a)

Product Release Information 3.6 (a)

Major Changes

  1. Provision made for Item-wise Serial No. Tracking. For this following changes have been done:
    a)     In Features/Options, option provided to enable Serial No.-wise tracking. Also we can maintain Sales Price / MRP / Alt. Qty./ Description and Warranty along with each Sr. No.
    b)     In Item master, option provided to enable Serial No. tracking for each item and to specify the Serial No. Tracking mode i.e. Automatic or Manual.
    c)     Create / Adjust Serial number at the time of voucher entry.
    d) Item Serial No.-wise     Reports provided in Display and Printing menu.
    e) Query on Item Serial No.     provided in Query System. This report will query data across all financial years.
    f)     Provision made to print Item Sr. No. in Standard / Advanced Invoice formats. Details of Sr. No. fields to be printed can also be configured.
  2. Provision to make Sale / Purchase against Challan. For this following changes have been done:
    a)     In Features/Options, option provided to enable Sale/Purchase Challan.
    b)     In Material Issue / Receipt vouchers, option provided to create Challan reference for Sale/Purchase and Sale/Purchase Return. Also option provided to adjust Challan references for which no Sale/Purchase or Sale Return/Purchase Return billing is done.
    c)     In Sales / Purchase and Sale Return / Purchase Return vouchers, option provided to make either direct Sale/Purchase/Sale Return/Purchase Return or against Challan.
    d)     Pending Challan report provided.
  3. Notes Manager implemented. Notes Manager can be used as personal diary or organiser in which various notes or task can be written with option to remind tasks at specified time. It can be activated user-wise wherein each user can separately maintain notes / tasks.
  4. Now transport details can be updated without modifying a voucher. For this Update Transport Details utility is provided in the Bulk Updation & Voucher Templates utilities.
  5. Option provided to cancel the vouchers. For this a Cancel button is provided in the Voucher Modify mode. On pressing the button, voucher will be treated as Cancelled voucher in which only the header information of the voucher will be retained and all the Item and Bill sundry information will be deleted. Cancelled vouchers can be activated again by using the Activate button. Also Voucher Cancellation report added in MIS Reports.
  6. Provision made to specify images/notes with Account and Item master. Also provision made to specify image of Accounting & Inventory vouchers. These images and notes will be displayed at the time of data entry and can be printed in all configurable Documents & Labels.
  7. Provision made to enter sale/purchase return quantity in Sales / Purchase vouchers. Quantity entered with a (-) minus sign will be treated as sale return / purchase return quantity in Sales / Purchase voucher respectively.
  8. Provision made to print Outer box, Horizontal line and Vertical line in the Standard / Advanced documents.
  9. Standard document configuration improved with more options like printing of Box / Vertical Lines / Logo / Configurable Body etc.
  10. SQL Query Executor provided to execute SQL queries. It's a powerful feature with which any data can be retrieved by executing a query. This option is available through Query System.
  11. Now reports can be exported to pdf format also and from now onward all Emails will be sent with pdf attachment.
  12. Provision made for Print Preview. Now Print reports can be previewed before final printing.
  13. Provision made to restrict reporting for a user to an Account / Account Group level. Can be configured through User creation / modification screen.
  14. Configurable Accounts registers provided for Journal, Contra, Debit Note and Credit Note vouchers along with the existing Payment / Receipt vouchers.
  15. Configurable Columnar VAT Registers provided.
  16. Columnar Inventory Books configuration provided for Sales / Purchase Order, Material Issue / Receipt and Stock Transfer vouchers along with existing Sale / Purchase and Sale Return / Purchase Return vouchers. Following provisions are also done for Columnar Inventory Registers:
    a)     Item-wise columns can also be configured. Also option provided to specify the character size for Item Qty. (Main / Alt unit), Item Price and Amount.
    b) Inventory Books menu reshuffled.
  17. Following Ageing Reports implemented:
    a) Stock Ageing FIFO in Inventory Summary
    b) Accounts Ageing FIFO (Receivable / Payable) in Accounts Summary
    c) Batch Ageing in Batch-wise Reports
  18. Batch-wise Profitability report provided in MIS Reports à Profitability Reports.
  19. Provision made to create multiple batches for each item row. Till now only one batch entry could be specified with each item row. Also now the old model of creating batch at voucher saving has been discontinued.

Minor Changes / Improvements

  1. Provision made to specify State with each user to allow user to have access to Invoices/Reports of that particular state.
  2. Option provided to sort voucher items alphabetically or grouped alphabetically at the time of voucher saving. For this an Items Sorting While Saving option provided in Vouchers Configuration.
  3. Now separate Pricing Modes can be specified for the Sale Price and Purchase Price.
  4. Many new Shortcut keys are provided for the ease of the users. Also BUSY interface is changed according to the new resolution and various shortcut keys are displayed on the Main screen itself.
  5. In Document Configuration, provision made to specify number of documents to be printed on each page.
  6. In POS vouchers, option provided to configure grid columns at the time of voucher entry itself.
  7. In Material Issued / Receipt vouchers, provisions made to issue / receive material for consumption / self-use.
  8. Importing vouchers from Excel, provision made to create masters automatically which are not found in the target company. Along with this change some other minor improvements have also been done.
  9. Bar-code printing improved to consume less space on paper. Till now, the data fields, which were not being configured for printing, were consuming full space. Now blank data fields will not consume any space. Also provision made to leave company name as blank.
  10. Minor changes in Rajasthan VAT11.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.6 (b)

Product Release Information 3.6 (b)

Major Changes

  1. Provision made to send SMS through Internet. Now User gets the flexibility to buy SMS from any vendor and specify the server API and send the SMS through that server.
    a) Multiple APIs can be configured through SMS Configuration in Configuration menu.
    b) While sending SMS, we can choose between Phone or Internet mode.

  2. Provision made to specify Settlement Details in Standard vouchers also. Can be enabled series-wise through Voucher Configuration.

  3. Stock Maintenance of items on various parameters like size, colour etc.
    a) Enabled through Features/Options à Inventory Section
    b) Enable in individual item
    c) Define parameters either globally or at item group level
    d) Data entry on the basis of parameters combination
    e) Stock Status report on the basis of parameter combination

  4. UP Entry Tax implemented:
    a) Can be enabled from VAT section in Features / Options
    b) A New field Party Type added in Account master
    c) Tagging of Entry Tax in Account & Bill Sundry
    d) Entry Tax Details Window during voucher entry
    e) Respective reports provided in VAT reporting section

  5. Provision made for Daily Message printing in documents:
    a) Can feed daily message in Utilities section
    b) Can print in standard / configurable documents

  6. Masters configuration, option provided to automatically generate master Print Name using Master name, Alias, Group Name etc. Also a utility provided in Utilities section to regenerate Print Name on the basis of specified configuration.

New Reports

  1. Haryana LP8 / LS10

  2. Gujarat Form 3B e-Return

  3. Karnataka VAT e-Return

  4. Yearly Sales/Purchase Tax Summary on a single sheet clubbed either monthly or quarterly.

  5. West Bengal Form-1 as per new format.

Minor Changes / Improvements

  1. SUPPLIER_NAME>, <SUPPLIER_ALIAS>, <MFR_NAME> & <MFR_ALIAS> fields added in Invoice body configuration.

  2. Tax summary printing in Purchase Invoice, the taxable amount was being printed as Sale Amount. Now it will be printed as Purchase Amount.

  3. Multi-tax transactions tax calculated on MRP, the tax was being calculated over and above MRP. Now the tax would be calculated assuming that MRP is inclusive of tax. However if the tax was being calculated on some % of MRP then the old treatment will continue.

  4. Minor corrections in Excise ER-1 format captions.

  5. Minor corrections in Andhra Pradesh Form-6.

  6. A new Stock Valuation method, Avg. Price, introduced. This method will provide the average of all the Qty .In and the respective values for an item.

  7. Invoice configuration, Standard Format, provision made to use stationary with Pre-Printed header. If a user chooses this option, the box will start printing from below the header.

  8. Hardware configuration, windows printing style, provision made to specify the printing multiplier. With this option the user can shrink the printing up to 90%.

  9. Item Master, a new field Tax on MRP provided. If set to Yes, then the VAT on that item will be calculated on Item MRP only irrespective of the settings in Sale/Purchase Type. This option is applicable for Multi-Tax vouchers only and not for vouchers where VAT is applied through bill sundries. This option is a must for pharmaceutical trade.

  10. Sale/Purchase Type master, provision made to specify different accounts for different tax rate entries in multi-tax vouchers. With this option user can maintain different sales/purchase accounts for different tax rates.

  11. Sales/Purchase Type master, provision made to specify Sales/Purchase Account at the time of vouchers entry. This is required in Capital/Consumable purchases.

  12. Minor reshuffling in Haryana VAT/Sales Tax menus.

  13. Features/Options screen redesigned.

  14. Provision made to maintain Drug License No. for company & parties. This option can be activated from Feature/Options à Inventory section. If DL No. is enabled then the same would be printed in Standard Documents also.

  15. Image picking in masters / vouchers from respective paths, if the name of the image was with extension then the image was not being picked properly in respective master / voucher. Now it will be picked properly.

  16. Utility to convert Busy DOS data in windows was not available in LS / UL models. Now it would be available.

  17. Forms Receivable / Issuable report, provision made to club forms on quarterly basis.

  18. Minor changes in format of Forms Received / Issued register. Also provision made to generate register for a single party.

  19. Configurable Statement of A/c, Payment Reminder Letters, ST Forms Reminder Letters and Account/Item Labels were being printed in old font only. Now provision made to print the same either in Tahoma font or in old fonts.

  20. Batch / Item Sr. Nos. were not being printed in Invoice if the invoice was being generated against challan (Same were being printed in challan where the Batch / Sr. Nos. were actually adjusted). Now these details will be picked automatically in invoice through challan.

  21. Screen report exported to PDF format, company name was not being shown in the report. Now it will be shown on the top.

  22. Provision made to delete temporary exported files at the time of closing the company. Can be enabled in General section in Features / Options.

  23. Trading Excise RG-23D and Balance Excise-able Stock reports, provision made to show the balance duty either on the basis of duty passed in transactions or lump sum duty as per the per the duty / unit of balance qty.

  24. Trading Excise Form-2 Purchase Details, provision made to show either the purchases made during the reporting period or to show the purchase details corresponding to the sales shown.

  25. Some PDC related fields added in document configuration.

  26. Minor changes in West Bengal Form-14.

  27. User controls, provision made to Hide Value of Items in reports.

  28. Columnar Party-Item Sales/Purchase analysis, till now user could configure only 32 columns. Now provision made to configure up to 128 columns.

  29. Columnar Party-Item Sales/Purchase analysis report, configuration for item columns was necessary and the report was being generated for the specified configuration. Now provision made to automatically create the item columns at run time.

  30. Two new fields added in inventory vouchers configuration, <CHALLAN_NO_CONTINUOUS> & <ORDER_NO_CONTINUOS>. These fields will print all the order/challan voucher nos. adjusted in that voucher. Also provision made in Standard Configuration to print Challan / Order voucher nos. in header.

  31. Sales Tax Summaries shifted to VAT Summaries.

  32. If the Stock Valuation method was either LIFO or FIFO, the value of item picked in Material issue / Stock Journal / Production / Stock Transfer vouchers was average of all balance qty. available at that time. Now the actual value of qty. issued in that voucher would be picked.

  33. UP VAT Annexure A & B, a new option Show Bill amount as 'Total Invoice Amount' added. If set to 'Y', the last column would show the total amount of invoice other wise the Taxable Amount + Tax Amount would be shown.

  34. Changing Financial Year, F2 key was not working. Now it will be working.

  35. Trading Excise Configuration, caption of the option Apply Add. Excise on Net Bill Amount changed to Apply Add. Excise Duty After Education /SHE Cess, to make it more clear.

  36. Bank Reconciliation Feature now made optional. Can be enabled/ disabled from Features / Options à Accounts section.

  37. Changes in Serial No. Tracking module:
    a) Provision made to automatically generate Serial Nos. for Opening Stock also. Till now the opening Serial Nos. were to be specified manually.
    b) Till now the Serial Nos. could be adjusted only against the available nos. Now provision made to specify Serial No. in sales voucher with out feeding the purchase for the same.
    c) Till now Serial Nos. available at the transaction material centre could be adjusted in sales voucher. Now provision made to pick Serial Nos. from all material centres.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.6 (c)

Product Release Information 3.6 (c)

New Reports added

  1. Punjab e-Return

  2. Rajasthan e-Return

  3. Karnataka e-Return in XML format

  4. UP Form-1 (CST Return) as per new format

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.6 (d)

Product Release Information 3.6 (d)

Major Changes

  1. Provision made for registration of Busy LS through inter-net. Till now no registration was required.

  2. Provision made to feed Item Sr. Nos. installation details and track warranty from the date of installation also. Provided Administration à Utilities à Misc. Data Entry menu.

  3. Bill Sundry master, option provided to auto round off the bill sundry amount in vouchers.

  4. Provision made to specify formula in document designing.

  5. New colour scheme implemented to improve the readability of data. Later on it will become fully configurable.

  6. Settlement options, provision made to save settlement details over and above the party details. Till now the party was not being saved and only the settlement account was being saved.

  7. Data checklist, the original amount of the modified vouchers would also be shown. The amount shown would be lump-sum amount of voucher only without any item-wise or account-wise details.

  8. Complete VAT reports would be available in Busy LS.

  9. Account / Item drop down list in voucher made configurable. Now apart from the Name/Alias of the master, provision made to show following details also:
    a) Alias with Name & Vice versa
    b) Current Balance / Stock
    c) Item MRP / Sales Price
    d) Parent Group Name / Alias
    e) Master Optional Fields
    Can be configured through Administration à Configuration à Master Configuration.

  10. New screen report interface implemented with following options:
    a) Complete report will be loaded in grid with option to drag the pointer on right side to scroll through the complete report.
    b) Option to resize the columns of the report and the new sizes would be picked automatically next time the report would be generated.
    c) Option to sort report on any column by just clicking on it. Report can be sorted both in ascending & descending order.
    d) Option to search any data with the report with flexible search options.
    e) Option to filter report on various basis.
    Currently this interface is available only in few reports (Account Books) and will be available for all reports later on.

New Reports Added

  1. Item Sr. Nos. wise profitability & Ageing reports.
  2. Items Parameter wise profitability & Ageing reports.
  3. Chandigarh VAT e-Return
  4. UP Form-26.
  5. Gujarat VAT e-Return (Form 205).
  6. UP VAT/CST/Entry Tax Payment Challan Form-I.
  7. Rajasthan/UP/Gujarat e-Return as per new formats. Now these e-Returns will be generated using the templates provided by government. For the convenience of users these templates would be provided in Busy CD also.
  8. Columnar Parameterised Stock Status report with provision for different columns for different parameter values. User can configure own formats or use auto format.

Minor Changes

  1. Minor changes in West Bengal Form-1 & Form-14.
  2. Item batch adjustment during sales, the alternate unit conversion factor was being picked from Item master. Now it will be picked on the basis of main & alternate units used in that batch.
  3. Brokerage calculation report, the amount on which the brokerage was being calculated was the taxable amount of voucher. Now brokerage will be calculated on cost of goods for that voucher.
  4. On clicking on Master/Voucher images during data entry, the images were being shown in a predefined size. Now the image will be shown in original size.
  5. All Account / Inventory registers, provision made to generated report for One Party, Group of Parties, All Parties or Selected parties. Also provision made to print register either party-wise or voucher-wise.
  6. Outstanding analysis reports / payment reminder letters, provision made to filter report on the basis of pending amount.
  7. Party-Item Price/Discount structure configuration screen redesigned to provide more space in item name field.
  8. RG23A-1, provision made to print ECC code also.
  9. Provision made to configure the caption / title to be used for Broker & Brokerage.
  10. Currency Conversion multiplier, decimal places changed from 3 to 6.
  11. DVAT-30, provision made to show Exempted Purchases in 'Others' column.
  12. Party-wise columnar Sales analysis with auto columns configuration, provision made to generate report for Group of Items also. Till now the report was being generated for all Items only.
  13. User rights, provision made to Allow/Disallow export of reports.
  14. SMS sent to multiple parties through any report (like Payment Reminder), the status of SMSs sent was not being shown after the completion of report. Now it will be shown.
  15. Direct SMS, provision made to pick mobile no. & message from MS-Excel.
  16. Configurable document formats, provision made to specify the default output mode as Print / Email / SMS.
  17. Minor changes in TDS reports to accommodate 20-character cheque no. field.
  18. Provision to show deductee Address & PAN No. in TDS Dedcution Details reports.
  19. A new field <SETTLEMENT_DET_PARTY> added in Invoice configuration. This field will print the amount debited to party in that voucher.
  20. Pure inventory vouchers listing (Production, Stock Journal etc.), showing of value of Items made optional. Till now value of items was being always shown.
  21. Sales Tax Surcharge option, caption for the same has been changed to Surcharge / Add. Tax as required in state Gujarat & UP.
  22. Housekeeping menu, two more options Update Master Balances & Regenerate Master Help Files.
  23. Item-wise Gross Profit report generated for all Material Centres, Stock Transfer entries will not be picked.
  24. Sales/Purchase Account being specified in voucher, only Sales/Purchase accounts were available. Now all accounts would be available.
  25. Punjab VAT-24, option added to Club Retail Purchases.
  26. Update Item Tax Rate utility, option added to change existing tax rates from one tax rate to another tax rate.
  27. VAT/CST Payment details, the field size for challan no. increased from 8 characters to 10 characters.
  28. Generating Excise Return ER-1/ER-3, if the Adjust Excise Amount Voucher was not posted for that period then the return was not being generated properly. Now if this voucher was not found then a message will pop up intimating the user about the same.
  29. Trial Balance / Stock status Hierarchical report, option provided to generate report for a group of Account / Item.
  30. Company configuration, option to update Purchase/Sales price in item master has been removed. Now new option provided in pricing mode to pick item last Sales/Purchase price.
  31. Item master, tax rate configuration was very complicated with lot options, which are not relevant in VAT scenario. Now configuration made simple with option to specify default tax & surcharge rate for local and central transactions.
  32. VAT surcharge configuration revamped to make it simple.
  33. Provision made to enable VAT surcharge at the time of company creation also. Till now it was available through Features / Options only.
  34. Sale/Purchase Type masters, in case of Multi Tax, VAT Bill sundry was being asked which was confusing. Now VAT account would be asked.
  35. Item-wise Serial Number tracking with auto numbering, the auto numbers were being generated in case of Sales Return also. Now in case of Sales Return the serial number would be in manual mode only.
  36. Provision in Rajasthan VAT reports to take care of VAT % change from 12.5 to 14.
  37. UP Form-24, tax on unregistered purchase will take care of surcharge also.
  38. Standard Invoice configuration, more options provided in body configuration part to take care of discount / tax related fields.
  39. UP Entry Tax, till now only a single tax rate was being asked in company configuration. Now provision made to specify Entry Tax Rate item-wise and all the related reports changed.
  40. Provision made to track VAT surcharge payment and its reflection in various VAT reports.
  41. Receipt/Payment Advice and other related document configuration, new field <PARTY_MOBILE_NO> added.
  42. Sale/Purchase Analysis Reports, provision made to show either Sales Only/Sales Return Only/Nett Sales/Both Sales & Sales Return. Till now Both Sales & Sales Return was being shown.
  43. Utilities menu reshuffled slightly and one more option Misc. Data Entry added. This menu will provide gateway for data entries other then transactions like Update Transport Details, Sr. No. Installation etc.
  44. Items consolidation at voucher saving, items having either Batch/Serial No./Parameter-wise stock would not be consolidated.
  45. Rajasthan VAT-8 Part I & II, a new option provided Include Exempt Sale To Reg. Dealer. Till now this transaction was being shown in Part-I only. Now user can choose to reflect it in either in Part-I or Part-II.
  46. Parameterised Stock maintenance, at the time of qty. out a drop down list would pop up showing all the parameter combination from which the user can choose the desired combination.
  47. Minor Refinement in Batch Updation of Item Tax Rates Utility.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.6 (e)

Product Release Information 3.6 (e)

Major Changes

  1. Introduction of Enterprise Edition.

  2. Voucher / Master Approval implemented:
    a) Configuration Available through Administration à Configurationà Features \ Options.
    b) Approval requirement can be configured at Voucher Series / Master Level.
    c) Users can be tagged to voucher series / master who can approve that voucher series /master.
    d) Utility to approve vouchers / masters.
    e) Check list, new report provided for Entries to be Approved / Entries Approved.
    f) Approval status would be shown in Data check list report.
    g) Day Book, Registers provision made to include unapproved entries also.
  3. Changes in Interface
    a) Fully user define-able Colour Schemes.
    b) New menu structures with persistent menus.
    c) Option to create Favourite Menu.
    d) Option to define your own shortcuts.
    e) Sidebar shortcut keys can be invoked with mouse.
    f) Option to minimise Busy.
    g) Option to Lock Busy using Alt/Ctrl+K
  4. Message Centre implemented. Now users of a company can send / receive internal mails in Busy itself.
  5. Rajasthan VAT, provision made for Composition Dealers also. Can be chosen in Features/OptionsàSales Tax/VAT section.
  6. Thought of The Day provided at the time of company login. Can be enabled / disabled through Features/OptionsàGeneral.
  7. Provision made to add user count in dongle in Client Server model. Now this dongle can be put on server to manage concurrent connections.
  8. Configurable Invoice formats, provision made to create columns as per the parameter values (34, 36, 38 or Red, Blue, Black etc.). For this purpose, following fields have been provided in invoice body:
    a) <PARAM_SUM_QTY>
    b) <PARAM_SUM_ALTQTY>
    c) <PARAM_SUM_PRICE>
    d) <PARAM_SUM_ALTPRICE>
    e) <PARAM_SUM_AMOUNT>
    For example, to create columns for qty. of size 34, 36, 38 & 40 we need to specify <PARAM_SUM_QTY,@34,2.0,R><PARAM_SUM_QTY,@36,2.0,R><PARAM_SUM_QTY,@38,2.0,R> <PARAM_SUM_QTY,@40,2.0,R> in invoice body.
  9. Parameterized Stock, provision made to use the value of parameter as a multiplier for Alt. Unit Conversion Factor.
  10. Service Tax Feature would be available in Basic Edition also.
  11. Advanced Document Configuration would be available in LS also.

New Reports Added

  1. Orissa Form 201 reframed as per new specifications.
  2. Changes in UP Form 24-A (Return for composition dealers) for VAT surcharge.
  3. Rajasthan Form VAT 11 for Composition Dealers.
  4. Kerala VAT e-Return.
  5. Maharashtra VAT Annexure-A.
  6. Maharashtra VAT e-Return
  7. Balance Sheet in vertical format on screen also with option to show / print Account Level Details also.
  8. Consolidated Summary for Item / Account Group provided.
  9. Sales / Purchase Analysis, new report showing Monthly / Quarterly details for Item / Account / Item Group / Account Group added with provision to compare the results from last year's figures.

Minor Changes

  1. aWarning for Overdue Bills was not being working in case of Sales against Challan. Now it will work for Sales against Challan also.
  2. Provision for Multi Currency in Sales / Purchase challan also.
  3. Batch-wise items Issuable / receivable report on screen, provision made to show batch-wise details for All / Group of items in a single report only (as in printing). Till now, for All / Group of items, only summary was available and detailed report was available for one item only.
  4. Batch reference details, provision made to get details for a single batch for all items / all material centres. Till now the batch details were available for a specific item / material centre only.
  5. Items details printing in reports, a few more fields provided in configuration (Item MRP, List Price, Discount etc.).
  6. Default C-Form Sale/Purchase Type was being created with 3% tax rate. Now it will be created with 2% tax rate.
  7. Batch-wise reports, till now the reports could be seen in any one of the units (Main or Alt.). Now provision made to show reports in both units also.
  8. Inventory registers, provision made to show Item-wise Batch/SrNo/Parameter details also.
  9. New fields added in Invoice Body configuration <COMPOUND_DISCOUNT1>, <COMPOUND_DISCOUNT2> & <COMPUND_DISCOUNT3>.
  10. New field added to Invoice header <GR/RR_DATE>.
  11. Switching to Next FY, by default the option to carry balances to Next Year was being set to 'Y'. Now it will be set to 'N'.
  12. Backup window, after taking the backup the screen was getting unloaded. Now user would be prompted either to quit or to continue for another copy of backup.
  13. Option to choose model provided in Company Menu. Now user can chose the edition and data base mode to run BUSY.
  14. Provision made to specify multiple aliases for a single item (can be configured through POS configuration in Features/Options).
  15. Provision for VAT surcharge in VAT composition scheme also.
  16. Maharashtra VAT Form 231 revamped.
  17. Multiple items Trading Excise standard invoice format changed. Now box and horizontal lines would also be printed.
  18. Nepali date, provision made to specify Mfr./Expiry date of batches in Roman format only.
  19. Currently logged in user would be shown in the bottom part of main form.
  20. Multi Tax vouchers, VAT on MRP, VAT was not being calculated on Free Qty. Now it has been made optional. Now while enabling Free Qty. feature, user can specify whether VAT on Free qty. is to be calculated (in case of VAT on MRP) or not.
  21. VAT Journal, provision made to input VAT surcharge amount also.
  22. Original Sales / Purchase details windows was not available in POS data entry mode. Now it will be available.
  23. Global query, provision made to search in Purchase Bill No. & Purchase Bill Date fields also.
  24. Provision made to specify State specific Address Details, VAT Registration Details and Excise Registration Details in company. Now depending upon the state of user, the relevant details would be loaded.
  25. Standard Invoice configuration, provision made to print party excise details also.
  26. Items consolidated summary, provision made to show separate columns for Sales & Purchase instead of clubbing them in Qty. In & Qty. Out columns.
  27. Sales Tax Surcharge was applicable for Local transactions only. Now provision made to track central transactions also. Can be configured in Surcharge configuration.
  28. Item-wise Gross Profit report was being generated for complete item movement (including stock transfer & material issue also). Now provision made to generated report either for complete movement or for sales voucher only.
  29. Item Sr. No. installation details, the Country, State & City were being picked from predefined masters. Now user can create his own Country, State & City by using F3 key and modify existing by pressing Alt+M key.
  30. Item-wise S.No. module, option provided to specify the S.No. mode as Continuous / Discreet (in case of Qty. out only), to facilitate faster data entry.
  31. Provision made to specify Item S.No.-wise image.
  32. Changes in eTDS as per the new format.
  33. Document printing configuration (Standard & Advanced), a new option Print Zero amount Bill Sundries added. If set to 'N' then the zero amount bill sundries in a voucher will not be printed in document.
  34. Voucher configuration, provision made to specify default date as either System Date or Last Voucher Date. Till now the Last Voucher Date was being picked.
  35. Provision for Sale in Transit. Now user can specify Sale in Transit in Sale/Purchase Type masters. On the basis of it the value would be reflected in VAT registers / returns. Also a new report Sale in Transit Register provided in Sales Tax/VAT reports.
  36. Provision made not to pick default prices during Sale / Purchase Challan. Provided as sub configuration while enabling challan feature.
  37. Fields related to Bill Sundry Alias & Print Name (BS1_ALIAS, BS1_PRINT_NAME, BS1_NARRATION etc.) added in Invoice Header/Footer section.
  38. License agreement added in Help menu.
  39. Provision made to display Master / Voucher Creation / Modification time & User details. Can be enabled thorough Features/Options àGeneral section.
  40. Delhi Form-ST 2A, option to generate report for Values of Forms has been removed. Now only option available is to generated report periodically.
  41. Tax computation report for composition dealers, surcharge on VAT was not being calculated (if the same was enabled). Now surcharge will also be calculated.
  42. New fields added in Invoice configuration <PARTY_SETTLEMET_ACC> & <PARTY_SETTLEMENT_AMT>.
  43. Invoice configuration, provision made to Print Footer on Last Page only for multi-page invoices. Available in Page Settings section in advanced Document Configuration.
  44. Settlement configuration, till now the settlement accounts could not be changed if any transaction existed for the same. Now user can change the settlement account at any point of time.
  45. VAT & Accounts reconciliation report for Purchase, provision made to include in CST in purchase amount. Till now the CST was being shown separately in VAT section thereby showing difference in VAT & Accounts report.
  46. Sale / Purchase Type master, for multi tax transactions, provision made to adjust tax in sales / purchase account only. Till now it was mandatory to specify the tax account, creating problem in Retail Purchases where the tax need to be adjusted in purchase account only.
  47. Punjab Form 24, provision made to include Capital Purchases also.
  48. New fields added in Order Header configuration <PARTY_CONTACT_PERSON> & <PARTY_MOBILE_NO>.
  49. Account Master Configuration, few more fields added for configuration in drop down list (Address1 to 4, Tel No etc.).
  50. New menu Check List & Production Reports provided and with slight reshuffling of existing reports (Some of the reports shifted to these two menus).
  51. Provision made for two Drug License Nos. Till now only one DL No. was being asked.
  52. Educational copy, till now data for first 3 days of any month was being accepted. Now data for first 2 days and 1 last of the month would be accepted.
  53. Parameterized stock, the parameter-wise price during data entry was applicable for Main unit only. Now price would be applicable on Alt. Unit if the same has been specified in Item Master.
  54. Sending same SMS to multiple parties (Bulk SMS), provision made to send individual SMS to all parties instead of Bulk SMS as a few API does not support bulk SMS feature. Can be configured in SMS configuration.
  55. Columnar Account Register configuration, choosing any item as column, while printing the register, the unit of item was being shown as Main Unit or Alt. Unit depending upon the configuration. Now the actual unit of item would be shown.
  56. Columnar Account Register, the price of Item was always being shown in for Main Unit even if Main Qty. was not configured. Now if Main Qty. is not configured then the price for Alt. Unit would be shown.
  57. Accounting vouchers import / export through Excel, new fields provided <ACCOUNT_DEBIT>, <ACCOUNT_CREDIT>, <SHORTNAR_DEBIT> & <SHORTNAR_CREDIT> to enable single line voucher import / export where both Debit Account & Credit account can be specified in a single line.
  58. Sales/Purchase account to specified in Sale/Purchase Type or Item Master, account under Group Sales/Purchase were available. Now all types of accounts (under any group) would be available.
  59. Service Tax reports, provision made to generate reports for All Service Categories or a Single Service Category. Till now reports were being generated for All Service Categories.
  60. Changes in Delhi DVAT-16 for new tax rate 5%.
  61. Sales / Purchase analysis, option to generate report on the basis of Bill Amount or Cost of Goods was being asked. Now it won't be asked and the report will be generated on the basis of Cost of Goods only.
  62. Changes in POS module
    1. Till now the bill sundries were getting frozen without any option to change the same during data entry. Now field type provided for bill sundry name also (Fixed , Variable & Semi variable)
    2. If POS voucher is opened in modify mode then all the bill sundries are editable irrespective of there configuration.
    3. Option Save Zero Amount Bill Sundry removed. Now zero amount bill sundry will always be saved.
    4. When POS voucher opened in modify mode, the previously saved bill sundries would be shown instead of the current configuration.
    5. Bill sundry specified in POS configuration and used in any POS voucher could not be changed later on in configuration. Now it can be changed.
    6. Date Type field provided to specify default date type either as System Date or Last Voucher Date. Till now only System Date was being shown.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.6 (f)

Product Release Information 3.6 (f)

Major Changes

  1. Changes in Client Server licensing policy; now for one count, up to three instances of Busy would be allowed on a single computer. Different scenarios in client server environment are described below:
    a) Multiple count dongle on server and clients connecting to server independently; till now multiple instances of Busy on a single client computer were consuming multiple counts (each instance would consume individual count). Now for each client computer, up to three instances of Busy would consume a single count and afterwards each instance would consume one extra count.
    b) Single count dongle on individual client computer; till now unlimited instances of Busy could be run on each client computer. Now up to three instances of Busy would be allowed to run with single count dongle and from 4th instance onward the program will start in demo mode.

Statutory Changes

  1. Changes in MP Form-10 as per new format.
  2. Minor corrections in Rajasthan VAT-10.
  3. Minor corrections in Rajasthan Form-1.
  4. Minor changes in UP Form XXIV.
  5. Minor changes in Tamilnadu e-Return.
  6. Minor changes in Trading Excise e-Return.

Minor Changes

  1. While enabling Settlement Details in Dual vouchers, the user could choose from Cash/Bank/Party accounts as settlement accounts. Now it has been made open and user can choose any account as settlement account.


Release Document 3.9 (a)

Product Release Information 3.9 (a)

Major Changes

  1. Item barcode printing utility redesigned. New features available are:
    a) Labels can be designed using Drag & Drop interface.
    b) Any no. of text/data/barcode fields can be used in a single label.
    c) Option to specify Font/Size/Colours for all text/data/barcode fields.
    d) Option to choose from pre-defined label sheets available in market.
    e)     Old barcode designing utility will be discontinued. However labels designed from old utility can
    be used for printing.
  2. Invoice designing, if any Batch / S.No. / Parameter field was used then only the first entry for Batch / S.No. / Parameter was being printed. Now all the entries would be printed.
  3. Screen reports, provision made to print report as it is as being shown on screen. Till now the corresponding print report from Busy was being printed. Now user can choose between the corresponding print report and the current data shown on screen. Extra features available in this mode are as below:
    a) Can be used for printing of filtered/selected rows.
    b) Option to resize columns and change caption.
    c) Option to print outer box and vertical lines between columns.
    d) Option to print horizontal line between rows.
    e) Option to have an extra blank column as the last column of the report.
  4. Option to maintain User Activity Log. If enabled, all activities like Addition / Modification / Deletion of Masters & Vouchers, screen reports, print reports, export of reports, login & logout time for a user can be tracked.
    a) To be enabled from Features/Options àEnterprise Features.
    b) To be enabled for individual user.
    c) Log can be viewed from Display àChecklist—User Activity Log report.
    d) Log can be deleted using F8 key while viewing the above report.
  5. Changes in Masters / Voucher Notes & Images:
    a) No. of lines for masters notes were limited to two only. Now multiple lines can be used.
    b) Provision made to enable notes with vouchers also.
    c) Provision in document designing for Master / Voucher notes.
  6. Main menu can be activated from any data entry screen / report. Option provided at the top left corner of each screen. Shortcuts provided to invoke full main menu or individual main menu elements (Administration, Transactions etc.).
  7. While sending e-mail / SMS, if the internet is not available then option provided to save the e-mail / SMS in offline mode for resending later on. Later on these offline e-mail /SMS can be sent using Administration àUtilitiesàOffline Email / SMS option.
  8. Changes in brokerage module:
    a) Option to specify Broker at item level. Till now broker at voucher level was available.
    b) Default broker and brokerage can be specified either at Item level or Party level.
    c) Option to freeze Broker / Brokerage with Party or Item.
    d) Option to automatically post brokerage voucher-wise.
  9. Enhancement in Sale/Purchase analysis columnar reports. Provision made for all types of combinations having Party /Party Group as one axis and Item / Item Group as another axis.
  10. Premium Edition discontinued. Now Standard Edition will have Excise & Manufacturing features.
  11. Provision made to specify Sales/Purchase Accounts with Material Centres also. Till now the Sale/Purchase Accounts could be specified either with Sale/Purchase Types or with Items. Now we can specify with Material Centre also. Can be enabled from Feature/Option à Inventory option.
  12. Tax category master introduced. Till now, the tax rates applicable to an item were being defined in individual items. Now tax rates would be defined in Tax Category master and Tax Category would be tagged in item master. Advantages of Tax Category master are as below:
    a) In case of Tax Rate change, we only need to specify the changes in Tax Category master. Till now tax
    rates need to be changed in all items individually.
    b) Problems arising out of Tax Rate changes during the year will be handled easily.
    c) Separate tax rates can be specified Branch wise for same item.
  13. Concept of Multi-Branch introduced. Can be enabled from Features/Options àEnterprise Features option. Required when a single company has multiple branches and data need to be saved online or merged offline in a single company from multiple branches. Branch features can be used to provide following functionality:
    a) To provide state-wise different tax rates for a single item.
    b) To provide Branch-wise different prices for a single item.
    c) To provide checks & controls for different users working online from different branches in a single
    company.
    d) To filter various reports branch-wise.
  14. Provision for automatic data merging from branches to head office. Now users at different branches can work offline (no dependence on internet) and can merge data with head office with the click of a button:
    a) In HO data, branches need to be created and each branch to be configured to accept data in offline
    mode from different branches.
    b) In branch data, Data Synchronisation to HO to be enabled and configured accordingly.
  15. Mater Series Group introduced. Required to filter masters available to a user. To be used as described below:
    a) Enable from Feature/Options àEnterprise Features.
    b) Create different Master Series Groups from Master Maintenance.
    c) While creating masters (Accounts, Groups, Items etc.), tag each master with a single or multiple
    Master Series Groups.
    d) Assign Master Series Group with user. This will filter the masters available to a user during data entry and reports.
  16. Designing of customised reports simplified. Now customised reports can be designed using VB Script without the need of BFE. Reports designed with VB Scripts are easy to maintain and deploy.
    From user's point of view, customised report (designed by our solution partner) will be a simple text file which can easily be restored in users data using Administration àUtilitiesàCustom Reports/ScriptsàRestore Custom Report menu.
    Once restored in user's data, Customised Reports will start appearing in Display menu. These reports will run with in Busy itself using the Busy interface and all the facilities of Busy reports (Sort, Search, Filter, Print, Audit Trail) will be available for user.
  17. Third party software integration made easy. Till now the third party integration could be done using BFE only which was a lengthy process. Now the integration can be done by using VB scripts which are easy to maintain and deploy.
    Like the custom report option, the VB script for data import (designed by our solution partner) can be restored in user's data and option to import data will start appearing in Administration àData Export / Import menu.
  18. Provision for Barcode Numbers in parameterised item details. Barcode No. is a unique no. which identifies a combination of parameters within a voucher. Required in retail shops where a unique Barcode No. is assigned to each and every item which comes in. Later on all tracking is based on this Barcode No.
    a) To be enabled in Feature/Options àInventoryàParameterised Details.
    b) Once enabled, a unique Barcode No. would be generated automatically in parameterised details
    during Qty. In of items.
    c) Barcodes can be printed for this Barcode No.
    d) POS data entry can be routed through this Barcode No.
  19. POS data entry, provision made to scan either Item or Barcode No. or Item Serial No. or Batch No. In the last three cases the name of the item would be picked automatically. Priority for the order in which the scanned barcode would be checked can be specified in POS configuration.
  20. Changes in User Management:
    a) Provision for next level of Configuration & Utilities menu in Administration.
    b) Provision for Add/Modify/Delete/List/View/Cancel for Individual Voucher and Master Type.
    c) Provision to pick user rights from some other user.
    d) Provision for Hierarchy & department in user control. Will be used in User Activity Log and Notes
    Manager & Message Centre integration.
    e) User controls for reading removed.
    f) Masters controls for data entry. Option Apply control within parent group removed.
    g) Till now, individual voucher series was being tagged. Now a Voucher Series Group will be tagged.
    h) Option to specify Master Series Group with user.
    i) Option to specify Branch with user.
  21. Multi Go-down inventory, provision made to specify Material Centre at Item level. Till now the material centre could be specified only at voucher level:
    a) Can be enabled through Features\Options àInventory option.
    b) Default material centre can be specified with Item Master and can be frozen also.
    c) During data entry, the MC would be asked after specifying the item.

New Reports Added

  1. Pending Challan/Order document-wise. This report will show the complete Challan / Order document with status of individual item (cleared/un-cleared). Till now pending Challan / Order were available either item-wise or party-wise.
  2. Production Variance report. This report can be generated either on Production Vouchers basis or Other Vouchers basis. In production vouchers basis, the material consumed through production vouchers would be compared with BOM and the variance will be shown. In other vouchers, the material consumed through Stock Journal/Material Issue would be compared with the BOM of items generated.
  3. UP VAT Audit report Form-23.
  4. UP central e-Return.
  5. Pondicherry VAT Return Form-I.
  6. Madhya Pradesh VAT e-Return for Form-10.

Minor Changes

  1. Zero amount invoices (having sales amount and then 100% discount), accounting entries were not being posted. Now relevant accounting entries would be posted in zero amount invoices also.
  2. Item/Account Monthly summary, provision made to show previous years values also.
  3. Import accounts from Excel, new fields to specify Debit Opening Balance & Credit Opening Balance provided.
  4. Account Master, provision made to specify default Transport & Station with Party.
  5. Vouchers/Masters data entry screens changed slightly. Buttons provided in the bottom of screen for images, notes and configuration of vouchers and masters.
  6. Material Centre master, provision made to specify Excise Registration details for Material Centre for printing in documents.
  7. New fields <VCH_CREATED_BY>, <VCH_MODIFIED_BY> & <VCH_APPROVED_BY> added in invoice header.
  8. New field <LIST_PRICE_ALT_UNIT> added in order body configuration.
  9. Provision made to show an items last few transactions during data entry. Can be enabled through Administration àFeatures/OptionsàInventory.
  10. House Keeping, a new option Update Vouchers VAT Summary added. This option will regenerate the VAT information of all the vouchers.
  11. Provision made to show price of an item (depending upon the pricing mode and party) at a glance. Option available through Administration àUtilitiesàShow Item Price menu.
  12. Voucher Series creation, provision made to create multiple series at a single command. Also provision made to copy configuration from existing series.
  13. Bills Receivable/Payable, Ageing analysis, List of Masters, List of Vouchers; provision made to filter report on the basis of Voucher Series Group / Master Series Group.
  14. Data checklist report, till now only last modification was being shown. Now all the modification entries would be shown.
  15. Integration of Notes Manager & Message centre. Now while sending messages, we can specify that this message should become a note for the receiving user. Also while receiving a message; we can transfer any message to Notes Manager.
  16. Provision for backup from client in SQL mode. Till now backup was possible from server only.
  17. Housekeeping menu altered. New option Update Voucher VAT Summary added and Update Order/Batch/Challan Prices shifted to Housekeeping from Utilities.
  18. Parameters configuration, provision made to specify no. of characters to be used for Parameter values. Till now 10 characters were available.
  19. Purchase Bill Date/No. window, till now the date was being accepted as string which would sometimes lead to wrong data entry. Now format of date would be Date Type so that the chances of error are minimised.
  20. Unapproved vouchers with posting, pending references were not available for further adjustment. Now references would be available.
  21. Item Serial No. History report, provision made to search in Serial No. Description also. Useful in Mobile trade where the second IMEI No. / Battery No. is specified in Serial No. Description field.
  22. Changes in TDS module; provision made to specify separate rate of TDS for Parties without PAN.
  23. Printing of Notes from Notes manager.
  24. Pending Orders report optimised for speed.
  25. Party / Party Group wise Sale/Purchase analysis report, provision made to show total qty. also. Till now only total amount was being shown.
  26. Columnar Stock Status report, total stock of an item was not being shown. Now it will be shown.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (b)

Product Release Information 3.9 (b)

Statutory Reports

  1. UP e-Return Form XXIV new format (wef from 08 Jan 2011) implemented.

Minor Changes

  1. Item barcode utility was not available for users using our DHS service. Now it will be available.
  2. BCN option enabled, provision made to specify BCN manually instead of being generated automatically. Required where a user already has some stock with labels printed on them.
  3. BCN option enabled, same BCN scanned multiple times in a single voucher, now the entries for same BCN would be consolidated while saving.
  4. Item barcode printing from vouchers, provision for Sales/Purchase Order was not there. Now provision made for the same.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (c)

Product Release Information 3.9 (c)

Major Changes

  1. Triggers introduced. Now we can define conditions, which, if met during data entry, will raise trigger in the form of either SMS or e-Mail or Message Centre. Can be enabled and configured through enterprise Features.

  2. Approval module, provision made for selective approval also. Till now if approval was enabled on any voucher series or master, all entries required approval. Now we can specify selective conditions for approval.

  3. Provision made to send e-Mail / SMS to party while saving any voucher. Can be enabled and configured like printing of documents through Voucher Configuration.

  4. Provision made to run Busy Client Server edition on internet through dynamic IP. Till now to work through internet, static IP was required at server end. Now we can work through dynamic IP also. To accomplish this, a new utility BDNSManager has been provided along with BusyWin software. Detailed help to configure and run BDNSManager has been provided in BusyWin folder.

  5. HO/BO data synchronisation revamped. Two-way communication for both masters & transactions introduced & speed of synchronisation improved.

  6. Sub ledgers introduced. We can now create sub ledgers under a general ledger and can use them in transactions. All accounting information for a sub ledger will be posted to its general ledger. Can be enabled through Features/Options àAccounts section.

  7. Provision made to specify both VAT & Service Tax in a single invoice. While creating Tax Category, we can specify the Tax Category either as Goods or Services. Now while creating invoices using VAT/(R) or VAT/(T) option, the VAT or Service Tax would be calculated automatically on the basis of Tax Category attached with an item.

  8. Provision made to specify fonts with data fields also in document designing. New tags DATA_FONT_ON & DATA_FONT_OFF provided to specify fonts with data fields. Now for static text we can use FONT_ON & FONT_OFF and for data fields we can use DATA_FONT_ON & DATA_FONT_OFF.

  9. Changes in Trading Excise module:
    a) Supplier duty details made editable.
    b) Provision for Supplier RG23-D Page No. & Sr.No.
    c) Balance duty was being calculated on proportional basis. Now provision made to calculate either on
    proportional basis or actual basis (duty received – duty passed).
    d) Provision to maintain RG registers Material centre-wise.
    e) Provision to enforce carrying of specific reference to next year even if the balance qty. is zero.
    Required goods are returned in next FY.
    f) Provision to import opening references from MS Excel sheet.
    g) Provision to enforce same supplier & manufacturer for all items in sales invoice.

Statutory Changes

  1. Minor corrections in UP e-Return for Form-1 & Form-38.

  2. Acknowledge printing with UP Form XXVI.

  3. Minor corrections in Chandigarh VAT Forms.

  4. Minor corrections in UP VAT reports.

  5. Minor corrections in Haryana VAT R2 & C4.

  6. Minor corrections in TamilNadu e-Return.

  7. Minor corrections in Punjab VAT Form 18 & 19.

  8. MP Form-10 Annexures provided.

  9. New Tamilnadu e-Return provided.

  10. Kerala Sale Return/Purchase return Invoice formats added.

New Reports Added

  1. Ledger Abstract Report. Shows the summary of all accounts transacted with a particular account. Available as Display àAccount SummaryàLedger Abstract.

  2. Party Abstract report. Shows the details of Sales/Purchase, no. of invoices, profitability, average outstanding amount and period for a given party. Available as Display àMIS ReportsàParty Abstract.

Minor Changes

  1. Provision made to remove Busy main screen background wallpaper (required when working through remote desktop applications). Can be done using Company àSet Colour Scheme option.
  2. Option to show last transaction details during data entry, provision made to sort details on the basis of amount (by clicking on the amount column). By default the details are sorted on the basis of date.
  3. Document designing, page settings, no. of lines for each section were restricted to 99. Now it will be 999.
  4. Document designing, provision made to trim any field during printing by specifying #T with the size of the field, i.e. <VOUCHER_TOTAL_AMOUNT,#T16.2> will print the amount of voucher trimmed.
  5. Document designing, provision made to convert any numeric field to words during printing by specifying #W with the size of the field, i.e. <VOUCHER_TOTAL_AMOUNT,#W16.2> will print the amount of voucher in words.
  6. Company configuration, provision made to input windows font based currency symbol (like new rupee symbol). If specified, the same will be printed in documents & vouchers instead of text based currency symbol.
  7. User configuration, option added 'Allow Multi Company Results'. Till now only super user was able to generate multi company results.
  8. Balance Sheet printing, Profit & Loss A/c and Trading A/c were being printed on separate pages. Now provision made to print them on same page.
  9. Provision made for short Name of company (10 Characters). Can be used in document designing for SMS.
  10. Invoice printing for Service Items, till now the Qty. & Price fields were printing 0.00. Now provision made to print --- instead of 0.00 in case both price & qty. for an item are zero.
  11. Connecting any Voucher/Master Series Group to any User/Branch; data entry and a few reports were getting filtered automatically on the basis of Voucher/Master Series Group. Now automatic filtering of reports made optional. Can be specified while connection Voucher/Master Series group with User/Branch.
  12. Party/Party Group-wise Sales/Purchase analysis, provision made to show total qty. also along with amount.
  13. VAT reports, provision made to show Sales/Purchase amount instead of taxable amount. Required where VAT is levied on MRP which increases the taxable amount. Can be configured through Features/Options àVAT section.
  14. Parameterised stock, provision made to group parameterised stock on the basis of alt. qty. conversion factor (Same parameters but different Alt. Qty. Con. Factor will be shown separately). Can be configured through Features/Options àInventoryàParameterised Stock Maintenance option.
  15. Provision made for blocking of Accounts / Items / Sale-Purchase Types for transactions. Available thorough Administration àUtilitiesàBlock Masters.
  16. Minimum Sales Price check was applicable on Sales & Sales Challan. Now made applicable for Sales Order also.
  17. Busy Dongle Server utility, blank password for SQL server was not being accepted. Now it will be accepted.
  18. While using VAT/(R) & VAT/(T) sales type, VAT summary was not being printed be in standard invoice format. Now it will be printed be default.
  19. Standard invoice format with self configured item body, option provided to print Item Master Tax Rate also (required for VAT/(R) & VAT/(T) sale types).
  20. E-mail sent directly from Busy, a message 'Sent from BUSY – Business Accounting Software : www.busy.in' would be appended at the end of the e-mail.
  21. New fields added in Invoice Header;
    1. <PARTY_SETTLEMENT_AMT_IN_WORDS>
    2. <LAST_RECEIPT_NAR1>
    3. <LAST_RECEIPT_NAR2>
    4. <LAST_RECEIPT_SHORT_NAR>
    5. < LAST_PAYMENT_NAR1>
    6. <LAST_PAYMENT_NAR2>
    7. <LAST_PAYMENT_SHORT_NAR>
  22. New field added in Invoice Body;
    1. <AUTHOR_NAME>
    2. <BATCH_QTY>
    3. <BATCH_ALT_QTY>
    4. <ITEM_PARTY_PENDING_ORDER_MAIN_QTY>
    5. <ITEM_PARTY_PENDING_CHALLAN_MAIN_QTY>
    6. <ITEM_PARTY_PENDING_ORDER_ALT_QTY>
    7. <ITEM_PARTY_PENDING_CHALLAN_ALT_QTY>.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (d)

Product Release Information 3.9 (d)

Statutory Changes

  1. Minor changes in TDS e-return. Provision made for Responsible Person's Mobile No.
  2. Orissa VAT Form-002 provided.
  3. New format for UP VAT e-Return applicable from April 2011.

New Reports Added

  1. List of Blocked / De-activated masters provided. Available as DisplayàData Check ListàList of Blocked / De-activated Masters.

Minor Changes

  1. Master Print Name being generating automatically (as specified in masters configuration) was editable by user leaving scope for mistake at user end. Now provision made to freeze Print Name if being generated automatically.
  2. Parameters data entry, the font for drop down list was very small. Now size of font increased.
  3. Minor refinements in HO/BO data synchronisation. Now modifications in Account / Item names will be tracked and synchronised accordingly.
  4. HO/BO data synchronisation, data received from BO was being saved in HO automatically whenever Busy was started in HO. This auto saving was sometimes not required. To avoid this, a new option provided in user profile 'Auto Data Saving Received from BO'. By disabling this option we can avoid auto data saving in HO.
  5. Bill Sundry Ledger, a new option 'Show Zero Amount Entries Also' provided. Till now zero amount entries were always being shown.
  6. Minor refinements in Bank Reconciliations. If in a voucher, one bank account was used and a few other accounts were used then during reconciliation, we had to clear all other entries except the bank entry. To facilitate this process, while clearing an entry, an option would be asked 'Clear Full Voucher'. If specified as 'Y' all entries for that voucher would cleared at one go.
  7. Picking pending Orders/Challans using F11 key was not allowed during voucher modification. Now this option would work in voucher modification if the voucher being modified does not have any item entries (i.e. cancelled voucher).

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (e)

Product Release Information 3.9 (e)

Major Changes

  1. Provision made to show item details on 'Pole Display' during POS billing. Can be enabled and configured through 'Advanced POS Options' in voucher configuration.
  2. Document designing, the list of data fields shown was continuous and searching for a field was difficult. Now instead of continuous, categorised data fields will be shown to make searching easier.
  3. Report printing, a new option 'Page Numbering Starts from' provided to change the starting page no. to be printed on report.
  4. To regularise PDC, we need to open the voucher and change the type from PDC to Regular. Now utility provided to regularise PDC by single click. Available as AdministrationàUtilitiesàMisc. Data entryàRegularise PDC.

Statutory Reports

  1. Minor corrections in Haryana Form C-4.
  2. Rajasthan VAT-10 as per new format.
  3. Minor corrections in Punjab VAT Form 23 & 24.
  4. Kerala Form 52 as per new format.
  5. Kerala e-return as per new format.
  6. Minor corrections in UP e-return.
  7. Jammu VAT-11 as per new format.
  8. Minor corrections in Orissa VAT-201.

Minor Changes

  1. Bills Receivable/Payable report party-wise, option provided to print Party Name/Alias/Print Name. Till now Party Name was being printed.
  2. Changes in duplicate voucher numbering check. In case of purchase voucher, voucher number + party will be checked for duplicity and the check will also be applicable for 'Purchase Bill No.' specified separately.
  3. New fields added in voucher header <ORDER_NO/DATE_CONTINUOUS> & <CHALLAN_NO/DATE_CONTINUOUS>.
  4. Challan/Order wise statement report, provision made to Show/Print voucher optional fields and transport details.
  5. Account / Items drop down list configured to show additional details, the details were not being shown in report options (selecting masters for reporting). Now details will be shown in report options also.
  6. While specifying Transport & Station in account master provision made to pick the same from existing data using F4 key.
  7. PDC reports, provision made to filter reports on the basis of Voucher Series Group.
  8. Pricing mode set to Multiple Price Category, the price category was being specified in Party. Now option provided to specify price category either in Party or in User.
  9. User Management new option provided 'Can regularise PDC'. Till now all users could regularise the PDC.
  10. User management, new options provided 'Show Last Sales during transactions' & 'Show Last Purchase during transactions'. Till now last Sales/Purchase transactions were being shown to all users.
  11. Showing last Sales/Purchase transactions during data entry, by default transactions for all parties were being shown. Now by default transactions for current party would be shown.
  12. Client Server mode, specifying server information and creating security file for selected companies, the no. of company that could be specified were limited to 5 only. Now 25 companies can be specified.
  13. Party-wise/Item-wise VAT summaries on screen, sorting/filter option was not available. Now these options will be available.
  14. Minor refinements in HO/BO data synchronisation

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (f)

Product Release Information 3.9 (f)

Major Changes

  1. Account Ledger & Interest Calculation (Product Basis) report can be generated for multiple Financial Years.
  2. Provision for printing of Bank Deposit Slip through Receipt voucher. Can be enabled through vouchers configuration.
  3. Changes in HO/BO data synchronisation:
    a) Deletion of vouchers will also be tracked.
    b) Option provided to allow/disallow modification of opening balances of Accounts/Items during data synchronisation.
    c) Option provided for bulk data Updation between HO & BO. Available as Administration àData Export/ImportàBulk Data Updation to HO/BO.

Statutory Changes

  1. Minor corrections in Gujarat Form-201.
  2. Minor corrections in Orissa Form-201.
  3. Minor Corrections in Rajasthan VAT-10.
  4. Minor corrections in Excise Return ER-1.
  5. Minor corrections in UP VAT-XXVI.
  6. Minor corrections in Trading Excise Form-2.
  7. Tamilnadu e-Return in XML format

New Reports Added

  1. New report Party Day Book added in Account Books. Shows all the transactions for a party (Order, Challan, Sale, Receipts etc.) along with accounting information (debit, credit and ledger balance).

Minor Changes

  1. Provision for Mobile No. in Ageing Analysis and Bills Receivable/Payable reports.
  2. Forms Receivable/Issuable and Forms Reminder Letter, provision made to club pending bills Monthly / Quarterly / Half Yearly / Yearly.
  3. Composite Item barcodes, provision made to use <ENTER> key as delimiter.
  4. Item barcode printing, provision made to print barcode for a single Batch No. or Item Serial No.
  5. Pending Orders report, provision made to filter report on Voucher series Group & Master Series Group.
  6. Account Registers columnar, item-wise sub details (Batch/Serial No./Parameters) were being shown in a single line only. Now these details would be shown in multiple lines (as in invoice printing).
  7. Debit Note & Credit Note register, total amount of the voucher was being reflected instead of the amount debited/credited to party. Now amount debited/credited to the party will be shown.
  8. Branch Master, provision made to Tag Material Centre(s) for a branch. This will help in data entry restrictions and filtering of inventory reports for a specific branch.
  9. POS data entry with items being read from barcodes, if list of items was invoked using F4 key, the additional details along with item (if configured) were not being shown. Now it will be shown.
  10. New fields <BILL_REF_NO_CONTINUOS_LINE1> & <BILL_REF_N_CONTINUOS_LINE2> provided in invoice designing to print bill reference details of invoice.
  11. Stock Status alphabetical, provision made to show item MRP also.
  12. TDS Feature enabled for Pakistan also.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (g)

Product Release Information 3.9 (g)

Statutory Changes

  1. Minor changes in VAT summary report related to VAT surcharge.
  2. Minor changes in Haryana VAT-R2.
  3. Minor changes in Rajasthan VAT-10 & e-Return.
  4. Minor corrections in UP Form-1 & Form-24.
  5. UP CST e-Return provided along with Annexures A & B.
  6. Minor corrections in Excise ER-1.
  7. Minor corrections in Delhi VAT e-Return.
  8. Manufacturing Excise e-Return provided.

Minor Changes

  1. Minor refinements in item-wise discount input in compound mode.
  2. Speed of Bank Reconciliation report improved.
  3. Speed of Bills Receivable/Payable summary report improved.
  4. Parameterised stock details configuration, it was possible to enable/disable BCN at any given point of time. Now, if any transaction exists for parameterised details then BCN can not be enabled / disabled.
  5. Till now decimal places for item discount input were set to 2. Now it has been made configurable, available through ConfigurationàFeature & OptionsàInventory.
  6. Cash Bank Book printing, for vouchers having settlement details along with voucher details, both details were getting printed. Now only settlement entries will be printed.
  7. Item / Party Group-wise sales analysis, provision made to generate report for one item group also. Till now it was available for All Groups or Group of Groups.
  8. Invoice printing, new fields added in header section <TOTAL_NO_OF_ITEMS> & <TOTAL_NO_OF_UNIQUE_ITEMS>.
  9. Challan / Order creation, if an item was used more then once in a voucher, the default reference creation window would show a single reference only for the consolidated quantity. Now by default multiple references will be shown in case of multiple entries of a single item in voucher.
  10. Minor refinements in HO/BO data synchronisation:
    1. Blank/duplicate voucher no. will not be accepted in any synchronisation enabled voucher series.
    2. If data synchronisation is enabled on some series then the voucher numbering can not be disabled for the same in numbering configuration.
    3. The identity of a voucher (Series & No.) can not be changed at the HO if the same was created in BO and vice versa.
  11. Items import from Excel sheet, <ENABLE_MRP_STOCK> field was not available. Now made available.
  12. Trading excise sales data entry, pending purchase references for dates later then the sales date were also being shown. Now it will not be shown.
  13. Separate Billing Details input, provision made to input CST No. of party in case of central transaction.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (h)

Product Release Information 3.9 (h)

Statutory Changes

  1. Minor corrections in DVAT-51.
  2. Minor corrections in Delhi VAT 16 & corresponding e-Return.
  3. Minor corrections in Haryana VAT R1 & R2.
  4. Minor corrections in Rajasthan VAT 10 & 10A.
  5. Minor corrections in UP VAT Form XXIV.
  6. Minor corrections in UP VAT Annexures A & B.
  7. Minor corrections in UP VAT Form-1.
  8. Haryana VAT LP3 & LS2, provision made to print ‘Billing Details’ instead of ‘Party Details’.
  9. Himachal VAT Form LS2 & LP2 implemented.
  10. Minor changes in Himachal Form 15 and corresponding e-Return.
  11. Minor changes in Himachal Form LS1 & LP1.

Minor Changes

  1. Pending order summary report speed improved.
  2. Item barcode printing; new field added, PRICE_MAIN & PRICE_ALT.
  3. It was possible to save sales/purchase voucher with negative amount (discount > 100%). Now it has been stopped.
  4. POS data entry, by default the total bill amount was being shown in ‘Cash Tendered’ field making it error prone. Now no default amount would be shown.
  5. Last sales/purchase transactions of an item being shown during data entry, now item price as per stock valuation method will also be shown.
  6. Minor refinements in HO/BO data sync:
    1. Vouchers with Invalid MC (not tagged with branch) will not be saved in HO.
    2. Some problem related to sync of Trading Excise vouchers resolved.
  7. New fields added in invoice configuration; <COMPOUND_DISC1_AMT_GRAND_TOTAL> to <COMPUNT_DISC5_AMT_GRAND_TOTAL>.

Apart from these changes some minor bugs have been removed from the application.


Release Document 3.9 (i)

Product Release Information 3.9 (i)

Major Changes

  1. Changes in HO/BO:
    a) While sending data from HO to BO; Unnumbered Vouchers, Vouchers with invalid Material Centre and Un-approved vouchers are not sent from HO to BO. This often creates discrepancy between HO & BO data. Now buttons provided to view these vouchers and do the corrections if required. Also no data will be sent till these vouchers are corrected.
    b) Details of cancelled orders will also be carried.
    c) Bank reconciliation entries will also be carried.
    d) Provision made to Reconcile HO & BO vouchers for a particular voucher series and point out the differences. Available in BO as AdministrationàData Export/ImportàReconcile HO/BO Data.

  2. Masters search from drop down list improved. Now program will intelligently search for the keys punched by user and will try to find all combinations where the specified keys are found any where in a master name.

  3. Changes in parameterised stock details input:
    a) Parameter-wise data entry, provision made to copy & paste data from windows clipboard. Useful in copying parameterised details from MS Excel.
    b) Enabled in Sales/Purchase order also.
    c)     Option to configure item parameter-wise prices. Available as AdministrationàConfigurationàItem Parameter-wise Pricing.

Minor Changes

  1. Minor corrections in UP VAT Annexures, Form-1 and e-Return.
  2. Uttrakhand Form-III e-Return as per new format.
  3. Minor corrections in UP VAT Challan printing.
  4. Minor corrections in Haryana VAT C-4.
  5. Minor corrections in Delhi VAT 2A & 2B.

Statutory Changes

  1. Inventory voucher data entry with Material Centre at item level, the list of MC will show the item closing stock at that MC also.
  2. Purchase invoice data entry, a new field ‘Purpose’ added in purchase details window for the purpose of VAT reporting. This field will be shown only when the state is ‘Uttar Pradesh’.
  3. Query on item price option; now along with item prices the item stock at different material centres along with the respective prices will also be shown.
  4. Restriction on Expired batches was applicable for all voucher types. Now it will not be applicable for Sale/Purchase returns.
  5. Sales invoice with batch-wise details enabled, picking multiple batches for a single item, the sales price from the first batch was being taken as the sales price for item. Now the average price for all the batches will be takes as sales price for the item.
  6. Provision made to configure voucher numbering of multiple series in a single screen. Available as ‘Bulk Voucher Numbering’ in voucher configuration screen.
  7. Creating Branch, option provided to create corresponding User, Voucher Series Group & Material Centre along with the branch. Helpful in configuration of HO/BO data sync.
  8. Challan/Order data entries, one-2-one mapping of item entries in grid and challan/order references enforced (Same item having multiple entries in challan/order should have the same no. of references). Required to pick relevant item sub details from challan/order in invoice.
  9. Voucher modification from main menu, the screen where voucher no. was being specified voucher type was not being shown. Now it will be shown.
  10. Payment/Receipt voucher printing configuration, a new field <TYPE> provided to print the type of cheque (PDC/Regular).

Apart from these changes some minor bugs have been removed from the application.


Release Document 3

cuRelease Document 3.9 (j)

Product Release Information 3.9 (j)

Statutory Changes

  1. Minor changes in Delhi VAT 2A & 2B and the corresponding e-Return.

Minor Changes

  1. List of countries, Dubai renamed to U.A.E.
  2. Spelling of U.A.E. currency changed from Dirham to Dirhams.
  3. Item parameter-wise pricing input, provision made to show/export existing pricelist.
  4. Option provided to allocate extra expenses in purchase/production vouchers. Useful to adjust the stock value on the basis of extra expenses incurred in that transaction (like freight or labour charges) but which are not part of purchase/production voucher. Can be enabled as AdministrationàFeature/OptionsàInventoryàAllocate Additional Expenses Voucher-wise. This extra amount allocated to a voucher will affect the nett price of items but won’t affect the accounting part.
  5. Modifying voucher from main menu, while specifying the voucher series and voucher no., the width of list of voucher series was quite small making it difficult to read the full series name. Now width of list increased.
  6. Item parameterised stock management with option to generate BCN enabled, provision made to specify the format of BCN as Alphanumeric or Numeric. Till alphanumeric BCN were being generated.
  7. Changes in Item barcode printing:
    1. Option to print from Stock Transfer vouchers also.
    2. While printing barcodes from vouchers, by default the quantity of item in voucher was being shown for printing. Now provision made to set quantity for all items to a specific value.
    3. While printing barcodes from vouchers having sub details (batch/parameter/serial nos.), incorrect no. of barcodes were being printed. Now problem rectified.
    4. Data fields provided to print material centre name/alias.
  8. Voucher data entry, provision made to shown pending bills/batches/serial nos./parameters/trading excise references by pressing ALT+P at item quantity or account amount field (whichever is applicable).
  9. Document designing, new fields provided to print summary of item parameterised details clubbed on the basis of price. Name of the fields are <PARAM_PRICEWISE_QTY (MAIN)>, <PARAM_PRICEWISE_QTY (ALT)> and so on.
  10. Document designing, new fields <BANK_NAME>, <BANK_ALIAS> & <BANK_PRINT_NAME> provided for Receipt/Payment vouchers.
  11. Till now same item could not be generated and consumed simultaneously in Stock Journal voucher. Now it can be done.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 3.9 (k)

Release Document 3.9 (k)

Product Release Information 3.9 (k)

Statutory Changes

  1. Minor changes in Manufacturing Excise e-Return.
  2. Minor changes in Karnataka e-Sugam.
  3. Minor changes in Rajasthan VAT 10A & 11 e-Returns.
  4. Trading excise RG23-D, option provided to generate Page / Sr. No. wise.
  5. HP VAT e-Return as per new templates.
  6. Minor changes in Uttrakhand Form-3.

Minor Changes

  1. HO/BO Data Sync., bulk Updation of voucher; in case there was some blank voucher nos. an error was being generated. Now in case of blank voucher nos., a message will pop up to correct the same and bulk process will not start.
  2. Trading excise configuration, a new option ‘Append Voucher Series Name in Default Ref No.’ provided. If enabled, the voucher series name will be appended to default reference no. created during data entry. Till now voucher no. and date was being used for default reference creation.
  3. MRP-wise stock maintenance, sale voucher data entry, if no stock was available the sales was being saved with zero MRP. Now in this condition, sales MRP will be asked in a window.
  4. Utility provided to feed Purchase Bill No. & Date from outside (without modifying the voucher). Available as Administration àUtilitiesàMisc. Data entryàUpdate Purchase Bill No. & Date.
  5. Item barcode printing in WAN environment was very slow. Now speed improved.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 3.9 (m)

Release Document 3.9 (L)

Product Release Information 3.9 (L)

Statutory Changes

  1. Minor changes in Chandigarh Form 1.
  2. Minor changes in Punjab Form 1, 15, 20, 23, 24.
  3. Minor changes in Delhi DVAT 16, 2A & e-Return.
  4. Minor changes in Himachal Form-XV.
  5. Minor changes in Uttrakhand Annexures 3 & 17.

Minor Changes

  1. Item batch-wise data entry; list of pending batches was being sorted batch no. wise. Now it will be sorted on the basis of expiry date.
  2. New fields <PARTY_SL_BALANCE> & <PARTY_SL_PREV_BALANCE> provided in printing configuration to print the balances of sub ledger involved in Receipt/Payment voucher.
  3. Provision made to restrict negative item parameter-wise stock during transactions.
  4. Royalty calculation, provision made to pick item MRP either from item master or transactions. Till now MRP was being picked from transactions only.
  5. Sales against Order/Challan, the reference adjustment window was taking a lot of time to open. Now speed improved.
  6. Client server mode, backup of database greater then 2GB was not possible from client computer. Now made possible.

Apart from these changes some minor bugs have been removed from the application.


Release Document 12.0 (1.1)

Release Document BUSY 12 (Rel 1.1)

Product Release Information BUSY 12 (Rel 1.1)

Statutory Changes

  1. Minor corrections in West Bengal Form-14.
  2. Minor corrections in Excise ER-1.
  3. Minor corrections in Jammu Form-11.
  4. Minor corrections in Punjab VAT Form 23 & 24.

Minor Changes

  1. Target configuration, option provided to configure targets for a date range also. Till now targets could be configured Monthly/Quarterly/Yearly only.
  2. Data entry in grid; on pressing F7, value of that column will be repeated from previous row.
  3. Data from Busy data entry grid can be copied /pasted to windows clip board using standard windows copy & paste command.
  4. Screen reports, ‘Group’ option renamed as ‘Club’.
  5. Specifying original Sales/Purchase details in return vouchers, provision made to show the list of Sales/Purchase with the current party.
  6. Provision made to specify list of holidays and corresponding warning provided during data entry. Available as Administration àConfigurationàList of Holidays.
  7. Balance Sheet generation on screen, option provided to show Account Group/Account Name and the corresponding amount in different columns. Required in case of data export to MS Excel.
  8. Item/Item Group Sales/Purchase Analysis reports, provision made to show Items Cost of Goods or the Items Basic Amount. Till now Items Cost of Goods was being shown.
  9. Parameterised stock management improvement:
    1. Provision made to enforce full qty. allocation to parameters and warning for negative stock Parameter-wise.
    2. Sales price with parameters could be enabled only after enabling MRP with parameters. Now both the options made independent.
    3. Clubbing of items with parameters was not being done. Now it will be done.
  10. Serial No.-wise stock maintenance, provision made to enforce full qty. allocation to Serial Nos.
  11. Statement of A/c and Confirmation of A/c printing formats improved.
  12. Sales/Purchase Order & Quotations could not be created for Cash/Bank accounts. Now it can be done.
  13. Price List printing in grouped mode, provision made to show totals for a group of items.
  14. Provision made to generate spool/text file for any transaction at the time of saving. Can be done by specifying the nature of format as ‘Spool File’ in advanced document printing configuration.
  15. Changing voucher type using F6 key, sub details of items (Parameters, Serial Nos. & Batches) were getting deleted. Now it will not be deleted if the old voucher type and new voucher type both are of same nature (Qty. In or Qty. Out).
  16. Mode of Balance Sheet Stock value made configurable. Till now at the time of Balance Sheet generation, user was being asked to update stock value from Stock Status. Now user can choose the mode of Balance Sheet stock value from following three options:
    1. Manual
    2. Stock Status
    3. Ask Me

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY12 (Rel 1.2)

Release Document BUSY 12 (Rel 1.2)

Product Release Information BUSY 12 (Rel 1.2)

Major Changes

  1. Option provided to calculate item sales price on the basis of purchase price. Can be enabled from Features/Options àInventory tab. Once enabled, user can define the basis of sales price calculation in item master and the sales price will be updated accordingly while feeding purchase voucher.
  2. Dashboard introduced. Dash board can be used to display different data in a single screen. User-wise Dash board can be configured using Administration àConfigurationàDash Board Configuration menu and can be invoked through Display reports.

Statutory Changes

  1. Minor changes in Punjab Form 1, 15, 20, 23 & 24.

New Reports Added

  1. ‘Mahajani Interest’ calculation report. It is a different format for interest calculation.
  2. Compare Purchase Quotation report. Purchase quotations can be compared Item-wise / Party-wise.
  3. Daily Sales/Purchase VAT summary.

Minor Changes

  1. Document printing, Master/Voucher Notes field was showing only first line of notes. Now all the lines will be shown concatenated.
  2. Provision made to tag Sales/Purchase account (required in dual vouchers for account postings) with Item Group also. Till now it could be tagged with Item / Material Centre / Sale-Purchase Types.
  3. Provision made to tag Stock Account (used while updating balance sheet stock from stock status) with Item Group/Item Tax Category also. Till now Stock Account could be tagged with Material Centre only.
  4. Option to Email/SMS/Export/Preview was available in the top right corner in the report printing form which normally would miss the attention of user. Now while printing any report; apart from Print button, additional buttons provided for Preview / Email / SMS / Export to make it more visible. Also the main menu ‘Print’ renamed as ‘Print/Email/SMS’.
  5. Screen reports, ‘Club’ option using F5 key renamed as ‘Summary’.
  6. Provision made for narration with Bill-by-bill References. Can be enabled in advanced options of Bill-by-bill feature configuration.
  7. Provision made to import opening bill references. Available as Administration àData Export/ImportàImport Opening Bill References.
  8. Voucher replication with random amounts, provision made to specify total amount for which vouchers are to be replicated.
  9. Nepal country, provision made to restrict Modification/Deletion of Sales/Purchase/Sales Return & Purchase Return voucher as per the Nepal VAT rules. For this an option ‘Restrict Modification/Deletion of vouchers as per Nepal VAT Rules’ provided in VAT configuration screen. Once enabled, this option can not be disabled.
  10. Data Export/Import in XML format; BOM masters used in production vouchers were not being exchanged. Now it will be exchanged.
  11. Option provided to update last Sales/Purchase price in item master through vouchers.
  12. Speed of ‘Production Planning’ report was quite slow if the BOM(s) had hundreds of items. Now speed improved marginally.
  13. Interest calculation on product basis, till now interest receivable and payable was being shown. Now ‘Nett Interest’ will also be shown.
  14. While feeding inventory vouchers, ‘Description of Items’ window was being popped as the same was required for VAT reports in some states. This window has been disabled for Kerela state as the same is not required in Kerala VAT reports.
  15. Generating orders from reorder level report, a single order was being generated for items without any default vendor tagged to them. Now provision made to generate order Item-wise / Item Group-wise / All Items.
  16. If any of items sub details option (Batch, Serial No. or Parameter) was enabled, items consolidation at the time of voucher saving was not being done. Now it will be done.
  17. Trading Excise purchase invoice, excise reference no. was being generated on the basis of voucher no. instead of purchase bill no. & date. Now reference will be generated on the basis of purchase bill no. & date.
  18. Trading Excise reports were showing purchase voucher no. & date instead of purchase bill no. & date. Now purchase bill no. & date will be shown. Also while carrying pending excise references to next year, the purchase voucher no. was being carried over in supplier details instead of purchase bill no. Now supplier purchase bill no. will be carried.
  19. Voucher duplication made easy. Now on pressing F12 in an existing voucher, user would be able to duplicate the voucher. Also while viewing reports, user can duplicate the voucher using F12 key.
  20. Same as voucher duplication, master duplication can be done using F12 key.
  21. Item batch-wise data entry; list of pending batches was being sorted batch no. wise. Now it will be sorted on the basis of expiry date.
  22. New fields <PARTY_SL_BALANCE> & <PARTY_SL_PREV_BALANCE> provided in printing configuration to print the balances of sub ledger involved in Receipt/Payment voucher.
  23. Item barcode printing configuration, the maximum size of label was restricted to 2.5 x 4 Inches. Now size limit increased to 6 x 10 Inches.
  24. Update Item Price utility, provision made to round off the price being updated. Also a new mode ‘Percentage Inclusive’ provided to calculate the price being updated. Till now two modes ‘Absolute’ & ‘Percentage’ were available.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 12 (1.4)

Release Document BUSY 12 (Rel 1.3)

Product Release Information BUSY 12 (Rel 1.3)

Major Changes

  1. Provision made to configure default bill sundries for a combination of Voucher Series + Sale/Purchase Type. Can be configured from Administration àConfigurationàTag Bill Sundries Voucher-wise.
  2. Provision made to configure default values for Bill Sundries for Party/Party Group. Can be configured from Administration àConfigurationàTag Default Bill Sundry Values Party-wise.
  3. Provision made to specify & freeze default Sale/Purchase Type with Account.
  4. Voucher replication, provision made to replicate all/selected vouchers for a given date to another date. Useful for businesses where same invoice is being raised to each party every month (like Group Housing Societies, Cable Operators etc.).
  5. Changes in Item barcode utility:
    a) Provision made to encode any numeric figure. User can define his own encoding configuration and can encode any numeric figure being printed on the label.
    b) Provision made to specify Maximum Character & Decimal places for numeric fields.
    c) Provision made to print label for Account / Item master also. Available as Add Ons àPrint Item/Account Labels.
  6. Query on Masters provided. User can specify any text and all masters will be searched for the presence of that text in any of the fields. Useful to search telephone no., contact person etc. Available as Display àQuery SystemàQuery on Masters.
  7. Provision made to import Item opening Batch/Serial No./Parameters. Available as Administration àData Export Import/Import Opening References from Excel.
  8. Provision made to save Account / Item / Vouchers images in data base (available in client server edition only). While configuring the feature to tag images with Masters/Vouchers, we can specify whether the image is to be saved in database or not. If enabled, user will get the choice to save image after saving of Master/Voucher or can save images in bulk using Administration àUtilitiesàBulk UpdationàSave Images menu.
  9. Provision made to configure page header for print reports:
    a) User can create multiple report header formats using Administration àConfigurationàReport Printing.
    b) One of the formats can be set as default.
    c) While printing report we can choose the header format for the report being printed.
  10. Screen reports, provision made to Hide/Un Hide entries using F9 and [ALT]+F9 keys.
  11. Item Parameter/BCN wise stock maintenance, provision made to specify BCN manually. Till now BCN were always being generated automatically.
  12. Invoice/Documents printing configuration, provision made to specify Hardware Configuration also for with the format. If hardware configuration specified, the invoice/document will be printed using the specified configuration only.
  13. Changes in Bill sundry master:
    a) Option provided to not post bill sundry amount in accounts. Useful when other expenses are to be allocated in purchase without affecting the accounting.
    b) Till now one side (Dr or Cr) of bill sundry amount was always being posted in party amount where as the other side was optional to post either in sale/purchase or post in separate account. Now provision made to specify the party amount to some other head. Example cash freight paid in purchase.
    c) Provision made to post bill sundry amount entry over and above the voucher amount. Example TDS deducted in purchase voucher.
    d) Bill sundries which do not have any accounting effect or are being posted as over and above of voucher amount would be referred as ‘Non Impact Bill Sundries’ and there printing can be configured in document printing configuration.

Statutory Changes

  1. Himachal Pradesh e-Requisition provided.
  2. Tripura Form-10 as per new format.
  3. Orissa Form 201 & e-Return as per new format.
  4. Minor changes in Trading Excise e-Return related to sales return.
  5. Rajasthan VAT 10-A e-Return as per new format.
  6. Minor changes in Punjab VAT Form 23 & 24 e-Return.

New Reports Added

  1. Item Tax Rate-wise Closing Stock (required by Delhi VAT department). Available as Display/Print àStock StatusàClosing Stock Tax Rate-wise.

Minor Changes

  1. While viewing Pending Sales Order/Production Planning report, provision made to auto generate Purchase Order(s) from there itself using F4 key.
  2. While creating a new Master/User, provision made to copy date from existing Master/User using F12 key.
  3. Utility provided for bulk Updation of configuration of ‘Calculate Sales Price from Purchase Price’ feature in All Items/Group of Items. Available as Administration àUtilitiesàVoucher Template & Bulk UpdationàUpdate ‘Sales Price Calculation’ Configuration.
  4. Provision made for Penalty & Interest in Service Tax reports.
  5. ‘Update Master Balances’ utility was updating only Account/Item balances. Balance for Account/Item Groups was not being updated. To update group balances ‘Rewrite Books’ was required. Now ‘Update Master Balances’ utility will update group balances also and no need to run ‘Rewrite Books’ to match balances.
  6. All Stock Valuation Methods except ‘Weighted Average’ were considering Sales Return vouchers also. Now Sales Return vouchers will not be considered in any Stock Valuation Method.
  7. Accounting reports like Day Books, Ledger, Trial Balance; currency symbol (`) will be printed instead of currency string (Rs.).
  8. Converting data from Access to SQL; ‘User Activity Log’, ‘Date Check List’ and ‘Notes’ were not getting copied. Now it will be copied.
  9. Party-Item pricing configuration. Provision made to pick default Item Price/Discount/MRP from item master.
  10. Bank Deposit Slip printing, provision made to print a single deposit slip for all the vouchers for a single bank. Till now the deposit slip was being printed voucher-wise only.
  11. Single Receipt/Payment voucher for multiple parties; while printing Receipt/Payment Advice, same was being printed for the first party only. Now it will be printed for all the parties individually.
  12. Accounting voucher printing format changed. Separate format for single entry and double entry provided. Till now only double entry format was being used. Printing of double entry format also changed to accommodate more data in a single line.
  13. While showing entries to be approved at start up, till now all the vouchers to be approved were being shown. Now option provided to show entries for a selected voucher type or all voucher types.
  14. Sale/Purchase analysis reports, provision made to show VAT amount also along with Sales/Purchase amount.
  15. Order/Challan-wise statement, provision made to show adjustment details also along with the Order/Challan details.
  16. Branch master creation, maximum 99 Material Centres could be tagged with branch. Now limit increased to 999.
  17. Importing data from MS Excel, data from .xlsx files could not be imported. Now it can be imported.
  18. Trading Excise Purchase Voucher input, provision made to input Manufacturer’s ‘Invoice Preparation & Goods Removal Date & Time’ also.
  19. Trading Excise, while carrying pending references to next financial year, the original supplier quantity and duty details will also be carried over and will be printed in invoices. Till now only the balance quantity & duty details were being carried.
  20. Printing screen report directly from grid, provision made to insert ‘Sr. No.’ column in print report.
  21. After bulk deletion of vouchers it was mandatory to run ‘Rewrite Books’ to update the balances. Now instead of ‘Rewrite Books’, ‘Update Master Balances’ can be run to update balances.
  22. Balance sheet printing along with P.Y. balances; column for P.Y. balance was being shown before the C.Y. balance. Now P.Y. balance would be shown after the C.Y. balance.
  23. Balance Sheet vertical format on screen, provision made to show P.Y. balances also.
  24. Account/Item label printing, provision made to print for selected masters also. Till now it was available for All Master / Group of Masters only.
  25. Sending SMS to parties after saving of voucher, SMS was taking a long time to send. Now speed of sending SMS improved.
  26. Item batch-wise data entry would get very slow if the no. of batches for a single item were in hundreds. Now speed improved.
  27. Item pending batches report, option provided to show Batches Issuable/Receivable/All. Till now both Issuable and Receivable were being shown in a single report.
  28. Format of pending batch report changed. Now with each batch total ‘Qty. In’ and total ‘Qty. Out’ will also be shown along with the ‘Balance Qty.’.
  29. Importing accounting vouchers from Excel having Sub Ledgers in account field was not possible. Now it will be possible.
  30. VAT Summary report, total Sales/Purchase will also be shown along with Local & Central Sales/Purchase.
  31. During data upgrade from older version to newer version, sometimes ‘Update Master Balance’ utility was required to be run to complete the process. In case this utility is pending and user changed the F.Y. and carried over the balances to next year, wrong balances were getting carried over. Now while changing F.Y., if ‘Update Master Balances’ utility is found to be pending, user will not able to carry balances to next F.Y. till ‘Update Master Balances’ is run.
  32. Payment Advice/Receipt printing configuration in standard mode, option provided to Print Bill References.
  33. Stock Status Grouped report provided for a date also. Till now report was available at the end of month only.
  34. ST Form reminder letters, provision made to skip printing of letter’s body. Useful to SMS form reminders.
  35. ST Form reminder letter configuration new fields provided <ST_FORM_PERIOD_RANGE>, <ST_FORM_NAME>, <ST_FORM_AMT>, <ST_FORM_NAME_AMOUNTS> & <COMP_SHORT_NAME>.
  36. ST Form reminder letter, a new format by the name ‘SMS’ provided to SMS form reminders.
  37. Warning alarm for Tax/Retail Invoice on the basis of party TIN was applicable for Sales Invoice only. Now it will be applicable to Purchase Invoice also.
  38. Provision made to input Form T-2 no. in Central Purchases in case of Delhi state.
  39. Voucher/Master approval configuration, if any unapproved entry was pending, the complete approval configuration was getting frozen and nothing could be changed. Now in case of pending unapproved entries the configuration will freeze only for those voucher types for which pending unapproved entry exist. We can configure other voucher types for approval. Also for frozen voucher types, we can change the users who can approve the entries.
  40. Warning for negative BCN during data entry was being shown without Item name. Now Item name will also be shown along with the BCN going negative.
  41. Document designing, provision made to configure the printing of zero value numeric fields as blank instead of 0.00. Can be configured as <FLD_NAME,#NZB16.2,L>
  42. Item free quantity report was picking only those entries for which some free quantity were issued. Now provision made to include other entries also without free quantity.
  43. Inventory voucher feeding, provision made to pick all items for a group using F4 key.
  44. Inventory voucher feeding, party TIN will be shown on the screen after selecting the party. Also TIN of the company in which we are working will be shown on the screen.
  45. Inventory voucher feeding, after choosing the Voucher Series last Sales/Purchase type & Material Centre will be picked automatically.
  46. Brokerage enabled at item level; during voucher feeding Broker specified in the last item row will automatically be shown as Broker in the current item row.
  47. VAT challan no. field size was 10 characters. Now increased to 20 characters.
  48. Annual VAT summary (Monthly/Quarterly) was being generated for complete year only. Now provision made to generate for a period of Month/Quarter.
  49. Dash-Board configuration, new option provided a) Amount Receivable b) Amount Payable c) Ageing Receivable d) Ageing Payable. Also provision made to show Dash-Board at start-up (can be configured in user configuration).
  50. Along with address details of party, ‘State’ will also be asked as the same is required for VAT reports.
  51. Item-wise Pending order report, provision made to show pending quantity parameter-wise.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 12 (1.4))

Release Document BUSY 12 (Rel 1.4)

Product Release Information BUSY 12 (Rel 1.4)

Major Changes

  1. Item-wise Discount module revamped:
    a) Item-wise Discount option to be Enabled/Disabled in Features/Options àInventory tab.
    b) Discount Structure master to be created (Predefined masters will be available).
    c) Set Discount Structure at either Item level or Voucher-Series level.
    d) Utility to update bulk Discount Structure in items.
    e) Provision for multiple discounts with different nature.
    f) Provision for posting of discounts in different accounts.
    g) Provision to Enable/Disable impact of discounts in cost of goods.
  2. Provision for Item-wise Mark-up on same pattern as Item-wise Discount.
  3. Provision for Cheque printing:
    a) To be enabled from Features/Options àAccounts tab.
    b) Configure formats from Administration àConfigurationàCheque Printing.
    c) Enable ‘Cheque Printing’ in Bank Ledger and specify default format.
    d) Specify ‘Cheque Printing Name’ in ledgers (for whom cheques need to be printed).
    e) While saving voucher for Bank where cheque printing has been enabled, user will be asked to print cheque.
    f) Bulk cheque printing can be done from menu Printing àPrint UtilitiesàCheque Printing.
  4. Provision for Ledger Reconciliation:
    a) To be enable from Features/Options àAccounts tab.
    b) Once enabled, we can enable/disable the same User-wise.
    c) Ledger can be reconciled using the Account Ledger report.
    d) While viewing/printing ledger, option provided to view All/Reconciled/Un-Reconciled entries.
  5. Graphs & Charts provided. Reports like Account Monthly Summary / Inventory Monthly Summary & Sales/Purchase Analysis (Monthly & quarterly) reports will show the data in Graphical mode also.
  6. Bill Sundry master, provision made to specify account head to post in voucher it-self instead of fixing it with-in Bill Sundry master.
  7. Utility to automatically create Invoice/Challan from pending Challan/Orders for All / Selected parties. Available as Administration àUtilitiesàBulk UpdationàAuto Create Invoice/Challan.
  8. Voucher optional fields and Transport Details fields size was 20 characters. Now size increased to 30 characters. Also voucher optional fields increased from 10 to 20.
  9. Provision made to input for Packing Details in vouchers:
    a) To be enabled from Features/Options àInventory Tab and then at Voucher-Series level.
    b) While feeding inventory voucher, packing details will be asked if enabled in Voucher-Series.
    c) While designing Invoice, we can design it as ‘Invoice’ or as ‘Packing List’ (to be specified in Page Settings).
    d) Delhi VAT Form 32 & 33 will be printed on the basis of packing details (if specified in voucher).
  10. Provision made to specify User image & signature and optionally save them in database (saving in database is available in Client-Server edition only). To be enabled from Features/Options àGeneral tab. If enabled, we can maintain User’s image and User’s signature which can later on be used in document printing.
  11. Option to save any image in database and use it in document printing (Client-Server edition only).
  12. Changes in Voucher Audit configuration. Now we can specify the vouchers to be audited Voucher Series-wise instead of Voucher-wise. Also we can tag User rights Series-wise. Till now the Audit feature was available Voucher-wise only and all the configured Users could audit all the vouchers.
  13. Changes in Barcode printing:
    a) Option to print Item barcode after saving the voucher (to be enabled in Voucher configuration).
    b) Option to print party labels for selected vouchers.
    c) Option to specify default printer in barcode configuration.
    d) Option to specify multiplier in data fields.
  14. Provision made to import Authors & Brokers from Excel Sheet. Available as Administration àData Export/ImportàImport MastersàFrom MS Excel.
  15. Provision made to import Item Opening Stock Material Centre-wise. Available as Administration àData Export/ImportàImport Opening References from MS ExcelàItem MC-wise Stock Details.

Statutory Changes

  1. Delhi DVAT-32 & 33 provided.
  2. Minor corrections in Andhra Pradesh Form-200.
  3. Minor corrections in UP e-Return.
  4. Minor corrections in Punjab VAT-20.
  5. Punjab VAT-15 e-Return as per new format.
  6. Maharashtra Annexures(s) to e-Return (704) provided.
  7. Minor changes in Delhi VAT 2A & 2B.
  8. Minor changes in Gujarat Form 201 & 3B e-Return.

New Reports Added

  1. New report ‘Check Party TIN’ provided to check party TIN and Issuing/Receiving of wrong Tax/Retail Invoice on the basis of Party TIN. Available as Display/Printing àVAT/Sales Tax ReportsàCheck Party TIN.
  2. Cost Centre Trial – Detailed. Available as Display/Printing àCost Centres ReportsàTrial BalanceàDetailed.
  3. Cost Centre Summaries in columnar format on the basis of Cost Centre / Cost Centre Group as one dimension and Account / Account Group as another dimension. Available as Display/Printing àCost Centre ReportsàCost Centre Summaries (Columnar).
  4. Item Serial No. Installation Details. Available as Display/Printing àSerial No.-wise ReportsàItem Serial No. Installation Details.

Minor Changes

  1. Tagging Bill Sundries voucher-wise, if option ‘Freeze Bill Sundries’ was enabled; all the bill sundries were getting frozen. Now instead of freezing the complete template we can freeze individual Bill Sundry also.
  2. Exporting masters, provision made to export closing balances of Accounts/Items as opening balance. Useful in transferring closing Trial Balance/Stock Status of a company as opening balance in another company.
  3. If BCN feature was enabled, user could not feed parameter-wise details in Sales/Purchase order. Now it has been allowed.
  4. Generating invoice from partially adjusted orders, the item parameter-wise details were being picked for full order quantity. Now details will be picked for balance order quantity.
  5. Bill Sundry narration enabled and Bill Sundry amount posted separately, narration provided along with bill sundry will also become short narration for the account being posted.
  6. Provision made to feed PDC for any coming year in current financial year. Later on when we go to next year and run ‘Regularise PDC’ utility, option will be provided to transfer PDC from last year to current year.
  7. While regularising Receipt PDC, provision made to specify the bank where the PDC will be deposited.
  8. Auto create Quotation/Order/Challan Reference option was not applicable in voucher modify mode, i.e., in voucher modify mode reference window for all the items was being shown. Now in Modify mode, auto creation feature will work as it worked in Add mode. To check/change the references, a new button ‘References’ provided in the bottom of data entry form.
  9. Provision made to create bulk masters (Account Groups, Accounts, Sale/Purchase Types & Bill Sundries) for a Branch with a single click. Available with-in Branch master.
  10. Images maintained with Master/Vouchers and saved in database, user was able to save/change image at the time of saving the Master/Voucher but there was no provision to delete the image from database. Now user can delete the image by clicking on right mouse button on the Master/Voucher image during modification.
  11. Master/Voucher images saved in database, provision made to extract them to a file. Can be done by clicking right mouse button on Master/Voucher image during modification.
  12. Blocking any master would block that master for all voucher types. Now provision made to block master for selected voucher types also.
  13. During export of reports in pdf or Excel format, provision made to specify password for the exported file.
  14. Data checklist report will show the name of computer also along with other details.
  15. Payment Reminder Letter for pending bills, pending bills details were always getting printed along with the letter. Now printing of pending bills made optional (required for sending SMS).
  16. Printing Receipt/Payment Advice, option was there to print a single document (for the first account in the voucher) or individual document for each account in the voucher. Now two more options provided and now available options are:
    1. With Account Amount (Single Document)
    2. With Voucher Amount (Single Document)
    3. With Cash/Bank Amount (Single Document)
    4. For Individual Account or for Individual Sub Ledger (Multiple Documents).
  17. Balance Sheet/Profit & Loss A/c, provision made to show ratio(s) along with amount(s).
  18. Item multiple alias(s) were restricted to 10. Now limit increased to 100.
  19. Provision made for different title-bar colour voucher-wise. Same is configurable also through Company àSet Colour Scheme menu.
  20. Document printing configuration, new options provided for fields manipulation:
    1. Using #’P*’ we can pad the numeric field with * character
    2. Using #’L1’ or #’L2’ we can specify to break the character field in multiple lines and print the specified line no. (L1 or L2 etc.).
    3. Using #’S15’ or #’S21’ we can specify to print sub string of a character field starting from character no. 15 or 21.
  21. Voucher data entry screen, individual buttons for Voucher/Master images/Notes/Additional Information were provided at the bottom. Now buttons changed and single button for Voucher additional data and Master additional data has been provided. On right mouse clicking on that button, a menu will pop up to ask for the details to be shown.
  22. Menu caption ‘Document Printing’ changed to ‘Invoice / Document Printing’.
  23. Item batch-wise data entry, to switch between ‘Manual Mode’ to ‘Drop-Down List Mode’ or vice-versa user would have to press the button provided in bottom. Now shortcut key ALT+M provided to do the same. Also once the mode is changed the same will be carried to next item also.
  24. Party-wise item codes; field size was 20 character. Now increased to 40 characters.
  25. Stock Journal voucher with zero quantity items were not allowed. Now it has been allowed.
  26. Data export/import in XML format; Account/Item groups were being imported in alphabetical order which sometimes would disturb the group hierarchy. Now groups will be imported in proper hierarchy.
  27. Document printing, field manipulation commands (using #) were not working with formulae based fields. Now it will work.
  28. Trading Excise purchase data entry, it was possible to specify Manufacturer Quantity less than Supplier Quantity. Now it has been restricted.
  29. Provision made to clear pending quotation using F4 key while viewing Pending Quotations report.
  30. Provision made to pop up Item/Account notes during data entry (available in notes configuration). Till now user had to click on the button provided at bottom to view the master notes.
  31. Item barcode printing configuration, new fields added <MFG_DATE_MONTH_YEAR>, <EXP_DATE_MONTH_YEAR>, <CUR_STOCK_MAIN_UNIT> & <CUR_STOCK_ALT_UNIT>.
  32. Custom columns, provision made to call direct SQL query using grid data as query parameter.
  33. Accounting voucher printing, short narration was always getting printed. Now printing of short narration made optional.
  34. Voucher templates tagging (used for faster data entry) was not available for Sales/Purchase Order/Quotation vouchers. Now made available.
  35. Inventory vouchers import from Excel, two new fields added <FORM_RECEIVABLE_AMT> & <FORM_ISSUEABLE_AMT>.
  36. Voucher import from Excel, if item MRP/Price/Discount fields are not specified, same will be picked form item master.
  37. Form Receivable/Issuable for one party all forms, grand total of all forms was not being printed. Now it will be printed.
  38. Provision for Email & Mobile No. in separate billing details.
  39. List of masters, BOM master list will show complete details of Raw Material and By Products. Till now only BOM name and item to be produced was being shown.
  40. Item-wise Sales Analysis for selected vouchers or for a range of voucher nos., provision made to show Sales/Sales Return/Net Sales/Both Sale & Sales Return. Till now Net Sales was being shown. If Sales Return is chosen then negative qty. items in Sales voucher will be shown as Sales Return.
  41. Non impact Bill Sundries could not be applied before any impact-able Bill Sundry. Now this restriction has been removed.
  42. Statement of A/c printing, provision made to print in T-Format also.
  43. Provision made to print short-cut keys. Can be printed while viewing help of short-cut keys.
  44. Price List printing, Blocked/De-activated items were also getting printed. Now made optional.
  45. Bank-Reconciliation, provision made to show amount in Alt. currency also.
  46. Product Composition report was available for one BOM. Now provision made for all BOM also.
  47. Warning alarm for Party Credit Limit, till now PDC were getting included in Party balance while checking the Credit Limit. Now inclusion of PDC made optional (can be configured through warning alarms).
  48. Item Parameter / BCN reports, provision made to filter on Master Series Group.
  49. ST Forms related reports filtered on Master / Voucher Series Group / Branch.
  50. Master List filtered on Master Series Group.
  51. Dash-board configuration, provision made to filter reports for All/Group/Selected Accounts/Items/Material Centre. Till now all the reports were being generated for all Accounts/Items/Material Centres.
  52. Bill-wise Statement printing, provision made to print configurable party personal details like Address, Mobile, e-mail etc.
  53. Receipt/Payment Advice/Dr Note/Cr Note printing configuration, printing of Party address made optional.
  54. Dr Note/Cr Note printing configuration, provision made to print Bill References also.
  55. Creating new company along with copying of masters from existing company, provision made to copy Users also.
  56. For Nepal country, a check was available to automatically disable (without using User rights) modification of Sales/Purchase/Sales Return/Purchase Return vouchers. Now this check has been extended to all inventory vouchers.
  57. CTRL+C & CTRL+V keys, being used as shortcut keys for ‘Message Centre’ and ‘VAT Summary’ in BUSY, were conflicting with Windows ‘Copy & Paste’ operation. Now these keys will work as BUSY shortcut keys on main form only. On data entry forms these keys will not act as BUSY shortcut keys and can be used freely for Windows ‘Copy & Paste’.
  58. Ledger for multiple Accounts on Screen/Printer, provision made to show Accounts having closing balance greater than a specified amount.
  59. New field <SETTLEMENT_PARTY_AMT> added in invoice configuration.
  60. Bulk Invoice creation from challans and different Sales Types being used in challans; a single Invoice was being created for all Sales Types. Now different Invoices will be created for different Sales Types.
  61. For ‘Punjab’ state, a new field ‘Region/District’ added in Account master as the same was required in VAT reports.
  62. Importing inventory vouchers, option provided to specify Bill Sundry information (Names & Percentage) for vouchers being imported. Now Bill Sundries (which are normally fixed for all vouchers) can be specified in the configuration and the value of Bill Sundries can be read from Excel Sheet.
  63. POS data entry; directly scanning BCN in item grid and changing the default quantity of item, the default quantity in BCN window was not getting changed. Now default quantity in BCN window will also change as per the quantity in item grid.
  64. Provision made to disable intelligent search in master’s drop-down list as the same was affecting the speed of data entry in WAN environment. Can be disabled from Features/Options àGeneral tab.
  65. Invoice configuration, fields provided to print Image & Signature of users who Created/Modified/Audited/Approved a voucher.
  66. Provision made to show ‘Profit for the Day’ in Dash-board.
  67. Item Serial No.-wise stock maintenance; length of the Serial No. increased from 25 to 60.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 12 (1.5)

Release Document BUSY 12 (Rel 1.5)

Product Release Information BUSY 12 (Rel 1.5)

Statutory Changes

  1. Service Tax reports now available branch-wise. Details can be configured accordingly and branch-wise reports can be generated.
  2. Provision for Lump-sum Dealer in Gujarat and changes in Form 202 accordingly.
  3. VAT on Item MRP; if charged on 100% of MRP, the same was always being calculated as inclusive of MRP. Now provision made in Sale/Purchase Type & Tax Category to specify whether VAT is inclusive or exclusive of MRP.
  4. Trading Excise e-Return, for importers the IEC code is to be used in place of ECC code but the same was being rejected as invalid ECC code in our e-Return validation utility. Now validation utility will accept IEC code as valid ECC code.

Minor Changes

  1. Document printing configuration, if #’W’ command was used to convert any amount to words, the amount in words was always being formatted as per the currency decimal places as specified in company configuration. Now it will be formatted as per the formatting provided with #’W’ command.
  2. User rights configuration, option to configure ‘Help’ menu was not available and Help menu was always available. Now provision made to configure Help menu also.
  3. Fields related to Compound Discount & Mark-up provided in Items import from Excel.
  4. Bulk printing of Invoices/Debit Notes/Credit Notes; cancelled documents were also getting printed. Now cancelled documents will not be printed.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 12 (1.6)

Release Document BUSY 12 (Rel 1.6)

Product Release Information BUSY 12 (Rel 1.6)

Statutory Changes

  1. TDS e-Return as per new format.
  2. Delhi VAT 2A, 2B, 2C & 2D e-Return as per new format.
  3. Minor changes in UP Form-XXVI Annexure 2.
  4. Minor changes in UP VAT Payment challan printing.
  5. Minor changes in Tamilnadu Annexure 1.
  6. Himachal LS1, LS2, LP1 & LP2 e-Return as per new format.

Minor Changes

  1. Invoice body configuration, new field <PARAM_PRICEWISE_MRP> provided.
  2. Option ‘Update Sales Price from Purchase Price’, provision made to consider purchase price after item-wise discount. Till now price before discount was being considered as purchase price.
  3. Discount/Markup structure; in case of type ‘Compound with Different Nature’, calculation on percentage of item amount was not allowed but the same was being shown as an option. Now this option removed from the list of available options.
  4. Item MRP-wise stock enabled; during sales invoice, user was able to change the sales price tagged with the MRP in the MRP details window which was creating confusion in MRP-wise stock status report. Now change of sales price restricted in MRP details window. However user would be able to change the sales price in transaction.

Apart from these changes some minor bugs have been removed from the application.


Release Document for BUSY 14(1.0)

Release Document BUSY 14 (1.0)

Product Release Information BUSY 14 (Rel 1.0)

Major Changes

  1. Soft lock implemented.
  2. Payroll implemented:
    a) Enable from Features/Options àEnterprise Features.
    b) New Masters Employee, Employee Group & Salary Component will be available.
    c) New Transaction Calculate Salary will be available.
    d) Payroll related reports will be available as Display/Printing àPayroll Reports.
  3. Web based reporting. Now we can view some selected reports online through browser from Anywhere, Anytime and Any Device.
    a) Enable online reporting in Busy Server àWeb Based Reporting section.
    b) Register yourself with us with a unique user name & password.
    c) Start Busy Server àWeb Based Reporting service.
    d) Configure companies for which Web Based Reporting is required.
    e) Start Busy and allow Web Based Reporting in respective company(s) and user(s).
    f) Now from any computer, start your browser and log on to www.busyonline.in. Specify your user name and password and you will be able to view your reports online.
    g) We can also allow our parties to view their ledger/outstanding through Web based reporting.
  4. Accounting in Pure Inventory Vouchers (Material Issue, Material Receipt & Stock Transfer). If enabled, accounting can be done through Discount/Markup and Bill Sundries. However cost of goods cannot be accounted for in these Vouchers.
    a) Enable in Feature/Options àInventory tab.
    b) Enable in respective Bill Sundries and Discount/Markup structure.
    c) Specify Account in Material Centre for Stock Transfer Accounting.
    d) Specify in Voucher Series if accounting is to be done on Source/Target MC.
  5. Job Work implemented:
    a) Enable in Features/Options àInventory Section.
    b) At the time of Material Issue / Receipt new transaction type to specify Job Work related entries.
    c) While receiving the Finished Goods we can specify the Raw Material consumed against Finished Goods.
    d) Reports related to Job Work available as Display/Printing àJob Work Reports.
  6. Provision made to change captions of labels in Vouchers / Masters Data entry forms.
    a) During data entry we can change captions of labels of data entry form using <CTRL + ALT + SHIFT +C> key.
    b) Both caption and font can be changed (can be used to set caption in a different language).
    c) In User configuration we can set the right to change captions.
  7. Voucher type captions configurable. Now we can specify/change the caption to be used for a Voucher type:
    a) To be enabled from Features/Options àGeneral tab. Once enabled, we can configure the captions to be used for all Voucher types.
    b) We can also change Voucher type captions at Voucher series level in Voucher configuration.
  8. Provision for custom data entry validations. Now we can write scripts for custom validations during data entry. Like customised reports, these validation scripts can be written by our solution partners and can be restored in client’s data.
  9. Fully configurable Accounting voucher printing. Can be configured through Administration àConfigurationàAccounting Voucher Configuration. Along with Advanced printing, Standard Voucher printing also enhanced and provision made for printing Box/Vertical Lines/Logo etc.
  10. Fully configurable Final Results (Balance Sheet & Profit Loss A/c). Available as Administration àConfigurationàFinal Results Configuration. Can be used to create IFRS / Schedule VI compatible formats. We can create multiple formats also. This option will be available as screen report only and can be exported to Excel for printing.
  11. Provision for date-wise Item pricing. If enabled we can maintain date-wise Item prices and during Voucher feeding, price for Voucher date will be picked automatically. Can be enabled from Features/Options àInventory tab.
  12. Branch-wise Account opening balance and changes in related reports:
    a) Specify in Account Master whether to specify Branch-wise balances or not (If multi-currency is enabled for an account then Branch-wise opening balance will not be allowed).
    b) Reports generated for Branch will be filtered as per the Branch-wise opening balance as specified in Account Master.
    c)     While changing Financial Year, Branch-wise balances will be carried over to next year.

Statutory Changes

  1. Excise return ER5 & ER-6 provided.
  2. Excise reporting filtered on the basis of Branch.
  3. Maharashtra LBT implemented:
    1. Enable through Features/Options àVAT/GST section.
    2. Specify Company LBT No. in configuration.
    3. Specify Party type (within Local Body or outside the Local Body) & LBT No. in Account master.
    4. Specify Item LBT rate in Item Tax Category.
    5. LBT related fields available in invoice configuration. Standard invoice will also print LBT No.
    6. LBT reports available through Maharashtra VAT Reports section.

Minor Changes

  1. Custom Columns will be available in Standard Edition.
  2. Some of the inventory reports were available either for Main unit or Alt. unit. Now all reports will be available for Main Unit/Alt. Unit/Both Units.
  3. HO/BO data synchronisation, data received form branch and saved in HO was being shown in User Activity Log of HO user. Now it won’t be shown.
  4. Balance Sheet, provision made to specify Multiplier & Currency Name. Required when Balance Sheet is to be presented in a different currency other then the base currency.
  5. Provision made to search any Item in data entry grid using <CTRL+ALT+S> key.
  6. Auto Voucher numbering, provision made to embed Date/Year with in the Voucher number.
  7. Quotation/Order/Challan, provision was there to auto create references while creating the document but at the time of adjustment the reference window was being popped up. Now adjustment will also be automatic and reference adjustment window will not pop up.
  8. A new menu ‘Final Results’ provided in Display/Printing menu and Balance Sheet and Profit & Loss Account shifted to it.
  9. An Event Log will be maintained in each company’s data which will provide information related to all activities other than Masters / Transactions feeding. Useful in tracking configuration changes and other Utilities / Processes run by user. Can be seen using <CTRL+ALT+SHIFT+L> key.
  10. User configuration; menu rights, provision made to specify right up-to second level for Account Books, Account Summaries, Inventory Books, Inventory Summaries and MIS Reports.
  11. Multi Currency feature could not be enabled in Sub ledgers. Now it can be done.
  12. Accounting Vouchers (Payment, Receipt, Journal and Contra); direct data entry with Sub Ledgers was not possible. User would have to specify the GL in main data entry grid and SL details in a separate window. Now user can feed direct SL in main data entry grid which will be replaced automatically with GL at the time of saving.
  13. Drop down list of Items shown in BOM Master, only Item name was being shown and other additional information as configured was not being shown. Now complete information will be shown.
  14. Provision made to track Cost-Centre opening balance Account-wise (optional). Till now a single opening balance was being tracked for a Cost Centre.
  15. Provision made to create Order(s) from ‘Compare Quotation’ report.
  16. Graphs provided in columnar Sales/Purchase analysis reports.
  17. Provision made to specify default mode for sending SMS. Available through Features/Options àGeneral tab.
  18. User rights Modify / Delete / Cancel for Masters / Vouchers made independent of each other. Till now Delete / Cancel were dependent on Modify.
  19. House-keeping, new options provide which otherwise is part of Rewrite Books. Purpose is to avoid Rewrite Books and use it for emergency only. Following options are available now:
    1. Regenerate Dual Vouchers.
    2. Check Incomplete Vouchers.
  20. Sending transactional Email / SMS to Party after saving a Voucher, till now Email ID / Mobile No. was being picked from Account Master. Now if Email / Mobile are available in Billing Details then it will be picked from there otherwise from Account Master. Useful for retail counters where Account for all Customers can not be created and end user details are tracked in Billing Details.
  21. Sending direct Email/SMS, till now option was there to send Mail/Message to One/Group/All Accounts. Now provision made pick Accounts from Vouchers. Required to send promotional Email/SMS to Parties from whom some transaction has been done. Also provision made to pick Email ID/Mobile No. from Billing Details instead of Account Master.
  22. Sending direct SMS through mobile phone, provision made to pick mobile no. through Excel sheet. Till now mobile no. were being picked from Account Master only.
  23. Sending Email from Vouchers and Voucher being sent as email attachment, the name of the attachment file was like ‘file1’ or ‘file2’. Now the name of the attachment file will be on the basis of Voucher type & number like ‘Sales-238’ or ‘Receipt-542’.
  24. Sending offline messages, a check box provided in the bottom ‘Send Messages Automatically’. If checked and this form is left as it is, offline messages will be sent automatically.
  25. Bill Sundry Master, provision made to calculate Bill Sundry amount on selective components of an item like Discount, Mark-Up or Tax etc.
  26. Auto Voucher numbering enabled in multi user mode, if two users would get same Voucher no. then one of them was able to save but other was getting message Voucher no. exist. Now Voucher no. will increment automatically and no message will be shown to other user.
  27. Exporting Masters with Opening/Closing balances, Masters sub details (Account Bill References, Un-cleared Bank Entries, Item Parameter Details, Batch Details and Serial No. Details) were also getting exported. Now export of sub details made optional.
  28. Provision made for backup & restore of custom columns created in a report. Available from custom column configuration form.
  29. List of logged-in computers provided (Client-server edition only). Available as Display àCheck ListàLogged-in Computers. We can even disconnect any computer.
  30. New reports ‘Invalid Tax Rate in Sales’ & ‘Invalid Tax Rate in Purchase’ provided in VAT reports section to check whether the tax applied on items in a voucher matches with Item’s Tax Category or not. Useful at the time of VAT audit/reconciliation.
  31. Stock Ledger can be generated for multiple financial years. Till now it was available for one financial year only.
  32. VAT/GST feature could not be enabled if any relevant transaction existed. Now it can be enabled and user will have to specify a default Sale/Purchase Type for existing vouchers.
  33. Images being maintained with vouchers and saved in database; while saving voucher, option to save image in database was being asked in all voucher series(s). Now we can configure at series level whether to prompt for saving of image or not.
  34. While feeding Settlement Details in a voucher, provision made to pick existing Settlement Details using F4 key.
  35. Global query on Vouchers was not searching data in Voucher notes. Now Voucher notes will also be searched.
  36. New fields <TOTAL_COMPUND_DISCOUNT> & <TOTAL_COMPUND_MARKUP> provided in Invoice Header/Footer.
  37. Voucher data entry; in case of automatic voucher numbering, cursor was going to voucher number field and user had to press <ENTER> to move forward. Now cursor won’t stop at voucher number field in case of automatic numbering.
  38. A new stock valuation method ‘Avg. Price (Invoice)’ added which will calculate stock value on the basis of Purchase Invoice instead of Purchase Challan. By default stock valuation is done on the basis of transactions involving stock movement (Challans).
  39. Option to pick System Date as transaction date; in case of client server edition, system date will be picked from server instead of client. Also date(s) used in Check List, User Log, Approval, Audit etc. will be picked from server instead of client.
  40. Menu Miscellaneous Data Entry sifted from Administration àUtilities and put directly under Administration. Another menu Opening Information was under Administration àConfiguration and now shifted to Administration àMiscellaneous Data Entry.
  41. Modifying voucher; while pressing ENTER on date, if date was invalid due to any reason (data frozen or out of financial year etc.) user was not able to go beyond date field but sometimes it was actually required to go beyond date (if user wanted to check item details). Now in modify mode, user would not be stopped at date field (even if it was invalid) if there is no change in date.
  42. Party Contact Details configuration for printing, option provided to pick Party TIN & CST No. also and provision made to print configurable Party Contact Details in Account Ledger also.
  43. Party/Item monthly/quarterly analysis reports, provision made to filter report on the basis of Item/Party (Filter on Item for Party-wise & filter on Party for Item-wise report).
  44. Bills Receivable/Payable report, a new field ‘Clearing Days’ added. It will show the no. days in which a bill has been cleared.

Apart from these changes some minor bugs have been removed from the application.


Sales Tax & VAT

Sales Tax & VAT documents includes documents related to Sales Tax & Value Added Tax (VAT). The documents covered under this section are:

  • Sales Tax and VAT Implementation
  • VAT Invoicing in BUSY
  • VAT Journal


VAT Invoicing in BUSY

Knowledge Documents > Tax Related > VAT Invoicing in BUSY

1. Introduction to VAT Invoicing

What is VAT?

VAT(Value Added Tax) is a multi-point tax which is levied at every stage of sale with a provision for setting-off of tax paid at the previous stage / tax paid on inputs. Thus, effectively, it is levied on the value that is added to the price of a product at each stage, either due to the passing of the product through various hands in a channel of distribution or due to some process undertaken on it. And hence the name.

Introduction to VAT Invoicing

An Invoice is a detailed list of goods or services provided including cost of goods and total amount chargeable.

Printing of Invoices under VAT regime is not much different from that in Sales tax regime. The main difference being that, under VAT regime, there are two types of Invoices - namely :

  • Tax Invoice
  • Retail Invoice

Let us discuss these Invoices in detail.

Tax Invoice

A Tax Invoice is a legal document showing the VAT amount paid/payable for a transaction. Tax Invoice is issued in case of local sales to Registered VAT dealers. It is mandatory to mention the TIN number of the buyer (registered dealer) on the Invoice.

Retail Invoice

Registered dealer issues a Retail Invoice for sales where a Tax Invoice is not issued. Retail Invoice is issued in case of local (with in state) sales to Unregistered dealers and also in case of inter-state sales, whether to a Registered or an Unregistered dealer.

Above information has been summarized in a tabular form. The table is given here:

S.No. | Type of sale | Invoice Type
1. | Local sale to Registered Dealer | Tax Invoice
2. | Local sale to Un-registered Dealer | Retail Invoice
3. | Inter State sale to Registered Dealer | Retail Invoice
4. | Inter-state sale to Un-registered Dealer | Retail Invoice

2. VAT Invoicing in BUSY 3.0

Implementing VAT Invoicing in BUSY is a simple three-step process. The three steps are:

  • Enabling VAT
  • Configure Sales Invoice
  • Enter and Print Sales Invoice

The whole process takes a few minutes from the moment you start BUSY application.

Let us discuss these steps in detail.

Enabling VAT

You can enable VAT either in a new Company or in an existing Company. Hence you can follow either of the following steps:

  • Create a new VAT enabled Company
  • Enable VAT in an existing Company

Creation of a Company

To create a new Company, perform the following steps:

  • Run Busy application.
  • Click Company à New option. On clicking New option, a Add New Company window appears.

Given here is a screenshot of the Add New Company window.

 Add New Company window
  • Enter the required details and click the Save button.

After following the above steps you have successfully created a new company with VAT enabled.

After creating a VAT enabled company, if you want to enter details related to CST then please follow the next step.

Enabling VAT in an existing Company

If you are an existing user of BUSY application then to enable VAT in an existing company, perform the following steps:

  • Click Administration à Configuration à Features/Options option.

On clicking Features/Options option, a Features/Options window appears in which you can enable and enter VAT related details. To enable VAT related details in the window first click the Sales Tax and VAT tab in the window itself.

Given here is a screenshot of Features/Options window with Sales Tax and VAT tab selected.

Features/Options window
  • Enter the required details and click Save button.

In the above screenshot Create Default Masters button appears only when you enter 'Y' in the Enable VAT option. When you click the Create Default Masters button, then BUSY will create all the default masters like Bill Sundry, Sale/Purchase Type required for VAT and so on.

When you create a new company with VAT enabled then the Masters are created by default but if you are first time enabling Sales Tax and VAT in an existing company then you have to click this button.

After following the above steps you have entered VAT details of the company and thus successfully enabled VAT for your company.

Configure Sales Invoice

After enabling VAT and entering VAT related details, the next step is to configure a format for sales Invoice.

Configure Standard Invoice Format

Before configuring Standard Invoice format, there is a specimen copy of Sales Invoice that will help you in setting different options for the Standard Invoice.

          Specimen copy of Sales Invoice

 Invoice (Standard)

After going through the specimen copy of Sales Invoice, let us now discuss different steps to set the Standard format for Sales Invoice.

To set the Standara format for Sales Invoice, perform the following steps:

  •

    Click Administration à Configurationà Document Configuration à Standard à Sales Invoice option.

Given here is a screenshot displaying the Configure Sales Invoice (Standard) window.

Configure Sales Invoice (Standard) window

Let us discuss in detail different options of the above screenshot.

Invoice heading

In the Invoice heading, the three options are:

  •

    Auto Print Tax Invoice or Retail Invoice on the basis of Sale Type - Select this option to automatically print 'Tax Invoice/Retail Invoice' on your Invoice.

If the state selected is Punjab then 'VAT Invoice' will be printed instead of 'Tax Invoice'.

  •

    As Mentioned Below - Select this option to print Invoice Heading according to the below mentioned Invoice heading. If you select this option then an Invoice Heading field gets activated where you can enter the Invoice Heading.

  •

    As Mentioned in Sale Type - Select this option to print Invoice Heading according to the Sale type selected in the Sale voucher. There is a data field in Sale Type in which you can specify the Invoice Heading.

Company Name

Enter the name of the company in this data field.

Address

Enter the address of the company in this data field.

Header

Enter the text in this data field that you want to print in the Invoice header. Header basically is a one line explanation about the nature of work of the company. For example, BUSY develops accounting software and hence can write header as 'Business Accounting Software'.

Print 'Pre Authentication' on Invoice

Specify 'Y' in this data field to print 'Pre Authentication' on Invoice.

Declaration

Declaration is  a legal confirmation from the issuer of the bill that the information provided in the bill is true to the best of his knowledge. In some states like Maharashtra and so on, it is mandatory to give declaration in the Invoice while in some states like Delhi and so on it is optional.

Terms & Conditions

Enter the terms and conditions (if any) of your company in this data field.

Signatory Information

Enter the Signatory Information in this data field.

Print Voucher Creation Time

Specify 'Y' in this data field if you want to Print Voucher Creation Time on invoice.

Use Full Page For Document

Specify 'Y' in this data field if you want to use full page for document.

Eject Page After Printing

Specify 'Y' in this data field if you want to eject page after printing.

Print ITC Eligibility

Specify 'Y' in this data field if you want to print Input Tax Credit (ITC) eligibility on Invoice. ITC refers to the amount of  tax which can be claimed from the Government by the buyer. By setting the Print ITC Eligibility option to 'Y', a heading with the message 'This copy entitles the holder to claim ITC' will appear on original copy of Tax Invoice. On all other Invoices like Original Retail Invoice, Duplicate copy of Tax Invoice and so on a heading with the message 'This copy does not entitle holder to claim ITC' will appear. By setting this option to 'N', no such headings will appear on any of the Invoices.

Show Totals of Qty. Also

Specify 'Y' in this data field if you want that totals of the quantity should be printed in the Invoice.

Print VAT separately with Items (Tax Invoice)

Specify 'Y' in this data field if you want to print Item-wise VAT% and amount in Tax Invoice separately. If you set this data field to 'N' then the total amount of item inclusive of tax will be shown.

Print VAT separately with Items (Retail Invoice)

Specify 'Y' in this data field if you want to print Item-wise VAT% and amount in Retail Invoice separately. If you set this data field to 'N' then the total amount of item inclusive of tax will be shown.

Print Copy Title (Original/Dupliacte etc.)

Specify 'Y' in this data field if you want to print Original/Duplicate etc. on Invoice Copies. Let us discuss this term 'Copy Title' in detail.

In VAT regime it is mandatory to mention titles or heading (like Original/Duplicate..) on all the copies of Invoices as buyer is eligible for ITC purely on the basis of it. Now different users may require different headings to be printed on their original and duplicate copies of Invoices like some user may want to print title as 'Original Copy' while some other user may want to print titles as 'Original Copy(for buyer)' and so on. Hence to print their own standardized titles or heading on the copy of Invoices,  BUSY provides its user with the option of Copy Title Configuration. For setting the titles or headings for the Invoices using this option, perform the following steps:

  •

    Go to Administration à Configuration à Document Configuration à Copy Title Configuration à Sales Invoice option.

Given here is a screenshot displaying the Configure Copy Title(Sales Invoice) window.
Configure Copy Title(Sales Invoice) window

  •

    Specify the titles accordingly and click the Save button.

After you have set the Copy Title Configuration and configured the Standard Format for Sales Invoices, you can move to the third step in VAT Invoicing.

Enter and Print Sales Invoice

While entering Sales Invoice the most important part is to choose the right Sale Type. Sale Type indicates the type of sale made (VAT/Central), Tax percentage (1%, 4%, 12.5%) and Invoice Type (Tax/Retail). BUSY creates default Sale Type at the time of creation of company that covers most of the different types of VAT classifications. While entering the Sales Invoice, all the tax slabs that are used for calculating VAT are included in Sale Type.

However if you want to create any specific Sale Type other than those specified , then perform the following steps:

  •

    Click Administration --> Master --> Sale Type --> Add. On clicking the Add option, an Add Sale Type window  appears.

  •

    Enter  the necessary details in the window and click Save button.

[For more information on creating Sale Type, please refer to Help Manual of BUSY software that can be invoked by pressing F1 key of the keyboard.]

Depending upon the Sale Type chosen, Tax Invoice or Retail Invoice will automatically be printed on top of the Invoice.

To enter the Sales Invoice, perform the following steps:

  •

    Click Transactions à Sales à Add option. A Sales - Add window will appear.

Given here is a screenshot displaying Sales - Add window with different Sale Types.
Sales - Add window

  •

    Select Sale Type as per your requirement.

Depending upon the Sale Type chosen, Tax Invoice or Retail Invoice will automatically be printed on top of the Invoice.

Please choose the right Sale Type as all further calculations in VAT reporting are based on it.

  • Enter the necessary details in all the fields.

If you are issuing a Tax Invoice to a party whose TIN No. is not specified or vice versa, BUSY will give you a message that you are issuing a Tax Invoice to a party whose TIN No. is not specified or you are issuing a Retail Invoice to a party whose TIN No. is specified. This message is only for your knowledge and will not affect any further calculation or reporting. However if you do not want this message to appear then Go to Administration Menu --> Configuration --> Warning Alarm and disable the relevant option.

After you have entered the necessary details click the Save button to save the voucher.

In addition to the tax slabs there can be certain scenarios in which tax is levied but in a different manner. These scenarios have been included in Sale Type for the convenience of the user. These scenarios are:

  •

    Multi Tax Scenario

  •

    Tax Inclusive Scenario

Let us discuss these two steps in detail.

Multi Tax

If different items in a single Invoice attract different tax rates, then choose Sale Type as VAT / Multi Tax.

Given here is a screenshot of Sales - Add window with Sale Type as VAT / Multi Tax (T).
Sales - Add window

  •

    Enter the necessary details and click Save button.

Tax Inclusive

Tax Inclusive implies that user has to enter item quantity, final price (inclusive of tax) and tax rate only. The BUSY application will then do a reverse calculation for calculating the amount of tax levied and the actual price of item (without tax). This option is useful when the user is making a sale to a person who is not concerned about the tax rate applied or the actual price of item (without tax) and simply wants to know the final price of the item.

Given here is a screenshot of Sales - Add window with Sale Type as VAT / Tax Inclusive(T).

Sales - Add window

In Item - Wise VAT Rate window, you can specify VAT percentage for individual items. However if you have already specified VAT rates for individual items while entering item details in the Item Master then you can hide this window to avoid entering the tax rates again. To hide this window, perform the following steps:

  •

    Go to Administration Menu --> Master --> Sale Type --> Modify. A Select Sale Type To Modify window will appear.

  •

    Select VAT / Tax Inclusive from the list of Sale Types. Click Select button. A Modify Sale Type Master window will appear.

  •

    Set 'Tax Inclusive Item Price' to 'Y'.

  •

    After setting Tax Inclusive Item Price to 'Y', the option of Hide Tax Rate window will become visible. Set this to 'Y'.

  •

    On clicking the Save button, a Sales Invoice Printing window appears.

  •

    Click the Yes button, if you want to print the Sales Invoice.

On clicking the Yes button, a Printing Options window appears.
Printing Options window

Given here is a screnshot of Printing Options window.

  • Enter necessary details in Printing Options window. Click the Ok button to print the Sales Invoice.

You can also print Sales Invoice using Print Utilities option. To print using Print Utilities option, perform the following steps:

  •

    Click Printing à Print Utilities à Document. On clicking the Document option .

  •

    Select Sales Invoice and click Select button.

  •

    Select Date wise or Voucher number wise report as per your requirement.

  •

    Enter data  in appropriate fields. Click Ok button.

After reading this document you will be able to successfully implement and use VAT Invoices.


VAT Journal

Knowledge Documents > Tax Related Documents > Using VAT Journal in BUSY

Using VAT Journal in BUSY

Broadly speaking, VAT reports can be classified in 2 categories:

  • VAT Registers
  • VAT Computation/Summary/Return

VAT Registers

VAT Registers are list of Sales/Purchase vouchers presented in the format prescribed by the state government.

VAT Computation/Summary/Return

  • VAT Computation calculates the Nett VAT payable/refundable for a specified period and shows all the computation used to derive the final figure.
  • VAT Summary is almost same as VAT Computation except it also shows the details of Central Sales & Purchases, which is not connected with the calculation of VAT.
  • VAT Return is basically VAT Summary only, printed in the format prescribed by the state government. So VAT Returns are different for different states, but all provides the same details.

Need for VAT Journal

BUSY tracks VAT related information (Input VAT/Output VAT) in Sales/Purchase/Sales Return/Purchase Return vouchers only. Since VAT Registers are based on Sales/Purchase/Sales Return/Purchase Return vouchers only, they can be printed easily. But other reports (VAT Computation/Summary/Returns) may have additional information. These reports are not complete without that additional information.

Here VAT Journal comes into the picture. VAT Journal is a voucher that helps you to enter the details of special transactions where VAT is affected. These details are not connected with Sales/Purchase/Sales Return/Purchase Return vouchers.

Let us understand with the help of an example. If we have a debit note where VAT is calculated then in the VAT Summary report this amount is not reflected. The reason is that the VAT Summary report takes into account only the sales/purchase and sales/purchase return transactions. For other transactions we have to enter the details separately.

The details are entered with the help of VAT Journal. Once we have entered the special transactions in the VAT Journal then the VAT Summary report is automatically updated with these details.

VAT Journal allows us to increase or decrease the Input Tax amount as well as the Output Tax amount. Input Tax amount represents the amount paid on our purchases while Output Tax amount represents the tax amount charged on our sales. The difference between Input Tax and Output Tax is Nett VAT payable/refundable. If Output Tax is more than Input Tax, then Nett VAT is payable otherwise Nett VAT is refundable.

Separation of VAT Journal and Accounting records

An important point to keep in mind is that the details entered in the VAT Journal have no bearing on the accounting records.

Let us understand with the help of an example. We have entered the debit note details in the VAT Journal and the VAT Summary report is updated with this information automatically. Now if we want to reflect this debit note in the accounting books then we have to enter the Debit note voucher separately. This is because the details that are entered in the VAT Journal are only for the purpose of VAT return. It has no relation or effect on the accounting aspect of the business.

Given here is a screenshot of the VAT Journal voucher.

VAT Journal voucher window

Special Cases for VAT Journal

Given here is a table of the special case scenarios where a VAT Journal voucher has to be entered.

Nature of Adjustment

Effect (with examples)

Opening Balance brought forward

Suppose in month of April Rs. 20,000 are claimable from the government but only Rs. 10,000 was claimed and refunded by the government. Now the balance Rs. 10,000 remains claimable in the month of April. The closing balance of the previous return period (previous month of April) does not get carried forward in the next return period (next month of May) automatically. It has to be entered manually in VAT

Journal in order to reflect the value in VAT Returns

& reports.

In such a case, a VAT Journal voucher will be entered wherein the VAT amount to be claimed will be mentioned under head Opening Balance B/F in the Nature drop-down list.

On account of Capital Purchases

Machinery worth Rs. 50,000 @ 4% VAT has been purchased for business purpose. Now VAT Paid on capital purchase (machinery) can be claimed from the government. According to government, the VAT paid on capital purchase can be claimed in installments.

In such a case a VAT Journal voucher will be entered wherein the VAT amount to be claimed will be mentioned under the head On A/c of Capital Purchases in the Nature drop-down list.

Tax Claimed on old stock (Non-VAT compliant)

Tax amounting to Rs. 15,000 has been paid in the previous years on purchases when VAT was not applicable. Now VAT can be claimed in such cases.

In such cases a VAT Journal voucher will be entered wherein the VAT amount to be claimed will be mentioned under head Tax Claimed on Old Stock in the Nature drop-down list.

On account of change in price

A mobile dealer sold Nokia cell phones on 1/6/05 for Rs. 5,000 and charged VAT accordingly. He later realized that the actual price was Rs. 6,000. The extra amount of VAT on Rs. 1,000 is to be deposited with the government.

There are 2 methods to reflect this in the VAT Return. One method is to modify the existing sale bill and reflect the change in VAT amount accordingly. Since modification of an existing voucher is not a good accounting practice, thus the dealer can opt for the second method.

He can enter a VAT Journal voucher wherein the VAT amount to be paid on Rs. 1000 will be mentioned under head On A/c of change in price in the Nature drop-down list.

Change in Sale or Purchase nature

ABC & Co. sold goods worth Rs. 20,000 @4% VAT. After few days, the company realized that the rate of VAT on the goods was 12.5%.

VAT to be deposited with the government is @ 12.5% rate.

In such a case there can be 2 methods to reflect the change. One method is that the company modifies the sales invoice to reflect the change and collects the extra VAT amount from the buyer. Since modification of an existing voucher is not a good accounting practice, thus the company can opt for the second method. Moreover, the buyer can also refuse to pay the extra VAT amount. In such a case, VAT @ 8.5% becomes a liability for ABC & Co.

The company can enter a VAT Journal voucher with the amount of VAT @ 8.5% to be paid under the head Change

in Sale/Purchase nature in the Nature drop-down list.

Debit note

This case is similar to the on account of change in price.

ABC & Co. sold goods worth Rs. 6,000 and charged

VAT accordingly.

The company later realized that the actual price was Rs.

8,000. VAT on Rs. 2,000 is to be paid to the government. Let us suppose that the company decides to collect Rs. 2000 plus VAT from the buyer party. Since modification

of the existing sales invoice is not a good accounting practice the party will be debited through a Debit Note.

To reflect the Debit Note in the VAT return,a VAT

Journal voucher will be entered wherein the VAT amount to be paid will be mentioned under head

Dr. Notes Received/Issued in the Nature drop-down list.

Credit note

This case is similar to the on account of change in price.

ABC & Co. purchased goods worth Rs. 6,000 and paid VAT accordingly. The company later received a notification from the seller that the actual price was Rs. 8,000. VAT on Rs. 2,000 is to be paid to the seller. Let us suppose that the company decides to pay Rs. 2000 plus VAT to the seller party.

Since modification of the existing purchase bill is not a good accounting practice the party will be credited through

a Credit Note.

To reflect the Credit Note in the VAT return,a VAT Journal voucher will be entered wherein the VAT amount to be claimed will be mentioned under head Cr.

Notes Received/Issued in the Nature drop-down list.

On account of stock transfer

ABC & Co. purchases goods worth RS. 20,000 @ 12.5 % VAT. After few days, the company makes a stock transfer from its Delhi outlet to Gurgaon outlet.

In case of stock transfer, the tax rate over and above 4% can be claimed from the government.

In such a case, the company will enter a VAT Journal voucher for the input tax amount to be claimed under the head On A/c of Stock Transfer in the Nature drop-down list.

On account of exempt sale

Book World is a book-publishing firm. The firm purchased paper @ Rs.100/kg and paid VAT @12.5%. Now they publish a book using that paper and sell in the market. Since books are exempted from VAT hence no VAT is charged.

According to the government, if the finished products are exempted from VAT then the firm cannot claim any tax credit paid on raw material. Thus, Book World cannot claim any VAT paid on paper from the government. Since the purchase voucher is already included in the VAT Summary report thus we need to pass a VAT Journal voucher against the Purchase voucher to cancel the claim.

In such a case a VAT Journal voucher will be entered wherein the VAT amount to be adjusted against the Purchase voucher for paper entered earlier will be mentioned under head On A/c of Exempt Sale in the Nature drop-down list.

Sale and Purchase Cancellation

ABC & Co. sold goods worth Rs. 10,000 plus VAT on 1/7/05. Next day the sale got cancelled and the goods were returned to ABC & Co.

In such a case there can be 2 methods to reflect the cancellation.

One method is to enter a Sales Return voucher for the cancellation of sale.

Second method is to enter a VAT Journal voucher against the sale voucher entered earlier mentioning the amount of VAT to be adjusted under the head Sale/

Purchase Cancellation in the Nature drop-down list.

Goods damaged and destroyed

Goods lying unsold with ABC & Co. worth Rs. 6,000 have been damaged. VAT has been paid on these goods at the time of their purchase.

The goods cannot be sold and thus no VAT can be collected from the consumer. In such a case since VAT has been paid at the time of their purchase thus the company needs to pass a VAT Journal voucher against the Purchase voucher to cancel the claim.

In such a case a VAT Journal voucher will be entered wherein the VAT amount to be adjusted against the Purchase voucher will be mentioned under the head

Goods Damaged / Destroyed in the Nature drop-down list.

Penalties

ABC & Co. provided misleading information to the government. On discovery of this discrepancy the government imposed a penalty on them.

This penalty payment can be recorded as a VAT Journal voucher.

In such a case a VAT Journal voucher will be entered wherein the penalty amount to be paid will be mentioned under head Penalties in the Nature drop-down list.

Interest

ABC & Co. delayed the payment of tax due to the government. Now the company has to pay interest on the delayed tax amount.

This interest payment can be recorded as a VAT Journal voucher.

In such a case a VAT Journal voucher will be entered wherein the interest amount to be paid will be mentioned under head Interest in the Nature drop-down list.

On account of Bad Debts

ABC & Co. sold goods for Rs. 6,000 @ 4% VAT (VAT = 240) on credit to Ram. Now Ram is unable to pay the outstanding amount and thus Rs. 6,000 are declared as bad debts. In such a case, ABC & Co. will not pay output VAT to the government, since Ram did not pay the amount.

In such a case a VAT Journal voucher will be entered wherein the VAT amount to be adjusted will be mentioned under head On A/c of Bad Debts/Recovery.

Moving on, Ram has decided to pay Rs. 3000 (VAT = 120) to ABC & Co in the settlement of the debt. Thus ABC & Co. has to pay to the government the VAT collected.

In such a case a VAT Journal voucher will be entered wherein the VAT amount to be paid will be mentioned under On A/c of Bad Debts/Recovery in the Nature drop-down list.

TDS Adjustment

ABC & Co. raised a bill of Rs 10,000 on which VAT @ 4% is
levied and hence the total bill amount is Rs 10,400. The
party receiving the bill, returns only Rs 9800 saying that
it has deducted the TDS of Rs. 600. Now when ABC & Co.
will record this entry then it will show Rs 9430 as item
amount and 370 as VAT amount. But actually the VAT
amount is Rs 400.

In such a case ABC & Co. will enter a VAT Journal voucher
wherein the difference of Rs 30 will be shown under the head
TDS Adjusted.